set @DVOOd = '2013-01-01 00:00:00.00', @DVODo='2013-07-31 23:59:59.00', @kodPartnera='',
    @proda='', @poSkladistima='N';

select 
if(@poSkladistima='D', z.proda,'') as proda,
z.DVO,  
z.vrsDo,
trim(concat(vd.nazivDokumenta,' ',z.zapis,' ',z.proIn)) as nazivDokumenta,
concat(trim(z.proda),'-',z.broDo) as broDo,
pp.nazivPartnera,
pp.ulicaBroj,
pp.mjestoSjedista,
pp.OIB,
z.zapis,
z.proIn,
z.verzi,
p.vrstaPoslovnice as vrstaPoslovnice,
sum(round(racunajPDV(p.vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'zaplatit'),2))
as iznosSPDVom,
0 as nePodlijeze,
0 as izvoz,
0 izvozEU,
0 as oslOstalo, 

sum(if(pdv=25,round(racunajPDV(p.vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'osnovica'),2),0)) as osnovica25,
sum(if(pdv=25,round(racunajPDV(p.vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'pdv'),2),0)) as pdv25
from dok_stavke as s
inner join dok_zag as z on z.proda=s.proda and z.vrsDo=s.vrsDo 
    and z.broDo=s.broDo and z.proIn=s.proIn and z.zapis=s.zapis and z.verzi=s.verzi
left outer join vrste_dokumenata as vd on vd.vrsDo=z.vrsDo
left outer join poslovnice as  p on p.kodPoslovnice=z.proda
left outer join partner as pp on pp.kodPartnera=z.kodPartnera
left outer join maticna_robe as r on  r.kodRobe=s.kodRobe
-- dali je  Interna dostavnica - kupac je jedna od poslovnica
left outer join poslovnice as  int5 on int5.kodPoslovnice=z.kodPartnera
where (z.proda=@proda or trim(@proda)='' or trim(@proda)='0')
and cast(z.vrsDo as UNSIGNED) in ('5')
and (z.kodPartnera=@kodPartnera or trim(@kodPartnera)='') 

and z.DVO between @DVOOd and @DVODo
-- and (trim(z.kodPartnera)=@kodPartnera)


group by
z.proda,
z.zapis,
z.proIn,
z.broDo,
z.verzi,
z.DVO,
vd.nazivDokumenta,
z.vrsDo,
z.broDo,
pp.nazivPartnera,
pp.OIB,
pp.ulicaBroj,
pp.mjestoSjedista,

p.vrstaPoslovnice

union all

select 
if(@poSkladistima='D', z.proda,'') as proda,
max(z.DVO) as DVO,  
'8' as vrsDo,
'REKAPITUAR' as nazivDokumenta,
concat(trim(z.proda),  '-', date(z.DVO)) as broDo,
'Rekapitular paragon blokova' as nazivPartnera,
'' as ulicaBroj,
'' as mjestoSjedista,
'' as OIB,
'' as zapis,
'' as proIn,
'' as verzi,
'1' as vrstaPoslovnice,
sum(round(racunajPDV('1',s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'zaplatit'),2))
as iznosSPDVom,
0 as nePodlijeze,
0 as izvoz,
0 izvozEU,
0 as oslOstalo, 
sum(if(pdv=25,round(racunajPDV('1',s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'osnovica'),2),0)) as osnovica25,
sum(if(pdv=25,round(racunajPDV('1',s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'pdv'),2),0)) as pdv25

from dok_stavke as s
inner join dok_zag as z on z.proda=s.proda and z.vrsDo=s.vrsDo
    and z.broDo=s.broDo and z.proIn=s.proIn and z.zapis=s.zapis and z.verzi=s.verzi
--inner join poslovnice as  p on p.kodPoslovnice=z.proda


where  z.vrsDo='8' 
and (z.proda=@proda or trim(@proda)='' or trim(@proda)='0')
and z.DVO between @DVOOd and @DVODo
and (z.kodPartnera=@kodPartnera or trim(@kodPartnera)='') 

group by
date(z.DVO),
z.proda

order by
proda,
DVO,
broDo
