<?php include 'view/header.php'; ?>
<?php include 'view/sidebar_admin.php'; ?>
<div id="content">
    <h1 class="top">Računi administratora</h1>
    <?php if (isset($_SESSION['admin'])) : ?>
    <h2>Moj račun</h2>
    <p><?php echo $name . ' (' . $email . ')'; ?></p>
    <form action="" method="post">
        <input type="hidden" name="action" value="view_edit" />
        <input type="hidden" name="kodAdmin" value="<?php echo $kodAdmin; ?>" />
        <input type="submit" value="Izmjena" />
    </form>
    <?php endif; ?>
    <?php if ( count($admins) > 1 ) : ?>
        <h2>Ostali administratori</h2>
        <table>
        <?php foreach($admins as $admin):
            if ( $admin['kodAdmin'] != $kodAdmin ) :
                ?>
                <tr>
                    <td><?php echo $admin['prezime'] . ', ' .
                               $admin['ime']; ?>
                    </td>
                    <td>
                        <form action="" method="post" class="inline">
                            <input type="hidden" name="action"
                                value="view_edit" />
                            <input type="hidden" name="kodAdmin"
                                value="<?php echo $admin['kodAdmin']; ?>" />
                            <input type="submit" value="Izmjena" />
                        </form>
                        <form action="" method="post" class="inline">
                            <input type="hidden" name="action"
                                value="view_delete_confirm" />
                            <input type="hidden" name="kodAdmin"
                                value="<?php echo $admin['kodAdmin']; ?>" />
                            <input type="submit" value="Brisanje" />
                        </form>
                    </td>
                </tr>
            <?php endif; ?>
        <?php endforeach; ?>
        </table>
    <?php endif; ?>
    <h2>Dodaj administratora</h2>
    <form action="" method="post" id="add_admin_user_form">
        <input type="hidden" name="action" value="create" />
        <label for="email">E-Mail:</label>
        <input type="text" name="email"
               value="<?php echo $_SESSION['form_data']['email']; ?>" />
        <br />
        <label for="ime">Ime:</label>
        <input type="text" name="ime"
               value="<?php echo $_SESSION['form_data']['ime']; ?>" />
        <br />
        <label for="prezime">Prezime:</label>
        <input type="text" name="prezime"
               value="<?php echo $_SESSION['form_data']['prezime']; ?>" />
        <br />
        <label for="lozinka_1">Lozinka:</label>
        <input type="password" name="lozinka_1" />
        <?php echo $lozinka_message; ?>
        <br />
        <label for="lozinka_2">Ponovite lozinku:</label>
        <input type="password" name="lozinka_2" />
        <br />
        <label>&nbsp;</label>
        <input type="submit" value="Dodaj administratora" />
    </form>
</div>
<?php
if (isset($_SESSION['form_data'])) {
    unset($_SESSION['form_data']);
}
?>
<?php include 'view/footer.php'; ?>