<?php
require_once('../../util/main.php');
require_once('util/secure_conn.php');
require_once('util/valid_admin.php');
require_once('model/razne_db.php');
require_once('model/customer_db.php');
require_once('model/address_db.php');
require_once('model/order_db.php');
require_once('model/product_db.php');
require_once('razno/razni_programi.php');
if ( isset($_POST['action']) ) {
    $action = $_POST['action'];
} elseif ( isset($_GET['action']) ) {
    $action = $_GET['action'];
} else {
    $action = 'view_orders';
}

switch($action) {
    case 'view_orders':
        $new_orders = get_unfilled_orders();
        $old_orders = get_filled_orders();
        include 'orders.php';
        break;
    case 'view_order':
        $brojNarudzbe = $_GET['brojNarudzbe'];

        // Get order data
        $narudzba = get_order($brojNarudzbe);
		$naziv_prijevoza = prijevoz($narudzba['nacinIsporuke']);
		if ($narudzba['datumPotvrdeOdNas'] === NULL ) {
		    $PDVisporuke_pocetni = 23;
		} else {
		    $PDVisporuke_pocetni = $narudzba['PDVisporuke'];  
		}
		
		
     //   $datum = date('M j, Y', strtotime($narudzba['datum']));
	    $datum_o = new DateTime($narudzba['datum']);
		$datum = $datum_o->format('d.m.Y H:i:s');
		
		 $datumIsporuke_o = new DateTime($narudzba['datumIsporuke']);
	     $datumIsporuke = $datumIsporuke_o->format('d.m.Y H:i:s');
		
        $order_items = get_order_items($brojNarudzbe);

        // Get customer data 
		$partner = get_partneri($narudzba['kodPartnera']);
		//adresa računa
		$nazivPartnera = $partner['nazivPartnera'];
		$mjesto_sjedista = $partner['mjestoSjedista'];
		$ulica_broj = $partner['ulicaBroj']; 
		$mjesto_poste = $partner['mjestoPoste'];
		$broj_poste = $partner['brojPoste'];
		$zemlja = $partner['zemlja'];
		$naziv_zemlje = drzave($zemlja); 
		$telefoni = $partner['telefoni']; 
        $email = $partner['email'];
		
        $brojKartice = $narudzba['brojKartice'];
        $vrijediDo = $narudzba['vrijediDo'];
        $card_name = card_name($narudzba['vrstaKartice']);
	
        $shipping_address = get_address($narudzba['kodPartnera']);
        $mjesto_sjedista_i = $shipping_address['mjestoSjedista'];
        $ulica_broj_i = $shipping_address['ulicaBroj'];
        $mjesto_poste_i = $shipping_address['mjestoPoste'];
        $broj_poste_i = $shipping_address['brojPoste'];
        $zemlja_i = $shipping_address['zemlja'];
        $telefoni_i = $shipping_address['telefoni']; 	
		
		if ($narudzba['datumPotvrdeOdNas'] === NULL) {
	    $tekst1 = 'Još nije potvrđeno kupcu.';
           } else {
		$datumPotvrdeOdNas_o = new DateTime($narudzba['datumPotvrdeOdNas']);
	    $datumPotvrdeOdNas = $datumPotvrdeOdNas_o->format('d.m.Y H:i:s');   
		$tekst1 = 'Od nas je potvrđeno: ' . $datumPotvrdeOdNas;
        }		
        if ($narudzba['datumPotvrdeOdKupca'] != NULL) {
		$datumPotvrdeOdKupca_o = new DateTime($narudzba['datumPotvrdeOdKupca']);
	    $datumPotvrdeOdKupca = $datumPotvrdeOdKupca_o->format('d.m.Y  H:i:s');   
        }		
        include 'order.php';
        break;
    case 'set_datumIsporuke':
        $brojNarudzbe = intval($_POST['brojNarudzbe']);
        set_datumIsporuke($brojNarudzbe);
        $url = '?action=view_order&brojNarudzbe=' . $brojNarudzbe;
        redirect($url);
	case 'set_potvrda':
        $brojNarudzbe = intval($_POST['brojNarudzbe']);
		$nacinIsporuke = intval($_POST['nacinIsporuke']);
		$trosakIsporuke = $_POST['trosakIsporuke'];
		$PDVisporuke = $_POST['PDVisporuke'];
		$komentarNarudzbeNas = $_POST['komentarNarudzbeNas']; 
        set_potvrda($brojNarudzbe, $nacinIsporuke, $trosakIsporuke, $PDVisporuke, $komentarNarudzbeNas);
        $url = '?action=view_order&brojNarudzbe=' . $brojNarudzbe;
        redirect($url);	
    case 'confirm_delete':
        // Get order data
        $brojNarudzbe = intval($_POST['brojNarudzbe']);
        $narudzba = get_order($brojNarudzbe);
        $datum = date('M j, Y', strtotime($narudzba['datum']));

        // Get customer data
        $customer = get_partneri($narudzba['customerID']);
        $name = $customer['lastName'] . ', ' . $customer['firstName'];
        $email = $customer['emailAddress'];

        include 'confirm_delete.php';
        break;
    case 'delete':
        $brojNarudzbe = intval($_POST['brojNarudzbe']);
        delete_order($brojNarudzbe);
        redirect('.');
        break;
    default:
        display_error("Akcija(operacija)-> " . $action . " <- nije u funkciji za narudžbe.");
        break;
}
?>