<?php
require_once('../../util/main.php');
require_once('util/secure_conn.php');
require_once('util/valid_admin.php');
require_once('util/images.php');
require_once('model/product_db.php');
require_once('model/category_db.php');
require_once('model/razne_db.php');
if (isset($_POST['action'])) {
    $action = $_POST['action'];
} else if (isset($_GET['action'])) {
    $action = $_GET['action'];
} else {
    $action = 'list_products';
}

$action = strtolower($action);
switch ($action) {
    case 'list_products':
        // get categories and products
        $kodGrupe = $_GET['kodGrupe'];
        if (empty($kodGrupe)) {
            $kodGrupe = 12;
        }
        $current_category = get_category($kodGrupe);
        $categories = get_categories();
        $robe = get_products_by_category($kodGrupe);

        // display product list
        include('product_list.php');
        break;
	case 'pretraga':
  //po rijeci      
		$tabela = 'maticna_robe'; 
		$rijec = $_POST['rijec'];
		if (!empty($rijec)) {
        $robe = po_rijeci($tabela,$rijec);
		}
         // Display robu po rijeci
		include('./product_list.php');
        break;		
    case 'view_product':
        $categories = get_categories();
        $kodRobe = $_GET['kodRobe'];
        $roba = get_product($kodRobe);
        $product_order_count = get_product_order_count($kodRobe);
        include('product_view.php');
        break;
    case 'delete_product':
        $kodGrupe = $_POST['kodGrupe'];
        $kodRobe = $_POST['kodRobe'];
        delete_product($kodRobe);
        
        // Display the Product List page for the current category
        header("Location: .?kodGrupe=$kodGrupe");
        break;
    case 'show_add_edit_form':
        if (isset($_GET['kodRobe'])) {
            $kodRobe = $_GET['kodRobe'];
        } else {
            $kodRobe = $_POST['kodRobe'];
        }
        $roba = get_product($kodRobe);
        $categories = get_categories();
        include('product_add_edit.php');
        break;
    case 'add_product':
        $kodGrupe = $_POST['kodGrupe'];
        $kodRobe = $_POST['kodRobe'];
        $nazivRobe = $_POST['nazivRobe'];
        $opis = $_POST['opis'];
        $cijena = $_POST['cijena'];
        $popust = $_POST['popust'];

        // Validate inputs
        if (empty($kodRobe) || empty($nazivRobe)  ||
           empty($cijena) ) {
            $error_message = 'Pogreška u podacima. Provjeriti sva polja i pokušati ponovno!';
            include('../../errors/error.php');
        } else {
            $categories = get_categories();
            $kodRobe = add_product($kodGrupe, $kodRobe, $nazivRobe,
                    $opis, $cijena, $popust);
            $roba = get_product($kodRobe);
            include('product_view.php');
        }
        break;
    case 'update_product':
        $kodRobe = $_POST['kodRobe'];
     //   $code = $_POST['code'];
        $nazivRobe = $_POST['nazivRobe'];
        $opis = $_POST['opis'];
        $cijena = $_POST['cijena'];
        $popust = $_POST['popust'];
        $kodGrupe = $_POST['kodGrupe'];

        // Validate inputs
        if (empty($kodRobe) || empty($nazivRobe) ||
          empty($cijena) ) {
            $error_message = 'Pogreška u podacima o robi. Provjeriti sve podatke i pokušati ponovno!';
            include('../../errors/error.php');
        } else {
            $categories = get_categories();
            update_product($kodRobe, $nazivRobe, $opis,
                           $cijena, $popust, $kodGrupe);
            $roba = get_product($kodRobe);
            include('product_view.php');
        }
        break;
    case 'upload_image':
        $kodRobe = $_POST['kodRobe'];
     //   $product = get_product($kodRobe);
     //   $product_code = $product['productCode'];

        $image_filename = $kodRobe . '.png';
        $image_dir = $doc_root . $app_path . $image_dir . 'product_images/';

        if (isset($_FILES['file1'])) {
            $source = $_FILES['file1']['tmp_name'];
            $target = $image_dir . DIRECTORY_SEPARATOR . $image_filename;

            // save uploaded file with correct filename
            move_uploaded_file($source, $target);

            // add code that creates the medium and small versions of the image
            process_image($image_dir, $image_filename);

            // display product with new image
            include('product_view.php');
        }
        break;
}
?>