<?php include '../../view/header.php'; ?>
<?php include '../../view/sidebar_admin.php'; ?>
<div id="content">
    <?php
    if (isset($kodRobe)) {
        $heading_text = 'Izmjena podataka o robi';
    } else {
        $heading_text = 'Dodavanje nove robe';
    }
    ?>
    <h1>Upravljanje robom - <?php echo $heading_text; ?></h1>
    <form action="index.php" method="post" id="add_product_form">
        <?php if (isset($kodRobe)) : ?>
            <input type="hidden" name="action" value="update_product" />
            <input type="hidden" name="kodRobe"
                   value="<?php echo $kodRobe; ?>" />
        <?php else: ?>
            <input type="hidden" name="action" value="add_product" />
        <?php endif; ?>
            <input type="hidden" name="kodGrupe"
                   value="<?php echo $roba['kodGrupe']; ?>" />

        <label>Robna grupa:</label>
        <select name="kodGrupe">
        <?php foreach ($categories as $category) : 
            if ($category['kodGrupe'] == $roba['kodGrupe']) {
                $selected = 'selected';
            } else {
                $selected = '';
            }
        ?>
            <option value="<?php echo $category['kodGrupe']; ?>"<?php
                      echo $selected ?>>
                <?php echo $category['nazivGrupe']; ?> 
            </option>
        <?php endforeach; ?>
        </select>
        <br />
        <br />
        <label>Kod robe:</label>
        <input type="input" name="kodRobe"
               value="<?php echo $roba['kodRobe']; ?>" />
        <br />

        <label>Naziv robe:</label>
        <input type="input" name="nazivRobe" 
               value="<?php echo $roba['nazivRobe']; ?>" size="50" />
        <br />

        <label>Cijena osnovna:</label>
        <input type="input" name="cijena" 
               value="<?php echo $roba['cijena']; ?> " /> (s PDV-om)
        <br />

        <label>Popust:</label>
        <input type="input" name="popust" 
               value="<?php echo $roba['popust']; ?>" />  %
        <br />

        <label>Opis robe:</label>
        <textarea name="opis" rows="10"
                  cols="50"><?php echo $roba['opis']; ?></textarea>
        <br />

        <label>&nbsp;</label>
        <input type="submit" value="Prihvati" />
        
    </form>
    <h2>Kako se popunjava polje Opis robe:</h2>
    <ul>
        <p> </p>
        <p> </p>
        <li>Samo tekst do prvog paragrafa(odlomka), pojavit će se na početnoj stranici (Trenutno iz ponude izdvajamo). U tom prvom odlomku se daje ključan opis robe.</li> 
		<li>Sa dva Entera otvara se sljedeći odlomak(paragraf).</li>
        <li>Zatim sljedi detaljniji opis karakteristika robe(ako je potrebno).</li>
		<li>Ako se žele stavke sa grafičkim oznakama, tekst u novom redu treba započeti sa *</li>
        <li>Mogu se koristiti standardne HTML oznake za podebljanje i skošenje teksta.</li>
    </ul>

</div>
<?php include '../../view/footer.php'; ?>