<?php

/**
 * Description of ispis
 *
 * @author Josip makar
 */

/*
require_once '../model/dokumenti_db.php';
require_once '../model/poslovnice_db.php';
require_once '../model/admin_db.php';
require_once '../model/product_db.php';
require_once '../model/partneri_dbproba.php';
*/

class Ispisi
{
    private $firma = array(); 
    private $posl = array();
    private $zaglavlje = array();
    private $stavke = array();
    private $zbroj = array();
    private $poStopi = array();
    private $robno_path;
            
function ispis_paragonca($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi, $daliVeliki, $daliHTML)
 
{
    $dirs = explode('/', $_SERVER['REQUEST_URI']);
    $this->robno_path = '/' . $dirs[1] . '/robno/';    

    $this->firma = get_poslovnica(0);
    $this->posl = get_poslovnica($proda);
    $this->zaglavlje = get_dok_zag($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
    $this->stavke =  get_dok_stavke($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
    $this->zbroj =  zbroj_po_dok($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
    $this->poStopi =  razrada_po_stopi($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
 
       if($daliHTML)
         $this->ispis_paragoncaHTML($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi, $daliVeliki);
       else
         $this->ispis_paragoncaESCP($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi, $daliVeliki);
  
}

function ispis_paragoncaHTML($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi, $daliVeliki)
{
$zaglavlje= <<< HTML
<HTML>
<HEAD>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>Ispis računa</TITLE>
<script language="Javascript1.2">
  <!--
  function printpage() {
    //document.body.innerHTML = "";
    window.print();
  }
  //-->
</script>
<style type="text/css">
//body {  font-family: monospace;} 
//body {font-family: "Times New Roman", Times, serif; font-size: 10pt}
body {font: Arial, Helvetica, sans-serif}
body { font-size: 10pt} 
table {font-size: 8pt} 
th, td { padding: 0px 0px 0px 0px; } 
.right {text-align: right;}
.pdvcol1 {text-align: right; width: 20%;}
.pdvcol {text-align: right; width: 40%;}
.left {text-align: left;}
thead th {border-bottom: 1px solid}
tfoot td{border-top: 1px solid}

#printable { 
    display: none; }
#non-printable {
        text-align: center;
        //font-family: Arial, Helvetica, sans-serif;
        font-size: 24pt;
	width: 800px;
        position: relative;
        box-shadow: 10px 10px 25px #066;
        margin: 10% auto;
        padding: 5px 20px 13px 20px;
        border-radius: 10px;
        background: #fff;
        background: -moz-linear-gradient(#fff, #999);
        background: -webkit-linear-gradient(#fff, #999);
        background: -o-linear-gradient(#fff, #999);
}
@media print
{
    #non-printable { display: none; }
    #printable { display: block; }
}
</style>        
<body onLoad="printpage()" topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0">
    <div id="non-printable">
HTML;



    $naEkran = '<br>Ispis računa<br>
                <form method="post" action="'.$this->robno_path.'?action=view_zag_svih_dok" >
                <input type="submit" class="fb-button-special" value="Povratak" /> 
                </form>
                ';
    $printId ='</div>
               <div id="printable">';
   
// /*    
    $filler = str_repeat(' ', 12);
    //$filler = '          ';
    $dReda = 40;
    $duljNaziv =64;
    if($daliVeliki)
    {
        $dReda = 70;
        $duljNaziv =30;
    }
    $crta = str_repeat("-", $dReda);
   
    $paragonac = '<b>'.substr($this->firma['nazivPoslovnice'],0,$dReda).'</b><br/>';
    $paragonac .= substr(trim($this->firma[ 'mjestoSjedista']).', '.trim($this->firma['ulicaBroj']),0,$dReda).'<br/>';
 //   $paragonac .= 'OIB:'.$this->firma['OIB'].',  Tel.:'.trim($this->firma['telefoni']).'<br/>';
    $paragonac .= 'OIB:'.$this->firma['OIB'].', '.trim($this->firma['telefoni']).'<br/>';
    //echo '<br>';
    $paragonac .= 'Poslovnica:'.substr($proda.' '.  $this->posl['nazivPoslovnice'],0,$dReda).'<br/>';
    $paragonac .= substr(trim($this->posl[ 'mjestoSjedista']).', '.trim($this->posl['ulicaBroj']),0,$dReda).'<br/>';
//    $paragonac .= 'Tel.:'.trim($this->posl['telefoni']).'<br/>';
    $paragonac .= trim($this->posl['telefoni']).'<br/>';
    $d1=new DateTime($this->zaglavlje['DVO']);
    $paragonac .= 'Datum: '.$d1->format('d.m.Y ').' &nbsp; &nbsp; Vrijeme: '.$d1->format('H:i').'<br/>';
    $paragonac .= ' '.'<br/>';
    
    // ako je paragonac R1 treba ispiati partnera
    
    if(empty($this->zaglavlje['kodPartnera']))
        $paragonac .=  'RAČUN br: '.$broDo.'-'.$proda.'-'.$this->zaglavlje['kasa'].'<br/>';
    else
    {
        $paragonac .= 'RAČUN R1 br: '.$broDo.'-'.$proda.'-'.$this->zaglavlje['kasa'].'<br/>';
        $paragonac .= ' '.'<br/>';
        $partner = get_partner(trim($this->zaglavlje['kodPartnera']));
        $paragonac .= 'Kupac: '. $partner['nazivPartnera'].'<br/>';
        $paragonac .= ' &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;'. $partner['mjestoSjedista'].'<br/>';
        $paragonac .= ' &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;'. $partner['ulicaBroj'].'<br/>';
        $paragonac .= 'OIB:  &nbsp; &nbsp; '. $partner['OIB'].'<br/>';
     }
    $paragonac .= ' '.'<br/>';
    // */
    $paragonac .='<table border="0" align="center" width="100%">';
    
    $paragonac .= '<caption><b>Kod robe / usluge&nbsp; &nbsp; &nbsp; &nbsp; 
        &nbsp; &nbsp; &nbsp; &nbsp; 
        N a z i v &nbsp; r o b e / u s l u g e &nbsp; &nbsp; &nbsp;</b></caption>';
    $paragonac .='<thead> <tr><th>JMJ &nbsp; </th>
                <th class="right">Količina</th> 
                <th class="right">Cijena</th> 
                <th class="right">Iznos</th></tr> </thead>';
   // $paragonac .= $crta);
    foreach ($this->stavke as $stavka) 
    {
        $artikl = get_product_maticna_robe($stavka['kodRobe']);
        
        $zaNaplatu = $this->za_naplatu($stavka);
        // /*
        if ($stavka['rabatPopust'] != 0) 
        {
            if ($stavka['absRabatPopust'] == 'A') 
            { 
              $rabatPopustNaCijenu = $stavka['rabatPopust']; 
              $lpopust =  '<tr><td colspan="2">Popust:</td>' 
                  .'<td class="right">'.number_format($stavka['rabatPopust'], 2, ',', '')
                  .'</td><td class="right">'.number_format($zaNaplatu , 2, ',','').'</td></tr>';
              //ako je apsolutni onda je to popust S POREZOM!!!    
            }
            else 
            {
              $rabatPopustNaCijenu = round(($stavka['cijena'] * (1 + $stavka['PDV'] / 100)),2) * $stavka['rabatPopust'] / 100; 
              $lpopust =  '<tr><td>Popust:</td>' 
                  .'<td class="right">'.number_format($stavka['rabatPopust'], 2, ',', '').'%</td>'
                  .'<td class="right">'.number_format($rabatPopustNaCijenu, 2, ',', '')
                  .'</td><td class="right">'.number_format($zaNaplatu , 2, ',','').'</td></tr>';
            } 
        }
        else 
            $rabatPopustNaCijenu = 0;
           // */
        
        $kolicina = sprintf("%6s", $stavka['kolicina']==(int)$stavka['kolicina']? (int)$stavka['kolicina']
                : number_format($stavka['kolicina'], 3, ',','' ));
        $paragonac .= '<tr><td colspan="4">'.substr(trim($stavka['kodRobe']).' &nbsp; '.$artikl['nazivRobe'].$filler.$filler,0,$duljNaziv).'</td></tr>';
    //    $paragonac .= '<tr><td colspan="4">'.substr(trim($stavka['kodRobe']).' &nbsp; '.$artikl['nazivRobe'],0,$duljNaziv).'</td></tr>';
        $paragonac .= '<tr><td>'.sprintf(" %-6s", $artikl['jedinicaMjere']).'</td> <td class="right">'
                    .sprintf("%6s", $kolicina).'</td> <td class="right">' 
                    .sprintf("%12s",number_format($stavka['cijena'] * (1 + $stavka['PDV'] / 100), 2, ',','')).'</td> <td class="right">'
                    .sprintf("%12s",number_format($zaNaplatu + $rabatPopustNaCijenu, 2, ',','')).'</td></tr>';
        
     if ($stavka['rabatPopust'] != 0)
       $paragonac.=$lpopust;

    }
    $paragonac.= 
      '<tfoot> <tr>
        <td colspan="3"> <b>UKUPNO: </b></td> 
        <td class="right"><b>'.number_format($this->zbroj['zaNaplatu'],2,',','').'</b></td> 
      </tr> </tfoot>';
    $paragonac.='</table>';
    
    
    if($this->zaglavlje['novac']!=0)
    {
          $paragonac .= ('Plaćeno novčanicama:').'<br/>';
          if($this->zaglavlje['povrat']!=0)
            $paragonac .= (sprintf("Novčanice: %s  Povrat: %s", "trim(number_format($this->zaglavlje['novac'],2,',',''))",
                     trim(number_format($this->zaglavlje['povrat'],2,',','')))).'<br/>';
          if($this->zaglavlje['iznosKartice'] !=0 && $this->zaglavlje['povrat'] == 0)
              $paragonac .= (sprintf("Novčanice:", "trim(number_format($this->zaglavlje['novac'],2,',',''))")).'<br/>';
    }    
    if($this->zaglavlje['iznosKartice']!=0)
    {
    //      if($this->zaglavlje['novac']==0)
  //          $this->ispis('Način plaćanja: kartice');
        $paragonac .= (sprintf("Plaćeno karticom: %s  %s", trim(number_format($this->zaglavlje['iznosKartice'],2,',','')), $this->zaglavlje['vrstaKartice'])).'<br/>';
    }
    
    
    
    $paragonac .= ' '.'<br/>';
    
    $paragonac .= '&nbsp; ---------------- Obračun poreza ----------------'.'<br/>';
    
    $paragonac .='<table border="0" align="left" width="90%">';
    
    $paragonac .='<thead> <tr>
                <th class="pdvcol1">Vrsta poreza</th>
                <th class="pdvcol1">Stopa%</th> 
                <th class="pdvcol">Osnovica &nbsp; </th> 
                <th class="pdvcol">Iznos poreza</th></tr> </thead>';
   
    // funkcija razrada_po_stopi dodana u dokumenti_db.php  
    $this->poStopi =  razrada_po_stopi($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
    $ukupnoPDV = 0.0;
    $brojStopa = 0;
    foreach ($this->poStopi as $pdvStavka) 
    {
        $osnovica = $this->osnovicaPoStopi($pdvStavka);
        $iznosPDV = round($osnovica*$pdvStavka['PDV']/100, 2);
        $ukupnoPDV += $iznosPDV;
        $brojStopa++;
        $paragonac .= '<tr> <td class="pdvcol1">'
                   .'PDV</td> <td class="pdvcol">'
                   .number_format($pdvStavka['PDV'],2,',','').'</td> <td class="pdvcol">' 
                   .number_format($osnovica ,2,',','').' &nbsp; </td> <td class="pdvcol">'
                   .number_format($iznosPDV,2,',','').'</td></tr>';
    }
  
    $paragonac.= 
      '<tfoot> <tr>';
      if ($brojStopa > 1) {
          $paragonac.=
        '<td colspan="3"> <b>Ukupno: </b></td> 
        <td class="right"><b>'.number_format($ukupnoPDV,2,',','').'</b></td>';  
       } else {
          $paragonac.=
          '<td> </td> 
           <td> </td> 
           <td> </td>
          <td></td>';  
       }
    $paragonac.= '</tr> </tfoot>';
    $paragonac.='</table>';
    $paragonac .= ' '.'<br/>';
    if(!empty($this->zaglavlje['komentar'])) {
       $paragonac .= '&nbsp; '.'<br/>';
       $paragonac .= $this->zaglavlje['komentar'].'<br/>';    
    }
     
    $prodavac = get_admin_by_email ($this->zaglavlje['tkoJeIzmjenio']);
    $paragonac.='Operater:'.trim($prodavac['ime'].' '.trim($prodavac['prezime'])).'<br/>';
    $paragonac.='ZKI:'.$this->zaglavlje['zastitniKod'].'<br/>';
    $paragonac.='JIR:'.$this->zaglavlje['JIR'].'<br/>';
    
    
  // */  
   $htmlpos=$zaglavlje.$naEkran.$printId.$paragonac.'  </div>';
    
    echo $htmlpos;
}

function ispis_paragoncaESCP($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi, $daliVeliki)
{
    echo '
        <applet name="jzebra" code="jzebra.PrintApplet.class" archive="'.$this->robno_path.'cart/jzebra.jar" width="1" height="1">
            <param name="printer" value="zebra">
        </applet>
        <script>
            function ispis(sadrzaj) {
                document.jzebra.findPrinter(); 
                document.jzebra.append(sadrzaj + "\n");
                document.jzebra.print();
            }
        </script>
    ';
    $filler = str_repeat(' ', 12);
    //$filler = '          ';
    $dReda = 42;
    $duljNaziv =42;
    if($daliVeliki)
    {
        $dReda = 70;
        $duljNaziv =30;
    }
    $crta = str_repeat("-", $dReda);
    $this->ispis(substr($this->firma['nazivPoslovnice'],0,$dReda));
    $this->ispis(substr(trim($this->firma[ 'mjestoSjedista']).', '.trim($this->firma['ulicaBroj']),0,$dReda));
    $this->ispis('OIB:'.$this->firma['OIB'].',  Tel.:'.trim($this->firma['telefoni']));
    //echo '<br>';
    $this->ispis('Poslovnica:'.substr($proda.' '.  $this->posl['nazivPoslovnice'],0,$dReda));
    $this->ispis(substr(trim($this->posl[ 'mjestoSjedista']).', '.trim($this->posl['ulicaBroj']),0,$dReda));
    $this->ispis('Tel.:'.trim($this->posl['telefoni']));
    $d1=new DateTime($this->zaglavlje['DVO']);
    $this->ispis('Datum: '.$d1->format('d.m.Y ').' Vrijeme: '.$d1->format('H:i'));
    $this->ispis(' ');
    
    // ako je paragonac R1 treba ispiati partnera
    
    if(empty($this->zaglavlje['kodPartnera']))
        $this->ispis( 'RAČUN br:'.$broDo);
    else
    {
        $this->ispis('RAČUN R1 br:'.$broDo);
        //$partner = get_partneri(trim($this->zaglavlje['kodPartnera']));
        //$this->ispis('Partner: '.trim($this->zaglavlje['kodPartnera']).' '. $partner['nazivPartnera']);
    }
    $this->ispis(' ');
   
    if ($daliVeliki)
        $this->ispis('Šifra N A Z I V   R O B E         JMJ   Količina       Cijena       Iznos');
    else
    {
        $this->ispis('Šifra N A Z I V   R O B E   ');
        $this->ispis(' JMJ   Količina       Cijena       Iznos');
        
    }
    $this->ispis($crta);
    foreach ($this->stavke as $stavka) 
    {
        $artikl = get_product_maticna_robe($stavka['kodRobe']);
        
        $zaNaplatu = $this->za_naplatu($stavka);
        if ($stavka['rabatPopust'] != 0) 
        {
            $lpopust = 'Popust:   ';
            if ($stavka['absRabatPopust'] == 'A') 
            { 
              $rabatPopustNaCijenu = $stavka['rabatPopust']; 
              $lpopust .= sprintf("%17s %12s", number_format($stavka['rabatPopust'], 2, ',', ''), number_format($zaNaplatu , 2, ',',''));
              //ako je absolutni onda je to popust S POREZOM!!!    
            }
            else 
            {
              $rabatPopustNaCijenu = round(($stavka['cijena'] * (1 + $stavka['PDV'] / 100)),2) * $stavka['rabatPopust'] / 100; 
              $lpopust .= sprintf("%6s %10s %12s",number_format($stavka['rabatPopust'], 2, ',', '').'%', number_format($rabatPopustNaCijenu, 2, ',',''),
                      number_format($zaNaplatu, 2, ',',''));
            }
        }
        else 
            $rabatPopustNaCijenu = 0;

        
        $kolicina = sprintf("%6s", $stavka['kolicina']==(int)$stavka['kolicina']? (int)$stavka['kolicina']
                : number_format($stavka['kolicina'], 3, ',','' ));
        $linija1 = substr(trim($stavka['kodRobe']).' '.$artikl['nazivRobe'].$filler.$filler,0,$duljNaziv);
        $linija2 = sprintf(" %-6s %6s %12s %12s", $artikl['jedinicaMjere'], $kolicina, 
                   number_format($stavka['cijena'] * (1 + $stavka['PDV'] / 100), 2, ',',''),
                   number_format($zaNaplatu + $rabatPopustNaCijenu, 2, ',',''),-12);
        if ($daliVeliki)
            $this->ispis($linija1.' '.$linija2);
        else
        {
            $this->ispis($linija1);
            $this->ispis($linija2);
        }
        if ($stavka['rabatPopust'] != 0)
            $this->ispis($lpopust);
    }
    $this->ispis($crta);
    //echo $this->zbroj['zaNaplatu'].'<br>';
    $this->ispis(str_repeat(' ', $dReda-22).'Ukupno: '.substr($filler.number_format($this->zbroj['zaNaplatu'],2,',',''), -12));
    
    if($this->zaglavlje['novac']!=0)
    {
          $this->ispis('Plaćeno novčanicama:');
          if($this->zaglavlje['povrat']!=0)
            $this->ispis(sprintf("Novčanice: %s  Povrat: %s", "trim(number_format($this->zaglavlje['novac'],2,',',''))",
                     trim(number_format($this->zaglavlje['povrat'],2,',',''))));
          if($this->zaglavlje['iznosKartice'] !=0 && $this->zaglavlje['povrat'] == 0)
              $this->ispis(sprintf("Novčanice:", "trim(number_format($this->zaglavlje['novac'],2,',',''))"));
    
     //               trim(number_format($this->zaglavlje['povrat'],2,',',''))));
     //   if($this->zaglavlje['iznosKartice']==0)
     //       $this->ispis('Način plaćanja: novčanice');
     //   else
     //       $this->ispis('Plaćeno novčanicama: ostalo');
     //   if($this->zaglavlje['povrat']!=0)
     //       $this->ispis(sprintf("Gotovina: %s  Povrat: %s", trim(number_format($this->zaglavlje['novac'],2,',','')), 
     //               trim(number_format($this->zaglavlje['povrat'],2,',',''))));
   
    }    
    if($this->zaglavlje['iznosKartice']!=0)
    {
    //      if($this->zaglavlje['novac']==0)
  //          $this->ispis('Način plaćanja: kartice');
        $this->ispis(sprintf("Plaćeno karticom: %s  %s", trim(number_format($this->zaglavlje['iznosKartice'],2,',','')), $this->zaglavlje['vrstaKartice']));
    }
    
    $this->ispis(' ');
    $this->ispis(sprintf("%6s %12s %12.s", "STOPA%", "OSNOVICA", "IZNOS"));
    $this->ispis(str_repeat('-', 34));    
    // funkcija razrada_po_stopi dodana u dokumenti_db.php  
    $this->poStopi =  razrada_po_stopi($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
    foreach ($this->poStopi as $pdvStavka) 
    {
        $osnovica = $this->osnovicaPoStopi($pdvStavka);
        //$this->ispis(sprintf("%6.2f %12.2f %12.2f", $pdvStavka['PDV'], $pdvStavka['osnovica'], $pdvStavka['PDVIznos']));
        $this->ispis(sprintf("%6s %12s %12s", number_format($pdvStavka['PDV'],2,',',''),
                number_format($osnovica ,2,',',''),
                number_format($osnovica*$pdvStavka['PDV']/100,2,',','')));
    }
    $this->ispis(str_repeat('-', 34));
    $this->ispis(sprintf("%19s %12.2f", "Ukupno PDV: ", $this->zbroj['ukIznosPDV']));
    $prodavac = get_admin_by_email ($this->zaglavlje['tkoJeIzmjenio']);
    $this->ispis('Prodavač:'.trim($prodavac['ime'].' '.trim($prodavac['prezime'])));
    $this->ispis('ZKI;'.$this->zaglavlje['zastitniKod']);
    $this->ispis('JIR:'.$this->zaglavlje['JIR']);
    
    $this->ispis("\x1D\x56\x41");
}

private function osnovicaPoStopi($pdvStavka)
{
    if($pdvStavka['rabat']!=0)
        $osnovica = $pdvStavka['osnovica'] - $pdvStavka['rabat']/(1+$pdvStavka['PDV']/100);
    else
        $osnovica = $pdvStavka['osnovica'];
    return $osnovica;
}
private function dodajRed($red, $dokument)
{
    $dokument.=$red;
}

private function ispis($text)
{
    //$text = 'Neki tekst ------------*********************';
    //echo $text.'<br>'; 
    echo '<script type="text/javascript">
    ispis("'.$text.'")
    </script>';
}        

private function za_naplatu($stavka)
{
    $rabatPopustNaCijenu = 0;
    $cijenaSpdv = round(($stavka['cijena'] * (1 + $stavka['PDV'] / 100)),2); 
    if ($stavka['rabatPopust'] != 0) {
       if ($stavka['absRabatPopust'] == 'A') { 
          $rabatPopustNaCijenu = $stavka['rabatPopust']; 
       //ako je absolutni onda je to popust S POREZOM!!!    
       } else {
          $rabatPopustNaCijenu = $cijenaSpdv * $stavka['rabatPopust'] / 100;  
       }
    }
    //TREBA JOŠ UGRADITI DODATNI KOLIČINSKI POPUST !

    $netoCijenaSpdv = round(($cijenaSpdv - $rabatPopustNaCijenu),2);
    $zaNaplatuStavka = $netoCijenaSpdv * $stavka['kolicina'];
    return $zaNaplatuStavka;
}
  
    
}

?>
