<?php
include 'Fiskalizator.php';

function naknadnaFisk($popisDok) {
    $uspjesni=$neuspjesni=$greske='';
            
    foreach ($popisDok as $r) {
        $uspjelo=fiskaliziraj($r['proda'], $r['vrsDo'], '', '', $r['broDo'], '',true);
        if($uspjelo)
            $uspjesni.=$r['proda'].'-'.$r['vrsDo'].'-'. $r['broDo'].',';
        else {
            $neuspjesni.=$r['proda'].'-'.$r['vrsDo'].'-'. $r['broDo'].',';
            $greske.=$_SESSION['greska_fisk'].'<br>';
        }
    } 
    unset($_SESSION['odabranaPoslovnica']);
    unset($_SESSION['dok_zag']['vrsDo']);
    unset($_SESSION['dok_zag']['proIn']);
    unset($_SESSION['dok_zag']['zapis']); 
    unset($_SESSION['dok_zag']['broDo']);
    unset($_SESSION['dok_zag']['verzi']); 
    
    return array('uspjesni' => $uspjesni, 'neuspjesni' => $neuspjesni, 'greske' => $greske);
    
}    

function fiskaliziraj($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi,$daliNaknadno=false) {
    $zbroj = zbroj_po_dok($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
    if (abs($zbroj['zaNaplatu']) > 105000 ) {  
         display_error('Ne smije se fiskalizirati iznos veći od 105000 !' . ' Prodavaona=' .$proda . ' vrsDo=' .$vrsDo . ' broDo='. $broDo . ' verzi='. $verzi . '</br>');     
    }
    
    $fiskalizator = new Fiskalizator();
    $fiskalizator->spremaDokumente = false;
    //$fiskalizator->certLozinka = 'uh3a8k';

    $parametar=get_parametar('pravaFiskalizacija_'.$_SESSION['skracenicaFirme']);
    if(!is_array($parametar))
       $fiskalizacija=($_SERVER['HTTP_HOST']=='localhost' && $_SESSION['admin']['email']!='fiskalizator@mg.hr')?'NE':'DA';
    else
       $fiskalizacija=strtoupper(trim($parametar['vrijednostParametra']));
    $test='';
    //if ($_SERVER['HTTP_HOST']=='localhost' && $_SESSION['admin']['email']!='fiskalizator@mg.hr') {
    if($fiskalizacija!='DA') {
        //$fiskalizator->certifikat = 'cart/fiskal 1.pfx';
        //$fiskalizator->certifikat = dirname(__FILE__) .'/'.'fiskal 1.pfx';
        //$fiskalizator->certLozinka = 'uh3a8k';
        
        ////stari certifikat do 5.11.2018.
        //$fiskalizator->certifikat = dirname(__FILE__) .'/'.'FISKAL_1.p12';
        //$fiskalizator->certLozinka = 'C48kt3';

 //       $fiskalizator->certifikat = dirname(__FILE__) .'/'.'FISKAL_2.p12';
 //       $fiskalizator->certLozinka = 'rGu3md';
        
        // DEMO certifikat od 22.04.2022
        $fiskalizator->certifikat = dirname(__FILE__) .'/'.'FISKAL_3.p12';
        $fiskalizator->certLozinka = 'c48kt3';
        
        //$fiskalizator->ca_cert='';
        $oib ='20329616636';
        $test='<br>!FISKALIZACIJA:TESTNI RAČUN! OVO NIJE VAŽEĆI DOKUMENT';
    }
    else {
        $baza=$_SESSION['odabranaBaza'];
        $dio=explode('_', $baza);
        $n=count($dio);
        $dir=(($n<3) ?'agm':$dio[$n-1]);
        //$fiskalizator->certifikat = 'cart/'.$dir.'/FISKAL 1.P12';
        $fiskalizator->certifikat = dirname(__FILE__) .'/'.$dir.'/FISKAL 1.P12';
        $sl=get_admin_by_email($baza.'@mg.hr');

        if($sl)
            $fiskalizator->certLozinka = $sl['punkt'];       
        else
        {
            //echo 'Doslo je do greške:</br>';
            $error_message='Ne mogu dohvatiti lozinku za certifikat<br>';
            display_db_error($error_message);
            exit;
        }
        //$fiskalizator->ca_cert='RDCca.crt';
       // ako 11.11.2016 ne radi skomentirati donju liniju
   // 5.6.2018     $fiskalizator->ca_cert='cis.porezna-uprava.hr.crt';
        //$fiskalizator->CisUrl = 'https://cistest.apis-it.hr:8449/FiskalizacijaServiceTest';
        //$fiskalizator->direktorijXMLRacuna = 'C:/xampp/htdocs/FiskalizacijaTest/xmldokumenti/';
        $fiskalizator->setProductionMode();
        $firma=get_poslovnica(0);
        $oib =$firma['OIB'];

    }

    //$fiskalizator->dirXMLDokumntata = './xmldokumenti/';
    //$fiskalizator->spremaDokumente = true;

    $racun = new Racun();
    $poslovnica = get_poslovnica(0);
    $racun->oib = $oib;
    $racun->uSustPdv = 'true';
    $racun->datVrijeme = $zbroj['DVO'];
    $racun->oznSlijed = 'P';
    $racun->brOznRac = trim($broDo);
    $racun->oznPosPr = trim($proda);
    //$racun->iznosOslobPdv = 4;
    //$racun->iznosMarza = 10;
    //$racun->iznosNePodlOpor = 10;
    $racun->iznosUkupno = $zbroj['zaNaplatu'];
    $zaglavlje = get_dok_zag($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
    $racun->oznNapUr = $zaglavlje['kasa'];
    if($zaglavlje['iznosKartice']==0 && $zaglavlje['iznosTransRacun']==0)
        $racun->nacinPlac = 'G';
    else if($zaglavlje['novac']==0 && $zaglavlje['iznosTransRacun']==0)
        $racun->nacinPlac = 'K';
    else if($zaglavlje['novac']==0 && $zaglavlje['iznosKartice']==0)
        $racun->nacinPlac = 'T';
    else 
        $racun->nacinPlac = 'O';
    /* nacinPlac: G - gotovina, K -kartica, T -transakcijski račun, C- cek, O -ostalo(ako je više načina plaćanja po jednom računu) ili za neke druge nacine placanja */
    //$racun->oibOper = '80333600432';
    $racun->oibOper = $zbroj['refProdOIB'];

    if($daliNaknadno) {
//  $racun->nakDost = 'true';
//       $racun->paragonBrRac = $broDo . '-' . $proda . '-1';
       $racun->nakDost = 'true';
       // $racun->paragonBrRac = $broDo . '-' . $proda . '-1';
       $racun->paragonBrRac = $broDo . '-' . $proda . $zaglavlje['kasa'];
       // $racun->specNamj = 'Naknadna fiskalizacija';
       $racun->specNamj = '20329616636'; // OIB proizvođača software-a (Murski Gaji)
        
 //     $racun->nakDost = 'false';
    }   
    else
        $racun->nakDost = 'false';
    $poStopi =  razrada_po_stopi($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
    korekcija_po_stopama($poStopi, $zbroj['zaNaplatu']);
    $n=count($poStopi);
    $sumaPoStopama=0;
    //foreach ($poStopi as $pdvStavka) {
    for ($i = 0;$i < $n ;$i++) {
        $racun->dodajPdv($poStopi[$i]['PDV'], $poStopi[$i]['osnovica'], $poStopi[$i]['PDVIznos']);
    }
    if($daliNaknadno && trim($zaglavlje['zastitniKod'])!='')
        $racun->postojeciZKI = $zaglavlje['zastitniKod'];

    /*
    //$racun->paragonBrRac = '12';  //?
    //$racun->specNamj = 'neka namjena';
    //$racun->dodajPdv(10, 300, 30);
    //$racun->dodajPdv(25, $zbroj['ukPoreznaOsnovica'], $zbroj['ukIznosPDV']);
    //racun->dodajPnp(8.52, 1000, 85.2);
    //$racun->dodajNaknadu('Povratna naknada', 34.67);
    //$racun->dodajOstaliPor('Porez na luksuz' , 25, 1000, 250);
    //echo '<br>-----------<br>Šaljem zahtjev za račun:<br>';
    //var_dump($racun);
    // echo $zbroj['ukIznosPDV'];
    */
    
    $_SESSION['odabranaPoslovnica'] = $proda;
    $_SESSION['dok_zag']['vrsDo'] = $vrsDo;
    $_SESSION['dok_zag']['proIn'] = $proIn;
    $_SESSION['dok_zag']['zapis'] = $zapis; 
    $_SESSION['dok_zag']['broDo'] = $broDo;
    $_SESSION['dok_zag']['verzi'] = $verzi; 
 
    /*    
     if($dir=='agm') {
            error_log('Direktorij je:'.$fiskalizator->certifikat.'\n ');
            error_log('Lozinka:'.$fiskalizator->certLozinka.'\n ');
        }
    */
    $odgovor = $fiskalizator->posaljiZahtjevRacuna($racun);
    if(!$odgovor)
    {
        $JIR = NULL;
        $ZKI = $fiskalizator->getZKI();
        update_dok_zag_JIR_ZKI($JIR,$ZKI,$test);
        $text = 'Došlo je do greške: '; //</br>';
        $errors = $fiskalizator->getErrors() ;
        foreach ($errors as $error)
            $text = 'Error ==> "'.htmlspecialchars($error);//.'<br>';
        $text .= ' Detaljan opis greške nalazi se u: '.$fiskalizator->datotekaGreske.'<br>';
        //echo '<script type="text/javascript">
        //alert("'.$text.'")
        //</script>';
        $_SESSION['greska_fisk'] = $text;
        //include 'fiskal_error.php';
        unset($racun);
        unset($fiskalizator);
        return false;
    }
    else 
    {
        $JIR = $odgovor;
        //echo 'Zahtjev uspješno izvršen.<br>';
    }

    //echo 'JIR : '.$odgovor.'<br>ZKI: '. $fiskalizator->getZKI().'<br>';
    //echo 'Odgovor se nalazi u datoteci: '.$fiskalizator->datotekaOdgovora.'<br>';
    //echo 'Trajanje:'.$fiskalizator->trajanje.'<br>';

    $ZKI = $fiskalizator->getZKI();
    update_dok_zag_JIR_ZKI($JIR,$ZKI,$test);

    unset($racun);
    unset($fiskalizator);
    return true;
    
} 
?>
