-- partneri poslovne aplikacije
CREATE TABLE `partner` (
  `kodPartnera` varchar(13) NOT NULL,
  `nazivPartnera` varchar(70) NOT NULL,
  `mjestoSjedista` varchar(60) NOT NULL,
  `ulicaBroj` varchar(60) NOT NULL,
  `posPretinac` varchar(10) DEFAULT ' ',
  `mjestoPoste` varchar(60) NOT NULL,
  `brojPoste` varchar(10) NOT NULL,
  `sifraOpcine` int(11) DEFAULT '0',
  `sifraZupanije` int(11) DEFAULT '0',
  `pokrajina` varchar(50) DEFAULT ' ',
  `zemlja` char(3) DEFAULT NULL,
  `maticniBroj` varchar(13) DEFAULT ' ',
  `OIB` varchar(11) NOT NULL,
  `telefoni` varchar(50) DEFAULT ' ',
  `fax` varchar(34) DEFAULT ' ',
  `brojBankRacuna` varchar(60) DEFAULT ' ',
  `email` varchar(255) DEFAULT ' ',
  `www` varchar(50) DEFAULT ' ',
  `r12` varchar(1) DEFAULT '1',
  `vrstaPartnera` varchar(1) DEFAULT '0',
  `opis` text NOT NULL,
  `datumOtvaranja` datetime NOT NULL,
  `datumIzmjene` datetime DEFAULT '0000-00-00 00:00:00',
  `tkoJeIzmjenio` varchar(40) DEFAULT ' ',
  PRIMARY KEY (`kodPartnera`),
  KEY `mjestoSjedista` (`mjestoSjedista`),
  KEY `OIB` (`OIB`)
) DEFAULT CHARSET=utf8 ;
-- kod automatskog izbora šifri partnera kod prijave novih iz firme vadi početni
-- kod partnera i bira prvu slobodnu sifru >= pocetniKodPartnera(ako je 0 pocinje ispocetka)
-- vrstaPartnera 0-domaća poduzeća(firme obrti), 2-građani, 3-strani partneri