CREATE TABLE rate_kartice (
 proda VARCHAR(5)   NOT NULL,  
 vrsDo VARCHAR(2)   NOT NULL,
 proIn VARCHAR(5)   NOT NULL,  
 zapis VARCHAR(2)   NOT NULL,
 broDo INT          NOT NULL,
 verzi VARCHAR(3)   NOT NULL,
 brojStavke INT NOT NULL,
 valuta              DATETIME    DEFAULT NULL, 
 iznosRateKartice       DECIMAL(11,2)  DEFAULT NULL,
 vrstaRateKartice       VARCHAR(20) DEFAULT NULL,  
 datumOtvaranja     DATETIME NOT NULL,
 datumIzmjene       DATETIME DEFAULT NULL,
 tkoJeIzmjenio      VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (proda, vrsDo, proIn, zapis, broDo, verzi, brojStavke) 
) DEFAULT CHARSET=utf8;  
/* otplata faktura(dostavnica-račun) na rate(vrsta kartice = 'rata' za veleprodaje
                   valuta       iznosRateKartice brojStavke
   npr. prva rata  15.05.2015    2000 kn           1
        druga rata 15.08.2015    3000 kn           2
        treća rata 15.11.2015    1875,35           3

ili na više od jedne vrste kartica(npr. paragonac ili fiskalizirana faktura je plaćena GOTOVINOM, VISOM i AMERICAN)
    onda su gotovina i Visa navedene u dok_zag(u dok_zag je moguće plaćanje gotovinom i samo jednom vrstom kartice)
    a plaćanje AMERICAN karticom zabilježilo bi se pod broj stavke 1 u tabelu rate_kartice
    Prije stvarnog knjiženja dokumenta kontrolira se da li je ukupni iznos fakture ili npr. paragonca jednak  zbroju svih svih 
    otplata na rate ili zbroju svih kartica i gotovine. 
    Ovo se može koristiti kod dostavnica,paragonaca,predračuna,ponuda,faktura usluga,primki)
    
    vrstaRateKartice   može biti "rata" (kod veleprodaje gdje se dostavnica otplaćuje na rate)

    ili šifra kartice (kontrola na vrsKart iz tabele v_k_c)   npr. 10200 je kod za AMERICAN EXPRES kod Panex Dinamica)
    u slučaju da je plaćanje paragonca ili fiskalizirane dostavnice izvršeno sa više od jedne
    vrste kartica.

*/                        