CREATE TABLE IF NOT EXISTS `jedinice_mjere` (
  `kodJMJ` varchar(16) NOT NULL,
  `nazivJMJ` varchar(30) NOT NULL,
  `datumOtvaranja` datetime NOT NULL,
  `datumIzmjene` datetime DEFAULT NULL,
  `tkoJeIzmjenio` varchar(40) DEFAULT NULL,
  PRIMARY KEY (`kodJMJ`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- delete from jedinice_mjere;
insert into jedinice_mjere
(kodJMJ, nazivJMJ, datumOtvaranja, tkoJeIzmjenio )
select distinct jedinicaMjere, jedinicaMjere, now(), 'generirano' from maticna_robe 
where jedinicaMjere not in ( select kodJMJ from jedinice_mjere ) ;

