<?php
include_once 'model/tablica_db.php';

$tipka='Prihvat';
$tablica='blagdani_praznici';

$slogZaUnos=kreiraj_slog_tablice($tablica);

$poljaKljuca=get_primarni_kljuc($tablica);

$oznakeGreske['datum'] = '&nbsp;';   
$oznakeGreske['godinaZaKopiranje'] = '&nbsp;';   

$skriptaPregleda='dokumenti/view_pregled_blagdani_praznici.php';
$povratakIzPregleda='izabran_je_blagdan';
  
$dokument = 'Blagdani - praznici';
$slogIzBaze=null;

$greska='';
// kopiranje blagdana u novu godinu 
$godinaZaKopiranje='';
if(isset($_POST['kopirajBlagdane'])) {
    $godinaZaKopiranje=$_POST['godinaZaKopiranje'];
    if(strlen($godinaZaKopiranje)==4 && is_numeric($godinaZaKopiranje)) {
    //if(strlen($godinaZaKopiranje)==4) {
        include_once 'model/blagdani_praznici_db.php';
        $greskaKopiranje=kopiraj_blagdane_u_godinu($godinaZaKopiranje);
    }
    else {
        $greskaKopiranje = $greska = ' Pogrešna godina!';  
        $oznakeGreske['godinaZaKopiranje'] = '*';   
    } 
        
}

// samo za ovu formu, jer je u ključu datumsko polje
if(isset($_REQUEST['datum']))
    $slogZaUnos['datum']=$_REQUEST['datum'];
$greskaDatum = is_valid_datum($slogZaUnos['datum']);
$buduciDatum = stripos($greskaDatum, ' Budući datum ! ');
if ($buduciDatum === 0) 
    unset($greskaDatum); 
if (isset($greskaDatum)) {
    $greska .= ' Datum:'.$greskaDatum;  
    $oznakeGreske['datum'] = '*';   
} 
//------------

if(isset($_REQUEST['opSaDok']) || $action==$povratakIzPregleda) {
    // puni polja kljuca s poljima u $_POST ili $_GET i uzme slog iz baze ako postoji
    $slogZaUnos['datum']=$_REQUEST['datum'];
    if($greska == '')
        $slogIzBaze = get_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
}    

// za datume na nam ne treba vrijeme
$datumBezVremena=true;
include 'dokumenti/view_unos_zajednicki.php';

if(isset($greskaKopiranje)) {
    $greska=$greskaKopiranje;
    $potvrdaUnosa=FALSE;
}

if($potvrdaUnosa) {
    // Kontrola ispravnosti polja za unos i izmjenu
    if(trim($greska)=='' && $opSaDok!='Brisanje') {
        //include('dokumenti/prihvat_kontrola_radnika.php');
       
    }

    if(trim($greska)=='') {
        // brisanje ili upis u bazu
        switch ($_REQUEST['opSaDok']) {
            case 'Unos':
                add_slog_tablice($tablica, $slogZaUnos);
                $greska='Blagdan je uspješno upisan';
                break;
            case 'Izmjena':
                update_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                $greska='Blagdan je uspješno izmjenjen.';
                break;
            case 'Brisanje':
                delete_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                $greska='Blagdan je uspješno obrisan';
                break;
        } 
    }
}

include 'view/header.php'; 
?>

<form action="." method="post" id="view_zag">
<input type="hidden" name="action" value="view_blagdani_praznici" />
<table>
    <tr>
       <td><h1><?php echo $dokument; ?> </h1> &nbsp;</td>
       <td> 
          &nbsp; &nbsp; &nbsp; <span class="veca_slova_110">  
          <b>Operacije: &nbsp; </b> </span>
          <?php include 'dokumenti/operacije.php'; ?> 
       </td>
       <td> </td>
     </tr>
</table>
Datum:
<input type="text" size="8" name="datum" value="<?php echo $slogZaUnos['datum']; ?>" required pattern="[0-9]{2}.[0-9]{2}.[0-9]{4}" />  
 <span class="greska"><?php echo $oznakeGreske['datum']; ?> </span>  	
Naziv blagdana:
<input type="text" class="text_width_50em" name="nazivBlagdana" value="<?php echo $slogZaUnos['nazivBlagdana']; ?>" required /> 
<?php postaviTipkeUnosa($opSaDok, $greska) ; ?>
<p></p>
<input type="submit" id="prihvati" name='kopirajBlagdane' value="Kopiraj blagdane u:" />
<input type="text" class="text_width_4em" name="godinaZaKopiranje" value="<?php echo $godinaZaKopiranje; ?>" /> godinu.
 <span class="greska"><?php echo $oznakeGreske['godinaZaKopiranje']; ?> </span>  &nbsp; 
 <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
       " Služi da se u Novoj godini dodaju blagdani iz prošle godine,
       pa se onda samo izmjene datumi za Uskrs, Uskrsni ponedeljak
       i Tijelovo.
       Ovo se radi pod operacijom Pregled.      
      "
/>
 
</form>

<?php
include 'dokumenti/view_pregled_blagdani_praznici.php';
?>