<?php
require_once('./model/konta_db.php');
require_once('./model/kontni_moduli_db.php');
$tipka='Prihvat';
$slogZaUnos= array();

$slogZaUnos=array();
$slogZaUnos['kontniModul']='';
$slogZaUnos['brojStavke']='';
$slogZaUnos['nazivModula']='';
$slogZaUnos['stoSeKnjizi']=0;
$slogZaUnos['kontoDugovni']='';
$slogZaUnos['kakoSeKnjiziDugovni']='P';
$slogZaUnos['predznakDugovni']=1;
$slogZaUnos['kontoPotrazni']='';
$slogZaUnos['kakoSeKnjiziPotrazni']='P';
$slogZaUnos['predznakPotrazni']=1; 

$oznakeGreske['kontniModul']='&nbsp';
$oznakeGreske['stoSeKnjizi']='&nbsp';
$oznakeGreske['kontoDugovni']='&nbsp';
$oznakeGreske['kontoPotrazni']='&nbsp';
$poljaKljuca=array('kontniModul','brojStavke');
$skriptaPregleda='./dokumenti/view_pregled_kontni_moduli.php';
$povratakIzPregleda='izabran_je_kontni_modul';
$dokument='Kontni Moduli';
$slogIzBaze=null;

if(isset($_REQUEST['opSaDok']) || $action==$povratakIzPregleda) {
    if(isset($_REQUEST['opSaDok']))
        if($_REQUEST['opSaDok']=='Unos')
           $_REQUEST['brojStavke']=''; 

    // puni polja kljuca s poljima u $_POST ili $_GET i uzme slog iz baze ako postoji
    $slogZaUnos['kontniModul']=$_REQUEST['kontniModul'];
    $slogZaUnos['brojStavke']=$_REQUEST['brojStavke'];
    $slogIzBaze = get_kontni_modul($slogZaUnos['kontniModul'], $slogZaUnos['brojStavke']);
}    

if(isset($_REQUEST['opSaDok']))
    $opSaDok=$_REQUEST['opSaDok'];
else 
    $opSaDok='Unos';

if(!($opSaDok=='Prikaz' && trim($slogZaUnos['brojStavke'])=='')) {
    include 'dokumenti/view_unos_zajednicki.php';
}    
else {
    $potvrdaUnosa=false;
    $greska='';
} 
    


if($potvrdaUnosa) {
    // Kontrola ispravnosti polja za unos i izmjenu
    if(trim($greska)=='' && $opSaDok!='Brisanje') {
        if(trim($slogZaUnos['kontniModul'])=='') {
            $greska='Polje modul ne smije  biti prazno!';
            $oznakeGreske['kontniModul']='*';
        }
        if (trim($slogZaUnos['kontoDugovni'])=='' && trim($slogZaUnos['kontoPotrazni'])=='') {
            $greska = 'Unesite dugovni ili potražni konto!';
            $oznakeGreske['kontoDugovni']  = '*';
            $oznakeGreske['kontoPotrazni'] = '*';
        }
    }

    if(trim($greska)=='') {
        // brisanje ili upis u bazu
        switch ($_REQUEST['opSaDok']) {
            case 'Unos':
                add_kontni_modul($slogZaUnos);
                $greska='Kontni modul je uspješno upisan';
                break;
            case 'Izmjena':
                update_kontni_modul($slogZaUnos);
                $greska='Kontni modul je uspješno izmjenjen.';
                break;
            case 'Brisanje':
                delete_kontni_moduli($slogZaUnos['kontniModul'],$slogZaUnos['brojStavke']);
                $greska='Kontni modul je uspješno obrisan';
                break;

        } 
    }

}
?>
<form action="." method="post" id="view_zag">
<input type="hidden" name="action" value="view_kontni_moduli" />
<table>
    <tr>
       <td><h1><?php echo $dokument; ?> </h1> &nbsp;</td>
       <td> 
          &nbsp; &nbsp; &nbsp; <span class="veca_slova_110">  
          <b>Operacije: &nbsp; </b> </span>
          <?php include 'dokumenti/operacije.php'; ?> 
       </td>
       <td> </td>
     </tr>
</table>
Modul:
<input type="text" name="kontniModul" value="<?php echo $slogZaUnos['kontniModul']; ?>"  />
<span class="greska"><?php echo $oznakeGreske['kontniModul']; ?> </span> 
Naziv modula:
<input type="text" class="text_width_30em" name="nazivModula" value="<?php echo $slogZaUnos['nazivModula']; ?>"  />
Broj stavke: 
<input type="text" class="text_width_5em" name="brojStavke" value="<?php echo $slogZaUnos['brojStavke']; ?>" /> 
<p></p>
Što se knjiži se:
    <select name="stoSeKnjizi"><
    <optgroup label="ulazi">
        <option value="1"  <?php if($slogZaUnos['stoSeKnjizi'] == 1 ) echo 'selected="selected"'; ?> >1  zaliha bez poreza</option>
        <option value="10" <?php if($slogZaUnos['stoSeKnjizi'] == 10) echo 'selected="selected"'; ?> >10 ukalkulirani porez</option>
        <option value="12" <?php if($slogZaUnos['stoSeKnjizi'] == 12) echo 'selected="selected"'; ?> >12 zavisni ukalkulirani troškovi </option>
        <option value="14" <?php if($slogZaUnos['stoSeKnjizi'] == 14) echo 'selected="selected"'; ?> >14 transportni troškovi direktni ulaz</option>
        <option value="15" <?php if($slogZaUnos['stoSeKnjizi'] == 15) echo 'selected="selected"'; ?> >15 nabavan vrijednost 13 + 12</option>
        <option value="13" <?php if($slogZaUnos['stoSeKnjizi'] == 13) echo 'selected="selected"'; ?> >13 iznos za platiti dobavljaču</option>
        <option value="8"  <?php if($slogZaUnos['stoSeKnjizi'] == 8 ) echo 'selected="selected"'; ?> >8 RC</option>
        <option value="9"  <?php if($slogZaUnos['stoSeKnjizi'] == 9 ) echo 'selected="selected"'; ?> >9 nefakturirana roba</option>
        <option value="6"  <?php if($slogZaUnos['stoSeKnjizi'] == 6 ) echo 'selected="selected"'; ?> >6 MPU</option>
        <option value="20" <?php if($slogZaUnos['stoSeKnjizi'] == 20) echo 'selected="selected"'; ?> >20 Pretporez na kalkulaciji </option>
        <option value="23" <?php if($slogZaUnos['stoSeKnjizi'] == 23) echo 'selected="selected"'; ?> >23 povratna naknada 0.5</option>
        <option value="24" <?php if($slogZaUnos['stoSeKnjizi'] == 24) echo 'selected="selected"'; ?> >24 carina(ponaša se kao ukal.tr.12)</option>
    <optgroup label="izlazi">
        <option value="1"  <?php if($slogZaUnos['stoSeKnjizi'] == 1 ) echo 'selected="selected"'; ?> >1  zaliha bez poreza</option>
        <option value="2"  <?php if($slogZaUnos['stoSeKnjizi'] == 2 ) echo 'selected="selected"'; ?> >2  realizacija</option>
        <option value="3"  <?php if($slogZaUnos['stoSeKnjizi'] == 3 ) echo 'selected="selected"'; ?> >3  rabat + casas conto</option>
        <option value="4"  <?php if($slogZaUnos['stoSeKnjizi'] == 4 ) echo 'selected="selected"'; ?> >4  troškovi</option>
        <option value="5"  <?php if($slogZaUnos['stoSeKnjizi'] == 5 ) echo 'selected="selected"'; ?> >5  porez</option>
        <option value="6"  <?php if($slogZaUnos['stoSeKnjizi'] == 6 ) echo 'selected="selected"'; ?> >6  MPU</option>
        <option value="7"  <?php if($slogZaUnos['stoSeKnjizi'] == 7 ) echo 'selected="selected"'; ?> >7  iznos za platiti kupac</option>
        <option value="16"  <?php if($slogZaUnos['stoSeKnjizi'] == 16) echo 'selected="selected"'; ?> >16 stvarna RC  po izlazima</option>
        <option value="17"  <?php if($slogZaUnos['stoSeKnjizi'] == 17) echo 'selected="selected"'; ?> >17 trošak nabave  1-16 </option>
        <option value="18"  <?php if($slogZaUnos['stoSeKnjizi'] == 18) echo 'selected="selected"'; ?> >18 Transportni trošak. direkt. bez poreza</option>
        <option value="19"  <?php if($slogZaUnos['stoSeKnjizi'] == 19) echo 'selected="selected"'; ?> >19 Porez na tran.troškove 10 %</option>
        <option value="21"  <?php if($slogZaUnos['stoSeKnjizi'] == 21) echo 'selected="selected"'; ?> >21 Zaokruzenja</option>
        <option value="22"  <?php if($slogZaUnos['stoSeKnjizi'] == 22) echo 'selected="selected"'; ?> >22 usluga na paragoncima (bez poreza i umanjena za popust)</option>
        <option value="23"  <?php if($slogZaUnos['stoSeKnjizi'] == 23) echo 'selected="selected"'; ?> >23 povratna naknada 0.5*KOL</option>
    </select>
<p></p>
Dugovni konto:
<?php kreirajPoljeKonta('kontoDugovni', $slogZaUnos['kontoDugovni']); ?>
<span class="greska"><?php echo $oznakeGreske['kontoDugovni']; ?> </span> 
Kako se knjiži:
    <select name="kakoSeKnjiziDugovni"><
        <option value="P" <?php if($slogZaUnos['kakoSeKnjiziDugovni'] == 'P') echo 'selected="selected"'; ?> >pojedinačne stavke</option>
        <option value="K" <?php if($slogZaUnos['kakoSeKnjiziDugovni'] == 'K') echo 'selected="selected"'; ?> >kumulativno</option>
    </select>
Predznak:
    <select name="predznakDugovni"><
        <option value="1" <?php if($slogZaUnos['predznakDugovni'] == 1) echo 'selected="selected"'; ?> >+</option>
        <option value="-1" <?php if($slogZaUnos['predznakDugovni'] == -1) echo 'selected="selected"'; ?> >-</option>
    </select>
Potražni konto:
<?php kreirajPoljeKonta('kontoPotrazni', $slogZaUnos['kontoPotrazni']); ?>
<span class="greska"><?php echo $oznakeGreske['kontoPotrazni']; ?> </span> 
Kako se knjiži:
    <select name="kakoSeKnjiziPotrazni"><
        <option value="P" <?php if($slogZaUnos['kakoSeKnjiziPotrazni'] == 'P') echo 'selected="selected"'; ?> >pojedinačne stavke</option>
        <option value="K" <?php if($slogZaUnos['kakoSeKnjiziPotrazni'] == 'K') echo 'selected="selected"'; ?> >kumulativno</option>
    </select>
Predznak:
    <select name="predznakPotrazni"><
        <option value="1" <?php if($slogZaUnos['predznakPotrazni'] == 1) echo 'selected="selected"'; ?> >+</option>
        <option value="-1" <?php if($slogZaUnos['predznakPotrazni'] == -1) echo 'selected="selected"'; ?> >-</option>
    </select>
<?php postaviTipkeUnosa($opSaDok, $greska) ; ?>
</form> 

<!-- Prikaz svih stavaka unutar jednog modula -->
<?php 
if (isset($_REQUEST['kontniModul'])) {
$knjizenja= array(1 =>'1  zaliha bez poreza', 2=>'2 realizacija', 3=>'3  rabat + casas', 4=>'4  troškovi', 5=>'5  porez', 6=>'6  MPU', 7=>'7  iznos za platiti kupac',
                  8=>'8 RC', 9=>'9 nefakturirana roba', 10=>'10 ukalkulirani porez', 12=>'12 zavisni ukalkulirani troškovi', 13=>'13 iznos za platiti dobavljaču',
                  14=>'14 transportni troškovi direktni ulaz', 15=>'15 nabavan vrijednost 13 + 12', 15=>'16 stvarna RC  po izlazima', 17=>'17 trošak nabave  1-16',
                  18=>'18 Transportni trošak. direkt. bez poreza', 19=>'19 Porez na tran.troškove 10 %', 20=>'20 Pretporez na kalkulaciji',
                  21=>'21 Zaokruzenja', 22=>'22 usluga na paragoncima (bez poreza i umanjena za popust)', 23=>'23 povratna naknada 0.5', 24=>'24 carina(ponaša se kao ukal.tr.12)'
                );    
$stavke=get_kontni_modul_sve_stavke($_REQUEST['kontniModul']);
if(count($stavke)>0) {
    $RB=0;
?>
<table class="t_lista" >
<thead>
 <tr>
    <th class="left" style="padding-left: 1em">Stavka &nbsp;</th>
    <th class="left">Što se knjiži &nbsp;</th>
    <th class="left" style="padding-left: 1em">Dugovni konto &nbsp;</th>
    <th class="left">Kako se knjiži &nbsp;</th>
    <th class="left">Predznak &nbsp;</th>
    <th class="left">Potražni konto &nbsp;</th>
    <th class="left">Kako se knjiži &nbsp;</th>
    <th class="left">Predznak &nbsp;</th>
  </tr>
</thead>
<?php foreach ($stavke as $slog) : ?>
 <?php 
   $RB = $RB + 1 ;
   $ostatak = $RB % 2;
   if ($ostatak == 0) {
      $pozadina = 'pozadina1';
   } else {
      $pozadina = 'pozadina2';
   }
   ?> 
  <tr class="<?php echo $pozadina;?>">
    <td class="left" style="padding-left: 1em">                    
        <a href="<?php echo './?action=view_kontni_moduli&opSaDok=Prikaz&kontniModul='.$slog['kontniModul'].'&brojStavke='
                . $slog['brojStavke']; ?>">
    <?php echo $slog['brojStavke']; ?></a>&nbsp;</td> 
    <td class="left" >
        <?php echo $knjizenja[$slog['stoSeKnjizi']]; ?>
    </td>  
    <?php if(trim($slog['kontoDugovni'])=='') : ?>
        <td colspan="3" ></td> 
    <?php else :?>
        <td class="left" style="padding-left: 1em">
            <?php echo $slog['kontoDugovni']; ?>
        </td>  
        <td class="left" >
            <?php echo ($slog['kakoSeKnjiziDugovni'])=='P'?'Pojedinačne stavke':'kumulativno'; ?>
        </td>  
        <td style="text-align: center" >
            <?php echo ($slog['predznakDugovni']==1)?'+':'-'; ?>
        </td>
    <?php endif; ?>    
    <?php if(trim($slog['kontoPotrazni'])=='') : ?>
        <td colspan="3" ></td> 
    <?php else :?>
        <td class="left" >
            <?php echo $slog['kontoPotrazni']; ?>
        </td>  
        <td class="left" >
            <?php echo ($slog['kakoSeKnjiziPotrazni'])=='P'?'Pojedinačne stavke':'kumulativno'; ?>
        </td>  
        <td class="left" style="text-align: center">
            <?php echo ($slog['predznakPotrazni']==1)?'+':'-'; ?>
        </td>  
    <?php endif; ?>    
  </tr>
<?php endforeach; ?>
</table>
<?php
}

}

