<?php
require_once('./model/veze_db.php');
function cistiSlogGK(&$slogGk) {
    $slogGk['brojTemeljnice']=0; 
    $slogGk['brojStavke']=0; 
    $slogGk['konto']=''; 
    $slogGk['kodPartnera']=''; 
    $slogGk['vrsDo']=''; 
    $slogGk['broDo']=''; 
    $slogGk['brojIzvoda']=0;
    $slogGk['DVO']='';
    $slogGk['valuta']=''; 
    $slogGk['iznosDug']=0;
    $slogGk['iznosPot']=0;
    $slogGk['opisKnjizenja']=''; 
    $slogGk['brojDobRacuna']=''; 
    $slogGk['pozivNaBroj']='';
    //$slogGk['iznosPdv']=0;
    $slogGk['vrstaRacuna']='R1';
    $slogGk['PDVstatus']='';
    //$slogGk['neoporezivIznos']=0;
    
}

function puniZaglavljeGK(&$slogGk, $izvor=null) {
    // zaglavlje  temeljnice  može uzeti iz $_REQUEST ($_POST ili $_GET) ili iz $_SESSION['temeljnice'][$brojTemeljnice][$brojIzvoda]
    // ako $izvor nije naveden uzima iz $_REQUEST
    if($izvor===null)
        $izvor=$_REQUEST;
    $slogGk['brojTemeljnice']=$izvor['brojTemeljnice'];
    $slogGk['vrsDo']=$izvor['vrsDo'];
    if($slogGk['vrsDo']=='40') {
        if(isset($_SESSION['temeljnice'][$slogGk['brojTemeljnice']][$slogGk['vrsDo']][$slogGk['brojIzvoda']][0])) {
            // ako temeljnica nije prazna uzima datum banke i broj izvoda iz prve stanke
            $slogGk['DVO']=$_SESSION['temeljnice'][$slogGk['brojTemeljnice']][$slogGk['vrsDo']][$slogGk['brojIzvoda']][0]['DVO'];
        }
        else {
            // temeljnica je prazna uzima unesene vrijednosti
            if(isset($izvor['DVO']))
                $slogGk['DVO']=$izvor['DVO'];
            $slogGk['brojIzvoda']=$izvor['brojIzvoda'];
        }
        $slogGk['valuta']=$slogGk['DVO'];    
    }    
}

function brisiStavkuGK($brojTemeljnice, $vrsDo, $brojIzvoda, $brojStavke) {
    if(!isset($_SESSION['temeljnice'][$brojTemeljnice][$vrsDo][$brojIzvoda][$brojStavke]))
        return false;
    
    $temeljnica=$_SESSION['temeljnice'][$brojTemeljnice][$vrsDo][$brojIzvoda];
    delete_gk_stavku($brojTemeljnice, $temeljnica[$brojStavke]['brojStavke']);
    $nova=array();
    $i=0;
    foreach ($temeljnica as $index => $slog) {
        if($index==$brojStavke)
            continue;
        //$slog['brojStavke']=++$i;
        $nova[]=$slog;
        //if($index>$brojStavke)
    }
    $_SESSION['temeljnice'][$brojTemeljnice][$vrsDo][$brojIzvoda]=$nova;
    return true;
}

function citajTemeljnicuIzBaze($brojTemeljnice,$vrsDo,$brojIzvoda) {
    $shema=array();
    cistiSlogGK($shema);
    unset($_SESSION['temeljnice'][$brojTemeljnice][$vrsDo][$brojIzvoda]);
    $temeljnica=get_gk_temeljnicu($brojTemeljnice, $vrsDo, $brojIzvoda);
    if(count($temeljnica)>0) {
        foreach ($temeljnica as $stavka) {
            $pomStavka=puni_slog($shema, $stavka);

            if(trim($stavka['valuta'])!='' ) {
                $datum = new DateTime($stavka['valuta']);
                $pomStavka['valuta'] = $datum->format("d.m.Y");
            }
            if(trim($stavka['DVO'])!='' ) {
                $datum = new DateTime($stavka['DVO']);
                $pomStavka['DVO'] = $datum->format("d.m.Y");
            }    
            if(is_ulazni_dokument($pomStavka['vrsDo'])) {
                $gk_pdv=get_gk_pdv($pomStavka['brojTemeljnice'], $pomStavka['brojStavke']);
                if(count($gk_pdv)>0)
                    $pomStavka['gk_pdv']=$gk_pdv;
            }
            $pomStavka['izmjenjeno']=false;
            $_SESSION['temeljnice'][$brojTemeljnice][$vrsDo][$brojIzvoda][]=$pomStavka;
            
        }
        return true;
    }
    else {
        return false;
    }
    
}
/*
Za salda-konto konte potrebna kontrola na dupli ključ KEY dokument (konto, vrsDo, broDo)(ne može se isti broj dokumenta
     unjeti na istom kontu na različitim poslovnim partnerima)
*/
function kontrolaBroDo($slog) {
    $konto=get_konto($slog['konto']);
    if($konto['vrstaKonta']!='S'  || trim('kodPartnera')=='')
        return '';
    if(isset($_SESSION['temeljnice'][$slog['brojTemeljnice']][$slog['vrsDo']][$slog['brojIzvoda']])) {
        // gleda dali postoji u memoriji unutar iste temeljnice
        foreach ($_SESSION['temeljnice'][$slog['brojTemeljnice']][$slog['vrsDo']][$slog['brojIzvoda']] as $stavka) {
            if($stavka['brojStavke']==$slog['brojStavke'])
                continue;
            $konto=get_konto($stavka['konto']);
            if($konto['vrstaKonta']!='S')
                continue;
            if($stavka['broDo']==$slog['broDo'] && $stavka['konto']==$slog['konto'] && $stavka['vrsDo']==$slog['vrsDo'] 
                && $stavka['kodPartnera']!=$slog['kodPartnera'])
                return 'Temeljnica:'.$slog['brojTemeljnice'].', stavka broj:'.$stavka['brojStavke'].' za isti broj dokumenta i isti konto ima različitog partnera:'
                .$stavka['kodPartnera']. '!';
            if($stavka['broDo']==$slog['broDo'] && $stavka['konto']==$slog['konto'] && $stavka['vrsDo']==$slog['vrsDo'])
                return 'Temeljnica:'.$slog['brojTemeljnice'].', stavka broj:'.$stavka['brojStavke'].' broj dokumenta već postoji!';
        }
    }
    $dupliDok=get_gk_dupli_dokument($slog);
    if(is_array($dupliDok)) {
        return 'Temeljnica:'.$dupliDok['brojTemeljnice'].', stavka broj:'.$dupliDok['brojStavke'].' broj dokumenta već postoji!';
        
    }
    return '';
}
function UFARazradaIzPosta($razradaUFA) {
   for ($i = 0; $i < count($_REQUEST['poreznaGrupa']); $i++) {
       $razradaUFA[$i]['poreznaGrupa']=$_REQUEST['poreznaGrupa'][$i];
       $razradaUFA[$i]['osnovica'] = $_REQUEST['osnovica'][$i];
       $p=get_porez($_REQUEST['poreznaGrupa'][$i]);
       $razradaUFA[$i]['stopa']=$p['PDV'];
       $razradaUFA[$i]['iznosPDV']=$_REQUEST['iznosPDV'][$i];
   }
   return $razradaUFA;
}
function listaPorezneGrupeGK($naziv, $poreznaGrupa,$start=0) {
    $lista='<select name="'.$naziv.'">';
    $slogovi = get_porezi();
    for ($i = $start; $i < count($slogovi); $i++) {
        $lista.='<option value="'.$slogovi[$i]['poreznaGrupa'].'"';
        if ($slogovi[$i]['poreznaGrupa'] ==  $poreznaGrupa){
               $lista.=' selected="selected"';
         } 
        $lista.='>'.$slogovi[$i]['poreznaGrupa'].'('.$slogovi[$i]['PDV'].'%) </option>';
    }
    $lista.='</select>';
    echo $lista;
}
function is_ulazni_dokument($vrsDo) {
    return ($vrsDo=='10' || $vrsDo=='11' || $vrsDo=='12');    
}
function zatvaranjeStavaka($stavka, $vezneStavke, $iznosVeza) {
    $dokument=stringUDokument($stavka);
    $n=count($vezneStavke);
    for ($i = 0; $i < $n; $i++) {
        $iznosVeze=round((float)str_replace(',', '.', $iznosVeza[$i]),2);
        if($iznosVeze<>0) {
            $vezniDokument=stringUDokument($vezneStavke[$i]);
            add_veze($dokument['brojTemeljnice'], $dokument['brojStavke'], $vezniDokument['brojTemeljnice'], $vezniDokument['brojStavke'], $iznosVeze);
        }    
    }
}
//briše sve veze na stavki
function otvaranjeStavke($stavka) {
    global $db;
    $db->beginTransaction();
    $veze=get_veze_po_dokumentu($stavka);
    $slogVeze=array();
    foreach ($veze as $veza) {
        if($veza['vrstaVeze']=='glavni') {
            $slogVeze['konto']=$veza['konto'];
            $slogVeze['kodPartnera']=$veza['kodPartnera'];
            $slogVeze['vrsDo']=$veza['vrsDo'];
            $slogVeze['broDo']=$veza['broDo'];
            $slogVeze['vKonto']=$veza['kontoVeze'];
            $slogVeze['vKodPartnera']=$veza['kodPartneraVeze'];
            $slogVeze['vVrsDo']=$veza['vrsDoVeze'];
            $slogVeze['vBroDo']=$veza['broDoVeze'];
            $slogVeze['iznosVeze']=$veza['iznosVeze'];
        }else {
            $slogVeze['konto']=$veza['kontoVeze'];
            $slogVeze['kodPartnera']=$veza['kodPartneraVeze'];
            $slogVeze['vrsDo']=$veza['vrsDoVeze'];
            $slogVeze['broDo']=$veza['broDoVeze'];
            $slogVeze['vKonto']=$veza['konto'];
            $slogVeze['vKodPartnera']=$veza['kodPartnera'];
            $slogVeze['vVrsDo']=$veza['vrsDo'];
            $slogVeze['vBroDo']=$veza['broDo'];
            $slogVeze['iznosVeze']=$veza['iznosVeze'];
            
        }
        //var_dump($slogVeze);
        delete_veze($slogVeze);    
    } 
    //$db->rollBack();
    $db->commit();
}
function stringUDokument($s) {
    $p=explode('|', $s);
    return array('brojTemeljnice' => $p[0], 'brojStavke' => $p[1]);
}
?>