<link rel="stylesheet" type="text/css" href="<?php echo $app_path ?>/od/styles/hzzo_potvrda_o_placi.css" />

<style>
</style>
    
<?php
require_once('dokumenti/komponenteZaPlace.php');
$naslov = 'HZZO potvrda o plaći';
$greska = '';
$maksHZZOiznos = 4257.28;
if(isset($_POST['mjesecObracunaOd'])) {  
    // prihvaćeni su podaci s ekrana
    $mjesecObracunaOd = $_POST['mjesecObracunaOd'];
    $godinaObracunaOd = $_POST['godinaObracunaOd'];
    $mjesecObracunaDo = $_POST['mjesecObracunaDo'];
    $godinaObracunaDo = $_POST['godinaObracunaDo'];
    $kodRadnika = $_POST['kodRadnika'];
}
else {
    $danas = new DateTime();
    $d = new DateTime($danas->format('Y').'-'.$danas->format('m').'-1');
    $d->modify('-3 month');
    // $d->modify('-2 month');
    $godinaObracunaDo = $d->format('Y');
    $mjesecObracunaDo = $d->format('m');
    $d->modify('-5 month');
    $godinaObracunaOd = $d->format('Y');
    $mjesecObracunaOd = $d->format('m');
    $kodRadnika = '';
}
?>


<form action="." method="post" id="view_hzzo_potvrda_o_placi">
<input type="hidden" name="action" value="view_hzzo_potvrda_o_placi" />
<!-- <h1><?php echo $naslov; ?> </h1> -->

<div id="panel" style="background-color: #EAFFEF; border: solid 1px grey; padding: 0.4em">
    <h1><?php echo $naslov; ?> </h1>
Djelatnik: &nbsp;&nbsp;<?php listaRadnikaPoImenu("kodRadnika", $kodRadnika,false,$samoAktivni=true); ?> &nbsp;
Mjesec od: 
<?php listaMjeseci("mjesecObracunaOd", $mjesecObracunaOd); ?> 
godina od: 
<input type="text" class="text_width_3em" name="godinaObracunaOd" id="godinaObracunaOd" value="<?php echo $godinaObracunaOd; ?>" 
       pattern="20[0-9][0-9]" required title="Unesite godinu obračuna tipa 20XX."/> 
 mjesec do: 
<?php listaMjeseci("mjesecObracunaDo", $mjesecObracunaDo); ?> 
godina do: 
<input type="text" class="text_width_3em" name="godinaObracunaDo" id="godinaObracunaDo" value="<?php echo $godinaObracunaDo; ?>" 
        pattern="20[0-9][0-9]" required title="Unesite godinu obračuna tipa 20XX."/> &nbsp;&nbsp;
<p></p>

<p></p>



<?php postaviTipkeUnosa('Unos', $greska) ; ?>

</div>
<br>   
</form>

<?php
if(isset($_POST['mjesecObracunaOd'])) {  
    require_once('./model/obracuni_placa_db.php');
    $place = get_place_za_hzzo($godinaObracunaOd, $mjesecObracunaOd, $godinaObracunaDo, $mjesecObracunaDo, $kodRadnika);
    if(count($place)<1) {
        echo "Ne postoje podaci!";
        include ('view/footer.php');
        exit;
    }

    $gOd = (int)$godinaObracunaOd;
    if((int)$mjesecObracunaOd==12) {
        $mOd = 1;
        $gOd++;
    }
    else {
        $mOd = (int)$mjesecObracunaOd +1;    
    }
    $gDo = (int)$godinaObracunaDo;
    if((int)$mjesecObracunaDo==12) {
        $mDo = 1;
        $gDo++;
    }
    else {
        $mDo = (int)$mjesecObracunaDo  + 1;    
    }
    $dDo = new DateTime($gDo.'-'.$mDo.'-01');
    
    $firma = get_poslovnica(0);
    $radnik = get_radnik1($kodRadnika);
    $datumRodjenja = new DateTime($radnik["datumRodjenja"]);
    $p = explode(' ', $radnik['imeIprezime']);
    ?>
<div class="stranica" >
<table id="glavna" class="t_lista_primka_" border="1" >
<tr>
    <td class="lijeviBox">
        <div class="text_centar">
            NAZIV OBVEZNIKA UPLATE DOPRINOSA <br>
        </div>
        <div class="text_centar">
            <?php echo $firma['nazivPoslovnice']; ?>
        </div>
        <br><br><br> &nbsp; &nbsp;
        Broj obveze:  ....................................................................................................
    </td>
    <td class="naslovniBox">
        POTVRDA <br> o plaći 
    </td>
</tr>
<tr>
    <td class="lijeviBox">
        <div class="text_lijevo">
        1. PODACI O OSIGURANIKU <br>
        </div>
        <div class="text_lijevo">
        Prezime: <?php echo $p[1] ?> <br>
        </div>
        <div class="text_lijevo">
        Dan, mjesec, godina rođenja: <?php echo $datumRodjenja->format('d').'.'.$datumRodjenja->format('m').'.'.$datumRodjenja->format('Y'); ?> <br>
        </div>
    </td>
    <td class="desniBox">
        <div class="text_lijevo">
            &nbsp;&nbsp;<br>
        </div>
        <div class="text_lijevo">
        Ime: <?php echo $p[0] ?> <br>
        </div>
        <div class="text_lijevo">
        OIB: <?php echo $radnik['OIB'] ?> <br>
        </div>
    </td>
</tr>
<tr>
    <td colspan="2" >    
        <div class="text_drugi_stup">
        Osiguranik individualne kapitalizirane štednje - II stup mirovinskog osiguranja: <?php echo $radnik['drugiStup']=='D'?'Da':'Ne'; ?>
        </div>
    </td>
</tr>
<tr>
    <td colspan="2" class="dvostrukiBox">    
    <p>
        2. PODACI O IZNOSIMA PLAĆE KOJA JE OSIGURANIKU ISPLAĆENA U POSLJEDNJIH ŠEST MJESECI PRIJE MJESECA U KOJEM JE NASTUPIO SLUČAJ NA OSNOVI KOJEG SE STJEČE PRAVO NA NAKNADU  <br><br>
        tj. u razdoblju od: <?php echo '1.'.$mOd.'.'.$gOd; ?> do: <?php echo $dDo->format('t').'.'.$mDo.'.'.$gDo; ?>, a za mjesece:
    </p>
    <br>

<table class="tablica" >
    <!--<thead>-->
    <tr class="tbl_headr">
        <td rowspan="3">Isplata za<br>mj/god</td>
        <td rowspan="3">Plaća</td>
        <td rowspan="3">Isplaćena <br> plaća</td>
        <td colspan="6">Broj sati</td>
    </tr>
    <tr class="tbl_headr">
        <td colspan="2">provedenih na radu s</td>        
        <td rowspan="2">Odsutnost  <br> s rada s pravom<br>na naknadu<br>plaće po ZOR-u</td>
        <td rowspan="2">Ukupno sati</td>
        <td rowspan="2">Sati bolovanja <br>na teret HZZO</td>
        <td rowspan="2">Sati prema <br>kalendaru <br>radnog <br>vremena</td>
    </tr>
    <tr class="tbl_headr">
        <td>punom <br> radnom <br>vremenu</td>
        <td>dužem od<br>punog radnog<br>vremena</td>
    </tr>
    <tr class="tbl_headr">
        <td>1</td>
        <td>2</td>
        <td>3</td>
        <td>4</td>
        <td>5</td>
        <td>6</td>
        <td>7</td>
        <td>8</td>
        <td>9</td>
    </tr>
    <!--</thead>-->
    <?php
        $brojMjeseci = 0;
        $ukupnoBruto = $ukupnoNeto = $ukupnoSati = $ukupnoHZZOSati = $ukupnoPrekovremeniSati = $ukupnoSatiRedovno = $ukupnoSatiNenazocnost = $ukupniFondSati = 0;
        
        
        foreach ($place as $placa) {
            $primici = pregledUnesenihPrimitaka($placa['godinaObracuna'], $placa['mjesecObracuna'], $placa['godinaObracuna'], $placa['mjesecObracuna'], $placa['vrstaPlace'], 
                                                 $placa['verzijaPlace'], '' /*$vrstaJOPPDizvjesca*/, $placa['kodRadnika'], '' /* $hzzoPrimitak */);
            $HZZOSati = $placa['satiBolovanjeHZZO']; 
            $HZZOsveSati = $placa['satiBolovanjeHZZOsve']; 
            
            $satiRedovno = $placa['brutoSatiNazocnost'] - $placa['prekovremeniSati'];
            $satiNenazocnost = $placa['brutoSati'] - $placa['brutoSatiNazocnost'];
            
            $ukupnoBruto += $placa['brutoIznos'];
            $ukupnoNeto += $placa['netoIznos'];
            $ukupnoSati += round($placa['brutoSati']);
            $ukupnoHZZOSati += $HZZOSati + $HZZOsveSati;
            $ukupnoSatiRedovno += $satiRedovno;
            $ukupnoPrekovremeniSati += $placa['prekovremeniSati'];
            $ukupnoSatiNenazocnost += $satiNenazocnost;
            $ukupniFondSati += $placa['ukupniFondSati'];
            $brojMjeseci ++;
        ?>
    <tr>
        <td> <?php echo $placa['mjesecObracuna'].'/'.$placa['godinaObracuna'] ?> </td>
        <td class="right td_bodi"  > <?php echo number_format($placa['brutoIznos'], 2,',','.') ?> </td>
        <td class="right td_bodi"  > <?php echo number_format($placa['netoIznos'], 2,',','.') ?> </td>
        <td class="right td_bodi"  > <?php echo number_format($satiRedovno, 0,',','.') ?> </td>
        <td class="right td_bodi"  > <?php echo format_ili_prazno($placa['prekovremeniSati'], 0,',','.') ?> </td>
        <td class="right td_bodi"  > <?php echo format_ili_prazno($satiNenazocnost, 0,',','.') ?> </td>
        <td class="right td_bodi"  > <?php echo number_format($placa['brutoSati'], 0,',','.') ?> </td>
        <td class="right td_bodi"  > <?php echo format_ili_prazno(($HZZOSati+$HZZOsveSati), 0,',','.') ?> </td>
        <td class="right td_bodi"  > <?php echo number_format($placa['ukupniFondSati'], 0,',','.') ?> </td>

        
    </tr>
        <?php
        }
if($ukupnoSati>0) {        
    $satnicaBruto = $ukupnoBruto/$ukupnoSati;
    $satnicaNeto = $ukupnoNeto/$ukupnoSati;
}
else $satnicaBruto = $satnicaNeto = 0;

$mDo++;
if($mDo>12) {
    $mDo-=12;
    $gDo++;
}
$tablica='fond_sati';
$poljaKljuca=get_primarni_kljuc($tablica);
$slogKljuca['mjesec']=$mDo;
$slogKljuca['godina']=$gDo;   
$fond_sati = get_slog_tablice($tablica, $slogKljuca, $poljaKljuca);

?>
    <!--<tfoot>-->
    <tr>    
    <td>Ukupno:</td>
        <td class="right td_bodi"  > <?php echo number_format($ukupnoBruto, 2,',','.') ?> </td>
        <td class="right td_bodi"  > <?php echo number_format($ukupnoNeto, 2,',','.') ?> </td>
        <td class="right td_bodi"  > <?php echo number_format($ukupnoSatiRedovno, 0,',','.') ?> </td>
        <td class="right td_bodi"  > <?php echo format_ili_prazno($ukupnoPrekovremeniSati, 0,',','.') ?> </td>
        <td class="right td_bodi"  > <?php echo format_ili_prazno($ukupnoSatiNenazocnost, 0,',','.') ?> </td>
        <td class="right td_bodi"  > <?php echo number_format($ukupnoSati, 0,',','.') ?> </td>
        <td class="right td_bodi"  > <?php echo format_ili_prazno($ukupnoHZZOSati, 0,',','.') ?> </td>
        <td class="right td_bodi"  > <?php echo number_format($ukupniFondSati, 0,',','.') ?> </td>
    </tr>
    <!--</tfoot>-->
    
</table>
<br>
    
</td>    
</tr>
</table>
<div class="zadnjiBox"    
<p>
3. Osnovicu čini prosječni iznos plaće isplaćene u posljednjih šest mjeseci,   
<br><br>
a koja iznosi <?php echo number_format($satnicaBruto, 2,',','.') ?> kn po satu - bruto, odnsno <?php echo number_format($satnicaNeto, 2,',','.') ?> kn po satu - neto. </b>
</p>    
<?php
if(isset($fond_sati)) if(is_array($fond_sati)) {
?> 
<br><br>
<p>
Maksimalni iznos za priznavanje HZZO iznosi <?php echo number_format($maksHZZOiznos, 2,',','.') ?> kn ,
    u tom slučaju za mjesec <?php echo $mDo.'/'.$gDo ?> satnica iznosi <?php echo number_format($maksHZZOiznos/$fond_sati['mjesecniFondSati'], 2,',','.') ?> kn po satu. 
</p>    

<?php
}
?>
<div class="napomena">
    <div class="d1"> 
      U ................................................................................ 20 ..... g.
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
      ..................................................................................<br>
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
      Ime i prezime/OIB odgovorned osobe
    </div>  
Napomena:<br><br>
Za štetu koja bi nastala zbog davanja netočnih podataka odgovara obveznik uplate doprinosa u skladu sa Zakonom o <br>
obveznom zdravstvenom osiguranju

</div>
</div>
</div>
<?php
}
?>
