<?php
include_once './dokumenti/komponenteZaPlace.php';
include_once '../model/maticna_radnika_db.php';
include_once './model/obracuni_placa_db.php';
include_once './model/krediti_obustave_db.php';

$greska='';
$oznakeGreske['godinaObracunaOd'] = '&nbsp;';


$naslov='Krediti-obustave po plaćama,stanje obustava';
$primici_po_obracunu = array();

$firma = get_poslovnica('0');
$danas = new DateTime();
// *************************************************************************************************************************************

if(isset($_POST['mjesecObracunaOd'])) {  
    // prihvaćeni su podaci s ekrana
    $mjesecObracunaOd = $_POST['mjesecObracunaOd'];
    $godinaObracunaOd = $_POST['godinaObracunaOd'];
    $vrstaPlace = $_POST['vrstaPlace'];
    $verzijaPlace = $_POST['verzijaPlace'];
    $kodRadnika = $_POST['kodRadnika'];
    $mjesecObracunaDo = $_POST['mjesecObracunaDo'];
    $godinaObracunaDo = $_POST['godinaObracunaDo'];
    //$vrstaPrikaza = $_POST['vrstaPrikaza'];   
    //$virmanPojedinacniGrupni = $_POST['virmanPojedinacniGrupni'];
    $kodKredita = $_POST['kodKredita'];
    $vrstaJOPPDizvjesca=$_POST['vrstaJOPPDizvjesca'];
    $kodBanke=$_POST['kodBanke'];
    
    if(trim($greska)=='') {
        if(trim($kodBanke)!='') {
            // kontrola i preuzimanje partnera
            if(isset($_GET['kodPartnera'])) {
                $kodBanke=$_GET['kodPartnera'];
                $_REQUEST['kodBanke'] = $_GET['kodPartnera'];
            }    
            
            $partner=get_partner($kodBanke);
            if(!is_array($partner)) {
            $pom=pretraga_partnera($kodBanke,'./dokumenti/view_krediti_po_obracunu.php');
                if(is_array($pom)) {
                    $partneri=$pom;
                     $pretraga_partner_header = false;
                     $imaNemaPartner = 'Ima';
                     include 'view/header.php';
                     include 'dokumenti/view_pretraga_partnera.php';
                     include 'view/footer.php';
                     exit;            
                }
            }
        }
    }    
}
else { // ušli smo iz menua
 
    $trenutniMjesec = $danas->format('m');
    if ($trenutniMjesec == 1) {
        $mjesecObracunaOd = 12;
        $trenutnaGodina = $danas->format('Y');
        $godinaObracunaOd = $trenutnaGodina -1;                 
    } else {
        $mjesecObracunaOd = $trenutniMjesec - 1;    
        $godinaObracunaOd = $danas->format('Y');
    }   
    $vrstaPlace='redPla';
    $verzijaPlace='';
    $kodRadnika=''; 
    $kodKredita='';
    $mjesecObracunaDo=$mjesecObracunaOd;
    $godinaObracunaDo=$godinaObracunaOd;
    $kodBanke = '';
    //$vrstaPrikaza = 'poStavkama';
    $xmlObrazac = ''; 
    $datumNaplateVirmana='';   
 //   $datumKreiranja=$danas->format('d.m.Y');   // današnji
    $datumKreiranja='';
    $joppdIdentifikator = '';
    $nazivInicijatoraPlacanja = ' ';
    $firmaPlatitelja = $firma['nazivPoslovnice']; // naziv poslovnice 0
    //$virmanPojedinacniGrupni = 'svi';
    $vrstaJOPPDizvjesca='';    
}
$brojRadnikaUobradi = 0;
$brojStavki = 0;
?>

<form action="." method="post" id="view_krediti_po_obracunu">
<input type="hidden" name="action" value="izabran_je_krediti_po_obracunu" />
<!-- <h1><?php echo $naslov; ?> </h1> -->

<div id="panel" style="background-color: #EAFFEF; border: solid 1px grey; padding: 0.4em">
    <h1><?php echo $naslov; ?> </h1>
Plaća za mjesec od: 
<?php listaMjeseci("mjesecObracunaOd", $mjesecObracunaOd); ?> 
godinu od: <input type="text" class="text_width_3em" name="godinaObracunaOd" id="godinaObracunaOd" value="<?php echo $godinaObracunaOd; ?>" 
               pattern="20[0-9][0-9]" required title="Unesite godinu obračuna tipa 20XX."/> 
    <span class="greska"><?php echo $oznakeGreske['godinaObracunaOd']; ?> </span>
Vrsta plaće: <?php listaVrstePlaca("vrstaPlace", $vrstaPlace); ?>  
Verzija: <input type="text" class="text_width_2em" name="verzijaPlace"  id="verzijaPlace" value="<?php echo $verzijaPlace; ?>" /> &nbsp; &nbsp;
Vrsta JOPPD izvješća: 
<?php vrstaJOPPDizvjesca("vrstaJOPPDizvjesca", $vrstaJOPPDizvjesca, true); ?> 
<p></p>
Plaća za mjesec do: 
<?php listaMjeseci("mjesecObracunaDo", $mjesecObracunaDo); ?> 
godinu do: <input type="text" class="text_width_3em" name="godinaObracunaDo" id="godinaObracunaDo" value="<?php echo $godinaObracunaDo; ?>" 
               pattern="20[0-9][0-9]" required title="Unesite godinu obračuna tipa 20XX."/> &nbsp;&nbsp;
Djelatnik: &nbsp;&nbsp; <?php listaRadnikaPoImenu("kodRadnika", $kodRadnika,TRUE,$samoAktivni=false); ?> &nbsp;
Banka-kreditor: <input type="text"  name="kodBanke"  id="kodBanke" value="<?php echo $kodBanke; ?>" placeholder="Dio naziva ili šifra " /> &nbsp;&nbsp;
Oznaka(kod) kredita: <input type="text"  class="text_width_8em" name="kodKredita"  id="kodKredita" value="<?php echo $kodKredita; ?>" /> 
<p></p>
<!--Krediti-obustave prema načinu isplate po virmanima:    
 <select name="virmanPojedinacniGrupni" id="virmanPojedinacniGrupni">  
    <option value="svi" <?php if($virmanPojedinacniGrupni == 'svi') echo 'selected="selected"'; ?> > Svi</option> 
    <option value="pojedi" <?php if($virmanPojedinacniGrupni == 'pojedi') echo 'selected="selected"'; ?> >Virman se isplaćuje pojedinačno za svakog radnika</option>
    <option value="grupni" <?php if($virmanPojedinacniGrupni == 'grupni') echo 'selected="selected"'; ?> >Virman se isplačuje grupno za svakog radnika</option>    
 </select>-->
<p></p>

<!-- <select name="vrstaPrikaza" id="vrstaPrikaza">  
    <option value="poStavkama" <?php if($vrstaPrikaza == 'poStavkama') echo 'selected="selected"'; ?> >detaljno po stavkama</option>
    <option value="kumulativno" <?php if($vrstaPrikaza == 'kumulativno') echo 'selected="selected"'; ?> >kumulativno</option>    
 </select>
&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-->


<p></p>
<?php postaviTipkeUnosa('Unos', $greska) ; ?>

</div>
<br>   
</form>

<?php 
if(isset($_POST['mjesecObracunaOd']) && trim($greska)=='') : 
    $krediti = get_pregled_krediti_po_obracunu($godinaObracunaOd, $mjesecObracunaOd, $godinaObracunaDo, $mjesecObracunaDo, 
                                               $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca, $kodRadnika, $kodBanke,'poRadniku');
    $ukupno=$ukupnoPoRadniku=$ukupnoRateKredita=$RB=$rbKredita=0;                                           
    $trenutniRadnik=$trenutniKredit=$nazivRadnika=$nazivKredita='';
    $kolonaUTablici=15;
?>
              
<!--<table border="1" class="t_lista_primka"  style="font-size: 115%;">-->
<table class="t_lista_primka" >
<thead>
 <tr>       
    <th class="left">&nbsp; Rb</th>
    <th class="left" style="min-width: 3em;">&nbsp; Godina <br> obracuna &nbsp;</th>
    <th class="left" style="min-width: 2em;">Mjesec <br> obracuna&nbsp;</th>
    <th class="left" style="min-width: 5em;">Vrsta<br>plaće&nbsp;</th>
    <th class="left" style="min-width: 2em;">Verzija <br>plaće&nbsp;</th>
    <th class="left" style="min-width: 2em;">&nbsp; Kod<br>radnika &nbsp;</th>
    <th class="left" style="min-width: 2em;">Ime i prezime radnika &nbsp;</th>
    <th class="left" style="min-width: 2em;">Kod banke&nbsp;</th>
    <th class="left" style="max-width: 15em;">Naziv banke&nbsp;</th>
    <th class="left" style="min-width: 2em;">Kredit &nbsp;</th>   
    <th class="right" style="min-width: 2em;">Iznos rate &nbsp;</th>
    <th class="left" style="min-width: 15em;">&nbsp;Model i poziv <br>platitelja &nbsp;</th>
    <th class="left" style="min-width: 2em;">Broj računa za isplatu(IBAN)&nbsp;</th>
    <th class="left" style="min-width: 2em;">Model i poziv<br> na broj primatelja &nbsp;</th>
    <th class="left" style="min-width: 2em;">Datum isplate &nbsp;</th>
    <th class="left" style="min-width: 2em;">JOPPD &nbsp;</th>
  </tr>
</thead>

<?php foreach ($krediti as $kredit) :
    $RB = $RB + 1;
    $ostatak = $RB % 2;
    if ($ostatak == 0) 
       $pozadina = 'pozadina1';
    else 
       $pozadina = 'pozadina2';

    if($nazivKredita!=$kredit['nazivKreditaObustave'] || $trenutniRadnik!=$kredit['kodRadnika']) {
        if($nazivKredita!='') {
        ?>
    <tr class="pozadinaSilver">
        <td colspan="10" style="padding-left: 1em">
            Ukupno kredit: <?php echo trim($trenutniKredit.' '.$nazivKredita) ?>
        </td>
        <td class="right">
            <?php echo number_format($ukupnoRateKredita, 2, ',', '.') ?> &nbsp;
        </td>
        <td colspan="5"></td>
    </tr>
        <?php
        }
        $trenutniKredit=$kredit['kodKredita'];
        $nazivKredita=$kredit['nazivKreditaObustave'];
        $ukupnoRateKredita=$rbKredita=0;
        
        if($trenutniRadnik!=$kredit['kodRadnika']) {
            if($trenutniRadnik!='') {
            ?>    
    <tr class="marker_plavi" >
        <td colspan="10" style="padding-left: 1em">
            Ukupno radnik: <?php echo $trenutniRadnik.' '.$nazivRadnika ?>
        </td>
        <td class="right">
            <?php echo number_format($ukupnoPoRadniku, 2, ',', '.') ?> &nbsp;
        </td>
        <td colspan="5"></td>
    </tr>
           <?php     
            }
            $trenutniRadnik=$kredit['kodRadnika'];
            $nazivRadnika=$kredit['imeIprezime'];
            $ukupnoPoRadniku=0;
        }
    }
    
    $ukupno+=$kredit['rataKredita'];
    $ukupnoPoRadniku+=$kredit['rataKredita'];
    $ukupnoRateKredita+=$kredit['rataKredita'];
    $datumIsplate=new DateTime($kredit['datumIsplatePlace']);
?>  
<tr class="<?php echo $pozadina;?>">
    <td class="right" style="padding-left: 1em">                    
        <?php echo ++$rbKredita; ?> &nbsp;
    </td> 
    <td class="left" style="padding-left: 1em">                    
        <?php echo $kredit['godinaObracuna']; ?> &nbsp;
    </td> 
    <td class="left">                    
        <?php echo $kredit['mjesecObracuna']; ?> &nbsp;
    </td> 
    <td class="left">                    
        <?php echo $kredit['vrstaPlace']; ?> &nbsp;
    </td> 
    <td class="left">                    
        <?php echo $kredit['verzijaPlace']; ?> &nbsp;
    </td> 
    <td class="left">                    
        <?php echo $kredit['kodRadnika']; ?> &nbsp;
    </td> 
    <td class="left">                    
        <?php echo $kredit['imeIprezime']; ?> &nbsp;
    </td> 
    <td class="left">                    
        <?php echo $kredit['kodBanke']; ?> &nbsp;
    </td> 
    <td class="left">                    
        <?php echo $kredit['nazivBanke']; ?> &nbsp;
    </td> 
    <td class="left">                    
        <?php echo trim($kredit['kodKredita'].' '.$kredit['nazivKreditaObustave']); ?> &nbsp;
    </td> 
    <td class="right">                    
        <?php echo number_format($kredit['rataKredita'], 2, ',', '.'); ?> &nbsp;
    </td> 
    <td class="left">                    
        <?php echo $kredit['modelPlatitelja'].' '.$kredit['pozivNaBrojPlatitelja']; ?> &nbsp;
    </td> 
    <td class="right">                    
        <?php echo $kredit['brojRacunaZaIsplatuKredita']; ?> &nbsp;
    </td> 
    <td class="left">                    
        <?php echo $kredit['modelPrimatelja'].' '.$kredit['pozivNaBrojPrimatelja']; ?> &nbsp;
    </td> 
    <td class="left">                    
        <?php echo $datumIsplate->format('d.m.Y'); ?> &nbsp;
    </td> 
    <td class="left">                    
        <?php echo $kredit['JOPPD']; ?> &nbsp;
    </td> 

</tr>




<?php endforeach; ?>

    <tr class="pozadinaSilver">
        <td colspan="10" style="padding-left: 1em">
            Ukupno kredit: <?php echo trim($trenutniKredit.' '.$nazivKredita) ?>
        </td>
        <td class="right">
            <?php echo number_format($ukupnoRateKredita, 2, ',', '.') ?> &nbsp;
        </td>
        <td colspan="5"></td>
    </tr>
    <tr class="marker_plavi" >
        <td colspan="10" style="padding-left: 1em">
            Ukupno radnik: <?php echo $trenutniRadnik.' '.$nazivRadnika ?>
        </td>
        <td class="right">
            <?php echo number_format($ukupnoPoRadniku, 2, ',', '.') ?> &nbsp;
        </td>
        <td colspan="5"></td>
    </tr>


<tfoot>
    <tr >
        <td colspan="10" style="padding-left: 1em">
            Ukupno:
        </td>
        <td class="right">
            <?php echo number_format($ukupno, 2, ',', '.') ?> &nbsp;
        </td>
        <td colspan="5"></td>
    </tr>

</table>
<?php endif; ?>

<br>
 
</table>

<?php



?>