<?php
// !$zakljucanaPlaca = true;
$primiciPoRadniku = get_primici_po_obracunu($slogZaUnos['godinaObracuna'], $slogZaUnos['mjesecObracuna'], $slogZaUnos['vrstaPlace'], 
                                          $slogZaUnos['verzijaPlace'], $slogZaUnos['vrstaJOPPDizvjesca'], $slogZaUnos['kodRadnika']);

if(count($primiciPoRadniku)>0) {
?>

    <table class="t_lista">
    <thead>
        <tr>
            <th></th>
            <th></th>
            <th class='left' style="padding-left:  1em; padding-right: 1em" >Rbr </th>
            <th class='left' style="padding-right: 1em">Vrsta primitka </th>
            <th class='left' style="padding-right: 1em">Datum od </th>
            <th class='left'>Datum do </th>
            <th class='right' style="padding-right: 1em">Sati </th>
            <th class='right' style="padding-right: 1em">Satnica </th>
            <th class='right'  style="padding-right: 1em">Posto </th>
            <th class='right' style="padding-right: 1em">Iznos </th>
        </tr>
    </thead>
    <?php
    $ukupniIznos=$ukupniSati=0;
    foreach ($primiciPoRadniku as $slog) {
       $d = new DateTime($slog['datumOd']);
       $datumOd = $d->format('d.m.Y');
       $d = new DateTime($slog['datumDo']);
       $datumDo = $d->format('d.m.Y');
       $ukupniIznos+=$slog['iznos'];
       $ukupniSati+=$slog['sati'];
       $link = '&action=unos_primici&godinaObracuna='.$slogZaUnos['godinaObracuna']
               .'&mjesecObracuna='.$slogZaUnos['mjesecObracuna']
               .'&vrstaPlace='.$slogZaUnos['vrstaPlace']
               .'&verzijaPlace='.$slogZaUnos['verzijaPlace']
               .'&vrstaJOPPDizvjesca='.$slogZaUnos['vrstaJOPPDizvjesca']
               .'&kodRadnika='.$slogZaUnos['kodRadnika']
    ?>
    <tr>
        <td style="vertical-align: central; ">
        <?php if(!$zakljucanaPlaca) : ?>    
            &nbsp; <a href="<?php echo  './?opSaDok=Brisanje'
                                        .$link
                                        .'&brojStavke='.$slog['brojStavke']
                           ?>" >
            <img src="<?php echo $app_path .'images/brisanje.png' ?>" alt="Brisanje" title="Brisanje kredita" onclick="return brisanjeClicked(); " /> </a> 
        <?php endif; ?>     
        </td>

        <td style="vertical-align: central">
        <?php if(!$zakljucanaPlaca) : ?>               
            &nbsp; <a href="<?php echo  './?opSaDok=Izmjena'
                                        .$link
                                        .'&brojStavke='.$slog['brojStavke']
                           ?>" >
            <img src="<?php echo $app_path .'images/izmjena.png' ?>" alt="Izmjena" title="Izmjena kredita" /> </a> &nbsp;
        <?php endif; ?>     
        </td>
        <td class="td_t_lista"> 
            <?php echo $slog['brojStavke']; ?>
        </td>
        <td class="td_t_lista"> 
            <?php echo $slog['nazivPrimitka']; ?>
        </td>
        <td class="td_t_lista"> 
            <?php echo $datumOd ?>
        </td>
        <td class="td_t_lista"> 
            <?php echo $datumDo; ?>
        </td>
        <td class="right_t_lista">
            <?php echo round($slog['sati']); ?>
        </td>
        <td class="right_t_lista">
            <?php echo format_ili_prazno($slog['satnica'],5,',','.'); ?> 
        </td>
        <td class="right_t_lista">
            <?php echo format_ili_prazno($slog['posto'],4,',','.'); ?>
        </td>
        <td class="right_t_lista">
            <?php echo $slog['iznos']; ?>
        </td>
     </tr>
    <?php    
    }
    ?>
    <tfoot>
    <tr>
        <td colspan="6" class="left" style="padding-left: 1em"><b></b> </td>    
        <td class="right" style='padding-right: 0.5em'>
            <b><?php echo $ukupniSati ?></b>
        </td>
        <td colspan="2"></td>
        <td class="right" style='padding-right: 0.5em'>
            <b><?php echo number_format($ukupniIznos,2,',','.'); ?></b>
        </td>
    </tr>    
    </table>
<?php
}
?>

<script type="text/javascript">
    function brisanjeClicked() {
        return confirm("Želite li obrisati primitak?");
    }
    
</script>    
