<style>
.tablica table {
    border-collapse: collapse;
}

.tablica table, .tablica th, .tablica td {
    border: 1px solid #CCCCCC;    
}
.ukupno {
    background-color: #CAFFD8;
}
</style>
<?php
require_once('model/opcine_db.php');
$naslov = 'Godišnji izvještaj (RAD-1G)';
$greska = '';
if(isset($_POST['mjesecObracunaOd'])) {  
    // prihvaćeni su podaci s ekrana
    $mjesecObracunaOd = $_POST['mjesecObracunaOd'];
    $godinaObracunaOd = $_POST['godinaObracunaOd'];
    $mjesecObracunaDo = $_POST['mjesecObracunaDo'];
    $godinaObracunaDo = $_POST['godinaObracunaDo'];
    $stanjeNaDan = $_POST['stanjeNaDan'];
    $opcinaMjestaRada = $_POST['opcinaMjestaRada'];
    $spol = $_POST['spol'];
}
else {
    $danas = new DateTime();
    $trenutnaGodina = $danas->format('Y');
    $mjesecObracunaOd = 1;
    $mjesecObracunaDo = 12;
    $godinaObracunaDo = $godinaObracunaOd = $trenutnaGodina - 1;
    $stanjeNaDan = '31.03.'.$trenutnaGodina;
    $opcinaMjestaRada = '';
    $spol = '';
}
?>


<form action="." method="post" id="view_rad_1g">
<input type="hidden" name="action" value="view_rad_1g" />
<!-- <h1><?php echo $naslov; ?> </h1> -->

<div id="panel" style="background-color: #EAFFEF; border: solid 1px grey; padding: 0.4em">
    <h1><?php echo $naslov; ?> </h1>
Plaća za mjesec od: 
<?php listaMjeseci("mjesecObracunaOd", $mjesecObracunaOd); ?> 
godinu od: 
<input type="text" class="text_width_3em" name="godinaObracunaOd" id="godinaObracunaOd" value="<?php echo $godinaObracunaOd; ?>" 
       pattern="20[0-9][0-9]" required title="Unesite godinu obračuna tipa 20XX."/> 
 mjesec do: 
<?php listaMjeseci("mjesecObracunaDo", $mjesecObracunaDo); ?> 
godinu do: 
<input type="text" class="text_width_3em" name="godinaObracunaDo" id="godinaObracunaDo" value="<?php echo $godinaObracunaDo; ?>" 
        pattern="20[0-9][0-9]" required title="Unesite godinu obračuna tipa 20XX."/> &nbsp;&nbsp;
Stanje na dan: 
<input type="text" class="text_width_5em" name="stanjeNaDan"  id="datumIsplatePlace" value="<?php echo $stanjeNaDan; ?>" 
        pattern="[0-9]{1,2}.{0,1}[0-9]{1,2}.{0,1}[0-9]{4}" size="8" title="datum:dd.mm.gggg"/> &nbsp;&nbsp;
Općina mjesta rada (županija):
 <?php listaOpcina('opcinaMjestaRada',$opcinaMjestaRada, $daliSve=true) ?> &nbsp;&nbsp;
Spol:
<select name="spol"  >
           <option value="" <?php if($spol == '') echo 'selected="selected"'; ?> ></option>
           <option value="M" <?php if($spol == 'M') echo 'selected="selected"'; ?> >Muško</option>
           <option value="Z" <?php if($spol == 'Z') echo 'selected="selected"'; ?> >Žensko</option>
</select>  &nbsp;
<p></p>

<p></p>



<?php postaviTipkeUnosa('Unos', $greska) ; ?>

</div>
<br>   
</form>

<?php
if(isset($_POST['mjesecObracunaOd'])) {  
    // prihvaćeni su podaci s ekrana
    $NaDan = new DateTime($_POST['stanjeNaDan']);
    require_once('./model/obracuni_placa_db.php');
    $rad1g = get_rad1g($godinaObracunaOd, $mjesecObracunaOd, $godinaObracunaDo, $mjesecObracunaDo);
    $prosjek = get_rad1g_prosjek($godinaObracunaOd, $mjesecObracunaOd, $godinaObracunaDo, $mjesecObracunaDo);
    $brojMjeseci = $prosjek['brojMjeseci'];
    if($spol!='' || $opcinaMjestaRada!='')
        $prosjek = get_rad1g_prosjek($godinaObracunaOd, $mjesecObracunaOd, $godinaObracunaDo, $mjesecObracunaDo, $opcinaMjestaRada, $spol);


    $punoRadnoVrijeme = kreiraj_tablicu_placa();
    $nepunoRadnoVrijeme = kreiraj_tablicu_placa();
    
    // tablica starosti
    $tablicaDobi['ukupno']['naziv'] = 'Ukupno'; $tablicaDobi['ukupno']['Ukupno']=$tablicaDobi['ukupno']['Žene']=0;
    $tablicaDobi[18]['naziv'] = 'Do 18 godina'; $tablicaDobi[18]['Ukupno']=$tablicaDobi[18]['Žene']=0;
    $tablicaDobi[24]['naziv'] = '19 - 24'; $tablicaDobi[24]['Ukupno']=$tablicaDobi[24]['Žene']=0;
    $tablicaDobi[29]['naziv'] = '25 - 29'; $tablicaDobi[29]['Ukupno']=$tablicaDobi[29]['Žene']=0;
    $tablicaDobi[34]['naziv'] = '30 - 34'; $tablicaDobi[34]['Ukupno']=$tablicaDobi[34]['Žene']=0;
    $tablicaDobi[39]['naziv'] = '35 - 39'; $tablicaDobi[39]['Ukupno']=$tablicaDobi[39]['Žene']=0;
    $tablicaDobi[44]['naziv'] = '40 - 44'; $tablicaDobi[44]['Ukupno']=$tablicaDobi[44]['Žene']=0;
    $tablicaDobi[49]['naziv'] = '45 - 49'; $tablicaDobi[49]['Ukupno']=$tablicaDobi[49]['Žene']=0;
    $tablicaDobi[54]['naziv'] = '50 - 54'; $tablicaDobi[54]['Ukupno']=$tablicaDobi[54]['Žene']=0;
    $tablicaDobi[59]['naziv'] = '55 - 59'; $tablicaDobi[59]['Ukupno']=$tablicaDobi[59]['Žene']=0;
    $tablicaDobi[64]['naziv'] = '60 - 64'; $tablicaDobi[64]['Ukupno']=$tablicaDobi[64]['Žene']=0;
    $tablicaDobi[99]['naziv'] = '65 i više'; $tablicaDobi[99]['Ukupno']=$tablicaDobi[99]['Žene']=0;

    // tablica stručnih sprema
    $tabStucnoObrazovanje['ukupno']['naziv'] = 'Ukupno';
    $tabStucnoObrazovanje['ukupno']['Ukupno'] = $tabStucnoObrazovanje['ukupno']['Žene'] = 0;
    $tabStucnoObrazovanje['A']['naziv'] = 'Nekvalificirani'; 
    $tabStucnoObrazovanje['A']['Ukupno'] = $tabStucnoObrazovanje['A']['Žene'] = 0;
    $tabStucnoObrazovanje['B']['naziv'] = 'Priučeni-polukvalificirani';
    $tabStucnoObrazovanje['B']['Ukupno'] = $tabStucnoObrazovanje['B']['Žene'] = 0;
    $tabStucnoObrazovanje['C']['naziv'] = 'Kvalificirani';
    $tabStucnoObrazovanje['C']['Ukupno'] = $tabStucnoObrazovanje['C']['Žene'] = 0;
    $tabStucnoObrazovanje['D']['naziv'] = 'Visokokvalificirani';
    $tabStucnoObrazovanje['D']['Ukupno'] = $tabStucnoObrazovanje['D']['Žene'] = 0;
    $tabStucnoObrazovanje['E']['naziv'] = 'Niže stručno obrazovanje';
    $tabStucnoObrazovanje['E']['Ukupno'] = $tabStucnoObrazovanje['E']['Žene'] = 0;
    $tabStucnoObrazovanje['F']['naziv'] = 'Srednje stručno obrazovanje';
    $tabStucnoObrazovanje['F']['Ukupno'] = $tabStucnoObrazovanje['F']['Žene'] = 0;
    $tabStucnoObrazovanje['G']['naziv'] = 'Više stručno obrazovanje';
    $tabStucnoObrazovanje['G']['Ukupno'] = $tabStucnoObrazovanje['G']['Žene'] = 0;
    $tabStucnoObrazovanje['H']['naziv'] = 'Visoko stručno obrazovanje';
    $tabStucnoObrazovanje['H']['Ukupno'] = $tabStucnoObrazovanje['H']['Žene'] = 0;
    $tabStucnoObrazovanje['I']['naziv'] = 'Magistar znanosti';
    $tabStucnoObrazovanje['I']['Ukupno'] = $tabStucnoObrazovanje['I']['Žene'] = 0;
    $tabStucnoObrazovanje['J']['naziv'] = 'Doktor znanosti';
    $tabStucnoObrazovanje['J']['Ukupno'] = $tabStucnoObrazovanje['J']['Žene'] = 0;

    // tablica ugovor o radu
    $tablicaUOR['ukupno']['naziv'] = 'Ukupno';
    $tablicaUOR['ukupno']['Ukupno'] = $tablicaUOR['ukupno']['Žene'] = 0;
    $tablicaUOR['N']['naziv'] = 'Neodređeno vrijeme';
    $tablicaUOR['N']['Ukupno'] = $tablicaUOR['N']['Žene'] = 0;
    $tablicaUOR['O']['naziv'] = 'Određeno vrijeme';
    $tablicaUOR['O']['Ukupno'] = $tablicaUOR['O']['Žene'] = 0;
    $tablicaUOR['P']['naziv'] = 'Pripravnici/vježbenici';
    $tablicaUOR['P']['Ukupno'] = $tablicaUOR['P']['Žene'] = 0;
    
    // tablica radnog vremena
     $tablicaRV['ukupno']['naziv'] = 'Ukupno';
     $tablicaRV['ukupno']['Ukupno'] =  $tablicaRV['ukupno']['Žene'] = 0;
     $tablicaRV['P']['naziv'] = 'Puno radno vrijeme';
     $tablicaRV['P']['Ukupno'] =  $tablicaRV['P']['Žene'] = 0;
     $tablicaRV['N']['naziv'] = 'Nepuno radno vrijeme';
     $tablicaRV['N']['Ukupno'] =  $tablicaRV['N']['Žene'] = 0;
     $tablicaRV['S']['naziv'] = 'Skraćeno radno vrijeme';
     $tablicaRV['S']['Ukupno'] =  $tablicaRV['S']['Žene'] = 0;

    // tablica izaslani radnici umirovljenici
    $tablicaIU['I']['naziv'] = 'Izaslani Radnici';
    $tablicaIU['I']['Ukupno'] = $tablicaIU['I']['Žene'] = 0;
    $tablicaIU['U']['naziv'] = 'Umirovljenici';
    $tablicaIU['U']['Ukupno'] = $tablicaIU['U']['Žene'] = 0;

    // tablica općina
    $tablicaOpcina['ukupno']['naziv'] = 'Ukupno';
    $tablicaOpcina['ukupno']['Ukupno'] = $tablicaOpcina['ukupno']['Žene'] = 0;

    $postojiNepuno = false;
    $trenutniOIB = '';
    $u=0;
    $djelatniciPoOibu = array();
    foreach ($rad1g as $slog) {
        if($slog['statusRadnika']!='ugdMir') {
                        
            //$u+=$slog['brutoIznos'];
            if($trenutniOIB!=$slog['OIB']) {
                $trenutniOIB=$slog['OIB'];
                $brojPlaca = get_rad1g_broj_placa($trenutniOIB, $godinaObracunaOd, $mjesecObracunaOd, $godinaObracunaDo, $mjesecObracunaDo);
                // echo $slog['OIB'].' broj plaća: '.$brojPlaca['brojPlaca'].' bruto:'.$slog['brutoIznos'].'<br>';
                if($brojPlaca['brojPlaca']<$brojMjeseci)
                    continue; //zbraja samo one koji imaju plaću svaki mjesec
                if($spol!='' && $spol!=$slog['spol'])
                    continue;
                if($opcinaMjestaRada!='' && $opcinaMjestaRada!=$slog['opcinaMjestaRada'])
                    continue;
                
                // ako ne postoji u $djelatniciPoOibu, djelatnik još nije bio obrađivan i treba ga pribrojiti
                // napravljeno za 'FILIP MIKO' koji je dvaput prijavljen kao djelatnik
                if(!isset($djelatniciPoOibu[$slog['OIB']])) {
                    $djelatnik['Kod djelatnika'] = $slog['kodRadnika'];
                    $djelatnik[0] = $slog['OIB'];
                    $djelatnik['Ime i prezime'] = $slog['imeIprezime'];
                    $djelatnik[1] = $slog['OIB'];
                    // $djelatnik['OIB'] = $slog['OIB'];
                    if($slog['TRVpunoSkracenoNepuno']=='P') {
                        $punoRadnoVrijeme['ukupno']['brojDjelatnika'] ++;
                        $punoRadnoVrijeme[$slog['spol']]['brojDjelatnika']++;
                        $punoRadnoVrijeme[$slog['strucnaSprema']]['brojDjelatnika']++;
                        $punoRadnoVrijemeDjelatnici[] = $djelatnik; 
                    }
                    else {
                        $nepunoRadnoVrijeme['ukupno']['brojDjelatnika'] ++;
                        $nepunoRadnoVrijeme[$slog['spol']]['brojDjelatnika']++;
                        $nepunoRadnoVrijeme[$slog['strucnaSprema']]['brojDjelatnika']++;
                        $nepunoRadnoVrijemeDjelatnici[] = $djelatnik; 
                    }
                    $djelatniciPoOibu[$slog['OIB']] = true;
                }
            }
            if($brojPlaca['brojPlaca']<$brojMjeseci)
                continue; //zbraja samo one koji imaju plaću svaki mjesec
            if($spol!='' && $spol!=$slog['spol'])
                continue;
            if($opcinaMjestaRada!='' && $opcinaMjestaRada!=$slog['opcinaMjestaRada'])
                continue;
          
            if($slog['TRVpunoSkracenoNepuno']=='P') {
                // $punoRadnoVrijeme['ukupno']['brutoIznos'] += $slog['brutoIznos'];
                // $punoRadnoVrijeme['ukupno']['netoIznos'] += $slog['netoIznos'];

                $punoRadnoVrijeme[$slog['spol']]['brutoIznos'] += $slog['brutoIznos'];
                $punoRadnoVrijeme[$slog['spol']]['netoIznos'] += $slog['netoIznos'];

                $punoRadnoVrijeme[$slog['strucnaSprema']]['brutoIznos'] += $slog['brutoIznos'];
                $punoRadnoVrijeme[$slog['strucnaSprema']]['netoIznos'] += $slog['netoIznos'];
            }
            else {
                $postojiNepuno = true;
                $nepunoRadnoVrijeme['ukupno']['brutoIznos'] += $slog['brutoIznos'];
                $nepunoRadnoVrijeme['ukupno']['netoIznos'] += $slog['netoIznos'];

                $nepunoRadnoVrijeme[$slog['spol']]['brutoIznos'] += $slog['brutoIznos'];
                $nepunoRadnoVrijeme[$slog['spol']]['netoIznos'] += $slog['netoIznos'];

                $nepunoRadnoVrijeme[$slog['strucnaSprema']]['brutoIznos'] += $slog['brutoIznos'];
                $nepunoRadnoVrijeme[$slog['strucnaSprema']]['netoIznos'] += $slog['netoIznos'];

            }
        
            /*
            if($slog['']=='') {
                $tablicaIU['I']['Ukupno']++;
                if($slog['spol']=='Z')
                    $tablicaIU['I']['Žene']++;
            }
            */
        }
        else {
            if($trenutniOIB!=$slog['OIB']) {
                $trenutniOIB=$slog['OIB'];
                $brojPlaca = get_rad1g_broj_placa($trenutniOIB, $godinaObracunaOd, $mjesecObracunaOd, $godinaObracunaDo, $mjesecObracunaDo);
                if($spol!='' && $spol!=$slog['spol'])
                    continue;
                if($opcinaMjestaRada!='' && $opcinaMjestaRada!=$slog['opcinaMjestaRada'])
                    continue;
                $tablicaIU['U']['Ukupno']++;
                if($slog['spol']=='Z')
                    $tablicaIU['U']['Žene']++;
            }    
        }
    }
    unset($djelatniciPoOibu);
    $punoRadnoVrijeme['ukupno']['brutoIznos'] = round($punoRadnoVrijeme['M']['brutoIznos']) + round($punoRadnoVrijeme['Z']['brutoIznos']);
    $punoRadnoVrijeme['ukupno']['netoIznos'] = round($punoRadnoVrijeme['M']['netoIznos']) + round($punoRadnoVrijeme['Z']['netoIznos']);
    // echo "-------------------------\n Ukupno:        ".$u.'<br>';
    $slogStanjeNaDan = get_rad1g_na_dan($stanjeNaDan);
    foreach ($slogStanjeNaDan as $slog) {
        if($spol!='' && $spol!=$slog['spol'])
            continue;
        if($opcinaMjestaRada!='' && $opcinaMjestaRada!=$slog['opcinaMjestaRada'])
            continue;

        $datumRodjenja = new DateTime($slog['datumRodjenja']);
        $starost = $NaDan->diff($datumRodjenja);
        $indeks = indeks_po_starosti($starost->y);
        $tablicaDobi[$indeks]['Ukupno']++;
        $tablicaDobi['ukupno']['Ukupno']++;
        if($slog['spol']=='Z') {
            $tablicaDobi['ukupno']['Žene']++;
            $tablicaDobi[$indeks]['Žene']++;
        }    

        $tabStucnoObrazovanje['ukupno']['Ukupno']++;
        $tabStucnoObrazovanje[$slog['strucnaSprema']]['Ukupno']++;
        if($slog['spol']=='Z') {
            $tabStucnoObrazovanje['ukupno']['Žene']++;
            $tabStucnoObrazovanje[$slog['strucnaSprema']]['Žene']++;
        }
        
        $tablicaUOR['ukupno']['Ukupno']++;
        $tablicaUOR[$slog['ugovorOradu']]['Ukupno']++;
        if($slog['spol']=='Z') {
            $tablicaUOR['ukupno']['Žene']++;
            $tablicaUOR[$slog['ugovorOradu']]['Žene']++;
        }
        
         $tablicaRV['ukupno']['Ukupno']++;
         $tablicaRV[$slog['TRVpunoSkracenoNepuno']]['Ukupno']++;
        if($slog['spol']=='Z') {
             $tablicaRV['ukupno']['Žene']++;
             $tablicaRV[$slog['TRVpunoSkracenoNepuno']]['Žene']++;
        }    
        
        if(!isset($tablicaOpcina[$slog['opcinaMjestaRada']])) {
            $tablicaOpcina[$slog['opcinaMjestaRada']]['naziv'] = $slog['nazivOpcine'].' ('.$slog['opcinaMjestaRada'].')';
            $tablicaOpcina[$slog['opcinaMjestaRada']]['Ukupno'] = $tablicaOpcina[$slog['opcinaMjestaRada']]['Žene'] = 0;
        }
        $tablicaOpcina['ukupno']['Ukupno']++; 
        $tablicaOpcina[$slog['opcinaMjestaRada']]['Ukupno']++;
        if($slog['spol']=='Z') {
            $tablicaOpcina['ukupno']['Žene']++;
            $tablicaOpcina[$slog['opcinaMjestaRada']]['Žene']++;
        }    
    }
    
    $primici = get_rad1g_primici($godinaObracunaOd, $mjesecObracunaOd, $godinaObracunaDo, $mjesecObracunaDo);

    // tablica sati
    $tablicaSati['ukupno']['naziv'] = 'Ukupno';
    $tablicaSati['ukupno']['punaSatnica'] = $tablicaSati['ukupno']['nepunaSatnica'] = 0;
    $tablicaSati['2']['naziv'] = 'Izvršeni sati rada';
    $tablicaSati['2']['punaSatnica'] = $tablicaSati['2']['nepunaSatnica'] = 0;
    $tablicaSati['3']['naziv'] = 'Neizvršeni sati rada plaćeni u pravnoj osobi zaposlenika';
    $tablicaSati['3']['punaSatnica'] = $tablicaSati['3']['nepunaSatnica'] = 0;
    $tablicaSati['4']['naziv'] = 'Neizvršeni sati rada plaćeni izvan pravne osobe';
    $tablicaSati['4']['punaSatnica'] = $tablicaSati['4']['nepunaSatnica'] = 0;
    $tablicaSati['5']['naziv'] = 'Neplaćeni sati rada';
    $tablicaSati['5']['punaSatnica'] = $tablicaSati['5']['nepunaSatnica'] = 0;
    $tablicaSati['6']['naziv'] = 'Prekovremeni sati rada';
    $tablicaSati['6']['punaSatnica'] = $tablicaSati['6']['nepunaSatnica'] = 0;
    $tablicaSati['7']['naziv'] = 'Broj sati provedenih u štrajku';
    $tablicaSati['7']['punaSatnica'] = $tablicaSati['7']['nepunaSatnica'] = 0;
    $tablicaSati['8']['naziv'] = 'Godišnji prosjek broja zaposlenih';
    $tablicaSati['8']['punaSatnica'] = $tablicaSati['8']['nepunaSatnica'] = 0;
    $tablicaSati['9']['naziv'] = 'Prosječan broj sati po zaposlenome (podatak iz retka 1 podijelite s <br>podatkom iz retka 8)';
    $tablicaSati['9']['punaSatnica'] = $tablicaSati['9']['nepunaSatnica'] = 0;
    
    $radnikaSnepunomSatnicom = 0;
    $radnikaSpunomSatnicom = 0;
    $trenutniOIB = '';
    foreach ($primici as $slog) {
        if($spol!='' && $spol!=$slog['spol'])
            continue;
        if($opcinaMjestaRada!='' && $opcinaMjestaRada!=$slog['opcinaMjestaRada'])
            continue;
        
        $indeks = 0;

        if($slog['naTeret']=='HZZO') 
            $indeks = 4;
        else {
            switch ($slog['vrstaPrimitka']) {
            case 'redRad':
            case 'nocRad':
            case 'dvoRad':
                $indeks = 2;
                break;
            case 'godOdm':
            case 'bDo42D':
            case 'nerDan':
            case 'plaDop':
            case 'godOdm':
                $indeks = 3;
                break;
            case 'nepDop':
                $indeks = 5;
                break;
            case 'preRad':
                $indeks = 6;
                break;
            case 'strajk':
                $indeks = 7;
                break;
            }
        }
        
        if($indeks>0) {
            if($slog['TRVpunoSkracenoNepuno']=='P') {
                $tablicaSati[$indeks]['punaSatnica']+=$slog['sati'];
                $tablicaSati['ukupno']['punaSatnica']+=$slog['sati'];
                if($trenutniOIB!=$slog['OIB']) {
                    $trenutniOIB = $slog['OIB'];
                    $radnikaSpunomSatnicom++;
                    // echo $radnikaSpunomSatnicom+$radnikaSnepunomSatnicom.'. '.$slog['kodRadnika'].'<br>';
                }
            }    
            else {   
                $tablicaSati[$indeks]['nepunaSatnica']+=$slog['sati'];
                $tablicaSati['ukupno']['nepunaSatnica']+=$slog['sati'];
                if($trenutniOIB!=$slog['OIB']) {
                    $trenutniOIB = $slog['OIB'];
                    $radnikaSnepunomSatnicom++;
                    // echo $radnikaSpunomSatnicom+$radnikaSnepunomSatnicom.' &nbsp;&nbsp; '.$slog['kodRadnika'].'<br>';
                }
            }    
        }    
    }
    //$tablicaSati[8]['punaSatnica'] = $prosjek['radnikaPunoRV'];
    //$tablicaSati[8]['nepunaSatnica'] = $prosjek['radnikaNepunoRV'];
    $tablicaSati[8]['punaSatnica'] = $radnikaSpunomSatnicom;
    $tablicaSati[8]['nepunaSatnica'] = $radnikaSnepunomSatnicom;
    if($tablicaSati['ukupno']['punaSatnica']>0)
        //$tablicaSati[9]['punaSatnica'] = $tablicaSati['ukupno']['punaSatnica']/$prosjek['radnikaPunoRV'];
        $tablicaSati[9]['punaSatnica'] = $tablicaSati['ukupno']['punaSatnica']/$radnikaSpunomSatnicom;
    if($tablicaSati['ukupno']['nepunaSatnica']>0)
        // $tablicaSati[9]['nepunaSatnica'] = $tablicaSati['ukupno']['nepunaSatnica']/$prosjek['radnikaNepunoRV'];
        $tablicaSati[9]['nepunaSatnica'] = $tablicaSati['ukupno']['nepunaSatnica']/$radnikaSnepunomSatnicom;


    ispisi_tablicu_placa($punoRadnoVrijeme, '1. BRUTO I ISPLAĆENE NETO PLAĆA ZA PUNO RADNO VRIJEME PREMA SPOLU I ZAPOSLENI PREMA STUPNJU STRUČNE SPREME');
    ?>
<div>
    <input type="checkbox" name="prikazDP" id="prikazDP" <?php // echo $prikazDP; ?> /> <b>Prikaz djelatnika koji imaju puno radno vrijeme</b>
    <div id="prikazPanel" style="display: none "> 
    <?php prikaziUTablici($punoRadnoVrijemeDjelatnici, ''); ?>
    </div>    
</div>
<br>    
    <?php
    //if($postojiNepuno)
        ispisi_tablicu_placa($nepunoRadnoVrijeme, '2. BRUTO I ISPLAĆENE NETO PLAĆA ZA KRAĆE OD PUNOGA RADNOG VREMENA PREMA SPOLU I ZAPOSLENI PREMA STUPNJU STRUČNE SPREME');
    $zaglavlje[0]=''; $zaglavlje[1]='Ukupno'; $zaglavlje[2]='Žene';
    ispisi_tablicu($tablicaDobi, $zaglavlje, '3. ZAPOSLENI PREMA STAROSTI I SPOLU, STANJE '.$stanjeNaDan);
    ispisi_tablicu($tabStucnoObrazovanje, $zaglavlje, '4. ZAPOSLENI PREMA STUPNJU STRUČNOG OBRAZOVANJA, STANJE '.$stanjeNaDan);
    ispisi_tablicu($tablicaUOR, $zaglavlje, '5. ZAPOSLENI PREMA VRSTI RADNOG ODNOSA, STANJE '.$stanjeNaDan);
    ispisi_tablicu( $tablicaRV, $zaglavlje, '6. ZAPOSLENI PREMA VRSTI RADNOG VREMENA, STANJE '.$stanjeNaDan);
    ispisi_tablicu_sati($tablicaSati, $zaglavlje, '7. SATI RADA ZAPOSLENIH ');
    ispisi_tablicu($tablicaIU, $zaglavlje, '8. IZASLANI RADNICI I UMIROVLJENICI');
    ispisi_tablicu($tablicaOpcina, $zaglavlje, '9. BROJ ZAPOSLENIH PO JEDINICAMA SNIMANJA (GRADU/OPĆINI RADA), STANJE '.$stanjeNaDan);
}

function kreiraj_tablicu_placa()
{
    $tablica['M']['naziv'] = 'Muškarci'; $tablica['M']['brutoIznos']=$tablica['M']['netoIznos']= $tablica['M']['brojDjelatnika']=0;
    $tablica['Z']['naziv'] = 'Žene';     $tablica['Z']['brutoIznos']=$tablica['Z']['netoIznos']= $tablica['Z']['brojDjelatnika']=0;
    $tablica['ukupno']['naziv'] = 'Ukupno'; $tablica['ukupno']['brutoIznos']=$tablica['ukupno']['netoIznos']= $tablica['ukupno']['brojDjelatnika']=0;
    
    $tablica['A']['naziv'] = 'Nekvalificirani'; $tablica['A']['brutoIznos']=$tablica['A']['netoIznos']= $tablica['A']['brojDjelatnika']=0;
    $tablica['B']['naziv'] = 'Priučeni-polukvalificirani'; $tablica['B']['brutoIznos']=$tablica['B']['netoIznos']= $tablica['B']['brojDjelatnika']=0;
    $tablica['C']['naziv'] = 'Kvalificirani'; $tablica['C']['brutoIznos']=$tablica['C']['netoIznos']= $tablica['C']['brojDjelatnika']=0;
    $tablica['D']['naziv'] = 'Visokokvalificirani'; $tablica['D']['brutoIznos']=$tablica['D']['netoIznos']= $tablica['D']['brojDjelatnika']=0;
    $tablica['E']['naziv'] = 'Niže stručno obrazovanje'; $tablica['E']['brutoIznos']=$tablica['E']['netoIznos']= $tablica['E']['brojDjelatnika']=0;
    $tablica['F']['naziv'] = 'Srednje stručno obrazovanje'; $tablica['F']['brutoIznos']=$tablica['F']['netoIznos']= $tablica['F']['brojDjelatnika']=0;
    $tablica['G']['naziv'] = 'Više stručno obrazovanje'; $tablica['G']['brutoIznos']=$tablica['G']['netoIznos']= $tablica['G']['brojDjelatnika']=0;
    $tablica['H']['naziv'] = 'Visoko stručno obrazovanje'; $tablica['H']['brutoIznos']=$tablica['H']['netoIznos']= $tablica['H']['brojDjelatnika']=0;
    $tablica['I']['naziv'] = 'Magistar znanosti'; $tablica['I']['brutoIznos']=$tablica['I']['netoIznos']= $tablica['I']['brojDjelatnika']=0;
    $tablica['J']['naziv'] = 'Doktor znanosti'; $tablica['J']['brutoIznos']=$tablica['J']['netoIznos']= $tablica['J']['brojDjelatnika']=0;
    return $tablica;
}

function ispisi_tablicu_placa($tablica, $naslov) {
    echo '<p><b>'.$naslov.'</p></b>';
  ?>
        <table class="t_lista_primka tablica" >
        <thead>
            <tr>
                <th colspan="2" style="padding-left: 5px; padding-right: 5px" ></th>
                <th style="padding-left: 5px; padding-right: 5px" >Bruto</th>
                <th style="padding-left: 5px; padding-right: 5px" >Neto</th>
                <th style="padding-left: 5px; padding-right: 5px" >Broj<br>zaposlenika</th>
            </tr>
        </thead>
    <?php
    $rbr = 1;
    foreach ($tablica as $slog) {
        if ($slog['naziv'] == 'Ukupno')
            $klasa = 'class="ukupno"';
        else
            $klasa = '';
    ?>
            <tr <?php echo $klasa; ?>>
                <td style="padding-left: 5px; padding-right: 5px" > <?php echo $rbr++ ?> </td>
                <td style="padding-left: 5px; padding-right: 5px" > <?php echo $slog['naziv'] ?> </td>
                <td class="right" style="padding-left: 5px; padding-right: 5px" > <?php echo number_format($slog['brutoIznos'], 0, ',', '') ?> </td>
                <td class="right" style="padding-left: 5px; padding-right: 5px" > <?php echo number_format($slog['netoIznos'], 0, ',', '') ?> </td>
                <td class="right" style="padding-left: 5px; padding-right: 5px" > <?php echo number_format($slog['brojDjelatnika'], 0, ',', '') ?> </td>
            </tr>
        <?php
    }
        ?>
        </table>
    <br>
    <?php
}

function ispisi_tablicu($tablica, $zaglavlje, $naslov) {
    echo '<p><b>'.$naslov.'</p></b>';
  ?>
        <table class="t_lista_primka tablica" >
        <thead>
            <tr>
                <th colspan="2" style="padding-left: 5px; padding-right: 5px" ><?php echo $zaglavlje[0] ?></th>
                <th style="padding-left: 5px; padding-right: 5px" ><?php echo $zaglavlje[1] ?></th>
                <th style="padding-left: 5px; padding-right: 5px" ><?php echo $zaglavlje[2] ?></th>
            </tr>
        </thead>
    <?php
    $rbr = 1;
    foreach ($tablica as $slog) {
        if ($slog['naziv'] == 'Ukupno')
            $klasa = 'class="ukupno"';
        else
            $klasa = '';
    ?>
            <tr <?php echo $klasa; ?>>
                <td style="padding-left: 5px; padding-right: 5px" > <?php echo $rbr++ ?> </td>
                <td style="padding-left: 5px; padding-right: 5px" > <?php echo $slog['naziv'] ?> </td>
                <td class="right" style="padding-left: 5px; padding-right: 5px" > <?php echo number_format($slog['Ukupno'], 0, ',', '') ?> </td>
                <td class="right" style="padding-left: 5px; padding-right: 5px" > <?php echo number_format($slog['Žene'], 0, ',', '') ?> </td>
            </tr>
        <?php
    }
        ?>
        </table>
    <br>
    <?php
}

function ispisi_tablicu_sati($tablica, $zaglavlje, $naslov) {
    echo '<p><b>'.$naslov.'</p></b>';
  ?>
        <table class="t_lista_primka tablica" >
        <thead>
            <tr>
                <th colspan="2" style="padding-left: 5px; padding-right: 5px" ><?php echo '' ?></th>
                <th style="padding-left: 5px; padding-right: 5px" ><?php echo 'Sati zaposlenih u punom <br> radnom vremenu' ?></th>
                <th style="padding-left: 5px; padding-right: 5px" ><?php echo 'Sati zaposlenih u nepunom <br> radnom vremenu' ?></th>
            </tr>
        </thead>
    <?php
    $rbr = 1;
    foreach ($tablica as $slog) {
        if ($slog['naziv'] == 'Ukupno')
            $klasa = 'class="ukupno"';
        else
            $klasa = '';
    ?>
            <tr <?php echo $klasa; ?>>
                <td style="padding-left: 5px; padding-right: 5px" > <?php echo $rbr++ ?> </td>
                <td style="padding-left: 5px; padding-right: 5px" > <?php echo $slog['naziv'] ?> </td>
                <td class="right" style="padding-left: 5px; padding-right: 5px" > <?php echo number_format($slog['punaSatnica'], 0, ',', '') ?> </td>
                <td class="right" style="padding-left: 5px; padding-right: 5px" > <?php echo number_format($slog['nepunaSatnica'], 0, ',', '') ?> </td>
            </tr>
        <?php
    }
        ?>
        </table>
    <br>
    <?php
}

function indeks_po_starosti($starost) {
    if($starost<=18)
        return 18;
    $i = 24;
    while($i<65) {
        if($starost<=$i)
            return $i;
        $i+=5;
    }
    return 99;
}    

?>

<script> 
    
$(document).ready(function(){
  $("#prikazDP").click(function(){
    (this.checked) ? $("#prikazPanel").slideDown("slow") : $("#prikazPanel").slideUp("slow");
  });
});
    
//    ($("#prikazDP").checked) ? $("#prikazPanel").slideDown("slow") : $("#prikazPanel").slideUp("slow");
     
</script> 