<?php
include_once 'model/tablica_db.php';

$tipka='Prihvat';
$tablica='vrste_placa';

$slogZaUnos=kreiraj_slog_tablice($tablica);

$poljaKljuca=get_primarni_kljuc($tablica);

$oznakeGreske['vrstaPlace'] = '&nbsp;';   
$oznakeGreske['nazivVrstePlace'] = '&nbsp;';   

$skriptaPregleda='./dokumenti/view_pregled_vrste_placa.php';
$povratakIzPregleda='izabrana_je_vrsta_place';
  
$dokument = 'Vrste plaća';
$slogIzBaze=null;

$greska='';

if(isset($_REQUEST['opSaDok']) || $action==$povratakIzPregleda) {
    // puni polja kljuca s poljima u $_POST ili $_GET i uzme slog iz baze ako postoji
    $slogZaUnos['vrstaPlace']=$_REQUEST['vrstaPlace'];
    if($greska == '')
        $slogIzBaze = get_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
}    

include 'dokumenti/view_unos_zajednicki.php';

if(isset($greskaKopiranje)) {
    $greska=$greskaKopiranje;
    $potvrdaUnosa=FALSE;
}

if($potvrdaUnosa) {
    if(trim($greska)=='') {
        // brisanje ili upis u bazu
        switch ($_REQUEST['opSaDok']) {
            case 'Unos':
                add_slog_tablice($tablica, $slogZaUnos);
                $greska='Vrsta plaće '.$slogZaUnos['vrstaPlace'].' je uspješno upisana';
                break;
            case 'Izmjena':
                update_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                $greska='Vrsta plaće '.$slogZaUnos['vrstaPlace'].' je uspješno izmjenjena.';
                break;
            case 'Brisanje':
                delete_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                $greska='Vrsta plaće je '.$slogZaUnos['vrstaPlace'].' uspješno obrisana';
                break;
        } 
    }
}

include 'view/header.php'; 
?>

<form action="." method="post" id="view_zag">
<input type="hidden" name="action" value="view_vrste_placa" />
<table>
    <tr>
       <td><h1><?php echo $dokument; ?> </h1> &nbsp;</td>
       <td> 
          &nbsp; &nbsp; &nbsp; <span class="veca_slova_110">  
          <b>Operacije: &nbsp; </b> </span>
          <?php include 'dokumenti/operacije.php'; ?> 
       </td>
       <td> </td>
     </tr>
</table>
Vrsta plaće:
<input type="text" size="6" name="vrstaPlace" value="<?php echo $slogZaUnos['vrstaPlace']; ?>" required />  
 <span class="greska"><?php echo $oznakeGreske['vrstaPlace']; ?> </span>  	
Naziv vrste plaće:
<input type="text" class="text_width_50em" name="nazivVrstePlace" value="<?php echo $slogZaUnos['nazivVrstePlace']; ?>" required /> 
<br>

<?php postaviTipkeUnosa($opSaDok, $greska) ; ?>


</form>
<?php
poljaKljucaUjs($poljaKljuca);

include './dokumenti/view_pregled_vrste_placa.php';
?>