SET collation_connection = utf8_croatian_ci;
set @godina=2019, @mjesec=03;
-- delete from primici_po_obracunu;
-- /*
INSERT INTO primici_po_obracunu 
(
godinaObracuna, mjesecObracuna, vrstaPlace, verzijaPlace, brojStavke, kodRadnika, vrstaPrimitka, 
datumOd, datumDo, sati, satnica, iznos, posto, datumOtvaranja, tkoJeIzmjenio
) 
-- */
/*
Treći prolaz:
1. postavlja redni btoj stake, za svakog radnika počimje od 1 pa na dalje
2. Dodaje druga polja potrebna za insert u primitke
*/
select  @godina, @mjesec, 'redPla', '' as verzijaPlace, 
if(kodRadnika=@stariRadnik,  @brojStavke:=@brojStavke+1, @brojStavke:=1) as brojStavke, 
if(kodRadnika=@stariRadnik, @stariRadnik, @stariRadnik:=kodRadnika) as kodRadnika, 
vrstaPrimitka,
datumOd, datumDo, 
sati,
satnica,
iznos,
0 as posto,
now(),
'Evidencija RV'
from
( 
    /*
    Drugi prolaz: 
    1. Grupira Slogove po razdobljima, radnicima i vrstama primitka
    2. Za svaku vrstu primitka unutar razdoblja određuje datunOD i datumDo, sumira sate,...
    */
    select 
    rv.kodRadnika, 
    vrstaPrimitka,
    min(datum) as datumOd, max(datum) as datumDo, 
    sum(vrijeme) as sati,
    case vrstaPrimitka
        when 'bDo42D' then 0.7*bodovi/160
        when 'bPr42D' then 0.7*bodovi/160
        else bodovi/160
    end as satnica,
        case vrstaPrimitka
        when 'bDo42D' then sum(vrijeme)*0.7*bodovi/160
        when 'bPr42D' then sum(vrijeme)*0.7*bodovi/160
        else sum(vrijeme)*bodovi/160
    end as iznos
    from 
    (
        /*
        Prvi prolaz:
        1. Dohvaća sve slogove u zadanom mjesecu koji ulaze u u plaće (aplikacja='RV': odmor, vikende, blahdane,... preskaće)
        2. Postavlja razdoblja
            Kad se promjeni polje nazocnostNaPoslu (iz 'D' u 'N' ili iz 'N' u 'D') počinje novo razdoblje, 
            Svako razdoblje ima svoj redni broj
        */
        select if(rv.kodRadnika=@Radnik and nazocnostNaPoslu=@nazocnostNaPoslu, @rbrRazdoblja, @rbrRazdoblja:=@rbrRazdoblja+1) as rbrRazdoblja,
        if(rv.kodRadnika=@Radnik,@Radnik, @Radnik:=rv.kodRadnika) as kodRadnika, 
        if(nazocnostNaPoslu=@nazocnostNaPoslu, @nazocnostNaPoslu, @nazocnostNaPoslu:=vp.nazocnostNaPoslu) as nazocnostNaPoslu,  
        datum, vrijeme, vrstaPrimitka   
        from radno_vrijeme as rv 
        join vrste_primitaka_place as vp on vp.`vrstaPrimitka`=rv.`oznakaVremena`,
        (select @rbrRazdoblja:=0, @Radnik:='', @nazocnostNaPoslu='', @razdoblje='') as x
        where vp.aplikacija <> 'RV'
        and year(rv.datum)=@godina and month(rv.datum)=@mjesec
        -- and rv.`kodRadnika`='79976'
        and vrijeme<>0
        order by rv.kodRadnika, datum, vp.nazocnostNaPoslu
    ) 
    as rv 
    join maticna_radnika as r on r.kodRadnika=rv.kodRadnika
    group by rbrRazdoblja, kodRadnika, rv.nazocnostNaPoslu, vrstaPrimitka
) as p,
(select @brojStavke:=0, @stariRadnik:='') as x
;

/*
select rv.kodRadnika, oznakaVremena, sum(vrijeme) as vrijeme, min(datum) as datumOd, max(datum) as datumDo
from radno_vrijeme as rv
join maticna_radnika as r on r.kodRadnika=rv.kodRadnika
left outer join vrste_primitaka_place as vp on vp.`vrstaPrimitka`=rv.`oznakaVremena`
where vp.aplikacija <> 'RV'
and year(rv.datum)=@godina and month(rv.datum)=@mjesec
-- and rv.`kodRadnika`='79978'

group by  rv.kodRadnika, oznakaVremena;
--order by r.imeIprezime, rv.kodRadnika, min(datum)
;
*/

