<?php

global $db;
// prebacivanje inventurnih stavki s 1801 na 1802
// ako ih nema upisuje se na 1802 , a ako se stavke nađe na 1802 pribraja se stanje i kolicinaInventure od 1801
$query = "select * from inv_stanja where proda = '1801'";

try {
        $statement = $db->prepare($query); 
//        $statement->bindValue(':proda', $proda);      
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
       // return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }  
    foreach ($result as $item) {
       // da li postoji roba na 1802
        $query = "select * from inv_stanja where proda = '1802' and kodRobe = :kodRobe  and vrstaProdaje = :vrstaProdaje";
        $statement = $db->prepare($query); 
        $statement->bindValue(':kodRobe', $item['kodRobe']); $statement->bindValue(':vrstaProdaje', $item['vrstaProdaje']);
        $statement->execute(); $result = $statement->fetch(); $statement->closeCursor();    
        if (empty($result))   {
            // insert stavke
            $query = 'insert into inv_stanja
                (proda, kodRobe, vrstaProdaje, cijena, stanje, kolicinaInventure, brojInvStavke, datumInventure, tkoJeIzmjenio, datumOtvaranja)
             values
                (:proda, :kodRobe, :vrstaProdaje, :cijena, :stanje, :kolicinaInventure, :brojInvStavke, :datumInventure, :tkoJeIzmjenio, :datumOtvaranja)';   
            echo 'Za insert' . $item['kodRobe'];
        } else { // update stavke
               $query = "
         UPDATE inv_stanja
         SET stanje = (stanje + :stanje), kolicinaInventure = (kolicinaInventure + :kolicinaInventure)         
         where proda=:proda and kodRobe=:kodRobe and vrstaProdaje=:vrstaProdaje
               and cijena=:cijena";    
                echo 'Za ažuriranje' . $item['kodRobe'];
        }
        $statement = $db->prepare($query); 
        $statement->bindValue(':proda', '1802'); $statement->bindValue(':kodRobe', $item['kodRobe']); $statement->bindValue(':vrstaProdaje', $item['vrstaProdaje']); $statement->bindValue(':cijena', $item['cijena']);
        $statement->bindValue(':stanje', $item['stanje']); $statement->bindValue(':kolicinaInventure', $item['kolicinaInventure']);
        if (empty($result)) {            
            $statement->bindValue(':brojInvStavke', $item['brojInvStavke']); $statement->bindValue(':datumInventure', $item['datumInventure']); 
            $statement->bindValue(':tkoJeIzmjenio', $item['tkoJeIzmjenio']); $statement->bindValue(':datumOtvaranja', $item['datumOtvaranja']); 
        } 
        
         $statement->execute(); 
         $rowCount = $statement->rowCount(); 
         $statement->closeCursor();  
    }
?>