<?php
$knjigovodstvenoKnjizenje='MGsaldaKontiNovo';
$_SESSION['admin']['prioritet']=1;
$_SESSION['admin']['email']='prijenos@murski-gaji.hr';
//require_once('./util/main.php');
require_once('model/database.php');
require_once('model/dokumenti_db.php');
require_once('model/poslovnice_db.php');
require_once('model/partner_db.php');
require_once('model/rate_kartice_db.php');
 include_once 'knjigovodstvo/model/gk_db.php';
 include_once 'knjigovodstvo/model/konta_db.php';

// var_dump($_SERVER);

$query = "
        SELECT 
        z.proda, z.vrsDo, z.proIn, z.zapis, z.broDo, z.verzi, 
        concat('20',if(month(z.DVO)<10,'0',''),month(z.DVO),day(LAST_DAY(z.DVO))) as brojTemeljnice,
         '20' AS vrsDoGk, 
        '1200' As konto,
        CONCAT(z.proda,'-',trim(z.zapis),z.brodo, if(trim(z.verzi)='','','/'),trim(z.verzi)) as broDoGk,
        casasSconto,absCasasSconto, vrstaKartice,z.PDVstatus, iznosUstranojValuti, stranaValuta, vrstaPoslovnice,
        z.kodPartnera, date(z.DVO) as DVO, date(z.valuta) as valuta
        FROM dok_zag as z
        inner join poslovnice as  p on p.kodPoslovnice=z.proda
        LEFT OUTER JOIN gk_stavke as gk 
        on gk.vrsDo='20' -- and gk.kodPartnera=z.kodPartnera 
        AND year(gk.DVO)=year(z.DVO) 
        and gk.broDo=CONCAT(z.proda,'-',trim(z.zapis),z.brodo, if(trim(z.verzi)='','','/'),trim(z.verzi))
        WHERE trim(z.vrsDo)='5' AND z.`datumZakljucavanja` is null
        AND gk.konto is null
        AND (p.daniPrijenosaGKSK>0 AND DATEDIFF(now(), z.DVO)>= p.daniPrijenosaGKSK)
        ORDER BY brojTemeljnice, broDoGk
    ";
$statement = $db->prepare($query);
//$statement->bindValue(':proda', $proda);
$statement->execute();
$dokumenti = $statement->fetchAll();
$statement->closeCursor();

/*
require_once('dokumenti/unosiIKontrole.php');
require_once('util/validation.php');
$_SESSION['godina_b']='';
prikaziUTablici($dokumenti, 'Dokumenti za prijenos',0);
*/

$odabranaBaza = $_SESSION['odabranaBaza'];
$i=0;
foreach ($dokumenti as $dok) {
    $zbroj = zbroj_po_dok($dok['proda'], $dok['vrsDo'], $dok['proIn'], $dok['zapis'], $dok['broDo'], $dok['verzi']);
    $firmaR = '23';
    if (strpos($odabranaBaza, 'murskiga_robno_din')>-1) $firmaR = '20';
    if (strpos($odabranaBaza, 'murskiga_robno_cha')>-1) $firmaR = '70';
    if (strpos($odabranaBaza, 'panex_robno')>-1) $firmaR = '23';
    if ($dok['verzi']=='') 
       $brojRac = $dok['broDo'];
    else 
       $brojRac = $dok['broDo'] . '/' .  $dok['verzi'];  
    $dobKup = ((trim($dok['vrsDo']=='8')) ? $dok['vrstaKartice'] : $dok['kodPartnera']);
    if ($dok['vrstaPoslovnice'] == '1') {
       $zaliha = $zbroj['iznosSpdvBruto'];
       $ukalPorez = $zbroj['ukUkalkuliraniPDV'];
       $popust = round(($zbroj['iznosRabatPopust'] / 1.25),2);
       $rabati = $popust + $zbroj['iznosCasasSconto']; 
       $iznosDobKup = $zbroj['zaNaplatu'];
       $porez = $zbroj['ukIznosPDV'];
    }
    else {
        $ukalPorez = 0;
        $zaliha = $zbroj['iznosBezPDVbruto'];
        $rabati = $zbroj['iznosRabatPopustVPC'] + $zbroj['iznosCasasScontoVPC']; 
        $iznosDobKup = $zbroj['zaNaplatuVPC'];
        $porez = $zbroj['ukIznosPDVvpc'];
        
    }
    $ukalTr = 0; $rc = 0; $brojRacD = '';
    if (trim($dok['vrsDo']=='8')) { 
       $zaliha = 0; $ukalPorez = 0; $rabati = 0; $porez = 0;
       $brojRacD = $brojRac;
       $brojRac = ' ';
       $iznosDobKup = $zbroj['iznosKartice']; 
    }
    if($dok['kodPartnera']) {
        $partnerK=get_partner($dok['kodPartnera']);
        $vrstaPartnera=$partnerK['vrstaPartnera'];
    }
    else
        $vrstaPartnera='';
    // /*
    rasterFile($firmaR,$vrstaRas=$dok['vrsDoGk'],$dok['proda'],$brojRac,$dok['valuta'],$dobKup,$dok['PDVstatus'],$vrstaR='1',
               $zaliha,$rabati,$iznosDobKup,$ukalTr,$rc,$brojRacD,$porez,$ukalPorez,$dok['DVO'],
               $knjigovodstvenoKnjizenje,$dok['brojTemeljnice'],$dok['vrstaPoslovnice'],$dok['vrsDo'],$dok['proIn'],
               $dok['zapis'],$dok['broDo'],$dok['verzi'],$vrstaPartnera,
               $dok['iznosUstranojValuti'],$dok['stranaValuta'],$carineITakse=0,$zakljucak='',$EVporez=0,
               $gk_pdv=array());
     // */
    $i++;
}
$d=new DateTime();
$Prijenos[$d->format('Y-m-d H:i:m')]='Preneseno '.$i.' dokumenata. ';
//echo 'Preneseno '.$i.' dokumenata. ';
var_dump($Prijenos);
?>