set @DVOOd = '2017-10-04 00:00:00.00', @DVODo='2017-10-04 23:59:59.00', @kodPartnera='',
    @proda='', @poSkladistima='N', @PDVStatus='S', @vrsDo='';

select 
' ',
if(@poSkladistima='D', s.proda,'') as proda,
z.DVO,  
concat(trim(s.proda),'-',s.broDo) as broDo,
pp.nazivPartnera,
pp.ulicaBroj,
pp.mjestoSjedista,
pp.OIB,
z.zapis,
z.proIn,
z.verzi,
s.iznosZaNaplatuDobavljacu as iznosSPDVom,

s.iznosZaNaplatuDobavljacu - s.`PDVdobavljaca` as osnovica25,
s.PDVdobavljaca as pdv25,
0 as `brojTemeljnice`,
0 as brojStavke

from kalkulacije as s
left outer join dok_zag as z on z.proda=s.proda and z.vrsDo='1' 
    and z.broDo=s.broDo and z.proIn='' and z.zapis=s.zapis and z.verzi=s.verzi
left outer join partner as pp on pp.kodPartnera=z.kodPartnera

where (z.proda=@proda or trim(@proda)='' or trim(@proda)='0')

and z.DVO between @DVOOd and @DVODo
and (z.kodPartnera=@kodPartnera or trim(@kodPartnera)='') 
and (PDVstatus=@PDVstatus or @PDVstatus='S') 
and (@vrsDo='' or @vrsDo='K')

UNION
select
s.`PDVstatus`,
if(@poSkladistima='D',
if(locate('-',broDo)>0,SUBSTRING_INDEX(broDo,'-',1),'zz'),'') as proda,
s.`DVO`,
s.broDo,
pp.nazivPartnera,
pp.ulicaBroj,
pp.mjestoSjedista,
pp.OIB,
'' as zapis,
'' as proIn,
'' as verzi,
if(s.`iznosPot`<>0,s.`iznosPot`, s.`iznosDug`) as iznosSPDVom,
0 as osnovica25,
0 as pdv25,

s.`brojTemeljnice`,
s.`brojStavke`
from gk_stavke as s
left outer join partner as pp on pp.kodPartnera=s.kodPartnera
where vrsDo in ('11')
and trim(s.kodPartnera)<>''

and (s.broDo like @proda or trim(@proda)='' or trim(@proda)='0')
and (s.kodPartnera=@kodPartnera or trim(@kodPartnera)='') 
and s.DVO between @DVOOd and @DVODo
and (PDVstatus=@PDVstatus or @PDVstatus='S') 
and (s.vrsDo=@vrsDo or @vrsDo='')
 
order by
proda,
DVO,
broDo