/*za Panex-dinamic u maticna_robe izbaciti robu koje trenutno nema na stanju i kod koje nije
bilo prometa 2 godine */

CREATE TABLE kodovi_robe (
  kodRobe CHAR(16) NOT NULL,  
  PRIMARY KEY (kodRobe)  
) DEFAULT CHARSET=utf8;

/* ovo se pusti u 2014  */
INSERT INTO kodovi_robe
SELECT DISTINCT kodRobe FROM dok_stavke;

/* kodovi robe se prekopiraju u 2015 i tu se doda roba koja je imala promet */
INSERT INTO kodovi_robe
(
SELECT DISTINCT b.kodRobe FROM dok_stavke as b
LEFT JOIN kodovi_robe as a
on  a.kodRobe = b.kodRobe
where a.kodRobe is null
);
/* ubace se kodovi robe iz stanja koja nisu nula */
INSERT INTO kodovi_robe
(
SELECT DISTINCT b.kodRobe FROM stanja as b
LEFT JOIN kodovi_robe as a
on  a.kodRobe = b.kodRobe
where b.stanje <> 0 and a.kodRobe is null
);
/* skopirati maticna_robe   u maticna_robeorg. U kodoviRobe su ostali svi koji se ne smiju brisati */ 
/*obrišu se svi koji nisu imali prometa u 2014 i 2015 i trenutno u 2015 nisu na stanju */
DELETE FROM maticna_robe
WHERE kodRobe NOT IN
(SELECT * FROM kodovi_robe);

