/* pripreme se oni koji se ne smiju brisati */
CREATE TABLE kodovi_robe (
  kodRobe CHAR(16) NOT NULL,  
  PRIMARY KEY (kodRobe)  
) ENGINE=InnoDB;


INSERT INTO kodovi_robe
 /* SELECT DISTINCT kodRobe FROM dok_stavke; */
SELECT kodRobe from dok_stavke GROUP BY kodRobe;

/* ubace se kodovi robe iz stanja koja nisu nula 
isti kod robe može biti nula na jednom skladištu, a na drugom ne, ili po jednoj cijeni je nula stanje
a po drugoj ne */
INSERT INTO kodovi_robe
/* SELECT DISTINCT b.kodRobe FROM stanja as b */
SELECT b.kodRobe FROM stanja as b
LEFT JOIN kodovi_robe as a
on  a.kodRobe = b.kodRobe
where b.stanje <> 0 and a.kodRobe is null
group by b.kodRobe
;
/* skopirati maticna_robe   u maticna_robeorg. U kodovi_robe SU OSTALI SVI KOJI SE NE SMIJU BRISATI */ 
/*obrišu se svi koji nisu imali prometa u tekućoj godini i stanje im je nula*/
DELETE FROM maticna_robe
WHERE kodRobe NOT IN
(SELECT * FROM kodovi_robe)
and kodGrupe IN ('0789', '0799');

delete  stanja from stanja   
   left outer join maticna_robe m 
   on m.kodRobe = stanja.kodRobe
-- where stanja.kolicinaInventure = 0
where m.kodRobe is null;
