/*za Panex-dinamic u maticna_robe izbaciti robu koje trenutno nema na stanju i kod koje nije
bilo prometa 2 godine */

CREATE TABLE kodovi_robe (
  kodRobe CHAR(16) NOT NULL,  
  PRIMARY KEY (kodRobe)  
) DEFAULT CHARSET=utf8;

/* ovo se pusti u 2014 */
INSERT INTO kodovi_robe
SELECT DISTINCT kodRobe FROM dok_stavke;

/* kodovi robe se prekopiraju u 2015 i tu se doda roba koja je bila na
 stanju i koja je imala promet */
INSERT INTO kodovi_robe
(
SELECT DISTINCT b.kodRobe FROM dok_stavke as b
LEFT JOIN kodovi_robe as a
on  a.kodRobe = b.kodRobe
where a.kodRobe is null
);
/* ubace se kodovi robe iz stanja koja nisu nula */
INSERT INTO kodovi_robe
(
SELECT DISTINCT b.kodRobe FROM stanja as b
LEFT JOIN kodovi_robe as a
on  a.kodRobe = b.kodRobe
where b.stanje <> 0 and a.kodRobe is null
);

/* skopirati maticna_robe   u maticna_robeorg 
obrišu se svi koji nisu u kodovi_robe (nije bilo prometa niti ih ima na stanju) */
DELETE FROM maticna_robe
WHERE kodRobe NOT IN
(SELECT * FROM kodovi_robe);

