
/* prije se napravi kopi inv_stanja u inv_stanja_org */
/* ako ima više stavki suma svih stavki ubacuje se na stavku sa cijenom 0 */

/* zbrajanje svih stanja na stavku sa cijenom nula koja postaje važeća stavka */
update inv_stanja as i
join 
(
select proda, kodrobe, vrstaProdaje, count(*), sum(kolicinaInventure) as ukStanje
from inv_stanja_org
group by proda, kodrobe, vrstaProdaje
having count(*)>1
) as o on o.proda=i.proda and o.kodrobe=i.kodrobe and o.vrstaProdaje = i.vrstaProdaje
set stanje=ukStanje,
    kolicinaInventure=ukStanje
where cijena=0
;

/*
Briše duple stavke kojima cijena nije 0
*/
delete i from inv_stanja as i
join 
(
select proda, kodrobe, vrstaProdaje, count(*) 
from inv_stanja_org
group by proda, kodrobe, vrstaProdaje
having count(*)>1
) as o on o.proda=i.proda and o.kodrobe=i.kodrobe and o.vrstaProdaje = i.vrstaProdaje
where cijena<>0
;

/* kontrola ukupnih kolićina */
set @proda = '701';
select sum(kolicinaInventure) as sumaInveturnihKolicinaOrginala from inv_stanja_org
where proda = @proda; 

select sum(kolicinaInventure) as sumaInveturnihKolicinaKonacna from inv_stanja
where proda = @proda; 