set @DVOOd = '2013-04-01 00:00:00.00', @DVODo='2013-08-31 23:00:00.00', 
    @proda='', @vsrDo='8', @refProd='', @kasa='', @nacinPlacanja='n';
select 
z.proda,  
z.vrsDo,
z.broDo,
z.refProd,
sum(kolicina) as kolicina, 
sum(round(kolicina*s.cijena,2)) as osnovica, 
sum(round(kolicina*s.cijena*PDV/100 - if(absRabatPopust='A',rabatPopust,s.cijena*rabatPopust/100*kolicina)*PDV/100,2))
 as PDVIznos, 
sum(round(if(absRabatPopust='A',rabatPopust,s.cijena*rabatPopust/100)*kolicina*(1+PDV/100),2)) as rabat, 
sum(round(kolicina*s.cijena*(1 + PDV/100) - if(absRabatPopust='A',rabatPopust,s.cijena*rabatPopust/100)*kolicina*(1+PDV/100),2)) as ukupno,
(z.novac - z.povrat ) as novac,
sum( if(r.robaUsluga='U', round(kolicina*s.cijena*PDV/100 - 
    if(absRabatPopust='A',rabatPopust,s.cijena*rabatPopust/100*kolicina)*PDV/100,2),0)) as PDVIznosUsl, 
sum( if(r.robaUsluga='U', round(if(absRabatPopust='A',rabatPopust,s.cijena*rabatPopust/100)*kolicina*(1+PDV/100),2),0)) as rabatUsl, 
sum( if(r.robaUsluga='U', round(kolicina*s.cijena*(1 + PDV/100) - if(absRabatPopust='A',rabatPopust,s.cijena*rabatPopust/100)*kolicina*(1+PDV/100),2),0)) as ukupnoUsl

from dok_stavke as s
left outer join dok_zag as z 
on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
and z.zapis=s.zapis and z.`broDo`=s.`broDo`
left outer join maticna_robe as r on  r.kodRobe=s.kodRobe
where (z.proda=@proda or trim(@proda)='' or trim(@proda)='0')
and ( z.vrsDo=@vsrDo or trim(@vsrDo)='')
and (z.refProd=@refProd or trim(@refProd)='')
and (z.kasa=@kasa or @kasa=0)
and z.DVO between @DVOOd and @DVODo
and (trim(@nacinPlacanja)='' or (@nacinPlacanja='N' and novac<>0) or (@nacinPlacanja='K' and iznosKartice<>0))
group by
z.proda,  
z.vrsDo,
z.broDo,
--z.kasa,
z.refProd,
z.novac,
z.povrat
;
