update maticna_robe
join
(
    select distinct s.kodRobe, p.kodPartnera, p.zemlja 
    from dok_stavke as s
    join dok_zag as z 
    on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
    and z.zapis=s.zapis and z.`broDo`=s.`broDo`
    join partner as p on p.`kodPartnera`=z.`kodPartnera`
    where p.zemlja is not null
) as t
set maticna_robe.`zemljaPorijekla`=t.zemlja,
    maticna_robe.`kodUvoznika`=t.kodPartnera,
    maticna_robe.`kodProizvodjaca`=t.kodPartnera
where maticna_robe.kodRobe=t.kodrobe
;

-- svim artiklima iz primke broj 2 stavljamo u uvoznika 23, uvoznik je distributer
update maticna_robe
join
(
    select distinct s.`kodRobe`
    from dok_stavke as s
    join dok_zag as z 
    on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
    and z.zapis=s.zapis and z.`broDo`=s.`broDo`
    join partner as p on p.`kodPartnera`=z.`kodPartnera`
    where p.zemlja is not null
    and s.proda='2302' and s.vrsdo='1' and s.brodo=1
)as t
set maticna_robe.`kodUvoznika`='23'
where maticna_robe.kodRobe=t.kodrobe
;
