set @datumInv='2013-04-01 00:00:00';

-- START TRANSACTION;
/*
upisuje onu robu iz prometne koje nema u stanjima
*/
insert into stanja
 (proda, stanja.`kodRobe`, `vrstaProdaje`, stanja.cijena, stanje, `datumOtvaranja`, `tkoJeIzmjenio` )
select proda, s.kodrobe, `vrstaProdaje`, s.cijena , 0 as stanje, now(), 'rekonstrukcija'
from dok_stavke as s
left outer join vrste_dokumenata as v on v.`vrsDo`=s.`vrsDo`
-- left outer join maticna_robe as m on m.kodrobe=s.`kodRobe`
where (v.`tipDokumenta` ='R' and s.`DVO`>=@datumInv)
-- and m.robaUsluga='R'
and s.kodrobe not in
    (
        select st.`kodRobe`
        from stanja as st
        where st.proda=s.proda and st.`kodRobe`=s.`kodRobe` and st.`vrstaProdaje`=s.`vrstaProdaje` and st.cijena=s.cijena
    )
group by proda, s.kodrobe, `vrstaProdaje`, s.cijena
;

-- postavlja sva stanja na 0
update stanja
set stanje=0 
;

update stanja as st
left outer join
(
select 
    st.proda, 
    st.kodrobe, 
    st.vrstaProdaje, 
    st.cijena , 
    ifnull(sum(ifnull(s.kolicina * v.`azurStanja`,0)),0) as stanje
from dok_stavke as s
left outer join vrste_dokumenata as v on v.`vrsDo`=s.`vrsDo`
left outer join dok_zag as z 
  on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
  and z.zapis=s.zapis and z.`broDo`=s.`broDo`
left outer join maticna_robe as m on m.kodrobe=s.`kodRobe`
inner join stanja as st
 on st.proda=s.proda and st.`kodRobe`=s.`kodRobe` and st.vrstaProdaje=s.`vrstaProdaje` and st.cijena=s.cijena
where v.`tipDokumenta` ='R'
-- and m.`robaUsluga`='R'
and (s.`DVO`>= `datumInventure` and datumInventure>'0000-00-00 00:00:00' 
  or ((datumInventure='0000-00-00 00:00:00' or datumInventure is null) 
and s.`DVO`>=@datumInv
))
group by st.proda, st.kodrobe, st.`vrstaProdaje`, st.cijena
) as s on s.proda=st.proda and s.`kodRobe`=st.`kodRobe` and s.`vrstaProdaje`=st.`vrstaProdaje` and s.cijena=st.cijena

set st.stanje= ifnull(s.stanje,0) + ifnull(kolicinaInventure,0),
    st.datumIzmjene=now(),
    st.tkoJeIzmjenio='rekonstrukcija' 
;

-- COMMIT
;
