--set @DVOod='2014-09-01 00:00:00', @DVOdo='2015-08-31 23:59:59';
set @DVOod='2014-09-01 00:00:00', @DVOdo='2015-08-31 23:59:59';

select 
kodRobe, 
nazivRobe, 
cijena,
broDo,
proda,
DVO
from 
(
    select 
    s.kodRobe, 
    s.cijena, 
    r.nazivRobe,   
    s.broDo,
    s.proda,
    z.DVO
    from murskiga_robno_din_14.dok_stavke as s
    join murskiga_robno_din_14.dok_zag as z 
    on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
    and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi    
    left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe` 
    where z.DVO between @DVOOd and @DVODo
    and s.vrsDo='7' 
    and s.proda='203'
    and s.broDo not in (60, 67, 70, 73, 80, 82)
    and r.`robaUsluga`='R'

    union all
    
    select 
    s.kodRobe, 
    s.cijena, 
    r.nazivRobe,  
    s.broDo,
    s.proda,
    z.DVO
    from dok_stavke as s
    join dok_zag as z 
    on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
    and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi    
    left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe` 
    where z.DVO between @DVOOd and @DVODo
    and s.vrsDo='7' 
    and s.proda='203'
    and s.broDo not in (5, 7, 8, 9, 14, 15, 21, 30, 31, 32, 36, 37, 39) 
    and r.`robaUsluga`='R'
    
) as t
order by
kodRobe 
   ;