set @DVOod='2014-09-01 00:00:00', @DVOdo='2015-08-31 23:59:59';
--set @DVOod='2015-04-30 00:00:00', @DVOdo='2015-08-31 23:59@59';

select 

proda, 
broDo, 
brojDobavljacevogRacuna,
DVO, 
nazivPartnera, 
tarifniBroj, 

sum(kolicina) as kolicina, 
sum(iznos) as iznos,

zemljaPorijekla, 
naziv,
kodPartnera

from 
(
    select
    k.proda, 
    k.broDo, 
    k.brojDobavljacevogRacuna,
    z.DVO as DVO, 
    p.nazivPartnera, 
    if(r.tarifniBroj='87120030C' or trim(r.tarifniBroj)='', s.kodRobe , ifnull(r.tarifniBroj,s.kodRobe)) as tarifniBroj, 
    s.kolicina as kolicina, 
    round(s.kolicina*s.nabavnaCijena,2) - round(round(s.kolicina*s.nabavnaCijena,2) * s.`rabatPopust`/100,2) as iznos,
    if(r.zemljaPorijekla='CN','CN','N') as zemljaPorijekla,
    ifnull(t.`nazivTarifnogBroja`, nazivRobe) as naziv,
    z.kodPartnera
    from murskiga_robno_din_14.kalkulacije as k
    join murskiga_robno_din_14.dok_zag as z 
    on z.proda=k.proda and z.vrsDo='1' and z.`proIn`=k.`proIn` 
    and z.zapis=k.zapis and z.`broDo`=k.`broDo` and z.verzi=k.verzi
    join murskiga_robno_din_14.dok_stavke as s 
    on s.proda=z.proda and s.vrsDo=z.`vrsDo` and s.`proIn`=z.`proIn` 
    and s.zapis=z.zapis and s.`broDo`=z.`broDo` and s.verzi=z.verzi
    left outer join murskiga_robno_din_14.partner as p on p.kodPartnera=z.kodPartnera
    left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe`
    left outer join tarifni_brojevi as t on t.`tarifniBroj`=r.`tarifniBroj`
    where z.DVO between @DVOOd and @DVODo
    and s.vrsDo='1' 
    and p.`vrstaPartnera`<>3 and p.`vrstaPartnera`<>7
--    and r.`vrstaArtikla`<>'ODI'
    and r.vrstaArtikla not in ('ORA', 'OZB')
--     and (r.vrstaArtikla = 'BIT' or r.vrstaArtikla = 'ODI') 
    union all

    select
    k.proda, 
    k.broDo, 
    k.brojDobavljacevogRacuna,
    z.DVO as DVO, 
    p.nazivPartnera, 
    if(r.tarifniBroj='87120030C' or trim(r.tarifniBroj)='', s.kodRobe , ifnull(r.tarifniBroj,s.kodRobe)) as tarifniBroj, 
    s.kolicina as kolicina, 
    round(s.kolicina*s.nabavnaCijena,2) - round(round(s.kolicina*s.nabavnaCijena,2) * s.`rabatPopust`/100,2) as iznos,   
    if(r.zemljaPorijekla='CN','CN','N') as zemljaPorijekla,
    ifnull(t.`nazivTarifnogBroja`, nazivRobe) as naziv,
    z.kodPartnera
    from kalkulacije as k
    join dok_zag as z 
    on z.proda=k.proda and z.vrsDo='1' and z.`proIn`=k.`proIn` 
    and z.zapis=k.zapis and z.`broDo`=k.`broDo` and z.verzi=k.verzi
    join dok_stavke as s 
    on s.proda=z.proda and s.vrsDo=z.`vrsDo` and s.`proIn`=z.`proIn` 
    and s.zapis=z.zapis and s.`broDo`=z.`broDo` and s.verzi=z.verzi
    left outer join partner as p on p.kodPartnera=z.kodPartnera
    left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe`
    left outer join tarifni_brojevi as t on t.`tarifniBroj`=r.`tarifniBroj`
    where z.DVO between @DVOOd and @DVODo
    and s.vrsDo='1' 
    and p.`vrstaPartnera`<>3 and p.`vrstaPartnera`<>7
--    and r.`vrstaArtikla`<>'ODI'
     and r.vrstaArtikla not in ('ORA', 'OZB')
--    and (r.vrstaArtikla = 'BIT' or r.vrstaArtikla = 'ODI') 
) as t
where tarifnibroj='7315111000' and zemljaPorijekla='CN'
order by
DVO, 
proda, 
broDo, 
tarifniBroj, 
nazivPartnera, 
zemljaPorijekla,
naziv
/*
group by
DVO, 
proda, 
broDo, 
tarifniBroj, 
nazivPartnera, 
zemljaPorijekla,
naziv
*/