<?php
$tecajKonverzije = 7.53450;
$dvojniPrikazCijena = true;
$parametar=get_parametar('tecajKonverzije');
if(is_array($parametar)) 
    $tecajKonverzije = str_replace(',', '.', $parametar['vrijednostParametra']);
$parametar=get_parametar('dvojniPrikazCijena');
if(is_array($parametar)) 
    $dvojniPrikazCijena = strtoupper($parametar['vrijednostParametra'])=='DA';

function kune_u_eure($iznosUkunama) {
    global $tecajKonverzije;
    $iznosUeurima = round($iznosUkunama / $tecajKonverzije, 2);
    return $iznosUeurima;
}

function euri_u_kune($iznosUeurima) {
    global $tecajKonverzije;
    $iznosUkunama = round($iznosUeurima * $tecajKonverzije, 2);
    return $iznosUkunama;
}

// testirananje

function test_konverzije() {
    global $tecajKonverzije;
    $uneseniIznos = 0;
    $konverzija ='k';
    if(isset($_POST['uneseniIznos'])) {
        $uneseniIznos = str_replace(',', '.', $_POST['uneseniIznos']);
        $konverzija = $_POST['konverzija'];
    }
    ?>
    <form action="." method="post" id="view_zag">
    <input type="hidden" name="action" value="view_test_konverzije" />
    <h1>Testiranje konverzije </h1>
    Iznos:
    <input type="text" name="uneseniIznos" class="text_width_5em" value="<?php echo $uneseniIznos ?>" pattern="<?php echo $pBroj2Decimale ?>" />
    Konverzija:
    <select name="konverzija">
        <option value="k" <?php if($konverzija == 'k') echo 'selected="selected"'; ?> >kune u eure</option>
        <option value="e" <?php if($konverzija == 'e') echo 'selected="selected"'; ?> >euri u kune</option>
    </select>
    <input type="submit" value="Izračunaj" name="izracunaj" />    
    <h1>Tečaj: 1 € = <?php echo number_format($tecajKonverzije, 5, ',', '.'). ' kn'?></h1>
    <?php
    if(isset($_POST['konverzija'])) {
        if($_POST['konverzija']=='k') {
            $euri = kune_u_eure($uneseniIznos); 
            echo "<h1>".number_format($uneseniIznos,2,',','.')." kn = ".number_format($euri,2,',','.')." € </h1>";
        }
        else {
            $kune = euri_u_kune($uneseniIznos); 
            echo "<h1>".number_format($uneseniIznos,2,',','.')." € = ".number_format($kune,2,',','.')." kn </h1>";
        }
    }
    ?>
    </form>
    <?php
    
}
/*
echo "<h1>Testiranje konverzije </h1>";
$kune = 7223.16;
$euri = kune_u_eure($kune); 
echo "<h1>$kune kn = $euri € </h1>";
$kune = 5220;
$euri = kune_u_eure($kune); 
echo "<h1>$kune kn = $euri € </h1>";
*/
//test_konverzije();
