<?php
require_once('../../util/main.php');
require_once('util/secure_conn.php');
require_once('util/valid_admin.php');

require_once('model/admin_db.php');
require_once('model/product_db.php');
require_once('model/category_db.php');

if (isset($_POST['action'])) {
    $action = $_POST['action'];
} else if (isset($_GET['action'])) {
    $action = $_GET['action'];
} else {
    $action = 'list_categories';
}

$action = strtolower($action);
switch ($action) {
    case 'list_categories':
        $categories = get_categories();

        include('category_list.php');
        break;
    case 'delete_category':
        $kodGrupe = $_POST['kodGrupe'];

        delete_category($kodGrupe);
        
        header("Location: .");
        break;
    case 'add_category':
        $nazivGrupe_add = $_POST['nazivGrupe_add'];
        $kodGrupe_add  = $_POST['kodGrupe_add']; 
        // Validate inputs
        if (empty($nazivGrupe_add)) {
            display_error('Mora se pupuniti naziv robne grupe,
                           Probajte ponovno!');
		}		   
         elseif (empty($kodGrupe_add)) {
            display_error('Mora se pupuniti kod robne grupe,
                           Probajte ponovno!');  						                  
        } else {
            $kodGrupe = add_category($kodGrupe_add,$nazivGrupe_add);
        }

        header("Location: .");
        break;
    case 'update_category':
        $kodGrupe = $_POST['kodGrupe'];
        $nazivGrupe = $_POST['nazivGrupe'];

        // Validate inputs
        if (empty($nazivGrupe)) {
            display_error('Mora se popuniti naziv robne grupe!');
        } else {
            update_category($kodGrupe, $nazivGrupe);
        }

        header("Location: .");
        break;
}

?>