<?php

/**
 * Description of ispis
 *
 * @author Josip makar
 */

/*
require_once '../model/dokumenti_db.php';
require_once '../model/poslovnice_db.php';
require_once '../model/admin_db.php';
require_once '../model/product_db.php';
require_once '../model/partneri_dbproba.php';
*/
include_once 'util/prijelaz_na_euro.php';
class Ispisi
{
    private $firma = array(); 
    private $posl = array();
    private $zaglavlje = array();
    private $stavke = array();
    private $zbroj = array();
    private $poStopi = array();
    private $robno_path;
            
function ispis_paragonca($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi, $daliVeliki, $daliHTML)
 
{
    global $app_path;
    $dirs = explode('/', $_SERVER['REQUEST_URI']);
    //$this->robno_path = '/' . $dirs[1] . '/robno/';    
    $this->robno_path = $app_path;    

    $this->firma = get_poslovnica(0);
    $this->posl = get_poslovnica($proda);
    $this->zaglavlje = get_dok_zag($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
    $this->stavke =  get_dok_stavke($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
    $this->zbroj =  zbroj_po_dok($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
    $this->poStopi =  razrada_po_stopi($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
    korekcija_po_stopama($this->poStopi, $this->zbroj['zaNaplatu']);
    
    $this->ispis_paragoncaHTML($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi, $daliVeliki);
   
}

function ispis_paragoncaHTML($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi, $daliVeliki)
{
global $dvojniPrikazCijena, $tecajKonverzije;

//$zaglavlje= <<< HTML
?>        
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<HEAD>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>Ispis računa</TITLE>
<script language="Javascript1.2">
  <!--
  function printpage() {
    //document.body.innerHTML = "";
    window.print();
  }
  //-->
</script>
<style type="text/css">
/* body {  font-family: monospace;} */
/* body {font-family: "Times New Roman", Times, serif; font-size: 10pt} */
body {font: Arial, Helvetica, sans-serif}
body { font-size: 10pt} 
table {font-size: 8pt} 
th, td { padding: 0px 0px 0px 0px; } 
.right {text-align: right;}
.pdvcol1 {text-align: right; width: 20%;}
.pdvcol {text-align: right; width: 40%;}
.left {text-align: left;}
thead th {border-bottom: 1px solid}
tfoot td{border-top: 1px solid}

#printable { 
    width: 72mm;
    display_: none; 
}
#non-printable {
        text-align: center;
        /* font-family: Arial, Helvetica, sans-serif; */
        font-size: 24pt;
	width: 800px;
        position: relative;
        box-shadow: 10px 10px 25px #066;
        margin: 10% auto;
        padding: 5px 20px 13px 20px;
        border-radius: 10px;
        background: #fff;
        background: -moz-linear-gradient(#fff, #999);
        background: -webkit-linear-gradient(#fff, #999);
        background: -o-linear-gradient(#fff, #999);
}
@media print
{
    #non-printable { display: none; }
    #printable { 
        display: block;
    }
}
</style>        
<body onLoad="printpage()" topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0">
    <div id="non-printable">

<br>Ispis računa<br>&nbsp; <?php echo $broDo ?>
    <form method="post" action="<?php echo $this->robno_path ?>cart?action=clear_cart" >
        <input type="submit" class="fb-button-special" value="Povratak" /> 
    </form>
</div>
<div id="printable">
<?php
    $ispisujeLogo = true;
    if(trim($vrsDo) != '8') {
        echo '</div>';
        exit;
    }
 
    $filler = str_repeat(' ', 12);
    $dReda = 40;
    $duljNaziv =64;
    if($daliVeliki)
    {
        $dReda = 70;
        $duljNaziv =30;
    }

    if($ispisujeLogo) {
        global $app_path;
        $logo=$app_path.'images/'.$_SESSION['skracenicaFirme'].'_logo.gif';
        if(file_exists($_SERVER["DOCUMENT_ROOT"].$logo)) :  ?>                  
            <img id="company_logo_header" src="<?php if(file_exists($_SERVER["DOCUMENT_ROOT"].$logo)) echo $logo ?>"  width="127" height="60"/>
            <br>
        <?php endif;
    }
   
    //IZVLAČENJE PRVOG REDA TELEFONA IZ FIRME ------------------------- 
    $telefoniFirmaOrg = $this->firma['telefoni'];
    $telefoniFirma = str_replace("\r\n", "\n", $telefoniFirmaOrg);  // convert Windows
    $telefoniFirma = str_replace("\r", "\n", $telefoniFirmaOrg);    // convert Mac
    $telefoniFirma = str_replace("<br />", "\n", $telefoniFirmaOrg); // za TinyMCE
    // Get an array of paragraphs
    $paragraphsF = explode("\n", $telefoniFirma);
 
    $prviRedFirmaTelefoni = $paragraphsF[0]; 
    $DVO=new DateTime($this->zaglavlje['DVO']);

    ?>
    <b> <?php echo substr($this->firma['nazivPoslovnice'],0,$dReda)?></b><br/>
    <?php
    echo substr(trim($this->firma[ 'mjestoSjedista']).', '.trim($this->firma['ulicaBroj']),0,$dReda).'<br/>';
    echo 'OIB:'.$this->firma['OIB'].', '.trim($prviRedFirmaTelefoni).'<br/>';
    echo 'Poslovnica:'.substr($proda.' '.  $this->posl['nazivPoslovnice'],0,$dReda).'<br/>';
    echo  substr(trim($this->posl[ 'mjestoSjedista']).', '.trim($this->posl['ulicaBroj']),0,$dReda).'<br/>';
//    echo 'Tel.:'.trim($this->posl['telefoni']).'<br/>';
    echo trim($this->posl['telefoni']).'<br/>';
    ?>
    <b>Datum: <?php echo $DVO->format('d.m.Y ').' &nbsp; &nbsp; Vrijeme: '.$DVO->format('H:i') ?> </b><br/>
    <br/>
    
    <?php
    // ako je paragonac R1 treba ispiati partnera
    if(empty($this->zaglavlje['kodPartnera'])) : ?>
      <b>RAČUN br: <?php echo $broDo.'-'.$proda.'-'.$this->zaglavlje['kasa'] ?></b><br/>
    <?php else : ?>
      <b>  RAČUN R1 br: <?php echo $broDo.'-'.$proda.'-'.$this->zaglavlje['kasa'] ?></b><br/>
        <br/>
        <?php $partner = get_partner(trim($this->zaglavlje['kodPartnera'])); ?>
        Kupac: <?php echo $partner['nazivPartnera'] ?> <br/>
        &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; <?php echo $partner['mjestoSjedista'] ?> <br/>
        &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; <?php echo $partner['ulicaBroj'] ?> <br/>
        OIB:  &nbsp; &nbsp; <?php echo $partner['OIB'] ?> <br/>
    <?php endif; ?>
    <br/>
    
    <table border="0" align="left" width="95%">
    
    <caption><b>Kod robe / usluge&nbsp; &nbsp; &nbsp; &nbsp; 
        &nbsp; &nbsp; &nbsp; &nbsp; 
        N a z i v &nbsp; r o b e / u s l u g e &nbsp; &nbsp; &nbsp;</b>
    </caption>
    <thead> 
        <tr>
            <th>JMJ &nbsp; </th>
            <th class="right">Količina</th> 
            <th class="right">Cijena</th> 
            <th class="right">Iznos</th>
        </tr> 
    </thead>
    <?php    
    $RB = 0;
    $stornoTekst=$storniraniDok='';
    foreach ($this->stavke as $stavka) 
    {
        if(trim($stavka['vezniDokument'])!='' && $stavka['vezniDokument']!=$storniraniDok) {

            if($stornoTekst=='')
                $stornoTekst=$stavka['vezniDokument'];
            else
                $stornoTekst.=','.$stavka['vezniDokument'];
            $storniraniDok=$stavka['vezniDokument'];
        }
        $RB = $RB + 1;
        $artikl = get_product_maticna_robe($stavka['kodRobe']);
        if ($RB == 1) $poreznaGrupaPrvaStavka = $artikl['poreznaGrupa'];
        $zaNaplatu = $this->za_naplatu($stavka);
        // /*
        if ($stavka['rabatPopust'] != 0) 
        {
            if ($stavka['absRabatPopust'] == 'A') 
            { 
              $rabatPopustNaCijenu = $stavka['rabatPopust'] * $stavka['kolicina']; 
              //ako je apsolutni onda je to popust S POREZOM!!!    
            }
            else 
            {
              $rabatPopustNaCijenu = round(($stavka['cijena'] * (1 + $stavka['PDV'] / 100)),2) * $stavka['rabatPopust'] / 100 * $stavka['kolicina']; 
            } 
        }
        else 
            $rabatPopustNaCijenu = 0;
           // */
        
        $kolicina = sprintf("%6s", $stavka['kolicina']==(int)$stavka['kolicina']? (int)$stavka['kolicina']
                : number_format($stavka['kolicina'], 3, ',','' ));
        ?>
        <tr>
            <td colspan="4"> <?php echo substr(trim($stavka['kodRobe']).' &nbsp; '.$artikl['nazivRobe'].$filler.$filler,0,$duljNaziv) ?></td>
        </tr>
        <tr>
            <td> <?php echo sprintf(" %-6s", $artikl['jedinicaMjere']) ?></td> 
            <td class="right"> <?php echo sprintf("%6s", $kolicina) ?></td> 
            <td class="right"> <?php echo sprintf("%12s",number_format($stavka['cijena'] * (1 + $stavka['PDV'] / 100), 2, ',','')) ?></td> 
            <td class="right"> <?php echo sprintf("%12s",number_format($zaNaplatu + $rabatPopustNaCijenu, 2, ',','')) ?></td>
        </tr>
        <?php
        
     if ($stavka['rabatPopust'] != 0) {
            if ($stavka['absRabatPopust'] == 'A') { ?>           
              <tr>
                  <td colspan="2">Popust:</td>
                  <td class="right"> <?php echo number_format($stavka['rabatPopust'], 2, ',', '') ?></td>
                  <td class="right"> <?php echo number_format($zaNaplatu , 2, ',','') ?> </td>
              </tr>
              <?php      
              //ako je apsolutni onda je to popust S POREZOM!!!    
            } else { ?>
              <tr>
                  <td>Popust:</td>
                  <td class="right"> <?php echo number_format($stavka['rabatPopust'], 2, ',', '') ?> %</td>
                  <td class="right"> <?php echo number_format($rabatPopustNaCijenu, 2, ',', '') ?></td>
                  <td class="right"> <?php echo number_format($zaNaplatu , 2, ',','' ) ?></td>
              </tr>
            <?php
            }
        }
    }
    ?>
    <tfoot> 
        <tr>
            <td colspan="3" > 
                <b>UKUPNO:
                <?php 
                if($dvojniPrikazCijena) {
                    $tecaj = "1 € = ".number_format($tecajKonverzije, 5, ',', '.')." kn &nbsp;";
                    echo "<br>".$tecaj;
                }    
                ?>    
                </b>
            </td> 
            <td class="right" style="font-size: 120%"> <b> 
                <?php 
                echo number_format($this->zbroj['zaNaplatu'],2,',','') ;
                if($dvojniPrikazCijena) 
                    echo ' kn <br>'.number_format(kune_u_eure($this->zbroj['zaNaplatu']),2,',','').'  € &nbsp;';
                ?>
            </b></td> 
        </tr> 
    
    </tfoot>
    </table>
    <?php
    //echo $this->zaglavlje['novac'] . '<br>';
    if($this->zaglavlje['novac']!=0)
    {
        //if($this->zaglavlje['iznosKartice']==0)
            //echo 'Način plaćanja: novčanice'.'<br/>';
        //else
            //echo 'Način plaćanja: ostalo'.'<br/>';
        if($this->zaglavlje['povrat']!=0)
            echo sprintf("Gotovina: %s  Povrat: %s", trim(number_format($this->zaglavlje['novac'],2,',','')), 
                    trim(number_format($this->zaglavlje['povrat'],2,',',''))).'<br/>';
        else 
            echo sprintf("Plaćeno novčanicama: %s <br>", trim(number_format($this->zaglavlje['novac'],2,',','')));
    }    
    if($this->zaglavlje['iznosKartice']!=0)
    {
        $vrstaKartice = get_v_k_c_jedan($this->zaglavlje['vrstaKartice']);
        if(!isset($vrstaKartice['nazivKarticeCeka']))
            $vrstaKartice['nazivKarticeCeka']='';
        echo sprintf("Plaćeno karticom: %s  %s. %s", trim(number_format($this->zaglavlje['iznosKartice'],2,',','')), $vrstaKartice['nazivKarticeCeka'],
                                $this->zaglavlje['brojRata']>1?' Broj rata:'.$this->zaglavlje['brojRata']:' ').'<br/>';
        if($this->zaglavlje['vrstaKartice']='VIŠE KARTICA') {
            $rate_kartice = get_rate_kartice($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
            if (!empty($rate_kartice)) {
            ?> 
            <table>
            <thead>
              <tr>   
                <th class="left">&nbsp; Iznos &nbsp;</th>
                <th class="left">&nbsp; Vrsta kartice &nbsp;</th>
              </tr>  
             </thead>   
             <?php
                $ukupnoRate=0;
                foreach ($rate_kartice as $rata) {
                    $ukupnoRate += $rata['iznosRateKartice'];
                    $iznosRateKartice=number_format($rata['iznosRateKartice'],2,',','');
                    $vrstaKarticeT = get_v_k_c_jedan($rata['vrstaRateKartice']); 
                    $nazivKarticeCeka=$vrstaKarticeT['nazivKarticeCeka'];
                    ?>
                    <tr>
                        <td class='right'>&nbsp; <?php echo $iznosRateKartice  ?> &nbsp; </td>
                        <td class='center'> &nbsp; <?php echo $nazivKarticeCeka ?> &nbsp; </td>
                    </tr>
                    <?php
                }
                ?>
                <tfoot>
                    <tr>
                        <td class='right'>&nbsp; <?php echo number_format($ukupnoRate,2,',','') ?> &nbsp;</td>
                    </tr>
                </tfoot>
                </table> 
                <?php
            }
        }
    }

    if($this->zaglavlje['iznosTransRacun']!=0)
    {
        echo sprintf("Plaćeno transakcijskim računom: %s <br>", trim(number_format($this->zaglavlje['iznosTransRacun'],2,',','')));
    }
    
    echo ' '.'<br/>';
    if ($poreznaGrupaPrvaStavka == 'PM') {
        ?>
        Posebni postupak oporezivanja marže-rabljena dobra<br/>
        <br/>
        <?php
    } 
    ?>
    &nbsp; ---------------- Obračun poreza ----------------<br/>
    
    <table border="0" align="left" width="90%">
    
    <thead> 
        <tr>
            <th class="pdvcol1">Vrsta poreza</th>
            <th class="pdvcol1">Stopa%</th> 
            <th class="pdvcol">Osnovica &nbsp; </th> 
            <th class="pdvcol">Iznos poreza</th>
        </tr> 
    </thead>
    <?php
    // funkcija razrada_po_stopi dodana u dokumenti_db.php  
    $this->poStopi =  razrada_po_stopi($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
    korekcija_po_stopama($this->poStopi, $this->zbroj['zaNaplatu']);
    $ukupnoPDV = 0.0;
    $brojStopa = 0;
    foreach ($this->poStopi as $pdvStavka) 
    {
        //$osnovica = $this->osnovicaPoStopi($pdvStavka);
        //$iznosPDV = round($osnovica*$pdvStavka['PDV']/100, 2);
        $osnovica = $pdvStavka['osnovica'];
        $iznosPDV = $pdvStavka['PDVIznos'];
        $ukupnoPDV += $iznosPDV;
        $brojStopa++;
        ?>
        <tr> 
            <td class="pdvcol1">PDV</td> 
            <td class="pdvcol"> <?php echo number_format($pdvStavka['PDV'],2,',','') ?></td> 
            <td class="pdvcol"> <?php echo number_format($osnovica ,2,',','')?> &nbsp; </td> 
            <td class="pdvcol"> <?php echo number_format($iznosPDV,2,',','') ?> </td>
        </tr>
        <?php         
    }
    ?>
    <tfoot> 
        <tr>
       <?php if ($brojStopa > 1) { ?>
         
        <td colspan="3"> <b>Ukupno: </b></td> 
        <td class="right"><b> <?php number_format($ukupnoPDV,2,',','') ?> </b></td>
       <?php } else { ?>
           <td> </td> 
           <td> </td> 
           <td> </td>
           <td></td>
       <?php    
       }
       ?>
       </tr> 
    </tfoot>
    </table>
    <br/>
    <?php
    if(!empty($this->zaglavlje['komentar'])) {
        ?>
       &nbsp;<br/> <?php echo $this->zaglavlje['komentar'] ?> <br/>
       <?php
    }
    /*
    if (trim($this->stavke[0]['vezniDokument']) != '') {
        echo '<br/>Storno po računu:'.$this->stavke[0]['vezniDokument'];
    }
     */
    if($storniraniDok!='') {
        if($stornoTekst==$storniraniDok)
            echo '<br/>Storno po računu:'.$stornoTekst;
        else
            echo '<br/>Storno po računima:'.$stornoTekst;
    }    
   
    if ($this->posl['daniStornoParagonci'] != 0) {
       ?>
       &nbsp; <br/> 
       &nbsp; <br/>
       &nbsp; <br/>
       Zamjene uvažavamo u roku od &nbsp;<?php echo (int)$this->posl['daniStornoParagonci'] ?>&nbsp; dana<br/>
       uz predočenje računa <br/>
       <?php 
    }
    
    $prodavac = get_admin_by_email($this->zaglavlje['tkoJeIzmjenio']);
   
    ?>
    Operater: <?php echo trim($prodavac['ime'].' '.trim($prodavac['prezime'])); ?> <br/>
    ZKI: <?php echo $this->zaglavlje['zastitniKod'] ?> <br/>
    JIR: <?php echo $this->zaglavlje['JIR'] ?> <br/>
    </br>
    &nbsp; &nbsp; &nbsp; &nbsp &nbsp; &nbsp; &nbsp; &nbsp; &nbsp &nbsp;&nbsp; &nbsp;  &nbsp; 
   <?php    
    //qr kod
    $d = new DateTime($this->zaglavlje['DVO']);
  //  echo 'zaglavlje jir='. $this->zaglavlje['JIR'];
    if(trim($this->zaglavlje['JIR']) =='')
        $kod = 'zki='. $this->zaglavlje['zastitniKod'];
    else
        $kod = 'jir='. $this->zaglavlje['JIR'];
    $tekst = 'https://porezna.gov.hr/rn?'.$kod.'&datv='.$d->format('Ymd_hi').'&iznos='.number_format($this->zbroj['zaNaplatu'], 2, ',', '');
    include_once 'util/bar_kodovi.php';
    //qrKod_tcpdf($tekst);
    qrKod_qrlib($tekst);    
    ?>
    <p> &nbsp; &nbsp; &nbsp; &nbsp &nbsp; &nbsp; &nbsp; &nbsp; &nbsp &nbsp;&nbsp; &nbsp; &nbsp; &nbsp &nbsp;&nbsp; &nbsp; &nbsp; &nbsp &nbsp;&nbsp; &nbsp; &nbsp; &nbsp &nbsp;.</p>
    </div> <!-- id="printable" ->
    <?php 
}


private function osnovicaPoStopi($pdvStavka)
{
    if($pdvStavka['rabat']!=0)
        $osnovica = $pdvStavka['osnovica'] - $pdvStavka['rabat']/(1+$pdvStavka['PDV']/100);
    else
        $osnovica = $pdvStavka['osnovica'];
    return $osnovica;
}
private function dodajRed($red, $dokument)
{
    $dokument.=$red;
}

private function ispis($text)
{
    //$text = 'Neki tekst ------------*********************';
    //echo $text.'<br>'; 
    echo '<script type="text/javascript">
    ispis("'.$text.'")
    </script>';
}        

private function za_naplatu($stavka)
{
    $rabatPopustNaCijenu = 0;
    $cijenaSpdv = round(($stavka['cijena'] * (1 + $stavka['PDV'] / 100)),2); 
    if ($stavka['rabatPopust'] != 0) {
       if ($stavka['absRabatPopust'] == 'A') { 
          $rabatPopustNaCijenu = $stavka['rabatPopust']; 
       //ako je absolutni onda je to popust S POREZOM!!!    
       } else {
          $rabatPopustNaCijenu = $cijenaSpdv * $stavka['rabatPopust'] / 100;  
       }
    }
    //TREBA JOŠ UGRADITI DODATNI KOLIČINSKI POPUST !

    $netoCijenaSpdv = round(($cijenaSpdv - $rabatPopustNaCijenu),2);
    $zaNaplatuStavka = $netoCijenaSpdv * $stavka['kolicina'];
    return $zaNaplatuStavka;
}
  
    
}

?>
