<?php

function velicina_slike($slika, $grupa, $fakrorPovecanja=1) {
    if(file_exists($slika)) {   
        $image_info = getimagesize($slika);                     
        $old_width=$new_width=$image_info[0];
        $old_height=$new_height=$image_info[1];                      
        $orginalGrupe=($grupa=='1081' || $grupa=='1082' || $grupa=='1083' || $grupa=='1085' || $grupa=='1086' || $grupa=='1087' || $grupa=='1088' || $grupa=='1089');                  
        if (!$orginalGrupe) {
            $max_width=280;
            $max_height=220;
            // Calculate height and width ratios
            $width_ratio = $old_width / $max_width;
            $height_ratio = $old_height / $max_height;
            // If image is larger than specified ratio, create the new image
            if ($width_ratio > 1 || $height_ratio > 1) {
            // Calculate height and width for the new image
               $ratio = max($width_ratio, $height_ratio);
               $new_height = round($old_height * $fakrorPovecanja / $ratio);
               $new_width = round($old_width * $fakrorPovecanja / $ratio);
               // Create the new image
            } else {
               $new_height = $old_height;
               $new_width = $old_width;
            } 
        }  
    }
    else {
        $new_height = $new_width = 0;
    }
    $velicina['height']=$new_height;
    $velicina['width']=$new_width;
    return $velicina;
}