CREATE TABLE dok_zag (
 proda VARCHAR(5)   NOT NULL, 
 vrsDo VARCHAR(2)   NOT NULL,
 proIn VARCHAR(5)   NOT NULL,  
 zapis VARCHAR(2)   NOT NULL,
 broDo INT(11)      NOT NULL,
 verzi VARCHAR(3)   NOT NULL,
  kodPartnera         VARCHAR(13) DEFAULT " ",
  DVO                 DATETIME    NOT NULL,
  valuta              DATETIME    DEFAULT NULL, 
   daniOdgodePl       INT DEFAULT 0,
   nacinPlacanja     CHAR(1) DEFAULT " ", 
  datumZakljucavanja DATETIME    DEFAULT NULL,
  datumRacuna        DATETIME    DEFAULT NULL,  
  datumNarudzbe      DATETIME    DEFAULT NULL,
  brojNarudzbe       VARCHAR(30) DEFAULT NULL,
  PDVstatus          CHAR(1) DEFAULT " ",
  casasSconto        DECIMAL(11,3)  DEFAULT NULL,
   absCasasSconto    CHAR(1) DEFAULT " ",
   daniZaCasasSconto  INT DEFAULT 0,
  refProd            VARCHAR(13) NOT NULL,
  komercijalista     VARCHAR(13) DEFAULT NULL,
  komentar  TEXT     DEFAULT NULL, 
  kasa               TINYINT DEFAULT NULL,
  novac              DECIMAL(11,2)  DEFAULT NULL,
  povrat             DECIMAL(11,2)  DEFAULT NULL,
  iznosKartice       DECIMAL(11,2)  DEFAULT NULL,
  vrstaKartice       VARCHAR(20) DEFAULT NULL,
  kodPoslovniceMp    VARCHAR(5) DEFAULT NULL,
  zastitniKod        VARCHAR(32) DEFAULT NULL,
  JIR                VARCHAR(36) DEFAULT NULL,
  datumIvrijemeJIR   DATETIME    DEFAULT NULL,
  rucniParagonac     VARCHAR(20) DEFAULT NULL,
  datumOtvaranja     DATETIME NOT NULL,
  datumIzmjene       DATETIME DEFAULT NULL,
  tkoJeIzmjenio      VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (proda, vrsDo, proIn, zapis, broDo, verzi), 
  INDEX kodPartnera (kodPartnera)
);
