CREATE TABLE inv_stanja (
  proda             VARCHAR(5)       NOT NULL,
  kodRobe           VARCHAR(16)      NOT NULL,    
  vrstaProdaje      CHAR(1)       NOT NULL,
  cijena            DECIMAL(11,3)  NOT NULL, 
  stanje            DECIMAL(11,3)  NOT NULL,
   vrsDoPu     VARCHAR(2) DEFAULT NULL,
   proInPu     VARCHAR(5) DEFAULT NULL,
   zapisPu     VARCHAR(2) DEFAULT NULL,
   broDoPu     INT        DEFAULT NULL,
   verziPu     VARCHAR(3) DEFAULT NULL,
   datumPu     DATETIME   DEFAULT NULL, 
   rabatPu     DECIMAL(11,3) DEFAULT NULL,
   absRabatPu  CHAR(1)    DEFAULT NULL,
   marzaPu     DECIMAL(11,3) DEFAULT NULL,
   absMarzaPu  CHAR(1) DEFAULT NULL,
   zavisniTroskoviPu    DECIMAL(11,3) DEFAULT NULL,
   absZavisniTroskoviPu CHAR(1) DEFAULT NULL,
   nabavnaCijenaPu      DECIMAL(11,3) DEFAULT NULL,
   kodPartneraPu        VARCHAR(13) DEFAULT NULL,
   vrsDoPi           VARCHAR(2) DEFAULT NULL,
   proInPi           VARCHAR(5) DEFAULT NULL,
   zapisPi           VARCHAR(2) DEFAULT NULL,
   broDoPi           INT DEFAULT NULL,
   verziPi           VARCHAR(3) DEFAULT NULL,
   datumPi           DATETIME DEFAULT NULL,
   rabatPopustPi     DECIMAL(11,3) DEFAULT NULL, 
   absRabatPopustPi  CHAR(1) DEFAULT NULL,
  datumInventure    DATETIME DEFAULT 0,
  kolicinaInventure DECIMAL(11,3)  DEFAULT 0,   
  brojInvStavke     INT DEFAULT 0,
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT 0,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ",   
  PRIMARY KEY (proda, kodRobe, vrstaProdaje, cijena), 
  INDEX poRobi (kodRobe, proda, vrstaProdaje) 
  );