
USE panex_robno;
DROP TABLE IF EXISTS partneri;
-- create the tables for the database
CREATE TABLE partneri (
  IDpartnera         INT         NOT NULL   AUTO_INCREMENT,
  kodPartnera        VARCHAR(13) NOT NULL,
  nazivPartnera      VARCHAR(70) NOT NULL,
  mjestoSjedista     VARCHAR(60) NOT NULL,
  ulicaBroj          VARCHAR(60) NOT NULL,
  posPretinac        VARCHAR(10) DEFAULT " ", 
  mjestoPoste        VARCHAR(60) NOT NULL,
  brojPoste          VARCHAR(10) NOT NULL,
  sifraOpcine        INT DEFAULT 0,
  sifraZupanije      INT DEFAULT 0, 
  pokrajina          VARCHAR(50) DEFAULT " ",      
  zemlja             INT DEFAULT 385,
  maticniBroj        VARCHAR(13) DEFAULT " ",
  OIB                INT NOT NULL,   
  telefoni           VARCHAR(50) DEFAULT " ",   
  fax                VARCHAR(34) DEFAULT " ",
  brojBankRacuna     VARCHAR(60) DEFAULT " ",
  email              VARCHAR(255) DEFAULT " "  NOT NULL,
  password           VARCHAR(60)  DEFAULT " ", 
  opis               TEXT   NOT NULL,  
  datumOtvaranja     DATETIME NOT NULL,
  datumIzmjene       DATETIME DEFAULT 0,
  tkoJeIzmjenio      VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (IDpartnera),
  UNIQUE INDEX kodPartnera (kodPartnera),
  UNIQUE INDEX email (email)
);



GRANT SELECT, INSERT, UPDATE, DELETE
ON *
TO panex_javniKoris@localhost
IDENTIFIED BY 'a83bmi';



