USE panex_robno;
-- create the tables for the database
DROP TABLE IF EXISTS adrese;
CREATE TABLE adrese (
  kodPartnera        VARCHAR(13) NOT NULL,
  mjestoSjedista     VARCHAR(60) NOT NULL,
  ulicaBroj          VARCHAR(60) NOT NULL,
  posPretinac        VARCHAR(10) DEFAULT " ", 
  mjestoPoste        VARCHAR(60) NOT NULL,
  brojPoste          VARCHAR(10) NOT NULL,
  sifraOpcine        INT DEFAULT 0,
  sifraZupanije      INT DEFAULT 0, 
  pokrajina          VARCHAR(50) DEFAULT " ",      
  zemlja             INT DEFAULT 385,
  telefoni           VARCHAR(50) DEFAULT " ",   
  opis               TEXT   NOT NULL,  
  datumOtvaranja     DATETIME NOT NULL,
  datumIzmjene       DATETIME DEFAULT 0,
  tkoJeIzmjenio      VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (kodPartnera)
  );

GRANT SELECT, INSERT, UPDATE, DELETE
ON *
TO panex_javniKoris@localhost
IDENTIFIED BY 'a83bmi';



