DELIMITER $$
--
DROP FUNCTION IF EXISTS `fnIznosOtvoreno`$$
CREATE 
-- DEFINER=`murskiga`@`localhost` 
FUNCTION fnIznosOtvoreno(p_konto CHAR(12), p_vrsDo CHAR(2), p_broDo CHAR(25), p_kodPartnera CHAR(16), p_DVOdo  CHAR(21))
 RETURNS decimal(11,2)
    SQL SECURITY INVOKER

BEGIN
DECLARE iznosOtv DECIMAL(11,2);
select 
(gk.iznosDug+gk.iznosPot) - ifnull(sum(sign(v.iznosVeze) * sign(gk.iznosDug+gk.iznosPot)*v.iznosVeze),0) INTO iznosOtv 
from gk_stavke as gk
left outer join 
(
    select v.*
    from veze as v 
    -- povezujemo se s gk da bismo vidjelistanje na dan 
    join gk_stavke as gk_veze 
    on ((gk_veze.konto=v.konto and gk_veze.kodPartnera=v.kodPartnera and gk_veze.vrsDo=v.vrsDo and gk_veze.broDo=v.broDo)
    or (gk_veze.konto=v.vKonto and gk_veze.kodPartnera=v.vKodPartnera and gk_veze.vrsDo=v.vVrsDo and gk_veze.broDo=v.vBroDo))
    where ((v.konto=p_konto and v.kodPartnera=p_kodPartnera and v.vrsDo=p_vrsDo and v.broDo=p_broDo)
    or (vKonto=p_konto and vKodPartnera=p_kodPartnera and vVrsDo=p_vrsDo and vBroDo=p_broDo))
    and not (gk_veze.vrsDo=p_vrsDo and gk_veze.broDo=p_broDo) 
    and (gk_veze.DVO<=p_DVOdo or trim(p_DVOdo)='')
) as v on
((v.konto=gk.konto and v.kodPartnera=gk.kodPartnera and v.vrsDo=gk.vrsDo and v.broDo=gk.broDo)
or (vKonto=gk.konto and vKodPartnera=gk.kodPartnera and vVrsDo=gk.vrsDo and vBroDo=gk.broDo))
where gk.konto=p_konto and gk.kodPartnera=p_kodPartnera and gk.vrsDo=p_vrsDo and gk.broDo=p_broDo;

RETURN iznosOtv;
END$$

DELIMITER ;