<!-- tabloca robnih grupa s multiselecom za drop down listi -->
<style>
.dndPanel {
    position: absolute; 
    background-color: white; 
    border:1px solid #ccc;
    display: none;
    box-shadow: 5px 5px 5px #ccc;
} 
.dndPanel a {
    color: gray;
    font-size: 100%;
    font-weight: bold;
    padding-left: 4px;
}
.dndPanel .t_lista_primka {
    border: 1px solid #ccc;
}    
</style>
<script src="<?php echo $app_path ?>/js/multiSelect.js"></script>
<?php
function kreirajDndGrupe($nazivPolja, $polje) {
    $odabranePoslovnice=explode(',', $polje);
    $poslovnice = get_poslovnice();
    $tablica='dndTablica'.$nazivPolja;
    $panel='dnd'.$nazivPolja;
    $dozvoljenePoslovnice=explode(',', $_SESSION['admin']['poslovnicePunkta']);
    $prioritet=$_SESSION['admin']['prioritet'];
    //prikazuje samo dozvolene prodavaone
    $samoDozvoljene=(array_search('0',$dozvoljenePoslovnice)===FALSE);
    if(empty($odabranePoslovnice) && $dozvoljenePoslovnice[0]=='0' && isset($dozvoljenePoslovnice[1])) {
        //if(in_array($dozvoljenePoslovnice[1],$poslovnice))
            $odabranePoslovnice[]=$dozvoljenePoslovnice[1];
    }
?>

<div id="<?php echo $panel?>" class="dndPanel">
    <table class="t_lista_primka" id="<?php echo $tablica ?>">
        <tbody style="display: block; max-height: 300px; overflow: auto"> 
          <?php $RB = 0; 
          foreach ($poslovnice as $slog) :
            if($samoDozvoljene && $prioritet>4 && array_search($slog['kodPoslovnice'],$dozvoljenePoslovnice)===FALSE)
                continue;     
            if(empty($odabranePoslovnice)) 
                $odabranePoslovnice[]=$slog['kodPoslovnice'];
              ?>
            <tr class="<?php echo (++$RB % 2 == 0) ? 'pozadina1' : 'pozadina2';?>">
                <td style="width: 2em" >
                    <input type="checkbox" class="cGrupe" id="<?php echo 'RG'.$RB ?>" value="<?php echo $slog['kodPoslovnice']?>" onclick="chkBoxClick()"
                          <?php if(in_array($slog['kodPoslovnice'], $odabranePoslovnice)) echo 'checked=""' ?> />                       
                </td>
                <td style="width: 8em">                  
                   <?php echo $slog['kodPoslovnice']; ?> &nbsp; </td> 
                <td class="left" style="min-width: 26em" >
                   <?php echo $slog['nazivPoslovnice']; ?> &nbsp;
                </td>  
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>  
      <a href="#" onclick=selektirajSve('<?php echo $tablica ?>',0,true)>Označi sve </a>  &nbsp; &nbsp;
      <a href="#" onclick=selektirajSve('<?php echo $tablica ?>',0,false)>Makni sve oznake</a> 
</div>

<script type="text/javascript">
    var poljeRG=document.getElementById("<?php echo $nazivPolja?>");
    var panel=document.getElementById("<?php echo $panel?>");
    
    poljeRG.odabir=false;
    poljeRG.onfocus = function() {
        panel.style.display='block';
    }

     poljeRG.onblur = function() {
        if(!poljeRG.odabir)
            panel.style.display='none';
    }
    
    panel.onmouseover = function() {
        poljeRG.odabir=true;
    }
   
    panel.onmouseout = function() {
        poljeRG.odabir=false;
        if(!poljeRG.hasFocus())
            panel.style.display='none';
    }

    panel.onclick = function() {
        poljeRG.focus();
    }
    
    function chkBoxClick() {
        puniPolje(poljeRG.name,"",".cGrupe");
    }
    
    function selektirajSve(nazivTablice,kolona, DaNe) {
        postaviSve(nazivTablice,kolona, DaNe);
        puniPolje(poljeRG.name,"",".cGrupe");
    }


    poljeRG.onkeydown = function(evt)
    {
        var charCode = (evt.which) ? evt.which : event.keyCode;
        if(charCode == 27 || charCode == 7) {
            poljeRG.odabir=false;
            panel.style.display='none';
        }
        else if(charCode == 40) 
            panel.style.display='block';
            
        return true;
    }
    
    puniPolje(poljeRG.name,"",".cGrupe");

</script>
<?php
}
?>