<?php

if (isset($_POST['xmlObrazac'])) {
    $nazivXMLDok = 'ObrazacZP.xml';   

    $ZPxml = new XMLWriter();
    
    $ZPxml->openUri($nazivXMLDok);
    $ZPxml->startDocument('1.0', 'UTF-8');
    $ZPxml->setIndent(true);
    
    $ZPxml->startElement("ObrazacZP");
    // atributi za <ObrazacURA>
        $ZPxml->startAttribute('verzijaSheme');
            $ZPxml->text('1.0');         
        $ZPxml->endAttribute(); // verzijaSheme

        $ZPxml->startAttribute('xmlns');
            $ZPxml->text('http://e-porezna.porezna-uprava.hr/sheme/zahtjevi/ObrazacZP/v1-0');         
        $ZPxml->endAttribute(); // xmlns

        /*
        $ZPxml->startAttribute('xmlns:meta');
            $ZPxml->text('http://e-porezna.porezna-uprava.hr/sheme/Metapodaci/v2-0');         
        $ZPxml->endAttribute(); // xmlns:meta
        $ZPxml->startAttribute('xmlns:xsi');
            $ZPxml->text('http://www.w3.org/2001/XMLSchema-instance');         
        $ZPxml->endAttribute(); // xmlns:xsi
         */
    // ------------
    
    $ZPxml->startElement('Metapodaci');
        $ZPxml->startAttribute('xmlns');
            $ZPxml->text('http://e-porezna.porezna-uprava.hr/sheme/Metapodaci/v2-0');         
        $ZPxml->endAttribute(); // xmlns

        $ZPxml->startElement('Naslov');
            $ZPxml->startAttribute('dc');
            $ZPxml->text('http://purl.org/dc/elements/1.1/title');
            $ZPxml->endAttribute();
            $ZPxml->text('Zbirna prijava za isporuke dobara i usluga u druge države članice Europske unije');
        $ZPxml->endElement(); 

        $ZPxml->startElement('Autor');
            $ZPxml->startAttribute('dc');
            $ZPxml->text('http://purl.org/dc/elements/1.1/creator');
            $ZPxml->endAttribute();
            // $URAxml->text('KORISNIK 2EP');
            $ZPxml->text(trim($_POST['Ime']).' '.trim($_POST['Prezime']));
        $ZPxml->endElement(); 

        $ZPxml->startElement('Datum');
            $ZPxml->startAttribute('dc');
            $ZPxml->text('http://purl.org/dc/elements/1.1/date');
            $ZPxml->endAttribute();
            $ZPxml->text(date('Y-m-d\TH:i:s'));
        $ZPxml->endElement(); 

        $ZPxml->startElement('Format');
            $ZPxml->startAttribute('dc');
            $ZPxml->text('http://purl.org/dc/elements/1.1/format');
            $ZPxml->endAttribute();
            $ZPxml->text('text/xml');
        $ZPxml->endElement(); 

        $ZPxml->startElement('Jezik');
            $ZPxml->startAttribute('dc');
            $ZPxml->text('http://purl.org/dc/elements/1.1/language');
            $ZPxml->endAttribute();
            $ZPxml->text('hr-HR');
        $ZPxml->endElement();

        $ZPxml->startElement('Identifikator');
            $ZPxml->startAttribute('dc');
            $ZPxml->text('http://purl.org/dc/elements/1.1/identifier');
            $ZPxml->endAttribute();
            $ZPxml->text(generirajUUID());
        $ZPxml->endElement(); 

        $ZPxml->startElement('Uskladjenost');
            $ZPxml->startAttribute('dc');
            $ZPxml->text('http://purl.org/dc/terms/conformsTo');
            $ZPxml->endAttribute();
            $ZPxml->text('ObrazacZP-v1-0');
        $ZPxml->endElement();

        $ZPxml->startElement('Tip');
            $ZPxml->startAttribute('dc');
            $ZPxml->text('http://purl.org/dc/elements/1.1/type');
            $ZPxml->endAttribute();
            $ZPxml->text('Elektronički obrazac');
        $ZPxml->endElement();

        $ZPxml->writeElement('Adresant', 'Ministarstvo Financija, Porezna uprava, Zagreb');
    $ZPxml->endElement(); // end meta podaci

    $ZPxml->startElement('Zaglavlje');
    
        $ZPxml->startElement('Razdoblje');
            $d = new DateTime($_POST['DVOod']);
            $ZPxml->writeElement('DatumOd', $d->format("Y-m-d"));
            $d = new DateTime($_POST['DVOdo']);
            $ZPxml->writeElement('DatumDo', $d->format("Y-m-d"));                
        $ZPxml->endElement();
        
        $ZPxml->startElement('Obveznik');
            $ZPxml->writeElement('Naziv', $_POST['Naziv']); 
            $ZPxml->writeElement('OIB', $_POST['OIB']);           
            $ZPxml->startElement('Adresa');
                $ZPxml->writeElement('Mjesto', $_POST['Mjesto']);
                $ZPxml->writeElement('Ulica', $_POST['Ulica']); 
                $ZPxml->writeElement('Broj', $_POST['Broj']); 
       //         $ZPxml->writeElement('DodatakKucnomBroju', trim($_POST['DodatakKucnomBroju'])); 
            $ZPxml->endElement(); // Adresa
            /*
            $ZPxml->writeElement('Email', $_POST['EmailPo']);
            $ZPxml->writeElement('PodrucjeDjelatnosti', $_POST['podrucjeDjelatnosti']);
            $ZPxml->writeElement('SifraDjelatnosti', $_POST['sifraDjelatnosti']);
            */
        $ZPxml->endElement();  // Obveznik
        
        if(trim($_POST['psOIB'])=='')
            $ZPxml->startElement('ObracunSastavio');
        else {
            $ZPxml->startElement('PoslovniSubjekt');
            $ZPxml->writeElement('OIB', $_POST['psOIB']);
            $ZPxml->writeElement('Naziv', trim($_POST['psNaziv'])); 
            
        }
            $ZPxml->writeElement('Ime', $_POST['Ime']);
            $ZPxml->writeElement('Prezime', $_POST['Prezime']);  
            if(trim($_POST['Email'])!=='') $ZPxml->writeElement('Email', $_POST['Email']);
        $ZPxml->endElement();
        $ZPxml->writeElement('Ispostava', $_POST['poreznaIspostava']);
                
    $ZPxml->endElement(); // Zaglavlje
    
    $ZPxml->startElement('Tijelo');
    $ZPxml->startElement('Isporuke');
}

if(isset($_POST['kodPartnera'])) {
    $kodPartnera=$_POST['kodPartnera'];
    //$partner=$_POST['partner'];
    if($action=='izabran_je_kodPartnera') {
        //$action='uzmi_karticu';
        $kodPartnera=$_GET['kodPartnera'];
    }    
    else if(trim($_POST['kodPartnera'])!='') {
        $pom=  pretraga_partnera($kodPartnera,'dokumenti/obrazac_IRA.php');
        if(is_array($pom)) {
             $partneri=$pom;
             $pretraga_partner_header = true;
             $imaNemaPartner = 'Ima';
             include 'view/header.php';
             include 'view_pretraga_partnera.php';
             include 'view/footer.php';
             exit;            
        }
    }
}
else 
    $kodPartnera='';


$greska='';
$firma=  get_poslovnica(0);
 if(isset($_POST['proda']))
     $proda=$_POST['proda'];
 else 
     $proda='';
 if(isset($_POST['DVOod'])) 
     $DVOod=$_POST['DVOod'];
 else 
     $DVOod='';
/* 
$greskaDatum = is_valid_datum($DVOod);
if (isset($greskaDatum)) {
   $greska .= ' Greška DVO od ! ' . $greskaDatum; $greskaDVOod = '*';
} 
 */   
 if(isset($_POST['DVOdo']))
     $DVOdo=$_POST['DVOdo'];
 else 
     $DVOdo='';

if(isset($_POST['predujmovi']))
    $predujmovi=$_POST['predujmovi'];
else 
    $predujmovi='';

if(isset($_POST['vrsDo'])) 
    $vrsDo=$_POST['vrsDo'];
else 
    $vrsDo='';

 /* 
$greskaDatum = is_valid_datum($DVOdo);
if (isset($greskaDatum)) {
   $greska .= ' Greška DVO do ! ' . $greskaDatum; $greskaDVOdo = '*';
} 
 * 
 */   
$greskaDatum = usporedi_datume($DVOod,$DVOdo, 'DVO od', 'DVO do', 'obavezni',false, true);
if (isset($greskaDatum)) {
    $greska .= $greskaDatum;
    $greskaDVOod = '*';
    $greskaDVOdo = '*';
} 
 if(isset($_POST['poSkladistima']))
     $poSkladistima=$_POST['poSkladistima'];
 else 
     $poSkladistima='N';
 if(isset($_POST['PDVstatus']))
     $PDVstatus=$_POST['PDVstatus'];
 else 
     $PDVstatus='S';
 if(trim($greska)!='') {
    include 'view/header.php'; 
    include('dokumenti/view_IRA.php');
    include ('view/footer.php');
    exit;
 }
 ?>

<HTML>
<HEAD>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<?php if (isset($_POST['xmlObrazac'])) : ?>
    <link rel="stylesheet" href="/apl/locallibs/js/jquery/themes/smoothness/jquery-ui.css">
    <script src="/apl/locallibs/js/jquery/jquery.js"></script>
    <script src="/apl/locallibs/js/jquery/jquery-ui.js"></script> 
<?php endif; ?>
<TITLE>Obrazac I-RA</TITLE>

<script>

 
 
    function makeHeadersVertical(){
	if (document.getElementsByClassName) {

		var verticalCells = document.getElementsByClassName("verticalText");
		//var verticalCells = document.getElementsByClassName("vertical");
		for (i=0; i<verticalCells.length;i++ ) {
			cell = verticalCells[i];
			h=cell.width;
                        w=cell.height;
			cell.width="2pt";
                        cell.height=h;
                   //     alert('tu sam');
                         /*
			// If writeMode is supported, no need to insert spaces
			if (cell.style.writeMode) {
				return;
			}
			cell.width="1pt";
			toReplace = cell.innerHTML;
			newText = '';
			for (p = 0; p<toReplace.length; p++) {
				newText += toReplace[p];
				if (p<toReplace.length-1) newText += ' ';
			}
			cell.innerHTML=newText;
                        */
		}
	}
    }

  function printpage() {
    //document.body.innerHTML = "";
    window.print();
  }
  //-->
</script>
<style type="text/css">
body {font: Arial, Helvetica, sans-serif}
body { font-size: 10pt} 
table {
    font-size: 8pt; 
    border: 1px solid;
    border-collapse: collapse;

} 
th, td {
    border: 1px solid;
    padding: 4px 4px 4px 4px; 
} 
.right {text-align: right;}
.pdvcol1 {text-align: right;}
.pdvcol {text-align: right;}
.left {text-align: left;}
thead {border: 1px solid}
tfoot {border: 1px solid}

.verticalText
{
        vertical-align: bottom;
        margin: 0px;
        padding: 0px;
        padding-left: 3px;
        padding-right: 3px;
        white-space: nowrap;
        -webkit-transform: rotate(-90deg); 
        -moz-transform: rotate(-90deg);  				
}

.verticalTableHeader {
    -webkit-transform: rotate(-90deg);
    -moz-transform: rotate(-90deg);
    -ms-transform: rotate(-90deg);
    -o-transform: rotate(-90deg);
    transform: rotate(-90deg);   
}
@media print
{
    #non-printable { display: none; }
    #printable { display: block; }
}
@page
{
    margin-top:0.5cm;
    margin-left:0.5cm;
    margin-right:0.5cm;
    margin-bottom:0.5cm;
    /* size: landscape; */
    
}

</style>        
<body topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0" >
    <div id="non-printable">
        <br>   Obrazac IRA  <br>
        <form method="post" action="?action=view_IRA" >
        <input type="submit" class="fb-button-special" value="Povratak" /> 
        <input type="button" class="fb-button-special" value="Ispis" onclick="printpage()" /> 
        </form> 
    </div>
    <div id="printable">
        <h2><div align="right"> Obrazac I-RA</div>
            POREZNI OBVEZNIK:<br>
        
       <?php echo $firma['nazivPoslovnice'].'<br>';
            echo trim($firma['mjestoSjedista']).', '.$firma['ulicaBroj'].'<br>';
            echo 'Djelatnost: <br>'; //.$firma['nazivPoslovnice'] 
            echo 'OIB:'.$firma['OIB'].'<br>' ?>
            <div align="center" >KNJIGA IZDANIH (IZLAZNIH RAČUNA) <br>
                za dokumente od:<?php echo $DVOod.' do:'.$DVOdo ?></div>
     <h2>
     <?php 
     if($vrsDo!='') {
        $slogVrsDo=get_vrsta_dokumenta($vrsDo);
        echo '<div align="center"> Vrsta dokumenta:'.$slogVrsDo['nazivDokumenta'].'</div>';
     }
         
     if($PDVstatus!='S') {
         echo '<div align="center">';
         switch ($PDVstatus) {
         case ' ' :
             echo '<h3>Oporezivo PDV-om( )</h3>';
             break;
         case '0' :
             echo '<h3>Oslobođeno PDV-a u tuzemstvu(0)</h3>'; 
             break;
         case '1' :
             echo '<h3>Izvoz izvan EU(1)</h3>'; 
             break;
         case '2' :
             echo '<h3>Oslobođeno PDV branitelji(2)</h3>';  //ira i ura
             break;
         case '3' :
             echo '<h3>Ostala oslobođenjaPDV-a(3)</h3>';  //ira i ura
             break;
         case '4' :
             echo '<h3>Izvoz u EU(4)</h3>';  //ira i ura
             break;
         case '6' :
             echo '<h3>Uvoz izvan EU(6)<h3>';  //ira i ura
             break;
         case '7' :
             echo '<h3>Uvoz iz EU(7)</h3>';  //ira i ura
             break;
         case 'A' :
             echo '<h3>Tuzemni prijenos porezne obveze(7)</h3>';  
             break;
         case 'C' :
             echo '<h3>Isporuke dobara unutar EU(9)</h3>';  
             break;
         case 'D' :
             echo '<h3>Obavljene usluge unutar EU(10)</h3>';  
             break;
          case 'I' :
             echo '<h3>Izvozne isporuke(15)</h3>';  
             break;
        } 
        echo '</div>';
     }
     if ($poSkladistima === 'D' || $proda!='0' || trim($kodPartnera)!='') {
         echo'<h3>Dodatni parametri:<br>'
         .($poSkladistima === 'D'?'Sortirano po poslovnicama<br>':'')
         .($proda!='0'?"Poslovnica:$proda<br>":'')
         .(trim($kodPartnera)!=''?"Partner:$kodPartnera<br>":'')
         .'</h3>'
         ;
     }
     if($predujmovi!='') {
        echo '<div align="center"> Predujmovi:'.($predujmovi=='G'?'gotovinski':'transakcijski').'</div>';
     }
    
     ?>
    <TABLE id="IRA" align="center">
        <THEAD>
        <tr>
            <th>
                
            </th>
            <th colspan="2">
                RAČUN
            </th>
            <th colspan="2">
                KUPAC (PRIMATELJ <BR>
                DOBRA ILI USLUGA)
            </th>
            <th>
                
            </th>
            <th colspan="10">
                NE PODLIJEŽE OPOREZIVANJU I OSLOBOĐENO PDV-a
            </th>
            <th colspan="6">
                OPOREZIVO
            </th>
        </tr>
        <tr>
            <th rowspan="2">
                RED.<BR>BROJ
            </th>
            <th rowspan="2">
                BROJ
            </th>
            <th rowspan="2">
                DATUM
            </th>
            <th rowspan="2">
                NAZIV - IME I <BR>
                PREZIME  I <BR>
                SJEDIŠTE/ <BR>
                PREBIVALIŠTE <BR>
                ILI <BR>
                UOBIČAJENO <BR> 
                BORAVIŠTE
            </th>
            <th rowspan="2">
                (PDV ID. <BR>
                BR/ <BR>
                OIB)
            </th >
            <th rowspan="2">
                IZNOS<BR>(s PDV-om)
            </th>
            <th rowspan="2">
             <div class="verticalTableHeader"><!-- TUZEMNI PRIJENOS <BR>POREZNE OBVEZE --></div>
            </th>
            <th class="verticalTableHeader" rowspan="2">
                <!-- ISPORUKE DOBARA U <BR>DRUGIM DRŽAVA ČLANICAMA --> 
            </th>
            <th class="verticalTableHeader" rowspan="2">
                <!-- ISPORUKE DOBARA <BR> UNUTAR EU --> 
            </th>
            <th class="verticalTableHeader" rowspan="2">
                <!-- OBAVLJENE USLUGE <BR>UNUTAR EU --> 
            </th>
            <th class="verticalTableHeader" rowspan="2">
                <!-- OBAVLJENE USLUGE <BR>OSOBAMA BEZ SJEDIŠTA U EU --> 
            </th>
            <th rowspan="2">
                <!-- SASTAVLANJE I<BR>POSTAVLJANJE <BR>DOBARA <BR>DRUGOJ <BR>DRŽAVI <BR>ČLANICI EU --> 
            </th>
            <th class="verticalTableHeader"  rowspan="2">
                <!-- ISPORUKE NPS U EU --> 
            </th>
            <th class="verticalTableHeader" rowspan="2">
                <!-- U TUZEMSTVU --> 
            </th>
            <th class="verticalTableHeader" rowspan="2">
                <!-- IZVOZNE <BR>ISPORUKE --> 
            </th>
            <th class="verticalTableHeader" rowspan="2">
                <!-- OSTALA <BR>OSLOBOĐENJA --> 
            </th>
            <th colspan="2">
                5%
            </th>
            <th colspan="2">
                13%
            </th>
            <th colspan="2">
                25%
            </th>
        </tr>
        <tr>
            <th>
                OSNOVICA
            </th>
            <th>
                POREZ
            </th>
            <th>
                OSNOVICA
            </th>
            <th>
                POREZ
            </th>
            <th>
                OSNOVICA
            </th>
            <th>
                POREZ
            </th>
        </tr>
        <tr>
            <th>1</th>
            <th>2</th>
            <th>3</th>
            <th>4</th>
            <th>5</th>
            <th>6</th>
            <th>7</th>
            <th>8</th>
            <th>9</th>
            <th>10</th>
            <th>11</th>
            <th>12</th>
            <th>13</th>
            <th>14</th>
            <th>15</th>
            <th>16</th>
            <th>17</th>
            <th>18</th>
            <th>19</th>
            <th>20</th>
            <th>21</th>
            <th>22</th>
        </tr>
        </THEAD>
        <?php 
        $date_od = new DateTime($DVOod);
        if($date_od->format("Y")=='2013')
            $m='04';
        else 
            $m='01';        
        if($proda=='0' && $poSkladistima=='N' && trim($kodPartnera)==''
           || $date_od->format("Y")=='2013' && $date_od->format("m")=='04') {
            $od=$date_od->format("Y").'-'.$m.'-01 00:00:00';
        }
        else 
            $od=$DVOod;
            
        $ira=  get_IRA($proda, $od, $DVOdo, $poSkladistima, $kodPartnera, $PDVstatus, $predujmovi, $vrsDo);

        $rbr=0;
        $rbrZP=0;
        $ukupnoIznosSPDVom=0;
        $ukupnoOsnovica25=0;
        $ukupnoPdv25=0;
        $ukupnoOsnovica5=0;
        $ukupnoPdv5=0;
        $ukupnoOsnovica10=0;
        $ukupnoIzvoz=0;
        $ukupnoNePodlijeze=0;
        $ukupnoIzvozEU=0;
        $ukupnoOsoslOstalo=0;
        $ukupnoA=0; $ukupnoB=0; $ukupnoC=0; $ukupnoD=0; $ukupnoE=0; $ukupnoF=0; $ukupnoG=0; $ukupnoH=0; $ukupnoI=0; $ukupnoJ=0;
        $ukupnoI1=0; $ukupnoI2=0; $ukupnoI3=0; $ukupnoI4=0;
        $ZP = array();
        if( isset($_POST['prebaci_u_kpi']) && $_POST['prebaci_u_kpi']=='Da' )
            include_once 'model/KPI_db.php';
        ?>
        
    <?php foreach ($ira as $dokument) : ?>
        <?php 
        ++$rbr;
        if( isset($_POST['prebaci_u_kpi']) && $_POST['prebaci_u_kpi']=='Da' ) {
            prebaci_u_KPI($dokument, 'primitak');
        }
        $datum_dvo = new DateTime($dokument['DVO']);

        if($datum_dvo<$date_od)
            continue;
        if (isset($_POST['xmlObrazac']) && !($dokument['PDVstatus']=='C' || $dokument['PDVstatus']=='D' || $dokument['PDVstatus']=='K')) 
            continue;
        
        $ukupnoIznosSPDVom+=$dokument['iznosSPDVom'];
        $ukupnoOsnovica25+=$dokument['osnovica25'];
        $ukupnoPdv25+=$dokument['pdv25'];
        //$ukupnoOsnovica5+=$dokument['iznosSPDVom'];
        //$ukupnoPdv5+=$dokument['iznosSPDVom'];
        //$ukupnoOsnovica10+=$dokument['iznosSPDVom'];
        $ukupnoIzvoz+=$dokument['izvoz'];
        $ukupnoNePodlijeze+=$dokument['nePodlijeze'];
        $ukupnoIzvozEU+=$dokument['izvozEU'];
        //$ukupnoOsoslOstalo+=$dokument['iznosSPDVom'];
        $ukupnoI1+=$dokument['PDVstatus']=='C' ? $dokument['iznosSPDVom'] : 0 ;
        $ukupnoI3+=$dokument['PDVstatus']=='K' ? $dokument['iznosSPDVom'] : 0 ;
        $ukupnoI4+=$dokument['PDVstatus']=='D' ? $dokument['iznosSPDVom'] : 0 ;
        ?>
        <tr>
            <td class="right">
                <?php echo $rbr ?>
            </td>
            <td>
                <?php echo $dokument['broDo'] ?>
            </td>
            <td>
                <?php
                $DVOf = $datum_dvo->format("d.m.Y");
                echo $DVOf ?>
            </td>
            <td>
                <?php echo $dokument['nazivPartnera'];
                    if(trim($dokument['ulicaBroj'].$dokument['mjestoSjedista'])!='')
                        echo '<br>'.  trim($dokument['ulicaBroj']).', '.$dokument['mjestoSjedista'] ?>                
            </td>
            <td>
               <?php echo $dokument['OIB'] ?> 
            </td>
            <td class="right">
                <?php 
                // echo format_ili_prazno($dokument['iznosSPDVom'],2,',','.' )
                echo number_format($dokument['iznosSPDVom'],2,',','.' )
                ?>
            </td>
            <td><?php if ($dokument['PDVstatus'] == 'A') {echo 'X'; $ukupnoA += $dokument['iznosSPDVom']; } ?></td>
            <td><?php if ($dokument['PDVstatus'] == 'B') {echo 'X'; $ukupnoB += $dokument['iznosSPDVom']; } ?></td>
            <td><?php if ($dokument['PDVstatus'] == 'C') {echo 'X'; $ukupnoC += $dokument['iznosSPDVom']; } ?></td>
            <td><?php if ($dokument['PDVstatus'] == 'D') {echo 'X'; $ukupnoD += $dokument['iznosSPDVom']; } ?></td>
            <td><?php if ($dokument['PDVstatus'] == 'E') {echo 'X'; $ukupnoE += $dokument['iznosSPDVom']; } ?></td>
            <td><?php if ($dokument['PDVstatus'] == 'F') {echo 'X'; $ukupnoF += $dokument['iznosSPDVom']; } ?></td>
            <td><?php if ($dokument['PDVstatus'] == 'G') {echo 'X'; $ukupnoG += $dokument['iznosSPDVom']; } ?></td>
            <td><?php if ($dokument['PDVstatus'] == 'H') {echo 'X'; $ukupnoH += $dokument['iznosSPDVom']; } ?></td>
            <td><?php if ($dokument['PDVstatus'] == 'I') {echo 'X'; $ukupnoI += $dokument['iznosSPDVom']; } ?></td>
            <td><?php if ($dokument['PDVstatus'] == 'J') {echo 'X'; $ukupnoJ += $dokument['iznosSPDVom']; } ?></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td class="right"> 
                <?php echo format_ili_prazno($dokument['osnovica25'], 2, ',', '.') ?>
                
            </td>
            <td class="right">
                <?php echo format_ili_prazno($dokument['pdv25'], 2, ',', '.') ?>
            </td>
            
        </tr>
        <?php
        if (isset($_POST['xmlObrazac']) && ($dokument['PDVstatus']=='C' || $dokument['PDVstatus']=='D' || $dokument['PDVstatus']=='K')) {
            $pdvid = trim(str_replace(trim($dokument['zemlja']), '', $dokument['OIB']));
            if(!isset($ZP[$pdvid])) {
                $ZP[$pdvid]['PDVID'] = $pdvid;
                $ZP[$pdvid]['RedBr'] = ++$rbrZP;
                $ZP[$pdvid]['KodDrzave'] = $dokument['zemlja'];
                $ZP[$pdvid]['PDVstatus'] = $dokument['PDVstatus'];
                $ZP[$pdvid]['iznosSPDVom'] = 0;
            }
            $ZP[$pdvid]['iznosSPDVom'] += $dokument['iznosSPDVom'];
            
            /*
            $ZPxml->startElement('Isporuka');
            $ZPxml->writeElement('RedBr', $rbr);
            $ZPxml->writeElement('KodDrzave', $dokument['zemlja']);         
            $ZPxml->writeElement('PDVID', $pdvid);

            $ZPxml->writeElement('I1', number_format( $dokument['PDVstatus']=='C' ? $dokument['iznosSPDVom'] : 0 ,2,'.',''));
            $ZPxml->writeElement('I2', number_format(0,2,'.',''));
            $ZPxml->writeElement('I3', number_format( $dokument['PDVstatus']=='K' ? $dokument['iznosSPDVom'] : 0,2,'.',''));
            $ZPxml->writeElement('I4', number_format( $dokument['PDVstatus']=='D' ? $dokument['iznosSPDVom'] : 0 ,2,'.',''));
        $ZPxml->endElement(); // Isporuka
            
             */
        }
        ?>
        <?php endforeach; ?>
        <tr style="font: bold">
            <td colspan="5" > Ukupno:</td>
            <td class="right">
                <?php echo format_ili_prazno($ukupnoIznosSPDVom,2,',','.' )?>
            </td>
            <td colspan="14" ></td>
            <td class="right">
                <?php echo format_ili_prazno($ukupnoOsnovica25,2,',','.' )?>
            </td>
            <td class="right">
                <?php echo format_ili_prazno($ukupnoPdv25,2,',','.' )?>
            </td>
        </tr>
    </TABLE> 
    <h4><br>
        LEGENDA za rubrike "Ne podlježe oporezivanju i oslobođeno PDV-a:" <br>
        7  - Tuzemni prijenos porezne obveze &nbsp; <b><?php echo format_ili_prazno($ukupnoA,2,',','.' )?></b><br> 
        8  - Isporuke dobara u drugim državama članicama &nbsp; <b><?php echo format_ili_prazno($ukupnoB,2,',','.' )?></b> <br>
        9  - Isporuke dobara unutar EU &nbsp; <b><?php echo format_ili_prazno($ukupnoC,2,',','.' )?></b><br>
        10 - Obavljene usluge unotar EU &nbsp; <b><?php echo format_ili_prazno($ukupnoD,2,',','.' )?></b><br>
        11 - Obavljene usluge osobama bez sjedišta u RH &nbsp; <b><?php echo format_ili_prazno($ukupnoE,2,',','.' )?></b><br>
        12 - Sastavljanje i postavljanje dobara u drugoj državi članici&nbsp; <b><?php echo format_ili_prazno($ukupnoF,2,',','.' )?></b><br>
        13 - Isporuke NPS u EU &nbsp; <b><?php echo format_ili_prazno($ukupnoG,2,',','.' )?></b><br>
        14 - U tuzemstvu &nbsp; <b><?php echo format_ili_prazno($ukupnoH,2,',','.' )?></b><br>
        15 - Izvozne isporuke &nbsp; <b><?php echo format_ili_prazno($ukupnoI,2,',','.' )?></b><br>
        16 - Ostala oslobođenja &nbsp; <b><?php echo format_ili_prazno($ukupnoJ,2,',','.' )?></b><br>
    </h4>
</div>
</body>
</html>
<?php 
if (isset($_POST['xmlObrazac'])) {
    foreach ($ZP as $zp) {
        $ZPxml->startElement('Isporuka');
            $ZPxml->writeElement('RedBr', $zp['RedBr']);
            $ZPxml->writeElement('KodDrzave', $zp['KodDrzave']);         
            $ZPxml->writeElement('PDVID', $zp['PDVID']);

            $ZPxml->writeElement('I1', number_format( $zp['PDVstatus']=='C' ? $zp['iznosSPDVom'] : 0 ,2,'.',''));
            $ZPxml->writeElement('I2', number_format(0,2,'.',''));
            $ZPxml->writeElement('I3', number_format( $zp['PDVstatus']=='K' ? $zp['iznosSPDVom'] : 0,2,'.',''));
            $ZPxml->writeElement('I4', number_format( $zp['PDVstatus']=='D' ? $zp['iznosSPDVom'] : 0 ,2,'.',''));
        $ZPxml->endElement(); // Isporuka
        
    }
    
    $ZPxml->endElement(); // Isporuke
    $ZPxml->startElement('IsporukeUkupno');
        $ZPxml->writeElement('I1', number_format($ukupnoI1,2,'.',''));
        $ZPxml->writeElement('I2', number_format($ukupnoI2,2,'.',''));
        $ZPxml->writeElement('I3', number_format($ukupnoI3,2,'.',''));
        $ZPxml->writeElement('I4', number_format($ukupnoI4,2,'.',''));
    $ZPxml->endElement();   // IsporukeUkupno
    
    $ZPxml->endElement();  // Tijelo

    $ZPxml->endElement();  //ObrazacZP
    $ZPxml->endDocument();
    $ZPxml->flush();
    
    include 'view/dialog_download.php';
    dialog_download('XML datoteka je kreirana.', $nazivXMLDok, $nazivXMLDok);
    
}
?>        