<?php
include_once 'model/tablica_db.php';
$tablica='velicina_rame';
$slogZaUnos= array();
$slogZaUnos['velicinaRame']='';
$slogZaUnos['nazivVelicineRame']='';

$poljaKljuca=array('velicinaRame');
$oznakeGreske['velicinaRame']='&nbsp';
$oznakeGreske['nazivVelicineRame']='&nbsp';

$skriptaPregleda='dokumenti/view_pregled_velicina_rame.php';
$povratakIzPregleda='izabrana_je_velicina_rame';
$dokument='Veličina rame bicikla';
$slogIzBaze=null;


if(isset($_REQUEST['opSaDok']) || $action==$povratakIzPregleda) {
    // puni polja kljuca s poljima u $_POST ili $_GET i uzme slog iz baze ako postoji
    $slogZaUnos['velicinaRame']=$_REQUEST['velicinaRame'];
    $slogIzBaze = get_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
}    

include 'dokumenti/view_unos_zajednicki.php';

if($potvrdaUnosa) {
    // Kontrola ispravnosti polja za unos i izmjenu
    if(trim($greska)=='' && $opSaDok!='Brisanje') {
        if(trim($slogZaUnos['velicinaRame'])=='') {
            $greska='Polje velićina rame ne smije  biti prazno!';
            $oznakeGreske['velicinaRame']='*';
        }
        if(trim($slogZaUnos['nazivVelicineRame'])=='') {
            $greska='Polje naziv ne smije  biti prazno!';
            $oznakeGreske['nazivVelicineRame']='*';
        }
    }

    if(trim($greska)=='') {
        // brisanje ili upis u bazu
        switch ($_REQUEST['opSaDok']) {
            case 'Unos':
                add_slog_tablice($tablica, $slogZaUnos);
                $greska='Veličina rame je uspješno upisana';
                break;
            case 'Izmjena':
                update_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                $greska='Veličina rame je uspješno izmjenjena.';
                break;
            case 'Brisanje':
                delete_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                $greska='Veličina rame je uspješno obrisana';
                break;
        } 
    }
    
    
}

?>

<form action="." method="post" id="view_zag">
<input type="hidden" name="action" value="view_velicina_rame" />
<table>
    <tr>
       <td><h1><?php echo $dokument; ?> </h1> &nbsp;</td>
       <td> 
          &nbsp; &nbsp; &nbsp; <span class="veca_slova_110">  
          <b>Operacije: &nbsp; </b> </span>
          <?php include 'dokumenti/operacije.php'; ?> 
       </td>
       <td> </td>
     </tr>
</table>
Veličina rame:
 <input type="text" class="text_width_15em" name="velicinaRame" value="<?php echo $slogZaUnos['velicinaRame']; ?>"  /> 
 <span class="greska"><?php echo $oznakeGreske['velicinaRame']; ?> </span>   &nbsp; &nbsp;
Naziv:
 <input type="text" class="text_width_30em" name="nazivVelicineRame" value="<?php echo $slogZaUnos['nazivVelicineRame']; ?>"  /> 
 <span class="greska"><?php echo $oznakeGreske['nazivVelicineRame']; ?> </span>   &nbsp; &nbsp;

 <p></p>

<?php postaviTipkeUnosa($opSaDok, $greska) ; ?>

</form>
<?php
$poljaKljuca[] = 'velicinaRame';
poljaKljucaUjs($poljaKljuca);
?>