<?php
require_once('model/zemlje_db.php');
$slogZaUnos= array();
$slogZaUnos['zemlja']='';
$slogZaUnos['zemljaC3']='';
$slogZaUnos['zemljaB3']='';
$slogZaUnos['nazivZemljeHR']='';
$slogZaUnos['nazivZemljeEN']='';
$slogZaUnos['oznakaValute']='';
$slogZaUnos['autoOznakaZemlje']='';

$poljaKljuca=array('zemlja');
$oznakeGreske['zemlja']='&nbsp';
$oznakeGreske['zemljaB3']='&nbsp';
$oznakeGreske['nazivZemljeHR']='&nbsp';

$skriptaPregleda='dokumenti/view_pregled_zemlje.php';
$povratakIzPregleda='izabrana_je_zemlja';
$dokument='Zemlje - države';
$slogIzBaze=null;


if(isset($_REQUEST['opSaDok']) || $action==$povratakIzPregleda) {
    // puni polja kljuca s poljima u $_POST ili $_GET i uzme slog iz baze ako postoji
    $slogZaUnos['zemlja']=$_REQUEST['zemlja'];
    $slogIzBaze = get_zemlja($slogZaUnos['zemlja']);
}    

include 'dokumenti/view_unos_zajednicki.php';

if($potvrdaUnosa) {
    // Kontrola ispravnosti polja za unos i izmjenu
    if(trim($greska)=='' && $opSaDok!='Brisanje') {
        if(trim($slogZaUnos['zemlja'])=='') {
            $greska='Polje zemlja mjere ne smije  biti prazno!';
            $oznakeGreske['zemlja']='*';
        }
        if(trim($slogZaUnos['nazivZemljeHR'])=='') {
            $greska.='Polje naziv zemlje ne smije  biti prazno!';
            $oznakeGreske['nazivZemljeHR']='*';
        }
        if(trim($slogZaUnos['zemljaB3'])!='') {
            if(!is_valid_number($slogZaUnos['zemljaB3'])) {
                $greska.='Polje brojčana oznaka mora biti broj!';
                $oznakeGreske['zemljaB3']='*';
                
            }
        }
    }

    if(trim($greska)=='') {
        // brisanje ili upis u bazu
        switch ($_REQUEST['opSaDok']) {
            case 'Unos':
                add_zemlje($slogZaUnos);
                $greska='Zemlja je uspješno upisana.';
                break;
            case 'Izmjena':
                update_zemlje($slogZaUnos);
                $greska='Zemlja je uspješno izmjenjena.';
                break;
            case 'Brisanje':
                delete_zemlje($slogZaUnos['zemlja']);
                $greska='Zemlja je uspješno obrisana.';
                break;

        } 
    }
    
    
}

?>

<form action="." method="post" id="view_zag">
<input type="hidden" name="action" value="view_zemlje" />
<table>
    <tr>
       <td><h1><?php echo $dokument; ?> </h1> &nbsp;</td>
       <td> 
          &nbsp; &nbsp; &nbsp; <span class="veca_slova_110">  
          <b>Operacije: &nbsp; </b> </span>
          <?php include 'dokumenti/operacije.php'; ?> 
       </td>
       <td> </td>
     </tr>
</table>
<b>Zemlja(dvoslovna oznaka):</b>
 <input type="text" class="text_width_3em" name="zemlja" value="<?php echo $slogZaUnos['zemlja']; ?>"  size="3" required/> 
 <span class="greska"><?php echo $oznakeGreske['zemlja']; ?> </span>   
 <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=" Obavezan je unos(kod zemlje, šifra zemlje).
    Obično se odabire auto oznaka zemlje(npr. A za Austriju, SI za Sloveniju itd.
    Općeprihvaćeni standard je ISO 3166 za dvoslovne, troslovne oznake i šifre država
    Još je obavezan unos polja Naziv zemlje:  a sve ostalo je neobavezno(kod Operacije Unos). " />  &nbsp; &nbsp; 

<b>Naziv zemlje:</b>
 <input type="text" class="text_width_25em" name="nazivZemljeHR" value="<?php echo $slogZaUnos['nazivZemljeHR']; ?>"  required/> 
 <span class="greska"><?php echo $oznakeGreske['nazivZemljeHR']; ?> </span>  &nbsp; &nbsp;
Engleski naziv zemlje:
 <input type="text" class="text_width_25em" name="nazivZemljeEN" value="<?php echo $slogZaUnos['nazivZemljeEN']; ?>"  /> 

 <p></p>
Troslovna oznaka:
<input type="text" class="text_width_2em" name="zemljaC3" value="<?php echo $slogZaUnos['zemljaC3']; ?>" size="3" />  &nbsp; &nbsp;
Brojčana šifra:
<input type="text" class="text_width_3em" name="zemljaB3" value="<?php echo $slogZaUnos['zemljaB3']; ?>"  size="3"/> 
 <span class="greska"><?php echo $oznakeGreske['zemljaB3']; ?> </span>   &nbsp; &nbsp;
Oznaka valute:
<input type="text" class="text_width_3em" name="oznakaValute" value="<?php echo $slogZaUnos['oznakaValute']; ?>"  size="3"/> 
&nbsp; &nbsp;
Auto oznaka:
<input type="text" class="text_width_3em" name="autoOznakaZemlje" value="<?php echo $slogZaUnos['autoOznakaZemlje']; ?>"  size="3"/> 
&nbsp; &nbsp;
 <p></p> 
<?php postaviTipkeUnosa($opSaDok, $greska) ; ?>

</form>    
<?php
include 'dokumenti/view_pregled_zemlje.php';
?>
<?php
$poljaKljuca[] = 'zemlja';
poljaKljucaUjs($poljaKljuca);
?>