<!-- Dialog zatvaranje stavaka -->
<?php
function dialog_zatvaranje_stavaka($stavkaZatvaranja, $konto='', $kodPartnera='') {
    global $app_path, $action;
    if($konto=='')
        $konto=$stavkaZatvaranja['konto'];
    if($kodPartnera=='')
        $kodPartnera=$stavkaZatvaranja['kodPartnera'];
    $slogKonto=get_konto($konto);
    if(isset($_REQUEST['indeks']))
        $indeks=$_REQUEST['indeks'];
    else 
        $indeks=$stavkaZatvaranja['brojStavke'];
    
    $slogPartnera=get_partner($kodPartnera);
    $slogVrsDo=get_vrsta_dokumenta($stavkaZatvaranja['vrsDo']);
    $stavke=get_gk_za_zatvaranje($konto, $kodPartnera, $stavkaZatvaranja['brojTemeljnice'], $stavkaZatvaranja['brojStavke']);
    $ukupnoDuguje=$stavkaZatvaranja['iznosDug'];
    $ukupnoPotrazuje=$stavkaZatvaranja['iznosPot'];
    $pomBroDo=trim($stavkaZatvaranja['broDo']);
    if(trim($stavkaZatvaranja['brojDobRacuna'])!='')
       $pomBroDo.='*'.$stavkaZatvaranja['brojDobRacuna'];
    $d= new DateTime($stavkaZatvaranja['valuta']);
    $valuta=$d->format("d.m.Y");
    $d= new DateTime($stavkaZatvaranja['DVO']);
    $DVO=$d->format("d.m.Y");
    ?>
    
<!--<div id="shadeZatvaranje" class="shade" style="display: block"></div>
<div id="modalZatvaranje" class="modal" style="display: block">
        <a id="closeZatvaranje" href="#close" title="Zatvori" class="close">X</a>        
        <span class="veca_slova_110"> <b>Zatvaranje stavaka &nbsp; </b> <br></span><br>-->

 <div id="dialogZatvaranje" title="Zatvaranje stavaka" style="display: none;">
 <form action="." method="post" id="view_zatvaranje" onsubmit="return kontrola();">
 <input type="hidden" name="action" value="<?php echo $action ?>" />
  
        Konto:&nbsp;&nbsp;
        <input type="text" class="text_width_8em" name="kontoZatvaranja" value="<?php echo $stavkaZatvaranja['konto']; ?>"/> 
        <?php /*kreirajPoljeKonta('kontoZatvaranja', $stavkaZatvaranja['konto']);*/ echo $slogKonto['nazivKonta'] ;?> <br>
        Partner:
        <input type="text" class="text_width_8em" name="kodPartneraZatvaranja" value="<?php echo $stavkaZatvaranja['kodPartnera']; ?>"/> 
        <?php echo $slogPartnera['nazivPartnera'] ?> <br>
        <br>

       <!-- <div style="height:400px;width:100%;overflow:scroll;"> -->
        <table class="t_lista_primka" >
          <thead>
             <tr>
                <th class="left" style="padding-left: 1em">Dospijeće &nbsp;</th>
                <th class="left">DVO&nbsp;</th>
                <th class="left">Vrsta <br>dokumenta &nbsp;</th>
                <th class="left">Broj dokumenta <br>*dobavljačev broj</th>
                <th class="right">Duguje &nbsp;</th>
                <th class="right">Potražuje &nbsp;</th>
                <th class="right">Iznos veze 
                <img src="<?php echo $app_path ?>/images/upitnik.png" alt="help"
                title="Prvi red (obojano crveno): <br>preostali iznos za povezivanje, mijenja se kako unosimo iznose veza.<br/> 
                Priiskom na slovo 'p' u polje iznos veze preuzimamo iznos duguje ili potražuje"  />    
                </th>
              </tr>
          </thead>
          <tr style="color: blue; font-weight: bold">
            <td class="left" style="padding-left: 1em; width: 10em">
                <?php echo $valuta ?>&nbsp;
            </td>
            <td class="left" style="width: 10em">
                <?php echo $DVO ?>&nbsp;
            </td>
            <td class="left" style="width: 10em">
                <?php echo $slogVrsDo['oznakaDokumenta'] ?>&nbsp;
            </td>
            <td class="left" style="width: 15em">
                <?php echo $stavkaZatvaranja['broDo'] ?>&nbsp;
            </td>
            <td class="right" style="width: 10em">
                <?php echo number_format($stavkaZatvaranja['iznosOtvDug'],2,',','.') ?>&nbsp;
            </td>
            <td class="right" style="width: 10em">
                <?php echo number_format($stavkaZatvaranja['iznosOtvPot'],2,',','.') ?>&nbsp;
            </td>
            <td class="right" style="width: 10em">
                <input type="text" class="text_width_5em" name="iznosVezeRac" id="iznosVezeRac"  style="color: #990000; font-weight: bold"
                       value="<?php echo number_format($stavkaZatvaranja['iznosOtv'],2,'.','') ?>" disabled=""/>
            </td>
          </tr>
        <input type="hidden" name="lijeviDok" 
               value="<?php echo $stavkaZatvaranja['brojTemeljnice'].'|'.$stavkaZatvaranja['brojStavke']?>"/> 
        <input type="hidden" name="brojTemeljnice" value="<?php echo $stavkaZatvaranja['brojTemeljnice']; ?>"/> 
        <input type="hidden" name="brojIzvoda" value="<?php echo $stavkaZatvaranja['brojIzvoda']; ?>"/> 
        <input type="hidden" name="vrsDo" value="<?php echo $stavkaZatvaranja['vrsDo']; ?>"/> 
        <input type="hidden" name="brojStavke" value="<?php echo $stavkaZatvaranja['brojStavke']; ?>"/> 
        <input type="hidden" name="indeks" value="<?php echo $indeks; ?>"/> 
       </table>
       <div style=" max-height: 200px; overflow: auto">      
       <table class="t_lista_primka">
       <tbody> 
           <?php $RB = 0; foreach ($stavke as $slog) :
               $d= new DateTime($slog['valuta']);
               $valuta=$d->format("d.m.Y");
               $d= new DateTime($slog['DVO']);
               $DVO=$d->format("d.m.Y");
               $ukupnoDuguje+=$slog['iznosDug'];
               $ukupnoPotrazuje+=$slog['iznosPot'];
               $pomBroDo=trim($slog['broDo']);
               if(trim($slog['brojDobRacuna'])!='')
                   $pomBroDo.='*'.$slog['brojDobRacuna'];
              $istiDugujePotrazuje=$stavkaZatvaranja['iznosDug']==0 && $slog['iznosDug']==0 
                         || $stavkaZatvaranja['iznosPot']==0 && $slog['iznosPot']==0;
              $predznak=$istiDugujePotrazuje? -1 : 1;
              ?>
                <tr class="<?php echo (++$RB % 2 == 0) ? 'pozadina1' : 'pozadina2';?>">
                  <td class="left" style="padding-left: 1em; width: 10em">
                      <?php echo $valuta ?>&nbsp;
                  </td>
                  <td class="left" style="width: 10em">
                      <?php echo $DVO ?>&nbsp;
                  </td>
                  <td class="left" style="width: 10em">
                      <?php echo $slog['oznakaDokumenta'] ?>&nbsp;
                  </td>
                  <td class="left" style="width: 15em">
                      <?php echo $pomBroDo ?>&nbsp;
                  </td>
                  <td class="right" style="width: 10em">
                      <?php echo number_format($slog['iznosOtvDug'],2,',','.') ?>
                  </td>
                  <td class="right" style="width: 10em">
                      <?php echo number_format($slog['iznosOtvPot'],2,',','.') ?>
                  </td>
                  <td class="right" style="width: 10em">
                    <input type="text" class="text_width_5em" name="iznosVeza[]" id="<?php echo 'iznosVeze'.$RB ?>" 
                           pattern="\-{0,1}\d+([\,\.]\d{1,2})?" title="p - preuzimanje dugovnog/potražnog iznosa"                              
                           value="0.00" onfocus="this.oldvalue = this.value;" onchange="racunajOstatak(this, <?php echo $predznak ?>)" 
                           onkeypress="return preuzimanje(this, event, <?php echo $slog['iznosOtv'];?>, <?php echo $predznak ?>)"/>
                    <!--<input type="submit" name="prihvatiZatvaranje1" value="." />-->
                  </td>
                    <input type="hidden" name="vezniDok[]" 
                        value="<?php echo $slog['brojTemeljnice'].'|'.$slog['brojStavke'] ?>"/> 
                </tr>
           <?php endforeach; ?>
       </tbody>
       </table>  
       </div>     
       <table class="t_lista_primka" >
           <tfoot>
               <tr style="font-weight: bold">
                  <td class="left" style="padding-left: 1em; width: 10em">
                      S A L D O :
                  </td>
                  <td class="left" style="width: 10em">
                      &nbsp;
                  </td>
                  <td class="left" style="width: 15em">
                      &nbsp;
                  </td>
                  <td class="right" style="width: 10em">
                      <?php echo number_format($ukupnoDuguje,2,',','.') ?>&nbsp;
                  </td>
                  <td class="right" style="width: 10em">
                      <?php echo number_format($ukupnoPotrazuje,2,',','.') ?>&nbsp;&nbsp;
                  </td>
                  <td class="right" style="width: 10em">
                      <?php echo number_format($ukupnoDuguje-$ukupnoPotrazuje,2,',','.')  ?>&nbsp;
                  </td>
                </tr>              
           </tfoot>
       </table>  
       <br>
    <p id="prihvat">
    <input type="submit" name="prihvatiZatvaranje" value="Prihvat" />
    </p>
</form>
</div>

    <script type="text/javascript">
        /* stari dialog
        var modal= document.getElementById('modalZatvaranje');
        var shade= document.getElementById('shadeZatvaranje');

        document.getElementById('closeZatvaranje').onclick= function() {
            modal.style.display=shade.style.display= 'none';
        };
        */
        $(document).tooltip({
           content: function () {
             return ( ( $( this ).prop( 'title' ).replace( '|', '<br />' ) ) );
           }
        });       
        $("#dialogZatvaranje").dialog(({width: 700, maxHeight: 500, modal: true,resizable: false}));
        document.getElementById("iznosVeze1").focus();
        function racunajOstatak(polje,predznak)
        {
            //console.log(predznak);
            if(isNaN(parseFloat(polje.value))) {
                polje.value = polje.oldvalue;
                alert("Niste unijeli broj. Vraćena stara vrijednost");
                return;
            }
        
            //
            preostalo=document.getElementById("iznosVezeRac");
            iznos = parseFloat(preostalo.value.replace(",",".")) + (parseFloat(polje.oldvalue.replace(",",".")) - parseFloat(polje.value.replace(",",".")))*predznak;
            //console.log(preostalo.value + "+" + polje.oldvalue + "-" + polje.value);
            preostalo.value=iznos.toFixed(2);
        }

        function preuzimanje(polje, event, iznosOtv, predznak){
            // preuzima kod pritisnute tipke
            var chCode = ('charCode' in event) ? event.charCode : event.keyCode;
            
            if(chCode==='p'.charCodeAt() || chCode==='P'.charCodeAt()) 
            {
                //alert (iznosOtv);
                polje.value=iznosOtv;
                racunajOstatak(polje,predznak);
                polje.oldvalue=polje.value;
                polje.select();
                return false;
            }
        } 
    
        function kontrola() {
            raspolozivo=<?php echo $stavkaZatvaranja['iznosOtv'] ?>;
            preostalo=parseFloat(document.getElementById("iznosVezeRac").value.replace(",","."));
            // ako su preostalo i  raspolozivo suprotnog predznaka ii je  saldo po vezama 
            // veči od raspolozivog iznosa na dokumentu s kojim zatvaramo
            if (raspolozivo>0 && preostalo<0 || raspolozivo<0 & preostalo>0 || Math.abs(raspolozivo)<Math.abs(preostalo)) {
                alert("Saldo Iznosa veza po povezanim dokumentima je veći od otvorenog iznosa na dokumentu s kojim zatvaramo!");
                return false;
            } 
            return true;
        }
    
    </script>

<?php
}
?>
