<!-- Dialog veze -->
<?php
require_once('./model/veze_db.php');

function dialog_veze($stavkaDokumenta, $DVOdo) {
    global $app_path, $parametriZaGet;
    
    $slogKonto=get_konto($stavkaDokumenta['konto']);
    $slogPartnera=get_partner($stavkaDokumenta['kodPartnera']);
    $slogVrsDo=get_vrsta_dokumenta($stavkaDokumenta['vrsDo']);
    $veze=get_veze_po_dokumentu($stavkaDokumenta,$DVOdo);
    $d= new DateTime($stavkaDokumenta['valuta']);
    $valuta=$d->format("d.m.Y");
    $d= new DateTime($stavkaDokumenta['DVO']);
    $DVO=$d->format("d.m.Y");
    $iznos=$stavkaDokumenta['iznosDug']+$stavkaDokumenta['iznosPot'];
    $predznakDok=abs($iznos)/$iznos;
    if(trim($DVOdo)=='')
        $otvoreno=$stavkaDokumenta['iznosOtv'];
    else {
        $zbroj=zbroj_veza_po_dok($stavkaDokumenta['vrsDo'], $stavkaDokumenta['broDo'], $stavkaDokumenta['DVO'], $stavkaDokumenta['konto'], $stavkaDokumenta['kodPartnera'], $DVOdo);
        $otvoreno=$zbroj['otvoreno'];
    }
?>
<div id="dialogVeze" title="Prikaz veza" style="display: none;"> 
    Konto:&nbsp;&nbsp;
    <input type="text" class="text_width_8em" name="kontoZatvaranja" value="<?php echo $stavkaDokumenta['konto']; ?>"/> 
    <?php echo $slogKonto['nazivKonta'] ;?> <br>
    Partner:
    <input type="text" class="text_width_8em" name="kodPartneraZatvaranja" value="<?php echo $stavkaDokumenta['kodPartnera']; ?>"/> 
    <?php echo $slogPartnera['nazivPartnera'] ?> <br>

    <table class="t_lista_primka" >
      <thead>
         <tr>
            <th class="left" style="padding-left: 1em">Dospijeće &nbsp;</th>
            <th class="left">DVO&nbsp;</th>
            <th class="left">Broj <br>tem &nbsp;</th>
            <th class="left">Vrsta <br>dokumenta &nbsp;</th>
            <th class="left">Broj dokumenta &nbsp;</th>
            <th class="right">Duguje &nbsp;</th>
            <th class="right">Potražuje &nbsp;</th>
            <th class="right">Otvoreno &nbsp;</th>
         </tr>
      </thead>
      <tr style="color: blue; font-weight: bold">
        <td class="left" style="padding-left: 1em; width: 6em">
            <?php echo $valuta ?>&nbsp;
        </td>
        <td class="left" style="width: 6em">
            <?php echo $DVO ?>&nbsp;
        </td>
        <td class="left" style="max-width: 6em">
            <?php echo $stavkaDokumenta['brojTemeljnice'] ?>&nbsp;
        </td>
        <td class="left" style="max-width: 10em">
            <?php echo $slogVrsDo['oznakaDokumenta'] ?>&nbsp;&nbsp;
        </td>
        <td class="left" style="max-width: 15em">
            <?php echo $stavkaDokumenta['broDo'] ?>&nbsp;
        </td>
        <td class="right" style="padding-left: 0.5em; max-width: 15em">
            <?php echo number_format($stavkaDokumenta['iznosDug'],2,',','.') ?>&nbsp;
        </td>
        <td class="right" style="max-width: 15em">
            <?php echo number_format($stavkaDokumenta['iznosPot'],2,',','.') ?>&nbsp;
        </td>
        <td class="right" style="max-width: 15em">
            <?php echo number_format($otvoreno,2,',','.') ?>&nbsp;
        </td>
      </tr>
    </table>
    
    <p>Veze:</p>
    
    <table class="t_lista_primka" >
      <thead>
         <tr>
            <th class="left" style="padding-left: 1em">Konto &nbsp;</th>
            <th class="left">Partner&nbsp;</th>
            <th class="left">DVO&nbsp;</th>
            <th class="left" >Dospijeće &nbsp;</th>
            <th class="left">Vrsta <br>dokumenta &nbsp;</th>
            <th class="left">Broj dokumenta &nbsp;</th>
            <th class="right">Duguje &nbsp;</th>
            <th class="right">Potražuje &nbsp;</th>
            <th class="right">Veza &nbsp;</th>
            <td></td>
         </tr>
      </thead>
           <?php 
           $sumaVeza=$RB = 0; 
           foreach ($veze as $slog) :
               $d= new DateTime($slog['valuta']);
               $valuta=$d->format("d.m.Y");
               $d= new DateTime($slog['DVO_gk']);
               $DVO=$d->format("d.m.Y");
               $predznak=$predznakDok*abs($slog['iznosVeze'])/$slog['iznosVeze'];
               $iznosiNaIstojStrani=($stavkaDokumenta['iznosDug']==0 && $slog['iznosDug']==0) || ($stavkaDokumenta['iznosPot']==0 && $slog['iznosPot']==0);

                if(!$iznosiNaIstojStrani)
                    $predznak=1;
                
                $sumaVeza+=$predznak*$slog['iznosVeze'];

                if($slog['vrstaVeze']=='glavni') {
                    $parametriZaBrianje=
                        '&kontoV='.$slog['konto']
                        .'&kodPartneraV='.$slog['kodPartnera']
                        .'&vrsDoV='.$slog['vrsDo']
                        .'&broDoV='.$slog['broDo']
                        .'&DVOV='.$slog['DVO']
                        .'&vKontoV='.$slog['kontoVeze']
                        .'&vKodPartneraV='.$slog['kodPartneraVeze']
                        .'&vVrsDoV='.$slog['vrsDoVeze']
                        .'&vBroDoV='.$slog['broDoVeze']
                        .'&vDVOV='.$slog['DVOVeze'];
                }else {
                    $parametriZaBrianje=
                        '&kontoV='.$slog['kontoVeze']
                        .'&kodPartneraV='.$slog['kodPartneraVeze']
                        .'&vrsDoV='.$slog['vrsDoVeze']
                        .'&broDoV='.$slog['broDoVeze']
                        .'&DVOV='.$slog['DVOVeze']
                        .'&vKontoV='.$slog['konto']
                        .'&vKodPartneraV='.$slog['kodPartnera']
                        .'&vVrsDoV='.$slog['vrsDo']
                        .'&vBroDoV='.$slog['broDo']
                        .'&vDVOV='.$slog['DVO'];
                }    
              ?>
                <tr class="<?php echo (++$RB % 2 != 0) ? 'pozadina1' : 'pozadina2';?>">
                  <td class="left" style="padding-left: 1em; max-width: 10em">
                      <?php echo $slog['kontoVeze'] ?>&nbsp;
                  </td>
                  <td class="left" style="max-width: 10em">
                      <?php echo $slog['kodPartneraVeze'] ?>&nbsp;
                  </td>
                    <td class="left" >
                        <?php echo $DVO ?>&nbsp;
                    </td>
                    <td class="left" >
                        <?php echo $valuta ?>&nbsp;
                    </td>
                  <td class="left" >
                      <?php echo $slog['oznakaDokumentaVeze'] ?>&nbsp;
                  </td>
                  <td class="left" style="max-width: 15em">
                      <?php echo $slog['broDoVeze'] ?>&nbsp;
                  </td>
                  <td class="right" >
                      <?php echo number_format($slog['iznosDug'],2,',','.') ?>&nbsp;
                  </td>
                  <td class="right" >
                      <?php echo number_format($slog['iznosPot'],2,',','.') ?>&nbsp;
                  </td>
                  <td class="right" >
                      <b><?php echo number_format($predznak*$slog['iznosVeze'],2,',','.') ?>&nbsp;</b>
                  <td class="right" style="padding-left: 0.5em; padding-right: 0.5em">
                    <a href='<?php echo $parametriZaGet.$parametriZaBrianje."&akcija=brisanjeVeze"; 
                    ?>' title='Brisaje veze' onclick="return brisanjeVezeClick()"/> 
                    <img width="12" height="12" alt="&nbsp;" src="<?php echo $app_path ?>/images/unlink16.png" /> </a>
                  </td>
                  </td>
           <?php endforeach; ?>
    
        <tfoot>
            <tr>
                <td colspan="8"> </td>
                <td class="right" style="width: 10em">
                   <b><?php echo number_format($sumaVeza,2,',','.') ?></b>&nbsp;
                </td>
                <td></td>
            </tr>
        </tfoot>
    </table> 
    <br>
</div>

<script type="text/javascript">
$("#dialogVeze").dialog(({width: 800, modal: true,resizable: false}));
function brisanjeVezeClick() {
    return confirm( "Želite li obrisazi vezu?");
}
    
</script>

<?php
}
?>
