<?php
require_once('./model/veze_db.php');
function cistiSlogGK(&$slogGk) {
    $slogGk['brojTemeljnice']=0; 
    $slogGk['brojStavke']=0; 
    $slogGk['konto']=''; 
    $slogGk['kodPartnera']=''; 
    $slogGk['vrsDo']=''; 
    $slogGk['broDo']=''; 
    $slogGk['brojIzvoda']=0;
    $slogGk['DVO']='';
    $slogGk['valuta']=''; 
    $slogGk['iznosDug']=0;
    $slogGk['iznosPot']=0;
    $slogGk['opisKnjizenja']=''; 
    $slogGk['brojDobRacuna']=''; 
    //$slogGk['pozivNaBroj']='';
    //$slogGk['iznosPdv']=0;
    $slogGk['vrstaRacuna']='R1';
    $slogGk['PDVstatus']='';
    //$slogGk['neoporezivIznos']=0;
    
}

function puniZaglavljeGK(&$slogGk, $izvor=null) {
    // zaglavlje  temeljnice  može uzeti iz $_REQUEST ($_POST ili $_GET) ili iz $_SESSION['temeljnice'][$brojTemeljnice][$brojIzvoda]
    // ako $izvor nije naveden uzima iz $_REQUEST
    if($izvor===null) {
        $izvor=$_REQUEST;
        $slogGk['brojIzvoda']=$izvor['brojIzvoda'];
    }        
    $slogGk['brojTemeljnice']=$izvor['brojTemeljnice'];
    $slogGk['vrsDo']=$izvor['vrsDo'];
    if($slogGk['vrsDo']=='40') {
        if(isset($_SESSION['temeljnice'][$slogGk['brojTemeljnice']][$slogGk['vrsDo']][$slogGk['brojIzvoda']][0])) {
            // ako temeljnica nije prazna uzima datum banke i broj izvoda iz prve stanke
            $slogGk['DVO']=$_SESSION['temeljnice'][$slogGk['brojTemeljnice']][$slogGk['vrsDo']][$slogGk['brojIzvoda']][0]['DVO'];
        }
        else {
            // temeljnica je prazna uzima unesene vrijednosti
            if(isset($izvor['DVO']))
                $slogGk['DVO']=$izvor['DVO'];
            $slogGk['brojIzvoda']=$izvor['brojIzvoda'];
        }
        $slogGk['valuta']=$slogGk['DVO'];    
    }    
}

function brisiStavkuGK($brojTemeljnice, $vrsDo, $brojIzvoda, $brojStavke) {
    if(!isset($_SESSION['temeljnice'][$brojTemeljnice][$vrsDo][$brojIzvoda][$brojStavke]))
        return false;
    
    $temeljnica=$_SESSION['temeljnice'][$brojTemeljnice][$vrsDo][$brojIzvoda];
    delete_gk_stavku($brojTemeljnice, $temeljnica[$brojStavke]['brojStavke']);
    unset($_SESSION['temeljnice'][$brojTemeljnice][$vrsDo][$brojIzvoda][$brojStavke]);
    /*
    $i=0;
    $nova=array();
    foreach ($temeljnica as $index => $slog) {
        if($index==$brojStavke)
            continue;
        //$slog['brojStavke']=++$i;
        $nova[]=$slog;
        //if($index>$brojStavke)
    }
    $_SESSION['temeljnice'][$brojTemeljnice][$vrsDo][$brojIzvoda]=$nova;
     */
    return true;
}

function citajTemeljnicuIzBaze($brojTemeljnice,$vrsDo,$brojIzvoda,$prikazujePo,$brojDokPr,$zaDioDokumenta,$iznosOd,$iznosDo,$kojiIznos) {
    $shema=array();
    cistiSlogGK($shema);
    unset($_SESSION['temeljnice'][$brojTemeljnice][$vrsDo][$brojIzvoda]);
    $temeljnica=get_gk_temeljnicu($brojTemeljnice, $vrsDo, $brojIzvoda,$prikazujePo,$brojDokPr,$zaDioDokumenta,$iznosOd,$iznosDo,$kojiIznos);
    if(count($temeljnica)>0) {
        foreach ($temeljnica as $stavka) {
            if(!isset($stavka['kodPartnera']))
               $stavka['kodPartnera']='';
            $pomStavka=puni_slog($shema, $stavka);

            if(trim($stavka['valuta'])!='' ) {
                $datum = new DateTime($stavka['valuta']);
                $pomStavka['valuta'] = $datum->format("d.m.Y");
            }
            if(trim($stavka['DVO'])!='' ) {
                $datum = new DateTime($stavka['DVO']);
                $pomStavka['DVO'] = $datum->format("d.m.Y");
            }    
            if(is_ulazni_dokument($pomStavka['vrsDo'])) {
                $gk_pdv=get_gk_pdv($pomStavka['brojTemeljnice'], $pomStavka['brojStavke']);
                if(count($gk_pdv)>0)
                    $pomStavka['gk_pdv']=$gk_pdv;
            }
            $pomStavka['izmjenjeno']=false;
            $_SESSION['temeljnice'][$brojTemeljnice][$vrsDo][$brojIzvoda][$pomStavka['brojStavke']-1]=$pomStavka;
            
        }
        return true;
    }
    else {
        return false;
    }
    
}
/*
Za salda-konto konte potrebna kontrola na dupli ključ KEY dokument (konto, vrsDo, broDo)(ne može se isti broj dokumenta
     unjeti na istom kontu na različitim poslovnim partnerima)
*/
function kontrolaBroDo($slog, $kontrolaTemUMemoriji=true) {
    $konto=get_konto($slog['konto']);
    if($konto['vrstaKonta']!='S'  || trim('kodPartnera')=='')
        return '';
    if(isset($_SESSION['temeljnice'][$slog['brojTemeljnice']][$slog['vrsDo']][$slog['brojIzvoda']]) && $kontrolaTemUMemoriji) {
        // gleda dali postoji u memoriji unutar iste temeljnice
        foreach ($_SESSION['temeljnice'][$slog['brojTemeljnice']][$slog['vrsDo']][$slog['brojIzvoda']] as $stavka) {
            if($stavka['brojStavke']==$slog['brojStavke'])
                continue;
            $konto=get_konto($stavka['konto']);
            if($konto['vrstaKonta']!='S')
                continue;
            if($stavka['broDo']==$slog['broDo'] && $stavka['konto']==$slog['konto'] && $stavka['vrsDo']==$slog['vrsDo'] 
                && $stavka['kodPartnera']!=$slog['kodPartnera'])
                return 'Temeljnica:'.$slog['brojTemeljnice'].', stavka broj:'.$stavka['brojStavke'].' za isti broj dokumenta i isti konto ima različitog partnera:'
                .$stavka['kodPartnera']. '!';
            if($stavka['broDo']==$slog['broDo'] && $stavka['konto']==$slog['konto'] && $stavka['vrsDo']==$slog['vrsDo'])
                //return 'Temeljnica:'.$slog['brojTemeljnice'].', stavka broj:'.$stavka['brojStavke'].' broj dokumenta već postoji!';
                return 'Broj dokumenta '.$stavka['broDo'].' već postoji u temeljnici broj:'.$stavka['brojTemeljnice'].', stavka broj:'.$stavka['brojStavke'].'!';
        }
    }
    $dupliDok=get_gk_dupli_dokument($slog);
    if(is_array($dupliDok)) {
        //return 'Temeljnica:'.$dupliDok['brojTemeljnice'].', stavka broj:'.$dupliDok['brojStavke'].' broj dokumenta već postoji!';
        return 'Broj dokumenta '.$slog['broDo'].' već postoji u temeljnici broj:'.$dupliDok['brojTemeljnice'].', stavka broj:'.$dupliDok['brojStavke'].'!';
        
    }
    return '';
}
function UFARazradaIzPosta($razradaUFA) {
   for ($i = 0; $i < count($_REQUEST['poreznaGrupa']); $i++) {
       $razradaUFA[$i]['poreznaGrupa']=$_REQUEST['poreznaGrupa'][$i];
       $razradaUFA[$i]['osnovica'] = $_REQUEST['osnovica'][$i];
       $p=get_porez($_REQUEST['poreznaGrupa'][$i]);
       $razradaUFA[$i]['PDV']=$p['PDV'];
       $razradaUFA[$i]['iznosPDV']=$_REQUEST['iznosPDV'][$i];
       $razradaUFA[$i]['neMozeSeOdbiti']=$_REQUEST['neMozeSeOdbiti'][$i];
   }
   return $razradaUFA;
}
function listaPorezneGrupeGK($naziv, $poreznaGrupa,$start=0) {
    $lista='<select name="'.$naziv.'">';
    $slogovi = get_porezi();
    for ($i = $start; $i < count($slogovi); $i++) {
        $lista.='<option value="'.$slogovi[$i]['poreznaGrupa'].'"';
        if ($slogovi[$i]['poreznaGrupa'] ==  $poreznaGrupa){
               $lista.=' selected="selected"';
         } 
        $lista.='>'.$slogovi[$i]['poreznaGrupa'].'('.$slogovi[$i]['PDV'].'%) </option>';
    }
    $lista.='</select>';
    echo $lista;
}
function is_ulazni_dokument($vrsDo) {
    return ($vrsDo=='10' || $vrsDo=='11' || $vrsDo=='12');    
}
function zatvaranjeStavaka($stavka, $vezneStavke, $iznosVeza) {
    $dokument=stringUDokument($stavka);
    $n=count($vezneStavke);
    for ($i = 0; $i < $n; $i++) {
        $iznosVeze=round((float)str_replace(',', '.', $iznosVeza[$i]),2);
        if($iznosVeze<>0) {
            $vezniDokument=stringUDokument($vezneStavke[$i]);
            add_veze($dokument['brojTemeljnice'], $dokument['brojStavke'], $vezniDokument['brojTemeljnice'], $vezniDokument['brojStavke'], $iznosVeze);
        }    
    }
}
//briše sve veze na stavki
function otvaranjeStavke($stavka) {
  //  var_dump($stavka);
    global $db;
   $db->beginTransaction();
    $veze=get_veze_po_dokumentu($stavka);
 //   var_dump($veze);
    $slogVeze=array();     
    foreach ($veze as $veza) {
        if($veza['vrstaVeze']=='glavni') {
            $slogVeze['konto']=$veza['konto'];
            $slogVeze['kodPartnera']=$veza['kodPartnera'];
            $slogVeze['vrsDo']=$veza['vrsDo'];
            $slogVeze['broDo']=$veza['broDo'];
            $slogVeze['DVO']=$veza['DVO'];
            $slogVeze['vKonto']=$veza['kontoVeze'];
            $slogVeze['vKodPartnera']=$veza['kodPartneraVeze'];
            $slogVeze['vVrsDo']=$veza['vrsDoVeze'];
            $slogVeze['vBroDo']=$veza['broDoVeze'];
            $slogVeze['vDVO']=$veza['DVOVeze'];
            $slogVeze['iznosVeze']=$veza['iznosVeze'];
        }else {
            $slogVeze['konto']=$veza['kontoVeze'];
            $slogVeze['kodPartnera']=$veza['kodPartneraVeze'];
            $slogVeze['vrsDo']=$veza['vrsDoVeze'];
            $slogVeze['broDo']=$veza['broDoVeze'];
            $slogVeze['DVO']=$veza['DVOVeze'];
            $slogVeze['vKonto']=$veza['konto'];
            $slogVeze['vKodPartnera']=$veza['kodPartnera'];
            $slogVeze['vVrsDo']=$veza['vrsDo'];
            $slogVeze['vBroDo']=$veza['broDo'];
            $slogVeze['vDVO']=$veza['DVO'];
            $slogVeze['iznosVeze']=$veza['iznosVeze'];            
        }     
        delete_veze($slogVeze);       
    } 
    
    //$db->rollBack();
    $db->commit();
}

// *********************************************************************************************************
function otvaranjeStavke2($dokumentKojiSeOtpaja) {
  //  var_dump($stavka);
    global $db;
   $db->beginTransaction();
      $maketemp = " 
    CREATE TEMPORARY TABLE dokumentiKojiSeOtpajajuSumeVeza (
      konto             CHAR(12) NOT NULL,
      kodPartnera       CHAR(13) NOT NULL,
      vrsDo       CHAR(2)        NOT NULL,    
      broDo      CHAR(25)        NOT NULL,
      DVO DATETIME NOT NULL,
      sumaVeza  DECIMAL(11,2)  default 0,
   PRIMARY KEY (konto, kodPartnera, vrsDo, broDo, DVO)
)";
try {      
     $statement = $db->prepare($maketemp);     
     $statement->execute();
     $rowCount = $statement->rowCount();
     $statement->closeCursor(); 
     } catch (PDOException $e) {
       $error_message = $e->getMessage();
       display_db_error($error_message); 
    }    
    
// dobivanje svih slogova iz veze gdje je glavni ili vezni dio = dokumentu koji se otpaja
 $query = " 
select * from veze   
where (konto=:konto and kodPartnera=:kodPartnera and vrsDo=:vrsDo and broDo=:broDo and DVO=:DVO) 
or (vkonto=:konto and vkodPartnera=:kodPartnera and vvrsDo=:vrsDo and vbroDo=:broDo and vDVO=:DVO)
        ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':konto', $dokumentKojiSeOtpaja['konto']);
        $statement->bindValue(':kodPartnera', $dokumentKojiSeOtpaja['kodPartnera']); 
        $statement->bindValue(':vrsDo', $dokumentKojiSeOtpaja['vrsDo']);
        $statement->bindValue(':broDo', $dokumentKojiSeOtpaja['broDo']);
            $d1=new DateTime($dokumentKojiSeOtpaja['DVO']);
            $DVO = $d1->format('Y-m-d H:i:s');       
        $statement->bindValue(':DVO', $DVO); 
        $statement->execute();
        $veze = $statement->fetchAll();
        $statement->closeCursor();
     //   return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }        
  //  var_dump($veze);  
 //   
// *********************************************    
foreach ($veze as $slogVeze) {
 // sumiranje iznosa veze po glavnom i veznom dokumentu(2 sloga se sumiraju za jedan slogVeze)        
 // ispitivanje ako slog postoji u dokumentiKojiSeOtpajajuSumeVeza ako ga nema insert inače update
  //              glavni  dio ključa veze       
     $gk = getGk1SaldaKontoDokument($slogVeze['konto'],$slogVeze['kodPartnera'],$slogVeze['vrsDo'],$slogVeze['broDo']);   
     $iznosVeze = $slogVeze['iznosVeze'];
     // promjena predznaka za storno dokumente
        // primjer:        
        if (($gk['iznosDug'] < 0 || $gk['iznosDug'] < 0) && $gk > 0) $iznosVeze = (-1) * $iznosVeze;
        if (($gk['iznosDug'] > 0 || $gk['iznosDug'] > 0) && $gk < 0) $iznosVeze = (-1) * $iznosVeze;
     
     $query = "select * from dokumentiKojiSeOtpajajuSumeVeza
               where konto=:konto and kodPartnera=:kodPartnera and vrsDo=:vrsDo and broDo=:broDo and DVO=:DVO";
     try {
        $statement = $db->prepare($query);
        $statement->bindValue(':konto', $slogVeze['konto']);
        $statement->bindValue(':kodPartnera', $slogVeze['kodPartnera']);
        $statement->bindValue(':vrsDo', $slogVeze['vrsDo']);
        $statement->bindValue(':broDo', $slogVeze['broDo']);
        $statement->bindValue(':DVO', $slogVeze['DVO']);   
        $statement->execute();
        $dokument = $statement->fetch();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }   
    if (empty($dokument)) {  
        $query = "
        INSERT INTO dokumentiKojiSeOtpajajuSumeVeza
        (
            konto,
            kodPartnera,
            vrsDo,
            broDo,
            DVO,
            sumaVeza
         )
        VALUES
        (
            :konto,
            :kodPartnera,
            :vrsDo,
            :broDo,
            :DVO,
            :iznosVeze
        )";
        try {
        $statement = $db->prepare($query);
        $statement->bindValue(':konto', $slogVeze['konto']);
        $statement->bindValue(':kodPartnera', $slogVeze['kodPartnera']);
        $statement->bindValue(':vrsDo', $slogVeze['vrsDo']);
        $statement->bindValue(':broDo', $slogVeze['broDo']);
        $statement->bindValue(':DVO', $slogVeze['DVO']);      
        $statement->bindValue(':iznosVeze', $iznosVeze); 
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    } else {
        // update
        
   $query = "
        UPDATE dokumentiKojiSeOtpajajuSumeVeza
        SET
            sumaVeza = (sumaVeza + :iznosVeze)          
        WHERE 
            konto=:konto AND kodPartnera=:kodPartnera AND vrsDo=:vrsDo AND broDo=:broDo AND DVO=:DVO
        ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':konto', $slogVeze['konto']);
        $statement->bindValue(':kodPartnera', $slogVeze['kodPartnera']);
        $statement->bindValue(':vrsDo', $slogVeze['vrsDo']);
        $statement->bindValue(':broDo', $slogVeze['broDo']);
        $statement->bindValue(':DVO', $slogVeze['DVO']);   
        $statement->bindValue(':iznosVeze', $iznosVeze);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
        return;
    }
 }
    
 //                                vezni 
 
 $gk = getGk1SaldaKontoDokument($slogVeze['vKonto'],$slogVeze['vKodPartnera'],$slogVeze['vVrsDo'],$slogVeze['vBroDo']);   
 $iznosVeze = $slogVeze['iznosVeze'];
  // promjena predznaka za storno dokumente 
        if (($gk['iznosDug'] < 0 || $gk['iznosPot'] < 0) && $gk > 0) $iznosVeze = (-1) * $iznosVeze;
        if (($gk['iznosDug'] > 0 || $gk['iznosPot'] > 0) && $gk < 0) $iznosVeze = (-1) * $iznosVeze;     
 
 $query = "select * from dokumentiKojiSeOtpajajuSumeVeza
               where konto=:vkonto and kodPartnera=:vkodPartnera and vrsDo=:vvrsDo and broDo=:vbroDo and DVO=:vDVO";
     try {
        $statement = $db->prepare($query);
        $statement->bindValue(':vkonto', $slogVeze['vKonto']);
        $statement->bindValue(':vkodPartnera', $slogVeze['vKodPartnera']);
        $statement->bindValue(':vvrsDo', $slogVeze['vVrsDo']);
        $statement->bindValue(':vbroDo', $slogVeze['vBroDo']);
        $statement->bindValue(':vDVO', $slogVeze['vDVO']);   
        $statement->execute();
        $dokument = $statement->fetch();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }   
    if (empty($dokument)) {  
        $query = "
        INSERT INTO dokumentiKojiSeOtpajajuSumeVeza
        (
            konto,
            kodPartnera,
            vrsDo,
            broDo,
            DVO,
            sumaVeza
         )
        VALUES
        (
            :vKonto,
            :vKodPartnera,
            :vVrsDo,
            :vBroDo,
            :vDVO,
            :iznosVeze
        )";
        try {
        $statement = $db->prepare($query);
        $statement->bindValue(':vKonto', $slogVeze['vKonto']);
        $statement->bindValue(':vKodPartnera', $slogVeze['vKodPartnera']);
        $statement->bindValue(':vVrsDo', $slogVeze['vVrsDo']);
        $statement->bindValue(':vBroDo', $slogVeze['vBroDo']);
        $statement->bindValue(':vDVO', $slogVeze['vDVO']);      
        $statement->bindValue(':iznosVeze', $iznosVeze); 
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    } else {
        // update      
   $query = "
        UPDATE dokumentiKojiSeOtpajajuSumeVeza
        SET
            sumaVeza = (sumaVeza + :iznosVeze)          
        WHERE 
            konto=:vKonto AND kodPartnera=:vKodPartnera AND vrsDo=:vVrsDo AND broDo=:vBroDo AND DVO=:vDVO
        ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':vKonto', $slogVeze['vKonto']);
        $statement->bindValue(':vKodPartnera', $slogVeze['vKodPartnera']);
        $statement->bindValue(':vVrsDo', $slogVeze['vVrsDo']);
        $statement->bindValue(':vBroDo', $slogVeze['vBroDo']);
        $statement->bindValue(':vDVO', $slogVeze['vDVO']);     
        $statement->bindValue(':iznosVeze', $iznosVeze);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
        return;
    }
 }
    
 // -----------------------------------------------------------------------------------------------------------------------------------------
    

// brisanje veze
    $query = "    
        delete from veze
        where konto=:konto and kodPartnera=:kodPartnera and vrsDo=:vrsDo and broDo=:broDo and DVO=:DVO
        and vKonto=:vKonto and vKodPartnera=:vKodPartnera and vVrsDo=:vVrsDo and vBroDo=:vBroDo and vDVO=:vDVO
        ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':konto', $slogVeze['konto']);
        $statement->bindValue(':kodPartnera', $slogVeze['kodPartnera']);
        $statement->bindValue(':vrsDo', $slogVeze['vrsDo']);
        $statement->bindValue(':broDo', $slogVeze['broDo']);
        $statement->bindValue(':DVO', $slogVeze['DVO']);
        $statement->bindValue(':vKonto', $slogVeze['vKonto']);
        $statement->bindValue(':vKodPartnera', $slogVeze['vKodPartnera']);
        $statement->bindValue(':vVrsDo', $slogVeze['vVrsDo']);
        $statement->bindValue(':vBroDo', $slogVeze['vBroDo']);
        $statement->bindValue(':vDVO', $slogVeze['vDVO']);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }         
    
}   // endforeach
//  **************************************
 
/*  sada imamo sumu veza po svakom dokumentu (glavni ili vezni) ažuriranje iznosOtv u gk_stavke
 */  
    $query = "select * from dokumentiKojiSeOtpajajuSumeVeza";    
    try {      
     $statement = $db->prepare($query);     
     $statement->execute();
     $dokumenti = $statement->fetchAll();
     $statement->closeCursor(); 
     } catch (PDOException $e) {
       $error_message = $e->getMessage();
       display_db_error($error_message); 
    }    
// na račun otpojenih veza za toliko se povećava otvoreni iznos po pojedim  dokumentima    
    foreach ($dokumenti as $d) {
          $email_user = $_SESSION['admin']['email'];
    $query = "
        UPDATE gk_stavke
        SET
            iznosOtv=(iznosOtv + :sumaVeza),
            datumIzmjene=NOW(),
            tkoJeIzmjenio=:email_user
        WHERE 
            konto=:konto AND kodPartnera=:kodPartnera AND vrsDo=:vrsDo AND broDo=:broDo AND DVO=:DVO
        ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':konto', $d['konto']);
        $statement->bindValue(':kodPartnera', $d['kodPartnera']);
        $statement->bindValue(':vrsDo', $d['vrsDo']);
        $statement->bindValue(':broDo', $d['broDo']);
        $statement->bindValue(':DVO', $d['DVO']);   
        $statement->bindValue(':sumaVeza', $d['sumaVeza']);
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
        return;
    }                          
    }
// brisanje temporari fajla
$brisiTemp = "
    delete 
       from dokumentiKojiSeOtpajajuSumeVeza";    
     try {      
     $statement = $db->prepare($brisiTemp); 
     $statement->execute();
     $rowCount = $statement->rowCount();
     $statement->closeCursor(); 
     echo 'Obrisano u dokumentiKojiSeOtpajajuSumeVeza:' . $rowCount;
     } catch (PDOException $e) {
       $error_message = $e->getMessage();
       display_db_error($error_message); 
    }               
    
    //$db->rollBack();
    $db->commit();
}

// *************************************************************************************************************



function stringUDokument($s) {
    $p=explode('|', $s);
    return array('brojTemeljnice' => $p[0], 'brojStavke' => $p[1]);
}
?>