<?php
function get_categories() {
    global $db;
    /*
    $dioWhere='';
    if($_SESSION['admin']['prioritet']==9 && trim($_SESSION['admin']['kodPartnera'])!='' ) {
        include_once 'model/rabati_db.php';
        $grupe=get_grupe_rabata($_SESSION['admin']['kodPartnera']);
        if($grupe!='') {
            $gr=explode(',', $grupe);
            foreach ($gr as $grupa) {
                if($dioWhere=='')
                    $dioWhere.='WHERE ';
                else
                    $dioWhere.='OR ';
                $dioWhere.="LOCATE(kodGrupe, '$grupa')=1  ";
            }
        }
    }
     */
    $dioWhere=get_grupe_po_partneru();
    if(trim($dioWhere)!='')
        $dioWhere=" WHERE $dioWhere";

    $query = "SELECT *,
                (SELECT COUNT(*)
                 FROM maticna_robe
                 WHERE maticna_robe.kodGrupe = robne_grupe.kodGrupe)
                 AS productCount
              FROM robne_grupe
              $dioWhere   
              ORDER BY kodGrupe";

    try {
        $statement = $db->prepare($query);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function get_category($kodGrupe) {
    global $db;
    $query = '
        SELECT *
        FROM robne_grupe
        WHERE kodGrupe = :kodGrupe';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodGrupe', $kodGrupe);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function add_category($kodGrupe,$nazivGrupe,$VidljivaZaTrgovineP678,$prikazRobeSaCijenama,$kojaStanja,$prikazKoloneStanja) {
    global $db;
	$email_user = $_SESSION['admin']['email'];
    $query = 'INSERT INTO robne_grupe
                 (kodGrupe, nazivGrupe,VidljivaZaTrgovineP678,prikazRobeSaCijenama,kojaStanja,prikazKoloneStanja,datumOtvaranja, tkoJeIzmjenio)
              VALUES
                 (:kodGrupe, :nazivGrupe, :VidljivaZaTrgovineP678, :prikazRobeSaCijenama, :kojaStanja, :prikazKoloneStanja, NOW(), :email_user )';
    try {
        $statement = $db->prepare($query);
	$statement->bindValue(':kodGrupe', $kodGrupe);
        $statement->bindValue(':nazivGrupe', $nazivGrupe);
        $statement->bindValue(':VidljivaZaTrgovineP678', $VidljivaZaTrgovineP678);
        $statement->bindValue(':prikazRobeSaCijenama', $prikazRobeSaCijenama);
        $statement->bindValue(':kojaStanja', $kojaStanja);
        $statement->bindValue(':prikazKoloneStanja', $prikazKoloneStanja);
	$statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();

        // Get the last product ID that was automatically generated
       // $kodGrupe = $db->lastInsertId();
        return $kodGrupe;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function update_category($kodGrupe, $nazivGrupe,$VidljivaZaTrgovineP678,$prikazRobeSaCijenama,$kojaStanja,$prikazKoloneStanja) {
    global $db;
	$email_user = $_SESSION['admin']['email'];
    $query = '
        UPDATE robne_grupe
        SET nazivGrupe = :nazivGrupe,
        VidljivaZaTrgovineP678 = :VidljivaZaTrgovineP678,
        prikazRobeSaCijenama = :prikazRobeSaCijenama,
        kojaStanja = :kojaStanja,
        prikazKoloneStanja = :prikazKoloneStanja,
		datumIzmjene = NOW(),
		tkoJeIzmjenio = :email_user
        WHERE kodGrupe = :kodGrupe';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':nazivGrupe', $nazivGrupe);
        $statement->bindValue(':kodGrupe', $kodGrupe);
        $statement->bindValue(':VidljivaZaTrgovineP678', $VidljivaZaTrgovineP678);
        $statement->bindValue(':prikazRobeSaCijenama', $prikazRobeSaCijenama);
        $statement->bindValue(':kojaStanja', $kojaStanja);
        $statement->bindValue(':prikazKoloneStanja', $prikazKoloneStanja);
	$statement->bindValue(':email_user', $email_user); 
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function delete_category($kodGrupe) {
    global $db;
    $query = 'DELETE FROM robne_grupe WHERE kodGrupe = :kodGrupe';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodGrupe', $kodGrupe);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function velika_mala_slova_grupe() {
    global $db;
    $query = 'SELECT * FROM robne_grupe';
    try {
        $statement = $db->prepare($query);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
     //   return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    } 	
    foreach ( $result as $grupa) {
        $nazivGrupe =  $grupa['nazivGrupe'];   
        $kodGrupe =    $grupa['kodGrupe']; 		
	//	$nazivGrupe = strtolower($nazivGrupe);
        $nazivGrupe = ucfirst($nazivGrupe);
          $i = strpos($nazivGrupe, '$');  
          if ( $i !== FALSE	)  {
		    $nazivGrupe = substr($nazivGrupe, 0, $i); 
          } 
		$nazivGrupe = str_replace('-�alec', '-�alec', $nazivGrupe);
		$nazivGrupe = str_replace('Ino bre�ice', 'Ino Bre�ice', $nazivGrupe);  
		$nazivGrupe = str_replace('yto-x', 'YTO-X', $nazivGrupe);  
		$nazivGrupe = str_replace('yto-sg', 'YTO-SG', $nazivGrupe);  
        $nazivGrupe = str_replace('yto', 'YTO', $nazivGrupe);
        $nazivGrupe = str_replace('europard', 'EUROPARD', $nazivGrupe); 
		$nazivGrupe = str_replace('imt', 'IMT', $nazivGrupe);
		$nazivGrupe = str_replace('mio osijek', 'MIO Osijek', $nazivGrupe);
        $nazivGrupe = str_replace('in italija', 'in Italija', $nazivGrupe); 
		$nazivGrupe = str_replace('benasi', 'Benasi', $nazivGrupe);
		$nazivGrupe = str_replace('batuje', 'Batuje', $nazivGrupe);
		$nazivGrupe = str_replace('tehnostroj', 'Tehnostroj', $nazivGrupe);
		$nazivGrupe = str_replace('prekopa', 'Prekopa', $nazivGrupe);
		$nazivGrupe = str_replace('mtz', 'MTZ', $nazivGrupe);
		$nazivGrupe = str_replace('vladimirec', 'Vladimirec', $nazivGrupe);
		$nazivGrupe = str_replace(' tv', ' TV', $nazivGrupe);

		$query = '
        UPDATE robne_grupe
        SET nazivGrupe = :nazivGrupe
        WHERE kodGrupe = :kodGrupe';
       try {
           $statement = $db->prepare($query);
           $statement->bindValue(':nazivGrupe', $nazivGrupe);
           $statement->bindValue(':kodGrupe', $kodGrupe);
		   $statement->execute();
           $statement->closeCursor();
        } catch (PDOException $e) {
           $error_message = $e->getMessage();
           display_db_error($error_message);
        }
    }
}
function podgrupe($kodGrupe) {
    global $db;
    $grupa_pretrage = $kodGrupe . '%';
    $dioWhere=get_grupe_po_partneru();
    if(trim($dioWhere)!='')
        $dioWhere=" AND ($dioWhere)";
    $query = " 
        SELECT *
        FROM robne_grupe
        WHERE kodGrupe LIKE :grupa_pretrage
        $dioWhere
        ORDER BY kodGrupe";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':grupa_pretrage', $grupa_pretrage);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
//ako je vise od jednog sloga   ima podgrupa	
}

function get_grupe_po_partneru() {
    $dioWhere='';
    if($_SESSION['admin']['prioritet']==9 && trim($_SESSION['admin']['kodPartnera'])!='' ) {
        include_once 'model/rabati_db.php';
        $grupe=get_grupe_rabata($_SESSION['admin']['kodPartnera']);
        if($grupe!='') {
            $gr=explode(',', $grupe);
            foreach ($gr as $grupa) {
                if($dioWhere!='')
                   $dioWhere.='OR ';
                $dioWhere.="LOCATE(kodGrupe, '$grupa')=1  ";
            }
        }
    }
    return $dioWhere;
}

function get_grupe_za_sidebar() {
    global $db;
    $dioWhere=get_grupe_po_partneru();
    if(trim($dioWhere)!='') {
        $dioWhere=" WHERE ".str_replace('kodGrupe', 'g.kodGrupe', $dioWhere);
    }       
    $query = " 
        select g.kodGrupe, g.nazivGrupe, count(pg.kodGrupe) as brojGrana, ifnull(max(rg.kodGrupe),'') as korijen,
        if(g.vidljivaZaTrgovineP678='Ne',g.vidljivaZaTrgovineP678, max(ifnull(rg.vidljivaZaTrgovineP678,''))) as vidljivaZaTrgovineP678
        from robne_grupe as g
        left outer join robne_grupe as pg on pg.kodGrupe like  concat(trim(g.kodGrupe), '%') and pg.kodGrupe<>g.kodGrupe
        left outer join robne_grupe as rg on g.kodGrupe like  concat(trim(rg.kodGrupe), '%') and rg.kodGrupe<>g.kodGrupe
        $dioWhere
        group by kodGrupe
        ";
    try {
        $statement = $db->prepare($query);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
	
}

function get_grupe_bez_nadgrupa() {
    global $db;
    $query = "
    select g.*
    from robne_grupe as g
    left outer join robne_grupe as pg on pg.kodGrupe like  concat(trim(g.kodGrupe), '%') and pg.kodGrupe<>g.kodGrupe
    group by g.kodGrupe
    having  count(pg.kodGrupe)=0
    ";
    try {
        $statement = $db->prepare($query);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}?>