
<?php
function invZalihe($proda, $vrstaProdaje, $kodGrupe, $kakoSort, $invDonos, $datumInventure) {  
    global $db;
    ini_set('max_execution_time', 300);
    $query = "
    select s.kodRobe, vrstaProdaje, nazivRobe, jedinicaMjere, m.kodGrupe, s.cijena,
    stanje as stanjeRobe,
    round(s.cijena*(1+PDV/100),2) as cijenaSpdv, PDV,
     if(:kakoSort='po_cijeni',s.cijena,0) as sort_cijena
    from pomocna_stanja as s
    left outer join maticna_robe as m on s.kodRobe= m.kodRobe 
    left outer join porezi as p on m.poreznaGrupa= p.poreznaGrupa
    left outer join robne_grupe as r on m.kodGrupe=r.kodGrupe
 where
 proda=:proda
 and stanje <> 0       
 and (:kodGrupe=''  or m.kodGrupe=:kodGrupe) and robaUsluga = 'R'
 and (:vrstaProdaje='' or vrstaProdaje=:vrstaProdaje)
 order by m.kodGrupe, sort_cijena DESC, CASE :kakoSort
                                          when 'po_nazivu' then nazivRobe                        
                                          when 'po_kodu_robe' then s.kodRobe
                                          -- when 'po_cijeni' then s.cijena
                                         END";       
        $statement = $db->prepare($query);
        $statement->bindValue(':proda', $proda);
        $statement->bindValue(':vrstaProdaje', $vrstaProdaje);
        $statement->bindValue(':kodGrupe', $kodGrupe); 
        $statement->bindValue(':kakoSort', $kakoSort);          
  $statement->execute();
  $result = $statement->fetchAll();
  $statement->closeCursor();
  
  if ($invDonos) {
//ubacivanje iz pomocna_stanja u inv_stanja 
      $insert = "
    INSERT INTO inv_stanja 
    SELECT *
    FROM pomocna_stanja   
    ";
     try {      
     $statement = $db->prepare($insert);
     $statement->bindValue(':proda', $proda);
     $statement->execute();
     $rowCount = $statement->rowCount();
     $statement->closeCursor(); 
     echo 'Dodano iz pomocna_stanja u inv_stanja' . $rowCount;
     } catch (PDOException $e) {
       $error_message = 'DUPLO! već postoji! ' . $e->getMessage();
       display_db_error($error_message); 
    }     
 
//update brojInvStavke, kolicinaInventure i datumInventure       
      $email_user = $_SESSION['admin']['email'];
      $brs=0;
      foreach ($result as $is) {
       $brs +=1;          
       $kodRobe=$is['kodRobe'];
       $vrstaProdaje=$is['vrstaProdaje'];
       $cijena=$is['cijena'];       
       $kolicinaInventure=$is['stanjeRobe'];
       $brojInvStavke=$brs;          
       
       $query = "
         UPDATE inv_stanja
         SET brojInvStavke = :brojInvStavke, kolicinaInventure = :kolicinaInventure, datumInventure = :datumInventure,
             tkoJeIzmjenio = :email_user
         where proda=:proda and kodRobe=:kodRobe and vrstaProdaje=:vrstaProdaje
               and cijena=:cijena";
        $statement = $db->prepare($query);
        $statement->bindValue(':proda', $proda);
        $statement->bindValue(':kodRobe', $kodRobe); 
        $statement->bindValue(':vrstaProdaje', $vrstaProdaje);
        $statement->bindValue(':cijena', $cijena);
        $statement->bindValue(':datumInventure', $datumInventure);
        $statement->bindValue(':kolicinaInventure', $kolicinaInventure);
        $statement->bindValue(':brojInvStavke', $brojInvStavke);
        $statement->bindValue(':email_user', $email_user);    
        $statement->execute();
        $ps = $statement->fetch();
        $statement->closeCursor();
        $vrsDoPu=$ps['vrsDoPu']; $proInPu=$ps['proInPu']; $zapisPu=$ps['zapisPu']; $broDoPu=$ps['broDoPu'];  $verziPu=$ps['verziPu'];
        $datumPu=$ps['datumPu']; $rabatPu=$ps['rabatPu']; $absRabatPu=$ps['absRabatPu']; $marzaPu=$ps['marzaPu']; $absMarzaPu=$ps['absMarzaPu'];
        $zavisniTroskoviPu=$ps['zavisniTroskoviPu']; $absZavisniTroskoviPu=$ps['absZavisniTroskoviPu']; $nabavnaCijenaPu=$ps['nabavnaCijenaPu'];
        $kodPartneraPu=$ps['kodPartneraPu']; $vrsDoPi=$ps['vrsDoPi']; $proInPi=$ps['proInPi']; $zapisPi=$ps['zapisPi']; $broDoPi=$ps['broDoPi'];
        $verziPi=$ps['verziPi']; $datumPi=$ps['datumPi']; $rabatPopustPi=$ps['rabatPopustPi']; $absRabatPopustPi=$ps['absRabatPopustPi'];
        
         $query = 'INSERT INTO inv_stanja (proda,kodRobe,vrstaProdaje,cijena,stanje,vrsDoPu,proInPu,zapisPu,broDoPu,verziPu,
    datumPu,rabatPu,absRabatPu,marzaPu,absMarzaPu,zavisniTroskoviPu,absZavisniTroskoviPu,nabavnaCijenaPu,
    kodPartneraPu,vrsDoPi,proInPi,zapisPi,broDoPi,verziPi,datumPi,rabatPopustPi,
    absRabatPopustPi,datumInventure,kolicinaInventure,brojInvStavke,datumOtvaranja,tkoJeIzmjenio)
            VALUES (:proda,:kodRobe,:vrstaProdaje,:cijena,:stanje,:vrsDoPu,:proInPu,:zapisPu,:broDoPu,:verziPu,
    :datumPu,:rabatPu,:absRabatPu,:marzaPu,:absMarzaPu,:zavisniTroskoviPu,:absZavisniTroskoviPu,:nabavnaCijenaPu,
    :kodPartneraPu,:vrsDoPi,:proInPi,:zapisPi,:broDoPi,:verziPi,:datumPi,:rabatPopustPi,
    :absRabatPopustPi,:datumInventure,:kolicinaInventure,:brojInvStavke,NOW(),:email_user)';
     try {      
     $statement = $db->prepare($query);
	$statement->bindValue(':proda', $proda);
	$statement->bindValue(':kodRobe', $kodRobe);
	$statement->bindValue(':vrstaProdaje', $vrstaProdaje);
	$statement->bindValue(':cijena', $cijena);
	$statement->bindValue(':stanje', $stanje);
	$statement->bindValue(':vrsDoPu', $vrsDoPu);
	$statement->bindValue(':proInPu', $proInPu);
	$statement->bindValue(':zapisPu', $zapisPu);
	$statement->bindValue(':broDoPu', $broDoPu);
	$statement->bindValue(':verziPu', $verziPu);
	$statement->bindValue(':datumPu', $datumPu);
	$statement->bindValue(':rabatPu', $rabatPu);
	$statement->bindValue(':absRabatPu', $absRabatPu);
	$statement->bindValue(':marzaPu', $marzaPu);
	$statement->bindValue(':absMarzaPu', $absMarzaPu);
	$statement->bindValue(':zavisniTroskoviPu', $zavisniTroskoviPu);
	$statement->bindValue(':absZavisniTroskoviPu', $absZavisniTroskoviPu);
	$statement->bindValue(':nabavnaCijenaPu', $nabavnaCijenaPu);
	$statement->bindValue(':kodPartneraPu', $kodPartneraPu);
	$statement->bindValue(':vrsDoPi', $vrsDoPi);
	$statement->bindValue(':proInPi', $proInPi);
	$statement->bindValue(':zapisPi', $zapisPi);
        $statement->bindValue(':broDoPi', $broDoPi);
        $statement->bindValue(':verziPi', $verziPi);
        $statement->bindValue(':datumPi', $datumPi);
        $statement->bindValue(':rabatPopustPi', $rabatPopustPi);
        $statement->bindValue(':absRabatPopustPi', $absRabatPopustPi);
        $statement->bindValue(':datumInventure', $datumInventure);
        $statement->bindValue(':kolicinaInventure', $kolicinaInventure);
        $statement->bindValue(':brojInvStavke', $brojInvStavke);
        $statement->bindValue(':email_user', $email_user);         
    $statement->execute();
    $rowCount = $statement->rowCount();
    $statement->closeCursor();
    } catch (PDOException $e) {
       $error_message = 'DUPLO!  Isto postoji otprije! ' . $e->getMessage();
       display_db_error($error_message); 
    }        
  }
 } 
  return $result;   
}
function brisiInv($proda, $vrstaProdaje) {
     global $db;
     $query = "DELETE FROM inv_stanja
         WHERE proda = :proda AND (:vrstaProdaje = '' OR vrstaProdaje = :vrstaProdaje)"; 
     $statement = $db->prepare($query);
     $statement->bindValue(':proda', $proda);
     $statement->bindValue(':vrstaProdaje', $vrstaProdaje);
     $statement->execute();
     $rowCount = $statement->rowCount();
     $statement->closeCursor();
     return $rowCount;
} 

function rekonstrukcija_stanja_inv($proda, $DVOdo) {
      global $db; 
      //kreiranje temporari fajla
$maketemp = "
    CREATE TEMPORARY TABLE pomocna_stanja (
  proda             VARCHAR(5)       NOT NULL,
  kodRobe           VARCHAR(16)      NOT NULL,    
  vrstaProdaje      CHAR(1)       NOT NULL,
  cijena            DECIMAL(11,3)  NOT NULL, 
  stanje            DECIMAL(11,3)  NOT NULL,
   vrsDoPu     VARCHAR(2) DEFAULT NULL,
   proInPu     VARCHAR(5) DEFAULT NULL,
   zapisPu     VARCHAR(2) DEFAULT NULL,
   broDoPu     INT        DEFAULT NULL,
   verziPu     VARCHAR(3) DEFAULT NULL,
   datumPu     DATETIME   DEFAULT NULL, 
   rabatPu     DECIMAL(11,3) DEFAULT NULL,
   absRabatPu  CHAR(1)    DEFAULT NULL,
   marzaPu     DECIMAL(11,3) DEFAULT NULL,
   absMarzaPu  CHAR(1) DEFAULT NULL,
   zavisniTroskoviPu    DECIMAL(11,3) DEFAULT NULL,
   absZavisniTroskoviPu CHAR(1) DEFAULT NULL,
   nabavnaCijenaPu      DECIMAL(11,3) DEFAULT NULL,
   kodPartneraPu        VARCHAR(13) DEFAULT NULL,
   vrsDoPi           VARCHAR(2) DEFAULT NULL,
   proInPi           VARCHAR(5) DEFAULT NULL,
   zapisPi           VARCHAR(2) DEFAULT NULL,
   broDoPi           INT DEFAULT NULL,
   verziPi           VARCHAR(3) DEFAULT NULL,
   datumPi           DATETIME DEFAULT NULL,
   rabatPopustPi     DECIMAL(11,3) DEFAULT NULL, 
   absRabatPopustPi  CHAR(1) DEFAULT NULL,
  datumInventure    DATETIME DEFAULT 0,
  kolicinaInventure DECIMAL(11,3)  DEFAULT 0,   
  brojInvStavke     INT DEFAULT 0,
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT 0,  
  tkoJeIzmjenio     VARCHAR(40) DEFAULT ' ',   
  PRIMARY KEY (proda, kodRobe, vrstaProdaje, cijena), 
  INDEX poRobi (kodRobe, proda, vrstaProdaje) 
  )
  "; 

try {      
     $statement = $db->prepare($maketemp);     
     $statement->execute();
     $rowCount = $statement->rowCount();
     $statement->closeCursor(); 
     } catch (PDOException $e) {
       $error_message = $e->getMessage();
       display_db_error($error_message); 
    }    
$inserttemp = "
    INSERT INTO pomocna_stanja 
    SELECT *
    FROM stanja WHERE proda = :proda   
  ";
try {      
     $statement = $db->prepare($inserttemp);
     $statement->bindValue(':proda', $proda);
     $statement->execute();
     $rowCount = $statement->rowCount();
     $statement->closeCursor(); 
     echo 'Dodano iz stanja u pomocna_stanja' . $rowCount;
     } catch (PDOException $e) {
       $error_message = $e->getMessage();
       display_db_error($error_message); 
    }     

/*
upisuje onu robu iz prometne koje nema u stanjima
*/     
 
      $query = "
         insert into pomocna_stanja
 (proda, pomocna_stanja.kodRobe, vrstaProdaje, pomocna_stanja.cijena, stanje, datumOtvaranja, tkoJeIzmjenio )
select proda, s.kodrobe, vrstaProdaje, s.cijena , 0 as stanje, now(), 'rekonstrukcija1'
from dok_stavke as s
left outer join vrste_dokumenata as v on v.vrsDo=s.vrsDo
inner join poslovnice as p on p.kodPoslovnice=s.proda
-- left outer join maticna_robe as m on m.kodrobe=s.kodRobe
where (v.tipDokumenta ='R' and s.DVO >=p.datumInventure and s.DVO <= :DVOdo and s.proda = :proda)
-- and m.robaUsluga='R'
and s.kodrobe not in
    (
        select st.kodRobe
        from stanja as st
        where st.proda=s.proda and st.kodRobe=s.kodRobe and st.vrstaProdaje=s.vrstaProdaje and st.cijena=s.cijena
    )
group by proda, s.kodrobe, vrstaProdaje, s.cijena
     ";
try {      
     $statement = $db->prepare($query);
     $statement->bindValue(':proda', $proda);
     $statement->bindValue(':DVOdo', $DVOdo);
     $statement->execute();
     $rowCount = $statement->rowCount();
     $statement->closeCursor();
     echo 'Iz prometnih stavaka u stanja upisano ' . $rowCount . ' stavki kojih nije bilo u stanja.';
     } catch (PDOException $e) {
       $error_message = $e->getMessage();
       display_db_error($error_message); 
    }        
    
// postavlja sva pomocna_stanja na 0
  $query = "    
       update pomocna_stanja
       set stanje=0
       where proda=:proda";
  try {      
     $statement = $db->prepare($query);
     $statement->bindValue(':proda', $proda);    
     $statement->execute();
     $rowCount = $statement->rowCount();
     $statement->closeCursor();
     echo 'U stanja postavljeno na nulu ' . $rowCount . ' stavki.';
     } catch (PDOException $e) {
       $error_message = $e->getMessage();
       display_db_error($error_message); 
    }    

//azuriranje stanja iz stavki dokumenata  
$query = "
 update pomocna_stanja as st 
left outer join
(
select 
    s.proda, 
    s.kodRobe, 
    s.vrstaProdaje, 
    s.cijena, 
    ifnull(sum(ifnull(s.kolicina * v.azurStanja,0)),0) as stanje
from dok_stavke as s
left outer join vrste_dokumenata as v on v.vrsDo=s.vrsDo
inner join poslovnice as p on s.proda=p.kodPoslovnice  
where v.tipDokumenta ='R'
      and s.proda = :proda
      and s.DVO >= p.datumInventure and s.DVO <= :DVOdo
group by s.proda, s.kodrobe, s.vrstaProdaje, s.cijena
)
as s2 
on s2.proda=st.proda and s2.kodRobe=st.kodRobe and s2.vrstaProdaje=st.vrstaProdaje and s2.cijena=st.cijena
set st.stanje= ifnull(s2.stanje,0) + ifnull(kolicinaInventure,0),
    st.datumIzmjene=now(),
    st.tkoJeIzmjenio='rekonstrukcija'   
    where st.proda = :proda
 ";
try {      
     $statement = $db->prepare($query);
     $statement->bindValue(':proda', $proda);
     $statement->bindValue(':DVOdo', $DVOdo);
     $statement->execute();
     $rowCount = $statement->rowCount();
     $statement->closeCursor();
     echo 'U stanjima ažurirano ' . $rowCount . ' stavki.';
     } catch (PDOException $e) {
       $error_message = $e->getMessage();
       display_db_error($error_message); 
    }        

}


function ubaci_invStanje_u_viski_manjki($proda) {
   global $db; 
   $query = "
        UPDATE viski_manjki as v
        INNER JOIN inv_stanja as s
        ON v.proda = s.proda and v.kodRobe = s.kodRobe and v.vrstaProdaje = s.vrstaProdaje and v.cijena = s.cijena
        SET v.invStanje = s.stanje,
            v.brojInvStavke = s.brojInvStavke
        WHERE v.proda = s.proda and v.kodRobe = s.kodRobe and v.vrstaProdaje = s.vrstaProdaje and v.cijena = s.cijena
   ";    
    try {      
     $statement = $db->prepare($query);
     $statement->execute();
     $rowCount = $statement->rowCount();
     echo 'Ažurirano u viski_manjki iz inv_stanja' . $rowCount;
     $statement->closeCursor(); 
     } catch (PDOException $e) {
       $error_message = $e->getMessage();
       display_db_error($error_message); 
    }  
 
    //ubacju se u inv_stavke iz inv_stanja oni kojih nema u inv_stavke
    //radi se kopija viski_manjki je insert neda (cant reopen ) temporari table(2 puta u queriju neće)
    $maketemp = "
    CREATE TEMPORARY TABLE viski_manjki_ (
  proda             VARCHAR(5)       NOT NULL,   
  kodRobe           VARCHAR(16)      NOT NULL,    
  vrstaProdaje      CHAR(1)       NOT NULL,
  cijena            DECIMAL(11,3)  NOT NULL, 
  knjStanje         DECIMAL(11,3)  NOT NULL,
  invStanje         DECIMAL(11,3)  NOT NULL,
  brojInvStavke     INT DEFAULT 0,
   PRIMARY KEY (proda, kodRobe, vrstaProdaje, cijena)
)";
try {      
     $statement = $db->prepare($maketemp);     
     $statement->execute();
     $rowCount = $statement->rowCount();
     $statement->closeCursor(); 
     } catch (PDOException $e) {
       $error_message = $e->getMessage();
       display_db_error($error_message); 
    }    
$inserttemp = "
    INSERT INTO viski_manjki_ 
    SELECT *
    FROM viski_manjki   
  ";
    try {      
     $statement = $db->prepare($inserttemp);
     $statement->execute();
     $rowCount = $statement->rowCount();
     $statement->closeCursor(); 
     echo 'Dodano u viski_manjki_' . $rowCount;
     } catch (PDOException $e) {
       $error_message = $e->getMessage();
       display_db_error($error_message); 
    }    
   
 
//umetanje stavki iz inv_stanja u viski_manjki, kojih nema u viski_manjki    
    $query = "
        insert into viski_manjki 
 (proda, kodRobe, vrstaProdaje, cijena, knjStanje, invStanje, brojInvStavke)
 (
  select s.proda, s.kodRobe, s.vrstaProdaje, s.cijena , 0 as knjStanje, s.stanje, s.brojInvStavke
        from inv_stanja s
  left join viski_manjki_ v 
        on v.proda = s.proda and v.kodRobe = s.kodRobe and v.vrstaProdaje = s.vrstaProdaje and v.cijena = s.cijena
        WHERE v.proda is NULL
 )
   ";    
    try {      
     $statement = $db->prepare($query);
     $statement->execute();
     $rowCount = $statement->rowCount();
     echo 'Dodano  u viski_manjki iz inv_stanja' . $rowCount;
     $statement->closeCursor(); 
     } catch (PDOException $e) {
       $error_message = $e->getMessage();
       display_db_error($error_message); 
    } 
    $brisiPomocna = "
    delete 
       from viski_manjki_
    ";    
     try {      
     $statement = $db->prepare($brisiPomocna); 
     $statement->execute();
     $rowCount = $statement->rowCount();
     $statement->closeCursor(); 
     echo 'Obrisano u viski_manjki_' . $rowCount;
     } catch (PDOException $e) {
       $error_message = $e->getMessage();
       display_db_error($error_message); 
    }     
    
}
?>
    