<?php
function slobodni_broj_partner() {
//izabire se prvi slobodni broj to može biti broj iza zadnje 
//šifre ili rupa među šiframa partnera
//izuzimaju se da šifre ne počinju sa prva dvije znamenke
//šifri poslovnica npr PanexAgm sa 23   
//ili kod novijih firmi npr. šifre poslovnica su rezervirane 
//od 0 do 100 pa je npr. početni broj za partnere u poslovnicana na firmi 
//šifra poslovnice = 0) = 101
//prvo se utvrđuje da li postoji pravilnost u poslovnicama na 2 znameneke
//(sve poslovnice npr. počinju sa 23 i onda se 23 izuzima)
// ---------------------------------    
    $poslovnice = get_poslovnice();
// ---------------------------------    
//da li postoji npr. pravilo 23
    $brojac = 1;
    $trenutniBroj = 0;
    
    foreach ($poslovnice as $poslovnica)  {
        if ($poslovnica['kodPoslovnice'] == '0') {
           $trenutniBroj = $poslovnica['pocetniKodPartnera'];
           continue;
        }     
//        echo  $poslovnica['kodPoslovnice']; 
        $prveDvijeZnamenke = substr($poslovnica['kodPoslovnice'],0,2);
        if ($brojac == 1) {
           $prveDvijeZnamenke_1 =  $prveDvijeZnamenke;
           $brojac++;
           continue;
        }   
        if ($brojac == 2 && $prveDvijeZnamenke_1 ==  $prveDvijeZnamenke ){
            $dvijeZnamenke = $prveDvijeZnamenke; 
            break;   //ima pravila dosta provjera na dvije prodavaone
        }    
    $brojac++;
    }  
    
  while (true)  {
    $trenutniBroj++;
    if (isset($dvijeZnamenke)) {
       $tb2 = substr($trenutniBroj,0,2);
       if ($tb2 == $dvijeZnamenke) continue;
    }
    $trenutniBroj_13 = str_pad($trenutniBroj,13);
 //   ---------------------------------------------
    $partner = get_partner($trenutniBroj_13);
 //  ----------------------------------------------  
    if (empty($partner)) {
       $slobodniBroj = $trenutniBroj_13;
       break;
    }    
  }
return $slobodniBroj;  
}  

function partner_po_rijeci($tabela,$partnerRijec,$mjestoSjedistaPartner='') {
      $partnerRijecKod = $partnerRijec;
      $partnerRijecLike = '%' . $partnerRijec . '%';
      $mjestoSjedistaPartnerLike = '%' . $mjestoSjedistaPartner . '%';
    //tabela moze biti i partneri
 //   echo 'tabela=' . $tabela . 'partneRije='.$partnerRijec.'mjestoSjedistaPartner='.$mjestoSjedistaPartner;
     global $db;
    if (!empty($partnerRijec) && empty($mjestoSjedistaPartner)) {
       	$query = '
        SELECT *
        FROM partner 
	WHERE ( nazivPartnera LIKE :partnerRijecLike || kodPartnera = :partnerRijecKod )
	ORDER BY nazivPartnera';   
    }   
    if (empty($partnerRijec) && !empty($mjestoSjedistaPartner)) {
	$query = '
        SELECT *
        FROM partner 
	WHERE (mjestoSjedista LIKE :mjestoSjedistaPartnerLike)
        ORDER BY nazivPartnera';   
    }  
 //ovaj or gore je dodan jer je bacao grešku bind broj parametara
 // ne odgovara toke broju ?
    
    if (!empty($partnerRijec) && !empty($mjestoSjedistaPartner)) {
	$query = '
        SELECT *
        FROM partner 
	WHERE ( (nazivPartnera LIKE :partnerRijecLike || kodPartnera = :partnerRijecKod)
        && (mjestoSjedista LIKE :mjestoSjedistaPartnerLike) )
	ORDER BY mjestoSjedista, nazivPartnera';   
    }       
  
    try {
        $statement = $db->prepare($query);
        if (!empty($partnerRijec) && empty($mjestoSjedistaPartner)) {
	  $statement->bindValue(':partnerRijecLike', $partnerRijecLike);
          $statement->bindValue(':partnerRijecKod', $partnerRijecKod);
         }
         
        if (empty($partnerRijec) && !empty($mjestoSjedistaPartner))  
        $statement->bindValue(':mjestoSjedistaPartnerLike', $mjestoSjedistaPartnerLike);
        
        if (!empty($partnerRijec) && !empty($mjestoSjedistaPartner)) {
           $statement->bindValue(':partnerRijecLike', $partnerRijecLike);
           $statement->bindValue(':partnerRijecKod', $partnerRijecKod); 
           $statement->bindValue(':mjestoSjedistaPartnerLike', $mjestoSjedistaPartnerLike); 
        }
        
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function partnerPoRijeci($tabela,$partnerRijec,$mjestoSjedistaPartner='', $samoKontrola=false) {
        $partnerRijecLike = '%' . $partnerRijec . '%';
        $mjestoSjedistaPartnerLike = '%' . $mjestoSjedistaPartner . '%';
        global $db;
        /*
 	$query = "
        SELECT *
        FROM partner 
	WHERE ( 
         (nazivPartnera LIKE :partnerRijecLike or kodPartnera = :partnerRijec or trim(:partnerRijec)='')
        and (mjestoSjedista LIKE :mjestoSjedistaPartnerLike or trim(:mjestoSjedistaPartner)='')
        )
 	ORDER BY nazivPartnera";   
        */
        
 	$query = "
        SELECT *
        FROM partner 
        WHERE  (nazivPartnera LIKE :partnerRijecLike or kodPartnera = :partnerRijec or trim(:partnerRijec)='')
        and (mjestoSjedista LIKE :mjestoSjedistaPartnerLike or trim(:mjestoSjedistaPartner)='')

        ORDER BY 
        CASE 
            WHEN :sortPartnera='1' THEN kodPartnera
            WHEN :sortPartnera='2' THEN nazivPartnera
            WHEN :sortPartnera='3' THEN mjestoSjedista 
        END,
        IF(:sortPartnera='3',nazivPartnera, '')
        ";
        if($samoKontrola)
            $query.=' LIMIT 0,2';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':partnerRijec', $partnerRijec);
        $statement->bindValue(':partnerRijecLike', $partnerRijecLike);
        $statement->bindValue(':mjestoSjedistaPartner', $mjestoSjedistaPartner); 
        $statement->bindValue(':mjestoSjedistaPartnerLike', $mjestoSjedistaPartnerLike); 
        $statement->bindValue(':sortPartnera', isset($_POST['sortPartnera'])?$_POST['sortPartnera']:'2'); 
        
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}



function is_valid_partner_email_($email) {
    // ovo se za sada ne koristi
    global $db;
    $query = '
        SELECT kodPartnera FROM partner
        WHERE email = :email';
    $statement = $db->prepare($query); 
    $statement->bindValue(':email', $email);
    $statement->execute();
    $valid = ($statement->rowCount() == 1);
    //primjer korištenja valid
    $statement->closeCursor();
    return $valid;
}

function get_partner($kodPartnera) {
    global $db;  
    if (empty($db)) {
    /* funkcija pozvana iz administracije korisničkih računa
     * pa još nije odabrana korisnička baza db već samo dbMG 
     * pa se inicijalno odabere iz bazeZaKorisnika baza za tekuću godinu 
     * murskiga_robno_din:*,murskiga_robno_cha:* 
     * murskiga_robno_din:*
     * murskiga_robno_din 
    */   
      $pos=strpos($_SESSION['admin']['bazeZaKorisnika'],':');  
      if ($pos===false) {
          $odabranaBaza=$_SESSION['admin']['bazeZaKorisnika'];
      } else {
          $odabranaBaza=substr($_SESSION['admin']['bazeZaKorisnika'],0,$pos);  
      } 
      if ($odabranaBaza===false || trim($odabranaBaza)=='') {
          echo 'PREKID! Neispravan odabir korisničke baze u get_partner';
          exit;
      }
      $http_host = $_SERVER['HTTP_HOST'];      
      if ($http_host === 'www.panex-agm.com' || $http_host === 'panex-agm.com' ) {
          $username = 'panex_mguser';
      } else {    
          $username = 'murskiga_mguser';
      }
      $password = 'a83bmi';
      $options = array(PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION);    
      $dbname = $odabranaBaza;   
      $dsn = "mysql:host=localhost;dbname=$dbname";
      try {
        $db = new PDO($dsn, $username, $password, $options);       
      } catch (PDOException $e) {
          $error_message = $e->getMessage();
          include('errors/db_error_connect.php');
          exit();
      }      
    }           
        
    $query = 'SELECT * FROM partner WHERE kodPartnera = :kodPartnera';
    $statement = $db->prepare($query);
    $statement->bindValue(':kodPartnera', $kodPartnera);
    $statement->execute();
    $partner = $statement->fetch();
    $statement->closeCursor();
    return $partner;
}
function get_partner_obicni($kodPartnera) {
      global $db;  
      $query = 'SELECT * FROM partner WHERE kodPartnera = :kodPartnera';
    $statement = $db->prepare($query);
    $statement->bindValue(':kodPartnera', $kodPartnera);
    $statement->execute();
    $partner = $statement->fetch();
    $statement->closeCursor();
    return $partner;    
}
function gdje_se_partner_koristi($kodPartnera) {
    global $db;
    $query = 'SELECT COUNT(*) FROM  dok_zag WHERE kodPartnera=:kodPartnera';
    $statement = $db->prepare($query);
    $statement->bindValue(':kodPartnera', $kodPartnera);
    $statement->execute();
    $slog = $statement->fetch();
    $statement->closeCursor();
    if($slog[0]>0)
        return 'Partner se koristi u dokumentima!';
    
    $query = 'SELECT COUNT(*) FROM gk_stavke WHERE kodPartnera=:kodPartnera';
    $statement = $db->prepare($query);
    $statement->bindValue(':kodPartnera', $kodPartnera);
    $statement->execute();
    $slog = $statement->fetch();
    $statement->closeCursor();
    if($slog[0]>0)
        return 'Partner se koristi u financijskom knjigovodstvu!';
    
    $query = 'SELECT COUNT(*) FROM  kons_stanja WHERE kodPartnera=:kodPartnera';
    $statement = $db->prepare($query);
    $statement->bindValue(':kodPartnera', $kodPartnera);
    $statement->execute();
    $slog = $statement->fetch();
    $statement->closeCursor();
    if($slog[0]>0)
        return 'Partner se koristi u konsignacijama!';
    
    $query = 'SELECT COUNT(*) FROM  posebni_cjenik WHERE kodPartnera=:kodPartnera';
    $statement = $db->prepare($query);
    $statement->bindValue(':kodPartnera', $kodPartnera);
    $statement->execute();
    $slog = $statement->fetch();
    $statement->closeCursor();
    if($slog[0]>0)
        return 'Partner se koristi u posebnim cjenicima!';
    
    return '';
}
function get_partner_by_OIB($OIB) {
    global $db;
    $query = 'SELECT * FROM partner WHERE OIB = :OIB';
    $statement = $db->prepare($query);
    $statement->bindValue(':OIB', $OIB);
    $statement->execute();
    $partner = $statement->fetch();
    $statement->closeCursor();
    return $partner;
}
function get_partner_by_brojBankRacuna($brojBankRacuna) {
    global $db;
    $query = 'SELECT * FROM partner WHERE trim(brojBankRacuna) = trim(:brojBankRacuna) LIMIT 1';           
    $statement = $db->prepare($query);
    $statement->bindValue(':brojBankRacuna', $brojBankRacuna);
    $statement->execute();
    $partner = $statement->fetch();
    $statement->closeCursor();
    return $partner;
}

function add_partner($kodPartnera,$nazivPartnera,$mjestoSjedista,$ulicaBroj,
    $posPretinac,$mjestoPoste,$brojPoste,$zemlja,$OIB,$telefoni,$fax,$brojBankRacuna,
    $email,$www,$r12,$vrstaPartnera,$opis,$oznakaCjenika,
    $opcina,$zupanija,$pokrajina) {
  //  echo 'Iz PARTNER.DB OIB=' . $OIB;
  //  $OIB = intval($OIB);
    global $db;
    $email_user = $_SESSION['admin']['email'];
  
    $query = " 
        INSERT INTO partner
        (
        kodPartnera,nazivPartnera,mjestoSjedista,ulicaBroj,
        posPretinac,mjestoPoste,brojPoste,zemlja,OIB,telefoni,fax,brojBankRacuna,
        opcina,
        zupanija,
        pokrajina,       
        email,www,r12,vrstaPartnera,opis,oznakaCjenika,datumOtvaranja,tkoJeIzmjenio
        )
	VALUES 
        (
        :kodPartnera,:nazivPartnera,:mjestoSjedista,:ulicaBroj,
        :posPretinac,:mjestoPoste,:brojPoste,:zemlja,:OIB,:telefoni,:fax,:brojBankRacuna,
        :opcina,
        :zupanija,
        :pokrajina,
       
        :email,:www,:r12,:vrstaPartnera,:opis,:oznakaCjenika,NOW(),:email_user
        )";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodPartnera', $kodPartnera);
        $statement->bindValue(':nazivPartnera', $nazivPartnera);
        $statement->bindValue(':mjestoSjedista', $mjestoSjedista);
        $statement->bindValue(':ulicaBroj', $ulicaBroj);
        $statement->bindValue(':posPretinac', $posPretinac);
        $statement->bindValue(':mjestoPoste', $mjestoPoste);
        $statement->bindValue(':brojPoste', $brojPoste);
        $statement->bindValue(':zemlja', $zemlja);
        $statement->bindValue(':OIB', $OIB);
        $statement->bindValue(':telefoni', $telefoni);
        $statement->bindValue(':fax', $fax);
        $statement->bindValue(':brojBankRacuna', $brojBankRacuna);
        $statement->bindValue(':email', $email);
        $statement->bindValue(':www', $www);
        $statement->bindValue(':r12', $r12);
        $statement->bindValue(':vrstaPartnera', $vrstaPartnera);
        $statement->bindValue(':opis', $opis);
        $statement->bindValue(':oznakaCjenika', $oznakaCjenika);
         
        $statement->bindValue(':opcina', $opcina);
        $statement->bindValue(':zupanija', $zupanija);
        $statement->bindValue(':pokrajina', $pokrajina);
      
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        // $ID_partnera = $db->lastInsertId();
        $statement->closeCursor();
        if(isset($_POST['grupeRoba'])) {
            include_once 'model/rabati_db.php';
            obrada_rabata_po_partneru ($kodPartnera);
        }    
        return $kodPartnera;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function update_partner($kodPartnera,$nazivPartnera,$mjestoSjedista,$ulicaBroj,
           $posPretinac,$mjestoPoste,$brojPoste,$zemlja,$OIB,$telefoni,$fax,
           $brojBankRacuna,$email,$www,$r12,$vrstaPartnera,$opis,$oznakaCjenika,
           $opcina,$zupanija,$pokrajina) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $query = '
        UPDATE partner
      		SET nazivPartnera = :nazivPartnera,
		    mjestoSjedista = :mjestoSjedista,
		    ulicaBroj = :ulicaBroj,
		    posPretinac = :posPretinac,
		    mjestoPoste = :mjestoPoste,
		    brojPoste = :brojPoste,
		    zemlja = :zemlja,
		    OIB = :OIB,
		    telefoni = :telefoni,
                    fax = :fax,
                    brojBankRacuna = :brojBankRacuna,
		    email = :email,
		    www = :www,
                    r12 = :r12,
                    vrstaPartnera = :vrstaPartnera,
                    opis = :opis,
                    oznakaCjenika = :oznakaCjenika,
                    opcina=:opcina,
                    zupanija=:zupanija,
                    pokrajina=:pokrajina,                    
                    datumIzmjene = NOW(),
                    tkoJeIzmjenio = :email_user
        WHERE kodPartnera = :kodPartnera';
		
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodPartnera', $kodPartnera);
        $statement->bindValue(':nazivPartnera', $nazivPartnera);
        $statement->bindValue(':mjestoSjedista', $mjestoSjedista);
        $statement->bindValue(':ulicaBroj', $ulicaBroj);
        $statement->bindValue(':posPretinac', $posPretinac);
        $statement->bindValue(':mjestoPoste', $mjestoPoste);
        $statement->bindValue(':brojPoste', $brojPoste);
        $statement->bindValue(':zemlja', $zemlja);
        $statement->bindValue(':OIB', $OIB);
        $statement->bindValue(':telefoni', $telefoni);
        $statement->bindValue(':fax', $fax);
        $statement->bindValue(':brojBankRacuna', $brojBankRacuna);
        $statement->bindValue(':email', $email);
        $statement->bindValue(':www', $www);
        $statement->bindValue(':r12', $r12);
        $statement->bindValue(':vrstaPartnera', $vrstaPartnera);
        $statement->bindValue(':opis', $opis);
        $statement->bindValue(':oznakaCjenika', $oznakaCjenika);
         
        $statement->bindValue(':opcina', $opcina);
        $statement->bindValue(':zupanija', $zupanija);
        $statement->bindValue(':pokrajina', $pokrajina);
       
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $valid = ($statement->rowCount() == 1);
        $statement->closeCursor();
        if(isset($_POST['grupeRoba'])) {
            include_once 'model/rabati_db.php';
            obrada_rabata_po_partneru ($kodPartnera);
        }    
        return $valid;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function delete_partner($kodPartnera) {
    global $db;
    $query = 'DELETE FROM partner WHERE kodPartnera = :kodPartnera';
  try {	
    $statement = $db->prepare($query);
    $statement->bindValue(':kodPartnera', $kodPartnera);
    $statement->execute();
    $statement->closeCursor();
    include_once 'model/rabati_db.php';
    delete_rabati($kodPartnera);
  } catch (PDOException $e) {
    $error_message = $e->getMessage();
    display_db_error($error_message);
  }  
}    

function kontrola_oiba($kodPartnera, $OIB) {
    global $db;
    $query = 'SELECT * FROM partner WHERE OIB=:OIB AND kodPartnera <> :kodPartnera';
    $statement = $db->prepare($query);
    $statement->bindValue(':kodPartnera', $kodPartnera);
    $statement->bindValue(':OIB', $OIB);
    $statement->execute();
    $partner = $statement->fetch();
    $statement->closeCursor();
    return $partner;
}
?>