<?php
function get_promet_po_robi($proda, $kodRobneGrupe, $kodRobe, $DVOod, $DVOdo, $dokZaobradu, $vrstaIspisa, $kakoIspisuje,
        $kodPartnera,$vrstaProdaje,$vrstaPoslovnice, $robaUsluga, $poPartneru,$dioNazivaRobe,$zapis,
        $refProd, $ukljucenPDV, $poRefProd, $brojNarudzbe, $poStanjima,$stanjaOperator,$stanje, $poNarudzbi) {
    global $db;
    
    $query = "
select 
if(:kakoIspisuje='skupno', '0', z.proda) as proda,
r.kodGrupe as kodGrupe,
rg.nazivGrupe, 
if(:poPartneru='1', z.kodPartnera, '') as partner,
if(:poNarudzbi='Da' and trim(:kodPartnera)<>'',
    if(trim(ifnull(z.brojNarudzbe,''))='','ZZZZ', z.brojNarudzbe), '') as narudzba,
if(:poPartneru='1', part.nazivPartnera, '') as nazivPartnera,
if(:poRefProd='1', z.refProd, '') as prodavac,
if(:vrstaIspisa<>'2', s.kodRobe, r.kodGrupe) as roba,
if(:vrstaIspisa<>'2', s.vrstaProdaje, '') as vrstaProdaje,
case :vrstaIspisa
    when '0' then  round(sum(s.cijena* abs(s.kolicina))/sum(abs(s.kolicina)),3)
    when '1' then s.cijena
    else 0
end 
* if(:ukljucenPDV='Da',(1+PDV/100),1) as cijena,
if(:vrstaIspisa<>'2', r.nazivRobe, rg.NazivGrupe) as naziv, 

sum(s.kolicina) as kolicina,
sum(round(s.cijena*s.kolicina*if(:ukljucenPDV='Da',(1+PDV/100),1),2)) as iznos,
sum(round(if(`absRabatPopust`<>'A',
    racunajPDV('0',s.cijena,kolicina,0,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'rabat'),
    (kolicina/abs(kolicina))*rabatPopust/if(p.`vrstaPoslovnice`=1,(1+PDV/100),1))*if(:ukljucenPDV='Da',(1+PDV/100),1),2) 
) as popust,
sum(round((s.cijena*s.kolicina - if(`absRabatPopust`<>'A',racunajPDV('0',s.cijena,kolicina,0,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'rabat'),
    (kolicina/abs(kolicina))*rabatPopust/if(p.`vrstaPoslovnice`=1,(1+PDV/100),1)))*z.casasSconto/100 * if(:ukljucenPDV='Da',(1+PDV/100),1), 2)) as casasSconto,
count(s.`brojStavke`) as brojStavaka,
null as stanje
from dok_stavke as s
join dok_zag as z 
  on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
  and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi
join poslovnice as p on p.kodPoslovnice=z.proda
join vrste_dokumenata as vd on vd.vrsDo=z.vrsDo
left outer join partner as part on part.`kodPartnera`=z.`kodPartnera`
join maticna_robe as r on s.kodRobe=r.kodRobe
join robne_grupe as rg on rg.kodGrupe=r.kodGrupe

where (FIND_IN_SET(trim(z.proda), :proda) or trim(:proda)='' or trim(:proda)='0')
and z.DVO between :DVOOd and :DVODo
and (s.kodRobe=:kodRobe or trim(:kodRobe)='')
and (FIND_IN_SET(trim(r.kodGrupe), :kodGrupe) or trim(:kodGrupe)='')
and FIND_IN_SET(trim(z.vrsDo), :vrsDo)
and (z.zapis=:zapis or trim(:zapis)='')
and (z.kodPartnera=:kodPartnera or trim(:kodPartnera)='') 
and (s.vrstaProdaje=:vrstaProdaje or trim(:vrstaProdaje)='')
and (p.vrstaPoslovnice=:vrstaPoslovnice or trim(:vrstaPoslovnice)='')
and (r.robaUsluga=:robaUsluga or trim(:robaUsluga)='')
and (r.nazivRobe LIKE :dioNazivaRobe or trim(:dioNazivaRobe)='')
and (z.refProd=:refProd or trim(:refProd)='') 
and (z.brojNarudzbe=:brojNarudzbe or trim(:brojNarudzbe)='') 
and vd.tipDokumenta='R'
-- and r.robaUsluga='R'

group by
proda,
narudzba,
kodGrupe,
rg.NazivGrupe,
partner,
prodavac,
naziv,
roba,
vrstaProdaje,
case :vrstaIspisa
    when '1' then s.cijena
    else 0
end 
            ";

    if($poStanjima  && $vrstaIspisa!=2)  {
        $query .= "
        UNION ALL
        select 
        if(:kakoIspisuje='skupno', '0', st.proda) as proda,
        r.kodGrupe as kodGrupe,
        rg.nazivGrupe, 
        '' as partner,
        '' as nazivPartnera,
        '' as narudzba,
        '' as prodavac,
        r.kodrobe as roba,
        st.vrstaProdaje,
        r.cijena * if(:ukljucenPDV='Da',(1+po.PDV)/100,1) as cijena,
        r.nazivRobe as naziv, 

        0 as kolicina,
        0 as iznos,
        0 as popust,
        0 as casasSconto,
        0 as brojStavaka,
        sum(st.stanje) as  stanje
        from stanja as st
        join poslovnice as p on p.kodPoslovnice=st.proda
        join maticna_robe as r on r.kodRobe=st.kodRobe
        join robne_grupe as rg on rg.kodGrupe=r.kodGrupe
        left outer join porezi as po on po.poreznaGrupa=r.poreznaGrupa

        where (FIND_IN_SET(trim(st.proda), :proda) or trim(:proda)='' or trim(:proda)='0')
        and (st.kodRobe=:kodRobe or trim(:kodRobe)='')
        and (FIND_IN_SET(trim(r.kodGrupe), :kodGrupe) or trim(:kodGrupe)='')
        and (st.vrstaProdaje=:vrstaProdaje or trim(:vrstaProdaje)='')
        and (p.vrstaPoslovnice=:vrstaPoslovnice or trim(:vrstaPoslovnice)='')
        and (r.robaUsluga=:robaUsluga or trim(:robaUsluga)='' or r.robaUsluga is null)
        and (r.nazivRobe LIKE :dioNazivaRobe or trim(:dioNazivaRobe)='' or r.nazivRobe is null)

        group by
        proda,
        roba,
        vrstaProdaje
        having (:stanjaOperator=''
             or :stanjaOperator='>' and sum(st.stanje)>:stanje
             or :stanjaOperator='=' and sum(st.stanje)=:stanje
             or :stanjaOperator='<' and sum(st.stanje)<:stanje
             or :stanjaOperator='<>' and sum(st.stanje)<>:stanje
        )


        order by
        proda,
        narudzba,
        kodGrupe,
        roba,
        vrstaProdaje,
        -- ako je brojStavaka 0 slog je iz stanja i dolazi prvi 
        case brojStavaka
            when 0 then 0
            else 1
        end,
        case :vrstaIspisa
            when '1' then cijena
            else 0
        end 
        ";
        
    }
    $DVO_o = new DateTime($DVOod);
    $DVO_o2 = new DateTime($DVOdo);

    $statement = $db->prepare($query);
    // /*
    $statement->bindValue(':proda', $proda);
    $statement->bindValue(':kodRobe', $kodRobe);
    $statement->bindValue(':kodGrupe', $kodRobneGrupe);
    $statement->bindValue(':DVOOd', $DVO_o->format("Y-m-d H:i:s"));
    $statement->bindValue(':DVODo', $DVO_o2->format("Y-m-d H:i:s"));
    $statement->bindValue(':vrsDo', $dokZaobradu);
    $statement->bindValue(':zapis', $zapis);
    $statement->bindValue(':vrstaIspisa', $vrstaIspisa);
    $statement->bindValue(':kakoIspisuje', $kakoIspisuje);
    $statement->bindValue(':kodPartnera', $kodPartnera);
    $statement->bindValue(':vrstaPoslovnice', $vrstaPoslovnice);
    $statement->bindValue(':vrstaProdaje', $vrstaProdaje);
    $statement->bindValue(':robaUsluga', $robaUsluga);
//    $statement->bindValue(':ukljucenPDV', $ukljucenPDV);
    $statement->bindValue(':refProd', $refProd);
    $statement->bindValue(':ukljucenPDV', $ukljucenPDV);
    $statement->bindValue(':poPartneru', $poPartneru);
    $statement->bindValue(':poRefProd', $poRefProd);
    $statement->bindValue(':brojNarudzbe', $brojNarudzbe);
    $statement->bindValue(':dioNazivaRobe', '%'.$dioNazivaRobe.'%');
     // */
    ///*
    if($poStanjima  && $vrstaIspisa!=2)  {
        $statement->bindValue(':stanjaOperator', $stanjaOperator);
        $statement->bindValue(':stanje', $stanje);
    }
    $statement->bindValue('poNarudzbi', $poNarudzbi);
     //*/
    $statement->execute();
    $knjiga= $statement->fetchAll();
    $statement->closeCursor();
    return $knjiga;
    
}
 
function get_dok_za_naljepnice($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi, $brojNaljepnica) {
    global $db;
    $query = "
        select s.proda, s.vrsDo, s.proIn, s.zapis, s.broDo, s.verzi, s.brojStavke, z.kasa, z.DVO, kodPartnera,
        if(p.`vrstaPoslovnice`='1',  s.cijena*(1+s.ukalkuliraniPDV/100), s.cijena) as cijena,
        p.`vrstaPoslovnice`,
        1 as selektirano, s.`kodRobe`, m.`nazivRobe`, if(s.kolicina>=1, round(s.kolicina,0),1) as brojNaljepnica, s.kolicina 
        from dok_stavke as s
        left outer join  maticna_robe as m on m.`kodRobe`=s.`kodRobe`
        left outer join dok_zag as z 
          on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
          and z.zapis=s.zapis and z.`broDo`=s.`broDo`        
        left outer join poslovnice as p on p.`kodPoslovnice`=z.proda          
        WHERE s.proda = :proda AND s.vrsDo = :vrsDo AND s.proIn = :proIn
	AND s.zapis = :zapis AND s.broDo = :broDo AND s.verzi = :verzi
        AND (trim(s.zapis)='' or (trim(s.zapis)<>'' and s.kolicina>0))";
        
    $statement = $db->prepare($query);
    $statement->bindValue(':proda', $proda);
    $statement->bindValue(':vrsDo', $vrsDo);
    $statement->bindValue(':proIn', $proIn);
    $statement->bindValue(':zapis', $zapis);
    $statement->bindValue(':broDo', $broDo);
    $statement->bindValue(':verzi', $verzi);
    $statement->execute();
    $dokument = $statement->fetchAll();
    $statement->closeCursor();
    return $dokument;
}

function get_rekapitulari($proda,$vrsDo,$DVOod,$DVOdo,$donosDaNe) {
    global $db;
    ini_set('max_execution_time', 300);
    $query = "
select 
z.proda,
max(z.DVO) as DVO,  
'8' as vrsDo,
'REKAPITUAR' as nazivDokumenta,
date(max(z.DVO)) as broDo,

'1' as vrstaPoslovnice,

sum(round(kolicina*s.cijena ,2)) as bezPoreza, 
sum(round(kolicina*s.cijena*(1+PDV/100) ,2)) as zaliha, 
sum(round(kolicina*s.cijena*PDV/100 ,2)) as PDVZaliha, 

sum(round(racunajPDV(p.vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'zaplatit'),2))
as ukupanIznos, 
sum(round(racunajPDV(vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'rabat'),2)) 
as popust,
sum(round(racunajPDV(vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'pdv'),2)) 
as PDV,

sum( if(r.robaUsluga='U', round(racunajPDV(p.vrstaPoslovnice,s.cijena,kolicina,PDV,
         rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'zaplatit'),2),0)) as usluge 

from dok_stavke as s
left outer join dok_zag as z 
  on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
  and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi
left outer join vrste_dokumenata as vd on vd.vrsDo=z.vrsDo
left outer join poslovnice as  p on p.kodPoslovnice=z.proda
left outer join maticna_robe as r on  r.kodRobe=s.kodRobe

where (z.proda=:proda or trim(:proda)='' or trim(:proda)='0')
and (z.vrsDo='8' and (trim(:vrsDo)='' or :vrsDo=8))
and z.DVO between :DVOOd and :DVODo

group by
z.proda,
date(z.DVO)

";
    $poslovnica=  get_poslovnica($proda);
    if(strlen($poslovnica['datumInventure'])>1 && $donosDaNe=='D')
        $DVO_o = new DateTime($poslovnica['datumInventure']);
    else
        $DVO_o = new DateTime($DVOod);
    $DVO_o2 = new DateTime($DVOdo);

    $statement = $db->prepare($query);
    // /*
    $statement->bindValue(':proda', $proda);
    $statement->bindValue(':vrsDo', $vrsDo);
    $statement->bindValue(':DVOOd', $DVO_o->format("Y-m-d H:i:s"));
    $statement->bindValue(':DVODo', $DVO_o2->format("Y-m-d H:i:s"));
    $statement->bindValue(':donosDaNe', $donosDaNe);
     
     // */
    $statement->execute();
    $knjiga= $statement->fetchAll();
    $statement->closeCursor();
    return $knjiga;
}

function get_robu_za_KNnivelaciju($proda) {
    global $db;
    $query = "
        select 
        distinct  st.proda, st.`kodRobe`, st.`vrstaProdaje`, p.PDV
        from stanja as st
        inner join stanja as pok on pok.proda=st.proda and pok.`kodRobe`=st.`kodRobe` and pok.`vrstaProdaje`=st.`vrstaProdaje` 
            and pok.cijena<>st.cijena and pok.stanje>0
        left outer join maticna_robe as r on r.`kodRobe`=st.`kodRobe`
        left outer join porezi as p on p.`poreznaGrupa`=r.`poreznaGrupa`
        where  st.stanje < 0
        and st.proda = :proda
    ";
    $statement = $db->prepare($query);
    $statement->bindValue(':proda', $proda);
    $statement->execute();
    $dokument = $statement->fetchAll();
    $statement->closeCursor();
    return $dokument;
}

function get_stanja_artikla($proda, $kodRobe, $vrstaProdaje, $predznak='') {
    global $db;
    $query = "
        select st.*
        from stanja as st
        where (st.stanje<0 and :predznak='-' or st.stanje>0 and :predznak='+' or st.stanje=0 and :predznak='0' or trim(:predznak)='')
        and st.proda = :proda
        and st.kodRobe = :kodRobe
        and st.vrstaProdaje = :vrstaProdaje
    ";
    $statement = $db->prepare($query);
    $statement->bindValue(':proda', $proda);
    $statement->bindValue(':kodRobe', $kodRobe);
    $statement->bindValue(':vrstaProdaje', $vrstaProdaje);
    // ako je $predznak:
    // '+' - uzima pozitivna stanja
    // '-' - uzima negatina stanja
    // '0' - uzima stanja 0
    // ''  - uzima sva stanja
    $statement->bindValue(':predznak', $predznak);
    $statement->execute();
    $dokument = $statement->fetchAll();
    $statement->closeCursor();
    return $dokument;
}

function get_robu_za_NCnivelaciju($proda) {
    global $db;
    $query = "
        select st.proda, st.kodRobe, st.vrstaProdaje, st.stanje, st.cijena as cijena_st, r.cijena as cijena_mr, pc.cijena as cijena_pc, p.PDV
        from stanja as st
        inner join maticna_robe as r on r.kodRobe=st.kodRobe 
        left outer join porezi as p on p.poreznaGrupa=r.poreznaGrupa
        left outer join posebni_cjenik as pc on pc.kodPoslovnice=st.proda and pc.kodRobe=st.kodRobe and pc.vrstaProdaje=st.vrstaProdaje and trim(oznakaCjenika)=''
        where proda=:proda
        and robaUsluga = 'R'
        and st.stanje<>0 and st.vrstaProdaje=0 and r.cijena<>0 and(r.cijena<>st.cijena or pc.cijena<>st.cijena) 
    ";
    $statement = $db->prepare($query);
    $statement->bindValue(':proda', $proda);
    $statement->execute();
    $dokument = $statement->fetchAll();
    $statement->closeCursor();
    return $dokument;
}

function get_IRA($proda, $DVOod, $DVOdo, $poSkladistima='N',$kodPartnera='',$PDVstatus='S') {
    global $db;
    
    $query = "
select 
if(:poSkladistima='D', z.proda,'') as proda,
z.DVO,  
z.vrsDo,
trim(concat(vd.nazivDokumenta,' ',z.zapis,' ',z.proIn)) as nazivDokumenta,
concat(trim(z.proda),'-',z.broDo) as broDo,
pp.nazivPartnera,
pp.ulicaBroj,
pp.mjestoSjedista,
pp.OIB,
z.zapis,
z.proIn,
z.verzi,
z.PDVstatus,
p.vrstaPoslovnice as vrstaPoslovnice,
sum(round(racunajPDV(p.vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'zaplatit')*(1-z.casasSconto/100),2))
as iznosSPDVom,
0 as nePodlijeze,
0 as izvoz,
0 as izvozEU,
0 as oslOstalo, 
sum(if(pdv=25,round(racunajPDV(p.vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'osnovica'),2)*(1-z.casasSconto/100),0)) as osnovica25,
sum(if(pdv=25,round(racunajPDV(p.vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'pdv'),2)*(1-z.casasSconto/100),0)) as pdv25
from dok_stavke as s
left outer join dok_zag as z on z.proda=s.proda and z.vrsDo=s.vrsDo 
    and z.broDo=s.broDo and z.proIn=s.proIn and z.zapis=s.zapis and z.verzi=s.verzi
left outer join vrste_dokumenata as vd on vd.vrsDo=z.vrsDo
left outer join poslovnice as  p on p.kodPoslovnice=z.proda
left outer join partner as pp on pp.kodPartnera=z.kodPartnera
left outer join maticna_robe as r on  r.kodRobe=s.kodRobe
-- dali je  Interna dostavnica - kupac je jedna od poslovnica
left outer join poslovnice as  int5 on int5.kodPoslovnice=z.kodPartnera
where (z.proda=:proda or trim(:proda)='' or trim(:proda)='0')
and cast(z.vrsDo as UNSIGNED) in ('5')
and z.DVO between :DVOOd and :DVODo
and (z.kodPartnera=:kodPartnera or trim(:kodPartnera)='') 
and (PDVstatus=:PDVstatus or :PDVstatus='S') 

group by
z.proda,
z.zapis,
z.proIn,
z.broDo,
z.verzi,
z.DVO,
vd.nazivDokumenta,
z.vrsDo,
z.broDo,
pp.nazivPartnera,
pp.OIB,
pp.ulicaBroj,
pp.mjestoSjedista,

p.vrstaPoslovnice

union all

select 
if(:poSkladistima='D', z.proda,'') as proda,
max(z.DVO) as DVO,  
'8' as vrsDo,
'REKAPITUAR' as nazivDokumenta,
concat(trim(z.proda),  '-', date(z.DVO)) as broDo,
'Rekapitular paragon blokova' as nazivPartnera,
'' as ulicaBroj,
'' as mjestoSjedista,
'' as OIB,
'' as zapis,
'' as proIn,
'' as verzi,
' ' as PDVstatus,
'1' as vrstaPoslovnice,
sum(round(racunajPDV(p.vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'zaplatit'),2))
as iznosSPDVom,
0 as nePodlijeze,
0 as izvoz,
0 as izvozEU,
0 as oslOstalo, 
sum(if(pdv=25,round(racunajPDV(p.vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'osnovica'),2),0)) as osnovica25,
sum(if(pdv=25,round(racunajPDV(p.vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'pdv'),2),0)) as pdv25
from dok_stavke as s
left outer join dok_zag as z on z.proda=s.proda and z.vrsDo=s.vrsDo 
    and z.broDo=s.broDo and z.proIn=s.proIn and z.zapis=s.zapis and z.verzi=s.verzi
left outer join vrste_dokumenata as vd on vd.vrsDo=z.vrsDo
left outer join poslovnice as  p on p.kodPoslovnice=z.proda
left outer join maticna_robe as r on  r.kodRobe=s.kodRobe

where (z.proda=:proda or trim(:proda)='' or trim(:proda)='0')
and z.vrsDo='8' 
and z.DVO between :DVOOd and :DVODo
and (z.kodPartnera=:kodPartnera or trim(:kodPartnera)='') 
and (PDVstatus=:PDVstatus or :PDVstatus='S') 
group by
date(z.DVO),
z.proda

order by
proda,
DVO,
broDo
            ";

    $DVO_o = new DateTime($DVOod);
    $DVO_o2 = new DateTime($DVOdo);

    $statement = $db->prepare($query);
    // /*
    $statement->bindValue(':proda', $proda);
    $statement->bindValue(':DVOOd', $DVO_o->format("Y-m-d H:i:s"));
    $statement->bindValue(':DVODo', $DVO_o2->format("Y-m-d H:i:s"));
    $statement->bindValue(':poSkladistima', $poSkladistima);
    $statement->bindValue(':kodPartnera', $kodPartnera);
    $statement->bindValue(':kodPartnera', $kodPartnera);
    $statement->bindValue(':PDVstatus', $PDVstatus);
    
     // */
    $statement->execute();
    $knjiga= $statement->fetchAll();
    $statement->closeCursor();
    return $knjiga;
    
}

function get_URA($proda, $DVOod, $DVOdo, $poSkladistima='N',$kodPartnera='',$PDVstatus='S') {
    global $db;
    
    $query = "
select 
if(:poSkladistima='D', s.proda,'') as proda,
z.DVO,  
concat(trim(s.proda),'-',s.broDo) as broDo,
pp.nazivPartnera,
pp.ulicaBroj,
pp.mjestoSjedista,
pp.OIB,
z.zapis,
z.proIn,
z.verzi,
s.iznosZaNaplatuDobavljacu as iznosSPDVom,

s.iznosZaNaplatuDobavljacu - s.`PDVdobavljaca` as osnovica25,
s.PDVdobavljaca as pdv25,
0 as `brojTemeljnice`,
0 as brojStavke

from kalkulacije as s
left outer join dok_zag as z on z.proda=s.proda and z.vrsDo='1' 
    and z.broDo=s.broDo and z.proIn='' and z.zapis=s.zapis and z.verzi=s.verzi
left outer join partner as pp on pp.kodPartnera=z.kodPartnera

where (z.proda=:proda or trim(:proda)='' or trim(:proda)='0')

and z.DVO between :DVOOd and :DVODo
and (z.kodPartnera=:kodPartnera or trim(:kodPartnera)='') 
and (PDVstatus=:PDVstatus or :PDVstatus='S') 

UNION
select 
if(:poSkladistima='D',
if(locate('-',broDo)>0,SUBSTRING_INDEX(broDo,'-',1),'zz'),'') as proda,
s.`DVO`,
s.broDo,
pp.nazivPartnera,
pp.ulicaBroj,
pp.mjestoSjedista,
pp.OIB,
'' as zapis,
'' as proIn,
'' as verzi,
if(s.`iznosPot`<>0,s.`iznosPot`, s.`iznosDug`) as iznosSPDVom,
0 as osnovica25,
0 as pdv25,

s.`brojTemeljnice`,
s.`brojStavke`
from gk_stavke as s
left outer join partner as pp on pp.kodPartnera=s.kodPartnera
where vrsDo in ('11')
and trim(s.kodPartnera)<>''

and (s.broDo like :proda or trim(:proda)='' or trim(:proda)='0')
and (s.kodPartnera=:kodPartnera or trim(:kodPartnera)='') 
and s.DVO between :DVOOd and :DVODo
and (PDVstatus=:PDVstatus or :PDVstatus='S') 
 
order by
proda,
DVO,
broDo
            ";

    $DVO_o = new DateTime($DVOod);
    $DVO_o2 = new DateTime($DVOdo);

    $statement = $db->prepare($query);
    // /*
    $statement->bindValue(':proda', $proda);
    $statement->bindValue(':DVOOd', $DVO_o->format("Y-m-d H:i:s"));
    $statement->bindValue(':DVODo', $DVO_o2->format("Y-m-d H:i:s"));
    $statement->bindValue(':poSkladistima', $poSkladistima);
    $statement->bindValue(':kodPartnera', $kodPartnera);
    $statement->bindValue(':PDVstatus', $PDVstatus);
    
     // */
    $statement->execute();
    $knjiga= $statement->fetchAll();
    $statement->closeCursor();
    return $knjiga;
    
}

function get_konsignacije($kodPartnera, $kodRobe,$DVOod,$DVOdo, $vrstaProdaje, $sort, $vrstaCijene, $vrsteDokumenata) {
    global $db;
    if(isset($_POST['samoInventura']))
        $samoInventura='Da';
    else 
        $samoInventura='Ne';
    
    $query = "
select *
-- select * je metnut zbog parametra :kodPartnera, 
-- naime dokumenti koji nisu K1, K2 ili inventura imaju drugi kodPartnera 
-- pa im naknadno u kodParnera stavljam parnera iz ulaznog dokumenta
from ( 
select  
if(trim(k.partner)='',  
    -- ako nema ulaza u K1 ili K2: :kodRobe<>kodRobe or :vrstaProdaje<>vrstaProdaje
    if(@pomKodRobe<>k.kodRobe or @pomVrstaProdaje<>k.vrstaProdaje, 
        @pomKodPartnera:='', 
        @pomKodPartnera), 
-- else za if(trim(partner)=''
    @pomKodPartnera:=k.partner) as kodPartnera, 
if(@pomKodPartnera='', @nazivPartnera:='Y ROBA BEZ ULAZNIH ZAPISNIKA I BEZ INVENTURNIH STANJA NA KONSIGNACIJI', 
    if(trim(k.partner)='',@nazivPartnera,@nazivPartnera:=nazivP)) as nazivPartnera,
k.*, @pomKodRobe:=k.kodRobe, @pomVrstaProdaje:=k.vrstaProdaje
from (
select 
st.kodPartnera as Partner, st.kodRobe, vrstaProdaje, datumInventure as DVO, '' as proda,'0' as vrsDo, 'Inventura' as nazivDokumenta, brojInvStavke as broDo,
if(:vrstaCijene='bezPDV', st.cijena, st.cijena*(1+p.PDV/100)) as cijena,
kolicinaInventure as ulaz, 0 as izlaz,'' as rabatPopust, '' as absRabatPopust, '' as casasSconto, '' as absCasasSconto,'' as marza, '' as absMarza,
nazivPartnera as nazivP,
if(:sort='poCijeni', st.cijena, 0) as cijenaSort, 'i' as tip,
if(:samoInventura='Da', brojInvStavke, 0) as sortInventura, 
st.cijena as cijena1, 
kolicinaInventure,
brojInvStavke

from kons_stanja as st
join maticna_robe as m on m.`kodRobe`=st.`kodRobe`
join porezi as p on p.poreznaGrupa=m.`poreznaGrupa`
join partner as part on part.`kodPartnera`=st.`kodPartnera`
where (st.kodPartnera=:kodPartnera or trim(:kodPartnera)='')
 and (st.kodRobe=:kodRobe or trim(:kodRobe)='')
 and (:vrstaProdaje='' or vrstaProdaje=:vrstaProdaje)
 and `kolicinaInventure` <>0 
 and (trim(:vrsteDokumenata)='' or trim(:vrsteDokumenata)='1')

union all

select 
if(s.zapis in ('K1', 'K2'), z.kodPartnera, '') as partner,
s.kodRobe , 
s.vrstaProdaje, 
z.DVO, 
z.proda, 
z.vrsDo, 
trim(concat(vd.nazivDokumenta,' ',z.zapis,' ',z.proIn)) as nazivDokumenta,
if(trim(z.verzi)='',z.broDo,concat(z.broDo,'/',z.verzi)) as broDo, 
if(:vrstaCijene='bezPDV', s.cijena, s.cijena*(1+s.PDV/100)) as cijena, 
if(z.vrsDo='1' or z.vrsDo='2' or z.vrsdo='3', s.kolicina, 0) as ulaz,
if(z.vrsDo='5' or z.vrsDo='6' or z.vrsdo='7' or z.vrsDo= '8', s.kolicina, 0) as izlaz,
s.rabatPopust, s.absRabatPopust, z.`casasSconto`, z.`absCasasSconto`,
s.marza, s.absMarza,
nazivPartnera as NazivP,  
if(:sort='poCijeni', s.cijena, 0) as cijenaSort, 'p' as tip,
0 as sortInventura, 
s.cijena as cijena1,
0 as kolicinaInventure,
0 as brojInvStavke

from dok_stavke as s
join dok_zag as z 
on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi
join vrste_dokumenata as vd on vd.vrsDo=z.vrsDo
left outer join partner as part on part.`kodPartnera`=z.`kodPartnera`
join maticna_robe as m on m.`kodRobe`=s.`kodRobe`
where (s.kodRobe=:kodRobe or trim(:kodRobe)='')
and trim(s.vrstaProdaje)<>'0'
and (:vrstaProdaje='' or s.vrstaProdaje=:vrstaProdaje)
and z.DVO <= :DVODo
and vd.azurStanja<>0
and (vd.azurStanja=:vrsteDokumenata or trim(:vrsteDokumenata)='')
order by kodRobe, vrstaProdaje, tip, Partner desc, cijenaSort, DVO, vrsDo
) as k
inner join (select @pomKodPartnera:='', @pomKodRobe:='', @pomVrstaProdaje:='', @nazivPartnera:='') as pp
order by nazivPartnera, sortInventura, kodRobe, vrstaProdaje, cijenaSort, DVO, vrsDo
) as kk
where (kodPartnera=:kodPartnera or trim(:kodPartnera)='')
            ";
    
    $DVO_o = new DateTime($DVOod);
    $DVO_o2 = new DateTime($DVOdo);

    $statement = $db->prepare($query);
    // /*
    $statement->bindValue(':kodPartnera', $kodPartnera);
    $statement->bindValue(':kodRobe', $kodRobe);
    //$statement->bindValue(':DVOOd', $DVO_o->format("Y-m-d H:i:s"));
    $statement->bindValue(':DVODo', $DVO_o2->format("Y-m-d H:i:s"));
    $statement->bindValue(':vrstaProdaje', $vrstaProdaje);
    $statement->bindValue(':sort', $sort);
    $statement->bindValue(':vrstaCijene', $vrstaCijene);
    $statement->bindValue(':samoInventura', $samoInventura);
    $statement->bindValue(':vrsteDokumenata', $vrsteDokumenata);
    
     // */
    $statement->execute();
    $rezultat= $statement->fetchAll();
    $statement->closeCursor();
    return $rezultat;
    
}

function get_konsignacije_po_robi($kodPartnera, $kodRobe,$DVOod,$DVOdo, $vrstaProdaje, $sort, $vrstaCijene, $vrsteDokumenata) {
    global $db;
    if(isset($_POST['samoInventura']))
        $samoInventura='Da';
    else 
        $samoInventura='Ne';
    
    $query = "
select  kodPartnera, nazivPartnera, kodGrupe, kodRobe, vrstaProdaje, cijena, sum(ulaz) as ulaz, sum(izlaz) as izlaz, 
max( if(kolicinaInventure<>0,kolicinaInventure,0)) as kolicinaInventure,
max( if(brojInvStavke>0, brojInvStavke,0)) as brojInvStavke
from ( 
select  
if(trim(k.partner)='',  
    -- ako nema ulaza u K1 ili K2: @kodRobe<>kodRobe or @vrstaProdaje<>vrstaProdaje
    if(@pomKodRobe<>k.kodRobe or @pomVrstaProdaje<>k.vrstaProdaje, 
        @pomKodPartnera:='', 
        @pomKodPartnera), 
-- else za if(trim(partner)=''
    @pomKodPartnera:=k.partner) as kodPartnera, 
if(@pomKodPartnera='', @nazivPartnera:='Y ROBA BEZ ULAZNIH ZAPISNIKA I BEZ INVENTURNIH STANJA NA KONSIGNACIJI', 
    if(trim(k.partner)='',@nazivPartnera,@nazivPartnera:=nazivP)) as nazivPartnera,
k.*, @pomKodRobe:=k.kodRobe, @pomVrstaProdaje:=k.vrstaProdaje
from (
select 
st.kodPartnera as Partner, m.kodGrupe, st.kodRobe, vrstaProdaje, datumInventure as DVO, '' as proda,'0' as vrsDo, 'Inventura' as nazivDokumenta, brojInvStavke as broDo,
if(:vrstaCijene='bezPDV', st.cijena, st.cijena*(1+p.PDV/100)) as cijena,
kolicinaInventure as ulaz, 0 as izlaz,'' as rabatPopust, '' as absRabatPopust, '' as casasSconto, '' as absCasasSconto,'' as marza, '' as absMarza,
nazivPartnera as nazivP,
if(:sort='poCijeni', st.cijena, 0) as cijenaSort, 'i' as tip,
if(:samoInventura='Da', brojInvStavke, 0) as sortInventura, 
st.cijena as cijena1, 
kolicinaInventure,
brojInvStavke

from kons_stanja as st
join maticna_robe as m on m.`kodRobe`=st.`kodRobe`
join porezi as p on p.poreznaGrupa=m.`poreznaGrupa`
join partner as part on part.`kodPartnera`=st.`kodPartnera`
where (st.kodPartnera=:kodPartnera or trim(:kodPartnera)='')
 and (st.kodRobe=:kodRobe or trim(:kodRobe)='')
 and (:vrstaProdaje='' or vrstaProdaje=:vrstaProdaje)
 and `kolicinaInventure` <>0 
 and (trim(:vrsteDokumenata)='' or trim(:vrsteDokumenata)='1')

union all

select 
if(s.zapis in ('K1', 'K2'), z.kodPartnera, '') as partner,
m.kodGrupe,
s.kodRobe , 
s.vrstaProdaje, 
z.DVO, 
z.proda, 
z.vrsDo, 
trim(concat(vd.nazivDokumenta,' ',z.zapis,' ',z.proIn)) as nazivDokumenta,
if(trim(z.verzi)='',z.broDo,concat(z.broDo,'/',z.verzi)) as broDo, 
if(:vrstaCijene='bezPDV', s.cijena, s.cijena*(1+s.PDV/100)) as cijena, 
if(z.vrsDo='1' or z.vrsDo='2' or z.vrsdo='3', s.kolicina, 0) as ulaz,
if(z.vrsDo='5' or z.vrsDo='6' or z.vrsdo='7' or z.vrsDo= '8', s.kolicina, 0) as izlaz,
s.rabatPopust, s.absRabatPopust, z.`casasSconto`, z.`absCasasSconto`,
s.marza, s.absMarza,
nazivPartnera as NazivP,  
if(:sort='poCijeni', s.cijena, 0) as cijenaSort, 'p' as tip,
0 as sortInventura, 
s.cijena as cijena1,
0 as kolicinaInventure,
0 as brojInvStavke

from dok_stavke as s
join dok_zag as z 
on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi
join vrste_dokumenata as vd on vd.vrsDo=z.vrsDo
left outer join partner as part on part.`kodPartnera`=z.`kodPartnera`
join maticna_robe as m on m.`kodRobe`=s.`kodRobe`
where (s.kodRobe=:kodRobe or trim(:kodRobe)='')
and trim(s.vrstaProdaje)<>'0'
and (:vrstaProdaje='' or s.vrstaProdaje=:vrstaProdaje)
and z.DVO <= :DVODo
and vd.azurStanja<>0
and (vd.azurStanja=:vrsteDokumenata or trim(:vrsteDokumenata)='')
order by kodRobe, vrstaProdaje, tip, Partner desc, cijenaSort, DVO, vrsDo
) as k
inner join (select @pomKodPartnera:='', @pomKodRobe:='', @pomVrstaProdaje:='', @nazivPartnera:='') as pp
order by nazivPartnera, sortInventura, kodRobe, vrstaProdaje, cijenaSort, DVO, vrsDo
) as kk
where (kodPartnera=:kodPartnera or trim(:kodPartnera)='')
group by kodPartnera,  kodRobe, vrstaProdaje, cijena
order by nazivPartnera, sortInventura, kodGrupe, kodRobe, vrstaProdaje, cijenaSort
            ";
    
    $DVO_o = new DateTime($DVOod);
    $DVO_o2 = new DateTime($DVOdo);

    $statement = $db->prepare($query);
    // /*
    $statement->bindValue(':kodPartnera', $kodPartnera);
    $statement->bindValue(':kodRobe', $kodRobe);
    //$statement->bindValue(':DVOOd', $DVO_o->format("Y-m-d H:i:s"));
    $statement->bindValue(':DVODo', $DVO_o2->format("Y-m-d H:i:s"));
    $statement->bindValue(':vrstaProdaje', $vrstaProdaje);
    $statement->bindValue(':sort', $sort);
    $statement->bindValue(':vrstaCijene', $vrstaCijene);
    $statement->bindValue(':samoInventura', $samoInventura);
    $statement->bindValue(':vrsteDokumenata', $vrsteDokumenata);
    
     // */
    $statement->execute();
    $rezultat= $statement->fetchAll();
    $statement->closeCursor();
    return $rezultat;
    
}

function get_uvozni_podaci_robe($kodRobe) {
    global $db;
    $query = "
        select 
        m.kodRobe, m.nazivRobe, 
        m.kodUvoznika, uv.nazivPartnera as nazivUvoznika, uv.OIB as OIBUvoznika,
        uv.ulicaBroj as ulicaUvoznika, uv.mjestoSjedista sjedisteUvoznika,
        uv.zemlja as zemljaUvoznika, zu.nazivZemljeHR as nazivZemljeUvoznika,
        uv.brojPoste as brojPosteUvoznika, uv.mjestoPoste as mjestoPosteUvoznika,
        uv.www as wwwUvoznika,
        m.kodProizvodjaca, pr.nazivPartnera as nazivProizvodjaca, 
        pr.ulicaBroj as ulicaProizvodjaca, pr.mjestoSjedista sjedisteProizvodjaca,
        pr.brojPoste as brojPosteProizvodjaca, pr.mjestoPoste as mjestoPosteProizvodjaca,
        pr.zemlja as zemljaProizvodjaca, zp.nazivZemljeHR as nazivZemljeProizvodjaca,
        pr.www as wwwProizvodjaca, 
        m.zemljaPorijekla, z.nazivZemljeHR as nazivZemljePorijekla
        from maticna_robe as m
        left outer join zemlje as z on z.zemlja=m.zemljaPorijekla
        left outer join partner as uv on uv.kodPartnera=m.kodUvoznika 
        left outer join partner as pr on pr.kodPartnera=m.kodProizvodjaca
        left outer join zemlje as zp on zp.zemlja=pr.zemlja
        left outer join zemlje as zu on zu.zemlja=uv.zemlja
        where m.kodRobe=:kodRobe;
        ";
    $statement = $db->prepare($query);
    $statement->bindValue(':kodRobe', $kodRobe);
    $statement->execute();
    $dokument = $statement->fetch();
    $statement->closeCursor();
    return $dokument;
}

function uzmi_naziv_cjenika() {
    global $db;
    $query = "
        select *
        from naziv_cjenika
         ";
    $statement = $db->prepare($query);
    $statement->execute();
    $dokument = $statement->fetch();
    $statement->closeCursor();
    return $dokument;
}

function get_tpl_prodaje($DVOod,$DVOdo) {
    global $db;
    
    $query = "
select 
proda, 
broDo, 
DVO, 
nazivPartnera, 
tarifniBroj, 
sum(kolicina) as kolicina, 
sum(iznos) as iznos, 
zemljaPorijekla, 
naziv

from 
(
    select 
    s.proda, 
    s.broDo, 
    z.`DVO`, 
    p.nazivPartnera, 
    if(r.tarifniBroj='87120030C' or trim(r.tarifniBroj)='', s.kodRobe , ifnull(r.tarifniBroj,s.kodRobe)) as tarifniBroj, 
    s.kolicina as kolicina, 
    round(s.kolicina*s.cijena,2) - round(round(s.kolicina*s.cijena,2) * s.`rabatPopust`/100,2) as iznos,
    if(r.zemljaPorijekla='CN','CN','N') as zemljaPorijekla,
    ifnull(t.`nazivTarifnogBroja`, nazivRobe) as naziv
    from murskiga_robno_din_14.dok_stavke as s
    join murskiga_robno_din_14.dok_zag as z 
    on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
    and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi
    join murskiga_robno_din_14.partner as p on p.kodPartnera=z.kodPartnera
    left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe`
    left outer join tarifni_brojevi as t on t.`tarifniBroj`=r.`tarifniBroj`
    where z.DVO between :DVOOd and :DVODo
    and ( s.vrsDo='5' or ( s.vrsDo='7' and (s.proda = '201U' or s.proda = '201H') ) )
    and r.`robaUsluga`='R'

    union all

    select 
    s.proda, 
    s.broDo, 
    z.`DVO`, 
    p.nazivPartnera, 
    if(r.tarifniBroj='87120030C' or trim(r.tarifniBroj)='', s.kodRobe , ifnull(r.tarifniBroj,s.kodRobe)) as tarifniBroj, 
    s.kolicina as kolicina, 
    round(s.kolicina*s.cijena,2) - round(round(s.kolicina*s.cijena,2) * s.`rabatPopust`/100,2) as iznos,
    if(r.zemljaPorijekla='CN','CN','N') as zemljaPorijekla,
    ifnull(t.`nazivTarifnogBroja`, nazivRobe) as naziv
    from dok_stavke as s
    join dok_zag as z 
    on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
    and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi
    join partner as p on p.kodPartnera=z.kodPartnera
    left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe`
    left outer join tarifni_brojevi as t on t.`tarifniBroj`=r.`tarifniBroj`
    where z.DVO between :DVOOd and :DVODo
    and ( s.vrsDo='5' or ( s.vrsDo='7' and (s.proda = '201U' or s.proda = '201H') ) )
--    and s.vrsDo='5'
    and r.`robaUsluga`='R'
) as t
group by
DVO, 
proda, 
broDo, 
tarifniBroj, 
nazivPartnera, 
zemljaPorijekla,
naziv
    ";
    
    $DVO_o = new DateTime($DVOod);
    $DVO_o2 = new DateTime($DVOdo);

    $statement = $db->prepare($query);
    $statement->bindValue(':DVOOd', $DVO_o->format("Y-m-d H:i:s"));
    $statement->bindValue(':DVODo', $DVO_o2->format("Y-m-d H:i:s"));

    $statement->execute();
    $rezultat= $statement->fetchAll();
    $statement->closeCursor();
    return $rezultat;
    
}

function get_tpl_kupnje($DVOod,$DVOdo) {
    global $db;
    
    $query = "
select 
proda, 
broDo, 
brojDobavljacevogRacuna,
DVO, 
nazivPartnera, 
tarifniBroj, 
sum(kolicina) as kolicina, 
sum(iznos) as iznos, 
zemljaPorijekla, 
naziv,
kodPartnera
from 
(
    select
    k.proda, 
    k.broDo, 
    k.brojDobavljacevogRacuna,
    z.DVO as DVO, 
    p.nazivPartnera, 
    if(r.tarifniBroj='87120030C' or trim(r.tarifniBroj)='', s.kodRobe , ifnull(r.tarifniBroj,s.kodRobe)) as tarifniBroj, 
    s.kolicina as kolicina, 
    round(s.kolicina*s.nabavnaCijena,2) - round(round(s.kolicina*s.nabavnaCijena,2) * s.`rabatPopust`/100,2) as iznos,
    if(r.zemljaPorijekla='CN','CN','N') as zemljaPorijekla,
    ifnull(t.`nazivTarifnogBroja`, nazivRobe) as naziv,
    z.kodPartnera
    from murskiga_robno_din_14.kalkulacije as k
    join murskiga_robno_din_14.dok_zag as z 
    on z.proda=k.proda and z.vrsDo='1' and z.`proIn`=k.`proIn` 
    and z.zapis=k.zapis and z.`broDo`=k.`broDo` and z.verzi=k.verzi
    join murskiga_robno_din_14.dok_stavke as s 
    on s.proda=z.proda and s.vrsDo=z.`vrsDo` and s.`proIn`=z.`proIn` 
    and s.zapis=z.zapis and s.`broDo`=z.`broDo` and s.verzi=z.verzi
    join murskiga_robno_din_14.partner as p on p.kodPartnera=z.kodPartnera
    join maticna_robe as r on r.`kodRobe`=s.`kodRobe`
    join tarifni_brojevi as t on t.`tarifniBroj`=r.`tarifniBroj`
    where z.DVO between :DVOOd and :DVODo
    and s.vrsDo='1' 
    and p.`vrstaPartnera`<>3 and p.`vrstaPartnera`<>7
--    and r.`vrstaArtikla`<>'ODI'
    and r.vrstaArtikla not in ('ORA', 'OZB')  
--    and (r.vrstaArtikla = 'BIT' or r.vrstaArtikla = 'ODI')  
    union all

    select
    k.proda, 
    k.broDo, 
    k.brojDobavljacevogRacuna,
    z.DVO as DVO, 
    p.nazivPartnera, 
    if(r.tarifniBroj='87120030C' or trim(r.tarifniBroj)='', s.kodRobe , ifnull(r.tarifniBroj,s.kodRobe)) as tarifniBroj, 
    s.kolicina as kolicina, 
    round(s.kolicina*s.nabavnaCijena,2) - round(round(s.kolicina*s.nabavnaCijena,2) * s.`rabatPopust`/100,2) as iznos,   
    if(r.zemljaPorijekla='CN','CN','N') as zemljaPorijekla,
    ifnull(t.`nazivTarifnogBroja`, nazivRobe) as naziv,
    z.kodPartnera
    from kalkulacije as k
    join dok_zag as z 
    on z.proda=k.proda and z.vrsDo='1' and z.`proIn`=k.`proIn` 
    and z.zapis=k.zapis and z.`broDo`=k.`broDo` and z.verzi=k.verzi
    join dok_stavke as s 
    on s.proda=z.proda and s.vrsDo=z.`vrsDo` and s.`proIn`=z.`proIn` 
    and s.zapis=z.zapis and s.`broDo`=z.`broDo` and s.verzi=z.verzi
    join partner as p on p.kodPartnera=z.kodPartnera
    join maticna_robe as r on r.`kodRobe`=s.`kodRobe`
    join tarifni_brojevi as t on t.`tarifniBroj`=r.`tarifniBroj`
    where z.DVO between :DVOOd and :DVODo
    and s.vrsDo='1' 
    and p.`vrstaPartnera`<>3 and p.`vrstaPartnera`<>7
--    and r.`vrstaArtikla`<>'ODI'
   and r.vrstaArtikla not in ('ORA', 'OZB')
--    and (r.vrstaArtikla = 'BIT' or r.vrstaArtikla = 'ODI')
) as t
group by
DVO, 
proda, 
broDo, 
tarifniBroj, 
nazivPartnera, 
zemljaPorijekla,
naziv
    ";
    
    $DVO_o = new DateTime($DVOod);
    $DVO_o2 = new DateTime($DVOdo);

    $statement = $db->prepare($query);
    $statement->bindValue(':DVOOd', $DVO_o->format("Y-m-d H:i:s"));
    $statement->bindValue(':DVODo', $DVO_o2->format("Y-m-d H:i:s"));

    $statement->execute();
    $rezultat= $statement->fetchAll();
    $statement->closeCursor();
    return $rezultat;    
}

function get_tabela2($DVOod,$DVOdo,$zemlja='',$broDo='',$verzi='',$godina=2015) {
    global $db;
    
/*    
$maketemp = "CREATE TEMPORARY TABLE odabrane_zemlje (zemlja CHAR(3) NOT NULL)";  
$statement = $db->prepare($maketemp); $statement->execute();  $statement->closeCursor();
if ($zemlja == 'CN') 
   $inserttemp = "INSERT INTO odabrane_zemlje SELECT zemlja FROM zemlje WHERE zemlja = 'CN'";
else        
   $inserttemp = "INSERT INTO odabrane_zemlje SELECT zemlja FROM zemlje WHERE zemlja <> 'CN'";
$statement = $db->prepare($inserttemp); $statement->execute(); $statement->closeCursor();
$insert = "CREATE TEMPORARY TABLE odabrane_zemlje_ (zemlja CHAR(3) NOT NULL) AS SELECT * FROM odabrane_zemlje;";        
$statement = $db->prepare($insert); $statement->execute(); $statement->closeCursor();
 //where r.zemljaPorijekla in (select zemlja from odabrane_zemlje) ovo sve je izbačeno jer je na severu sporo radilo(3 minute)
 //kod izbora nekinesko a na lokalnom je dobro radilo ?    
//poslije unije u queriju neda čitati istu tmp odabrane_zemlje pa se napravi kopija odabrane_zemlje_ (veli can't reopen)
*/
/*    
if ($zemlja == '')  {  
  $query = "select zemlja from zemlje where zemlja <> 'CN'"; 
  $statement = $db->prepare($query); $statement->execute(); $rezultat= $statement->fetchAll(); $statement->closeCursor();
  $brojSlogova = count($rezultat);
  $brojac = 0;
  foreach($rezultat as $rez) {
      $brojac = $brojac + 1;
      if ($brojac == $brojSlogova)       
         $zemlja .= $rez['zemlja'];  //zadnnji slog
      else    
         $zemlja .= $rez['zemlja'] . ","; //svi ostali            
  }       
} else {
   $zemlja = "CN"; 
}   
 */                  
if ($broDo =='') {
$query = "
    select 
    tarifniBroj, 
    sum(kolicinaPrimkeStavka) as kolicinaPrimkeStavka, 
    sum(iznosPrimkeStavka) as iznosPrimkeStavka, 
    sum(kolicinaIzdatniceStavka) as kolicinaIzdatniceStavka, 
    sum(iznosIzdatniceStavka) as iznosIzdatniceStavka, 
    zemljaPorijekla, 
    nazivZemljeHR,
    ifnull(naziv, 'Nema tarifnog broja') as naziv

    from 
    (
        select    
          r.tarifniBroj as tarifniBroj,
          if(s.vrsDo='1',s.kolicina,0) as kolicinaPrimkeStavka,
--        if(s.vrsDo='1',round(s.kolicina*s.cijena,2),0) as iznosPrimkeStavka,  
          if(s.vrsDo='1',round(s.kolicina*s.nabavnaCijena,2) - round(round(s.kolicina*s.nabavnaCijena,2) * s.`rabatPopust`/100,2) ,0) as iznosPrimkeStavka,
          if(s.vrsDo='7',s.kolicina,0) as kolicinaIzdatniceStavka,
          if(s.vrsDo='7',round(s.kolicina*s.cijena,2),0) as iznosIzdatniceStavka,    
          r.zemljaPorijekla as zemljaPorijekla, 
          nazivZemljeHR,
          ifnull(t.`nazivTarifnogBroja`, nazivRobe) as naziv
        from murskiga_robno_din_14.dok_stavke as s
        join murskiga_robno_din_14.dok_zag as z 
        on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
        and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi  
         join murskiga_robno_din_14.partner as p on p.kodPartnera=z.kodPartnera
        left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe`
        left outer join tarifni_brojevi as t on t.`tarifniBroj`=r.`tarifniBroj`
        left outer join zemlje as ze on ze.zemlja=r.zemljaPorijekla 
        where z.DVO between :DVOOd and :DVODo
--        and FIND_IN_SET(trim(r.zemljaPorijekla), :zemlja)
        and ((trim(:zemlja)='' and r.`zemljaPorijekla`<>'CN') or (trim(:zemlja)='CN' and r.`zemljaPorijekla`='CN'))
         and ( (s.vrsDo='7' and s.proda = '203') or s.vrsDo='1' )
         and p.`vrstaPartnera`<>3 and p.`vrstaPartnera`<>7
        and r.`robaUsluga`='R'
        and (r.vrstaArtikla = 'BIT' or r.vrstaArtikla = 'ODI')       
        union all

        select    
          r.tarifniBroj as tarifniBroj,
          if(s.vrsDo='1',s.kolicina,0) as kolicinaPrimkeStavka,
--          if(s.vrsDo='1',round(s.kolicina*s.cijena,2),0) as iznosPrimkeStavka,
          if(s.vrsDo='1',round(s.kolicina*s.nabavnaCijena,2) - round(round(s.kolicina*s.nabavnaCijena,2) * s.`rabatPopust`/100,2) ,0) as iznosPrimkeStavka,
          if(s.vrsDo='7',s.kolicina,0) as kolicinaIzdatniceStavka,
          if(s.vrsDo='7',round(s.kolicina*s.cijena,2),0) as iznosIzdatniceStavka,    
          r.zemljaPorijekla as zemljaPorijekla,
          nazivZemljeHR,
          ifnull(t.`nazivTarifnogBroja`, nazivRobe) as naziv
        from dok_stavke as s
        join dok_zag as z 
        on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
        and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi 
          join partner as p on p.kodPartnera=z.kodPartnera
        left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe`
        left outer join tarifni_brojevi as t on t.`tarifniBroj`=r.`tarifniBroj`
        left outer join zemlje as ze on ze.zemlja=r.zemljaPorijekla
        where z.DVO between :DVOOd and :DVODo
--        and FIND_IN_SET(trim(r.zemljaPorijekla), :zemlja)
        and ((trim(:zemlja)='' and r.`zemljaPorijekla`<>'CN') or (trim(:zemlja)='CN' and r.`zemljaPorijekla`='CN'))
         and ( (s.vrsDo='7' and s.proda = '203') or s.vrsDo='1' )
         and p.`vrstaPartnera`<>3 and p.`vrstaPartnera`<>7
        and r.`robaUsluga`='R'
        and (r.vrstaArtikla = 'BIT' or r.vrstaArtikla = 'ODI')  
    ) as t
    group by
    tarifniBroj, 
    zemljaPorijekla,
        naziv

    ";
    
    $DVO_o = new DateTime($DVOod);
    $DVO_o2 = new DateTime($DVOdo);
    $statement = $db->prepare($query);
    $statement->bindValue(':DVOOd', $DVO_o->format("Y-m-d H:i:s"));
    $statement->bindValue(':DVODo', $DVO_o2->format("Y-m-d H:i:s"));
    $statement->bindValue(':zemlja', $zemlja);    
    $statement->execute();
    $rezultat= $statement->fetchAll();
    $statement->closeCursor();
    return $rezultat;  
    
    } else {  //samo jedna izdatnica se obrađuje
        
    $query = "
    select 
    tarifniBroj, 
    sum(kolicinaPrimkeStavka) as kolicinaPrimkeStavka, 
    sum(iznosPrimkeStavka) as iznosPrimkeStavka, 
    sum(kolicinaIzdatniceStavka) as kolicinaIzdatniceStavka, 
    sum(iznosIzdatniceStavka) as iznosIzdatniceStavka, 
    zemljaPorijekla, 
    nazivZemljeHR,
    ifnull(naziv, 'Nema tarifnog broja') as naziv

    from 
    (
        select    
          r.tarifniBroj as tarifniBroj,
          if(s.vrsDo='1',s.kolicina,0) as kolicinaPrimkeStavka,
--        if(s.vrsDo='1',round(s.kolicina*s.cijena,2),0) as iznosPrimkeStavka,  
          if(s.vrsDo='1',round(s.kolicina*s.nabavnaCijena,2) - round(round(s.kolicina*s.nabavnaCijena,2) * s.`rabatPopust`/100,2) ,0) as iznosPrimkeStavka,
          if(s.vrsDo='7',s.kolicina,0) as kolicinaIzdatniceStavka,
          if(s.vrsDo='7',round(s.kolicina*s.cijena,2),0) as iznosIzdatniceStavka,    
          r.zemljaPorijekla as zemljaPorijekla, 
          nazivZemljeHR,
          ifnull(t.`nazivTarifnogBroja`, nazivRobe) as naziv
        from murskiga_robno_din_14.dok_stavke as s
        join murskiga_robno_din_14.dok_zag as z 
        on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
        and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi   
        left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe`
        left outer join tarifni_brojevi as t on t.`tarifniBroj`=r.`tarifniBroj`
        left outer join zemlje as ze on ze.zemlja=r.zemljaPorijekla 
        where z.DVO between :DVOOd and :DVODo
--        and FIND_IN_SET(trim(r.zemljaPorijekla), :zemlja)
        and ((trim(:zemlja)='' and r.`zemljaPorijekla`<>'CN') or (trim(:zemlja)='CN' and r.`zemljaPorijekla`='CN'))
        and (s.vrsDo='7' and s.broDo = :broDo and s.verzi = :verzi and year(z.DVO) = :godina and s.proda = '203')
        and r.`robaUsluga`='R'
        and (r.vrstaArtikla = 'BIT' or r.vrstaArtikla = 'ODI')       
        union all

        select    
          r.tarifniBroj as tarifniBroj,
          if(s.vrsDo='1',s.kolicina,0) as kolicinaPrimkeStavka,
--          if(s.vrsDo='1',round(s.kolicina*s.cijena,2),0) as iznosPrimkeStavka,
          if(s.vrsDo='1',round(s.kolicina*s.nabavnaCijena,2) - round(round(s.kolicina*s.nabavnaCijena,2) * s.`rabatPopust`/100,2) ,0) as iznosPrimkeStavka,
          if(s.vrsDo='7',s.kolicina,0) as kolicinaIzdatniceStavka,
          if(s.vrsDo='7',round(s.kolicina*s.cijena,2),0) as iznosIzdatniceStavka,    
          r.zemljaPorijekla as zemljaPorijekla,
          nazivZemljeHR,
          ifnull(t.`nazivTarifnogBroja`, nazivRobe) as naziv
        from dok_stavke as s
        join dok_zag as z 
        on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
        and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi 
        left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe`
        left outer join tarifni_brojevi as t on t.`tarifniBroj`=r.`tarifniBroj`
        left outer join zemlje as ze on ze.zemlja=r.zemljaPorijekla
        where z.DVO between :DVOOd and :DVODo
--        and FIND_IN_SET(trim(r.zemljaPorijekla), :zemlja)
        and ((trim(:zemlja)='' and r.`zemljaPorijekla`<>'CN') or (trim(:zemlja)='CN' and r.`zemljaPorijekla`='CN'))
        and (s.vrsDo='7' and s.broDo = :broDo and s.verzi = :verzi and year(z.DVO) = :godina and s.proda = '203')
        and r.`robaUsluga`='R'
        and (r.vrstaArtikla = 'BIT' or r.vrstaArtikla = 'ODI')  
    ) as t
    group by
    tarifniBroj, 
    zemljaPorijekla,
        naziv

    ";
    $DVOod = '2014-01-01 00:00:00'; $DVOdo = '2015-12-01 12:59:59';
    $DVO_o = new DateTime($DVOod);
    $DVO_o2 = new DateTime($DVOdo);
    $statement = $db->prepare($query);
    $statement->bindValue(':DVOOd', $DVO_o->format("Y-m-d H:i:s"));
    $statement->bindValue(':DVODo', $DVO_o2->format("Y-m-d H:i:s"));
    $statement->bindValue(':zemlja', $zemlja); 
    $statement->bindValue(':broDo', $broDo);
    $statement->bindValue(':verzi', $verzi);
    $statement->bindValue(':godina', $godina);
    $statement->execute();
    $rezultat= $statement->fetchAll();
    $statement->closeCursor();
    return $rezultat;              
    }
}

function get_srednjeCijeneIzdatnica($DVOod,$DVOdo) {
    global $db;
    
    $query = "
select 
kodRobe, 
nazivRobe, 
cijena,
broDo,
proda
from 
(
    select 
    s.kodRobe, 
    s.cijena, 
    r.nazivRobe,   
    s.broDo,
    s.proda
    from murskiga_robno_din_14.dok_stavke as s
    join murskiga_robno_din_14.dok_zag as z 
    on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
    and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi    
    left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe` 
    where z.DVO between :DVOOd and :DVODo
    and s.vrsDo='7' 
    and s.proda='203'
    and s.broDo not in (60, 67, 70, 73, 80, 82)
    and r.`robaUsluga`='R'

    union all
    
    select 
    s.kodRobe, 
    s.cijena, 
    r.nazivRobe,  
    s.broDo,
    s.proda
    from dok_stavke as s
    join dok_zag as z 
    on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
    and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi    
    left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe` 
    where z.DVO between :DVOOd and :DVODo
    and s.vrsDo='7' 
    and s.proda='203'
    and s.broDo not in (5, 7, 8, 9, 14, 15, 21, 30, 31, 32, 36, 37, 39) 
    and r.`robaUsluga`='R'
    
) as t
order by
kodRobe 
    ";
    
    $DVO_o = new DateTime($DVOod);
    $DVO_o2 = new DateTime($DVOdo);

    $statement = $db->prepare($query);
    $statement->bindValue(':DVOOd', $DVO_o->format("Y-m-d H:i:s"));
    $statement->bindValue(':DVODo', $DVO_o2->format("Y-m-d H:i:s"));

    $statement->execute();
    $rezultat= $statement->fetchAll();
    $statement->closeCursor();
    return $rezultat;
    
}

function get_tabela6($DVOod,$DVOdo) {
    global $db;
    
    $query = "
select 
nazivPartnera, 
adresa,
tarifniBroj, 
zemljaPorijekla,
`mjestoSjedista`,
`brojPoste`,
`mjestoPoste`,
kodPartnera,
naziv

from 
(
    select 
    p.nazivPartnera, 
    `ulicaBroj` as adresa,
    r.tarifniBroj,
--    if(r.tarifniBroj='87120030C' or trim(r.tarifniBroj)='', s.kodRobe , ifnull(r.tarifniBroj,s.kodRobe)) as tarifniBroj, 
    zemljaPorijekla,
    `mjestoSjedista`,
    `brojPoste`,
    `mjestoPoste`,
    p.`kodPartnera`,
    ifnull(t.`nazivTarifnogBroja`, nazivRobe) as naziv
    from murskiga_robno_din_14.dok_stavke as s
    join murskiga_robno_din_14.dok_zag as z 
    on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
    and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi
    join murskiga_robno_din_14.partner as p on p.kodPartnera=z.kodPartnera
    left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe`
    left outer join tarifni_brojevi as t on t.`tarifniBroj`=r.`tarifniBroj`
    where z.DVO between :DVOOd and :DVODo
    and s.vrsDo='1' 
    and p.`vrstaPartnera`<>3 and p.`vrstaPartnera`<>7
    and r.`robaUsluga`='R'

    union all

    select 
    p.nazivPartnera, 
    `ulicaBroj` as adresa,
    r.tarifniBroj,
--    if(r.tarifniBroj='87120030C' or trim(r.tarifniBroj)='', s.kodRobe , ifnull(r.tarifniBroj,s.kodRobe)) as tarifniBroj, 
    zemljaPorijekla,
    `mjestoSjedista`,
    `brojPoste`,
    `mjestoPoste`,
    p.`kodPartnera`,
    ifnull(t.`nazivTarifnogBroja`, nazivRobe) as naziv
    from dok_stavke as s
    join dok_zag as z 
    on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
    and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi
    join partner as p on p.kodPartnera=z.kodPartnera
    left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe`
    left outer join tarifni_brojevi as t on t.`tarifniBroj`=r.`tarifniBroj`
    where z.DVO between :DVOOd and :DVODo
    and s.vrsDo='1'
    and p.`vrstaPartnera`<>3 and p.`vrstaPartnera`<>7
    and r.`robaUsluga`='R'
) as t
group by
nazivPartnera, 
adresa,
`kodPartnera`,
tarifniBroj, 
zemljaPorijekla,
`mjestoSjedista`,
`brojPoste`,
`mjestoPoste`,
naziv
    ";
    
    $DVO_o = new DateTime($DVOod);
    $DVO_o2 = new DateTime($DVOdo);

    $statement = $db->prepare($query);
    $statement->bindValue(':DVOOd', $DVO_o->format("Y-m-d H:i:s"));
    $statement->bindValue(':DVODo', $DVO_o2->format("Y-m-d H:i:s"));

    $statement->execute();
    $rezultat= $statement->fetchAll();
    $statement->closeCursor();
    return $rezultat;
    
}
 
function get_tablica_10_maloprodaja($DVOod,$DVOdo) {
    global $db;
    
    $query = "
select 
tarifniBroj, 
sum(kolicina) as kolicina, 
sum(iznos) as iznos, 
zemljaPorijekla, 
naziv

from 
(
    select 
    if(r.tarifniBroj='87120030C' or trim(r.tarifniBroj)='', s.kodRobe , ifnull(r.tarifniBroj,s.kodRobe)) as tarifniBroj, 
    s.kolicina as kolicina, 
    round(s.kolicina*s.cijena,2) - round(round(s.kolicina*s.cijena,2) * s.`rabatPopust`/100,2) as iznos,
    if(r.zemljaPorijekla='CN','CN','N') as zemljaPorijekla,
    ifnull(t.`nazivTarifnogBroja`, nazivRobe) as naziv
    from murskiga_robno_din_14.dok_stavke as s
    join murskiga_robno_din_14.dok_zag as z 
    on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
    and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi
    left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe`
    left outer join tarifni_brojevi as t on t.`tarifniBroj`=r.`tarifniBroj`
    where z.DVO between :DVOOd and :DVODo
    and s.vrsDo='8' 
    and r.`robaUsluga`='R'

    union all

    select 
    if(r.tarifniBroj='87120030C' or trim(r.tarifniBroj)='', s.kodRobe , ifnull(r.tarifniBroj,s.kodRobe)) as tarifniBroj, 
    s.kolicina as kolicina, 
    round(s.kolicina*s.cijena,2) - round(round(s.kolicina*s.cijena,2) * s.`rabatPopust`/100,2) as iznos,
    if(r.zemljaPorijekla='CN','CN','N') as zemljaPorijekla,
    ifnull(t.`nazivTarifnogBroja`, nazivRobe) as naziv
    from dok_stavke as s
    join dok_zag as z 
    on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
    and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi
    left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe`
    left outer join tarifni_brojevi as t on t.`tarifniBroj`=r.`tarifniBroj`
    where z.DVO between :DVOOd and :DVODo
    and s.vrsDo='8'
    and r.`robaUsluga`='R'
) as t
group by
tarifniBroj, 
zemljaPorijekla,
naziv
    ";
    
    $DVO_o = new DateTime($DVOod);
    $DVO_o2 = new DateTime($DVOdo);

    $statement = $db->prepare($query);
    $statement->bindValue(':DVOOd', $DVO_o->format("Y-m-d H:i:s"));
    $statement->bindValue(':DVODo', $DVO_o2->format("Y-m-d H:i:s"));

    $statement->execute();
    $rezultat= $statement->fetchAll();
    $statement->closeCursor();
    return $rezultat;
    
}

function get_roba_po_izd_na_203($DVOod,$DVOdo) {
    global $db;
    
    $query = "
    select 
    kodRobe,
    nazivRobe,
    tarifniBroj,
    vrstaArtikla,
    sum(kolicina) as kolicina, 
    sum(iznos) as iznos, 
    zemljaPorijekla, 
    nazivZemljeHR,
    ifnull(naziv, 'Nema tarifnog broja') as naziv
    from
    (
        select    
          s.kodRobe,
          r. nazivRobe,
          r.tarifniBroj,
          r.vrstaArtikla,
          s.kolicina,
          round(s.kolicina*s.cijena,2) as iznos,    
          r.zemljaPorijekla as zemljaPorijekla, 
          nazivZemljeHR,
          ifnull(t.`nazivTarifnogBroja`, nazivRobe) as naziv
        from murskiga_robno_din_14.dok_stavke as s
        join murskiga_robno_din_14.dok_zag as z 
        on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
        and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi  
         join murskiga_robno_din_14.partner as p on p.kodPartnera=z.kodPartnera
        left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe`
        left outer join tarifni_brojevi as t on t.`tarifniBroj`=r.`tarifniBroj`
        left outer join zemlje as ze on ze.zemlja=r.zemljaPorijekla 
        where z.DVO between :DVOOd and :DVODo
         and (z.vrsDo='7' and z.proda = '203' and z.verzi='E')
         and r.`robaUsluga`='R'
        union all

        select    
          s.kodRobe,
          r. nazivRobe,
          r.tarifniBroj,
          r.vrstaArtikla,
          s.kolicina,
          round(s.kolicina*s.cijena,2) as iznos,    
          r.zemljaPorijekla as zemljaPorijekla,
          nazivZemljeHR,
          ifnull(t.`nazivTarifnogBroja`, nazivRobe) as naziv
        from dok_stavke as s
        join dok_zag as z 
        on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
        and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi 
          join partner as p on p.kodPartnera=z.kodPartnera
        left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe`
        left outer join tarifni_brojevi as t on t.`tarifniBroj`=r.`tarifniBroj`
        left outer join zemlje as ze on ze.zemlja=r.zemljaPorijekla
        where z.DVO between :DVOOd and :DVODo
         and (z.vrsDo='7' and z.proda = '203' and z.verzi='E')
         and r.`robaUsluga`='R'
    ) as t
    group by
    tarifniBroj, 
    zemljaPorijekla,
        naziv
    ";
    
    $DVO_o = new DateTime($DVOod);
    $DVO_o2 = new DateTime($DVOdo);

    $statement = $db->prepare($query);
    $statement->bindValue(':DVOOd', $DVO_o->format("Y-m-d H:i:s"));
    $statement->bindValue(':DVODo', $DVO_o2->format("Y-m-d H:i:s"));

    $statement->execute();
    $rezultat= $statement->fetchAll();
    $statement->closeCursor();
    return $rezultat;
    
}

function get_chakyjeva_roba_na_203($DVOod,$DVOdo) {
    global $db;
    
    $query = "
    select 
    kodRobe,
    nazivRobe,
    tarifniBroj,
    vrstaArtikla,
    sum(kolicina) as kolicina, 
    sum(iznos) as iznos, 
    zemljaPorijekla, 
    nazivZemljeHR,
    ifnull(naziv, 'Nema tarifnog broja') as naziv
    from
    (
        select    
          s.kodRobe,
          r. nazivRobe,
          r.tarifniBroj,
          r.vrstaArtikla,
          s.kolicina,
          round(s.kolicina*s.cijena,2) as iznos,    
          r.zemljaPorijekla as zemljaPorijekla, 
          nazivZemljeHR,
          ifnull(t.`nazivTarifnogBroja`, nazivRobe) as naziv
        from murskiga_robno_din_14.dok_stavke as s
        join murskiga_robno_din_14.dok_zag as z 
        on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
        and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi  
         join murskiga_robno_din_14.partner as p on p.kodPartnera=z.kodPartnera
        left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe`
        left outer join tarifni_brojevi as t on t.`tarifniBroj`=r.`tarifniBroj`
        left outer join zemlje as ze on ze.zemlja=r.zemljaPorijekla 
        where z.DVO between :DVOOd and :DVODo
         and (z.vrsDo='1' and z.proda = '203' and z.kodPartnera='467')
         and r.`robaUsluga`='R'

        union all

        select    
          s.kodRobe,
          r. nazivRobe,
          r.tarifniBroj,
          r.vrstaArtikla,
          s.kolicina,
          round(s.kolicina*s.cijena,2) as iznos,    
          r.zemljaPorijekla as zemljaPorijekla,
          nazivZemljeHR,
          ifnull(t.`nazivTarifnogBroja`, nazivRobe) as naziv
        from dok_stavke as s
        join dok_zag as z 
        on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
        and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi 
          join partner as p on p.kodPartnera=z.kodPartnera
        left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe`
        left outer join tarifni_brojevi as t on t.`tarifniBroj`=r.`tarifniBroj`
        left outer join zemlje as ze on ze.zemlja=r.zemljaPorijekla
        where z.DVO between :DVOOd and :DVODo
         and (z.vrsDo='1' and z.proda = '203' and z.kodPartnera='467')
         and r.`robaUsluga`='R'
    ) as t
    group by
    tarifniBroj, 
    zemljaPorijekla,
        naziv
    ";
    
    $DVO_o = new DateTime($DVOod);
    $DVO_o2 = new DateTime($DVOdo);

    $statement = $db->prepare($query);
    $statement->bindValue(':DVOOd', $DVO_o->format("Y-m-d H:i:s"));
    $statement->bindValue(':DVODo', $DVO_o2->format("Y-m-d H:i:s"));

    $statement->execute();
    $rezultat= $statement->fetchAll();
    $statement->closeCursor();
    return $rezultat;
    
}
?>