<?php
function get_robu_za_rc($parametri) {
    global $db;
    if(isset($_POST['podgrupe']) && trim($parametri['kodRobneGrupe'])!='') {
        $grupe=  explode(',', $parametri['kodRobneGrupe']);
        $sqlGrupe="( ";
        foreach ($grupe as $grupa) {
            if($sqlGrupe!="( ")
                $sqlGrupe.="
                  or ";
            $sqlGrupe.="(r.kodGrupe LIKE '$grupa%')";
        }
        $sqlGrupe.=" )";
    }
    else {
        $sqlGrupe='FIND_IN_SET(trim(r.kodGrupe), :kodGrupe)';        
    }
    if(trim($parametri['partner'])!='') {
        $join_dok_zag="  
        join dok_zag as z
          on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
          and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi
                ";
        $filter_partnera= "  
        and (z.kodPartnera=:kodPartnera or trim(:kodPartnera)='') 
            ";
    }
    else 
        $join_dok_zag=$filter_partnera='';
    $query = "
    SELECT distinct
    s.proda, 
    r.kodRobe,
    vrstaProdaje
    FROM maticna_robe as r
    join dok_stavke as s on s.kodRobe=r.`kodRobe`
    -- /*
    $join_dok_zag
    -- */
    join poslovnice as p on p.kodPoslovnice=s.proda
    where r.robaUsluga ='R' and s.vrstaProdaje='0'
    and (FIND_IN_SET(trim(s.proda), :proda) or trim(:proda)='' or trim(:proda)='0')
    and FIND_IN_SET(trim(s.vrsDo), :vrsDo)
    and s.DVO between :DVOOd and :DVODo
    -- and (s.DVO>p.datumInventure or p.datumInventure is null)
    and (s.kodRobe=:kodRobe or trim(:kodRobe)='')
     and (trim(:kodGrupe)='' or
    $sqlGrupe
    )    
    $filter_partnera
    ";
    
    $DVOod = new DateTime($parametri['DVOod']);
    $DVOdo = new DateTime($parametri['DVOdo']);
    
    try {
        $statement = $db->prepare($query);
        $proda=implode(",", $parametri['odabranePoslovnice']);
        $vrsDo=implode(",", $parametri['odabraniVrsDok']);
        $statement->bindValue(':proda', $proda);
        $statement->bindValue(':vrsDo', $vrsDo);
        $statement->bindValue(':DVOOd', $DVOod->format("Y-m-d H:i:s"));
        $statement->bindValue(':DVODo', $DVOdo->format("Y-m-d H:i:s"));
        $statement->bindValue(':kodRobe', $parametri['kodRobe']);
        $statement->bindValue(':kodGrupe', $parametri['kodRobneGrupe']);
        if(trim($parametri['partner'])!='')
            $statement->bindValue(':kodPartnera', $parametri['partner']);
        $statement->execute();
        $dokument = $statement->fetchAll();
        $statement->closeCursor();
        return $dokument;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function zapisnici_po_ulazima(&$ulazi) {
    
}

function raspodjela($db, $poslovnica, $kodRobe, $vrstaProdaje,$DVOdo=null,$traziPrimkuZaInternu=false,$interna=null) {
    global $parametri, $pomProda;
    $D = new DateTime($parametri['DVOod']);
    $DVOod = $D->format("Y-m-d H:i:s");
    
    if($DVOdo==null) {
        $DVOdo=$parametri['DVOdo'];
    }

    //if($pomProda==$poslovnica)
        global $datumInventure;
    /*    
    else {
        $slogPoslovnice=get_poslovnica($poslovnica);
        $vrstaPoslovnice=$slogPoslovnice['vrstaPoslovnice'];
        if(trim($slogPoslovnice['datumInventure'])=='') {
            $datumInventure=date("Y").'-01-01 00:00:00';
        }
        else
            $datumInventure=$slogPoslovnice['datumInventure'];
        
    }
     */
    $izlazi=get_izlaze($db, $poslovnica, $kodRobe, $vrstaProdaje,$datumInventure, $DVOdo);
    $raspodjela=count($izlazi)>0; 
    if(!$raspodjela && !$traziPrimkuZaInternu)
        return;
    $ulazi=get_ulaze($db,$poslovnica, $kodRobe, $vrstaProdaje,$datumInventure, $DVOdo);
    $zapisnici=get_nivelacije($db,$poslovnica, $kodRobe, $vrstaProdaje, $datumInventure, $DVOdo);
    
    $indexUlaza=$indexIzlaza=$indexZapisnika=$zaRaspodjelu=0;
    $ukupnoUlaza=count($ulazi);
    $ukupnoIzlaza=count($izlazi);
    $ukunoZapisnika=count($zapisnici);
    $procitaniUlaziNakonIzlaza=false;
    
    // dodana varijabla, jer za dinamik u maloprodaji proin prima mora imati popunjeno polje poslovnmicaMP, 
    // ako nije popunjeno tada interna nema ulaznu fakturu, a ulazi za drugr izlaze postoje
    $izlazImaUlaz=true;
    
    if($ukupnoUlaza<1)
        $trenutniUlaz=null;
    else
        $trenutniUlaz=$ulazi[0];
    
    if(isset($_POST['testMod'])) {
        echo '<b>---------------------------------------------------------------------------------------------------------------------<br>';
        echo 'Poslovnica:'.$poslovnica.' kod robe:'.$kodRobe.' VP:'.$vrstaProdaje.'<br></b>';
    }
    
    while($raspodjela) {
        if(!isset($trenutniIzlaz))
            // uzimamo sljedeći izlaz
            $trenutniIzlaz=$izlazi[$indexIzlaza];
   /*     if($trenutniIzlaz['broDo']==162)
          echo 'samo za break <br>';    */        
        if($ukunoZapisnika>0 && $indexZapisnika<$ukunoZapisnika) {
            if($zapisnici[$indexZapisnika]['DVO']<=$trenutniIzlaz['DVO']) {
                //nivelacije
                if(!$traziPrimkuZaInternu){
                    if($zapisnici[$indexZapisnika]['zapis']=='KN')
                        obrada_nivelacija_izlaza($zapisnici[$indexZapisnika], $izlazi, $indexIzlaza, $ukupnoIzlaza);
                    else    
                        obrada_nivelacija_ulaza($zapisnici[$indexZapisnika], $ulazi, $indexUlaza, $ukupnoUlaza);
                }
                $indexZapisnika++;
                continue;
            }
        }
        
        if($trenutniUlaz===null) {
            // nema (više) ulaza u razdolju
            if(!$procitaniUlaziNakonIzlaza) { // $procitaniUlaziNakonIzlaza==false - još nije gledao ulaze nakon svih izlaza
                //dali su knjiženi ulazi nakon (zadnjeg) izlaza
                get_ulaze_nakon_svih_izlaza($db, $procitaniUlaziNakonIzlaza, $ulazi, $indexUlaza, $ukupnoUlaza, $trenutniUlaz,
                                            $poslovnica, $kodRobe, $vrstaProdaje);
            }            
        }
        // storno 
        if($trenutniIzlaz['kolicina']<0 && $ukupnoUlaza>0) {
            $indexUlaza=obrada_storna($izlazi, $trenutniUlaz===null?$ukupnoUlaza-1:$indexUlaza, $indexIzlaza);
            $trenutniUlaz=$ulazi[$indexUlaza];
        }
         //*/   
        
        if($trenutniUlaz!==null) {
            $i=$zaRaspodjelu=$indexUlaza;
            $i++;
            
            //interne fakture za dinamic
            $dinamikovaInterna=$_SESSION['skracenicaFirme']=='din' && trim($trenutniIzlaz['vrsDo'])=='6';
            
            /*
            // ako je dinamikova primka za internu, svi izlazi osim '6' ju ne smiju vidjeti
            // zato ju sklanjamo u array $primkaZaInternu[$trenutniUlaz['kodPoslovniceMp']] iz kojeg će ju interna pokupiti
            if($_SESSION['skracenicaFirme']=='din' && trim($trenutniIzlaz['vrsDo'])!='6' && $trenutniUlaz['kodPoslovniceMp']!='' ) {
                $trenutniUlaz['indexUlaza']=$indexUlaza;
                $primkaZaInternu[trim($trenutniUlaz['kodPoslovniceMp'])][]=$trenutniUlaz;
                $ulazi[$zaRaspodjelu]['trenutnaKolicina']=0;
                $indexUlaza++;
                if($indexUlaza<$ukupnoUlaza) 
                    $trenutniUlaz=$ulazi[$indexUlaza];
                else 
                    // nema dovoljno ulaza
                    $trenutniUlaz=null;
                continue;
            }
            */
            
            // dali je za dinamikovu internu našao primku -> trim($ulazi[$zaRaspodjelu]['kodPoslovniceMp'])!=trim($trenutniIzlaz['kodPartnera'])) 
            if($dinamikovaInterna) {
                // izlazna interna faktura u kodPartnera ima ulaznu poslovnicu na koju ide
                $poslovnicaProin=get_poslovnica($trenutniIzlaz['kodPartnera']);
                // $proInMaloprodaja - dali je ulazna poslovnica maloprodaja
                $proInMaloprodaja=$poslovnicaProin['vrstaPoslovnice']=='1';
            
                /*
                // ako postoji prije sklonjena primka za tu poslovnicu interne uzima tu primku
                if(isset($primkaZaInternu[trim($trenutniIzlaz['kodPartnera'])])) {
                    foreach ($primkaZaInternu[trim($trenutniIzlaz['kodPartnera'])] as $key => $pPrimka) {
                        if($trenutniIzlaz['cijena']==$pPrimka['trenutnaCijena'] && $trenutniIzlaz['kolicina']==$pPrimka['trenutnaKolicina']) {
                            //$i--; // slijedesći ulaz kojeg će uzeti je ovaj ulaz kojeg sada imamo
                            $indexUlaza=$zaRaspodjelu=$pPrimka['indexUlaza'];
                            $trenutniUlaz=$ulazi[$zaRaspodjelu]=$pPrimka;
                            unset($primkaZaInternu[trim($trenutniIzlaz['kodPartnera'])][$key]);
                            if(count($primkaZaInternu[trim($trenutniIzlaz['kodPartnera'])])<1)
                                unset($primkaZaInternu[trim($trenutniIzlaz['kodPartnera'])]);
                            break; 
                            
                        }
                    }
                }
                 */
            
                if(trim($ulazi[$zaRaspodjelu]['vrsDo'])=='1') {
                    if((trim($ulazi[$zaRaspodjelu]['kodPoslovniceMp'])!='' /* || $proInMaloprodaja */) 
                        && trim($ulazi[$zaRaspodjelu]['kodPoslovniceMp'])!=trim($trenutniIzlaz['kodPartnera'])) {
                        $izlazImaUlaz=false;
                    }
                    else 
                        $izlazImaUlaz=true;
                }    
            }
            
            //ako cijena ulaza i cijena izlaza nisu jednake, pokušava nači ulaz s jednakom cijenom
            if($trenutniUlaz['trenutnaCijena']!=$trenutniIzlaz['cijena']
               || $dinamikovaInterna && $trenutniUlaz['kodPoslovniceMp']!=$trenutniIzlaz['kodPartnera']) {
                while($i<$ukupnoUlaza && ($ulazi[$i]['DVO']<=$trenutniIzlaz['DVO'] || $dinamikovaInterna)) {
                    //ako je cijena trenutnog ulaza za raspodjelu jednaka izlazu,
                    // a količina ulaza s kojim se uspoređujemo nije jednaka količini izlaza, ostavljamo trenutni ulaz
                    if($trenutniIzlaz['cijena']==$ulazi[$i]['trenutnaCijena'] && $trenutniIzlaz['kolicina']<>$ulazi[$i]['trenutnaKolicina']
                       || ($dinamikovaInterna && ((trim($ulazi[$i]['kodPoslovniceMp'])!='' || $proInMaloprodaja) 
                           && trim($ulazi[$i]['kodPoslovniceMp'])!=trim($trenutniIzlaz['kodPartnera'])))) {
                        // za dinamikove interne: ako u primki postoji kodPoslovniceMp skladište proin mora biti jednako tom skladištu, 
                        // za maloprodaju kodPoslovniceMp je popunjeno
                        $i++;
                        continue;
                    }

                    // dali za trenutni izlaz postoji ulaz s istom cijenom i/ili količinom
                    if($trenutniIzlaz['cijena']==$ulazi[$i]['trenutnaCijena'] && $ulazi[$i]['trenutnaKolicina']>0) {
                        if($trenutniIzlaz['kolicina']==$ulazi[$i]['trenutnaKolicina'] || $trenutniIzlaz['kolicina']!=$ulazi[$zaRaspodjelu]['trenutnaKolicina'])
                            $zaRaspodjelu=$i;
                            if($dinamikovaInterna)
                                $izlazImaUlaz=true;
                    }
                    ++$i;
                }
            }
        
        }

        // ispis veze
        if(isset($_POST['testMod'])) {
            if($trenutniUlaz!==null && $izlazImaUlaz) 
                echo 'Ulaz: vrsDo:'.$ulazi[$zaRaspodjelu]['vrsDo'].' broDo:'.$ulazi[$zaRaspodjelu]['broDo']
                    .(trim($ulazi[$zaRaspodjelu]['verzi'])==''?'':'/'.$ulazi[$zaRaspodjelu]['verzi'])
                    .' broj stavke:'.$trenutniIzlaz['brojStavke'].' DVO:'.$ulazi[$zaRaspodjelu]['DVO']
                    .' cijena:'. $ulazi[$zaRaspodjelu]['trenutnaCijena'].' količina:'.$ulazi[$zaRaspodjelu]['trenutnaKolicina'].'<br>';
            else 
                echo 'Ulaz: ne postoji. <br>';
            echo 'Izlaz: vrsDo:'.$trenutniIzlaz['vrsDo'].' broDo:'.$trenutniIzlaz['broDo']
                 .(trim($trenutniIzlaz['verzi'])==''?'':'/'.$trenutniIzlaz['verzi'])
                 .' broj stavke:'.$trenutniIzlaz['brojStavke']   
                 .' DVO:'.$trenutniIzlaz['DVO'].' cijena:'.$trenutniIzlaz['cijena'].' količina:'.$trenutniIzlaz['kolicina'].'<br>';
        }
        // završetak ispisa veza
        
        // ako tražimo primku za neku internu fakturu i našli sno ju, returnom vračamo taj ulaz i izlazimo iz raspodjele
        if($traziPrimkuZaInternu && trim($trenutniIzlaz['vrsDo'])=='6' && $trenutniIzlaz['broDo']==$interna['broDo'] 
           && $trenutniIzlaz['verzi']==$interna['verzi']) {
            //unset($ulazi);
            unset($izlazi);
            if(isset($primkaZaInternu))
               unset($primkaZaInternu);
            return $trenutniUlaz!==null && $izlazImaUlaz?$ulazi[$zaRaspodjelu]:null;
        }
        
        // dali izlaz zadovolgava uvjete iz parametara?
        if($trenutniIzlaz['DVO']>=$DVOod && in_array(trim($trenutniIzlaz['vrsDo']), $parametri['odabraniVrsDok']) 
           && (trim($parametri['partner'])==trim($trenutniIzlaz['kodPartnera']) || trim($parametri['partner'])=='') && !$traziPrimkuZaInternu) {
                // dali je ulazna interna faktura i nije s ničim povezana idemo tražiti primkuu u proIn poslovnicu
                if($trenutniUlaz!==null && trim($ulazi[$zaRaspodjelu]['vrsDo'])=='2' && !isset($ulazi[$zaRaspodjelu]['vezniDok'])) {
                    // ispis
                    if(isset($_POST['testMod']))
                        echo '<u>Interna faktura. Tražim primku.  broDo:'.$ulazi[$zaRaspodjelu]['broDo']
                            .(trim($ulazi[$zaRaspodjelu]['verzi'])==''?'':'/'.$ulazi[$zaRaspodjelu]['verzi'])
                            .' DVO:'.$ulazi[$zaRaspodjelu]['DVO']
                            .' broj stavke:'.$trenutniIzlaz['brojStavke']
                            .' cijena:'. $ulazi[$zaRaspodjelu]['trenutnaCijena'].' količina:'.$ulazi[$zaRaspodjelu]['trenutnaKolicina'].'</u><br>';
                    // završetak ispisa
                    ///*
                    // obrada interne fakture
                    $ulazi[$zaRaspodjelu]=obradi_internu($db,$ulazi[$zaRaspodjelu]);
                    // ako je $trenutniUlaz  ulaz za raspodjelu (ne mora biti, možda je interna poslije) 
                    // u $trenutniUlaz stavi podatke primke koju smo dobili iz obrade interne
                    if($ulazi[$zaRaspodjelu]['DVO']==$trenutniUlaz['DVO'])
                        $trenutniUlaz=$ulazi[$zaRaspodjelu];
                     // */
            }
            if($trenutniUlaz==null) {
                if(!isset($prosjecanUlaz))
                    $prosjecanUlaz=get_prosjecni_ulaz ($db, $kodRobe, $vrstaProdaje);
                add_ostvarenaRC(count($prosjecanUlaz)>0?$prosjecanUlaz:null, $trenutniIzlaz);
            }
            else {
                if($ulazi[$zaRaspodjelu]['nabavnaCijena']==0) {
                    if(!isset($prosjecanUlaz))
                        $prosjecanUlaz=get_prosjecni_ulaz ($db, $kodRobe, $vrstaProdaje);
                    if(count($prosjecanUlaz)>0) {
                        $ulazi[$zaRaspodjelu]['cijena']=$prosjecanUlaz['cijena'];
                        $ulazi[$zaRaspodjelu]['nabavnaCijena']=$prosjecanUlaz['nabavnaCijena'];
                        $ulazi[$zaRaspodjelu]['marza']=$prosjecanUlaz['marza'];
                        $ulazi[$zaRaspodjelu]['zavisniTroskovi']=$prosjecanUlaz['zavisniTroskovi'];
                        $ulazi[$zaRaspodjelu]['rabatPopust']=$prosjecanUlaz['rabatPopust'];
                        $ulazi[$zaRaspodjelu]['rabatPopustNaKol']=$prosjecanUlaz['rabatPopustNaKol'];
                        $ulazi[$zaRaspodjelu]['casasSconto']=$prosjecanUlaz['casasSconto'];
                    }
                }
                // snima vezu u temp tablicu
                add_ostvarenaRC($trenutniUlaz!==null && $izlazImaUlaz?$ulazi[$zaRaspodjelu]:null, $trenutniIzlaz);
            }
        }
        if(isset($_POST['testMod'])) 
            echo '------------------- <br>';
        
        if($trenutniUlaz!==null) 
            //na izlazima pamti vezu s ulazima u slučaju ako je stavka stornirana zna na koji ulaz vratiti količine
            $izlazi[$indexIzlaza]['indexUlaza']=$zaRaspodjelu;

        
        if($trenutniUlaz===null) {
            unset($trenutniIzlaz);
            $indexIzlaza++;
            if($indexIzlaza>=$ukupnoIzlaza)
                //nema više izlaza
                $raspodjela=false;
        }    
        else if($ulazi[$zaRaspodjelu]['trenutnaKolicina']>=$trenutniIzlaz['kolicina']) {
            //na ulazu imamo više količine nego na izlazu, 
            //smanjujemo količinu na ulazu i 'trošimo' cijeli izlaz 
            $ulazi[$zaRaspodjelu]['trenutnaKolicina']-=$trenutniIzlaz['kolicina'];
            unset($trenutniIzlaz);
            $indexIzlaza++;
            if($indexIzlaza>=$ukupnoIzlaza)
                //nema više izlaza
                $raspodjela=false;
        }    
        else {
            //na izlazu imamo više količine nego na ulazu, 
            //smanjujemo količinu na izlazu i 'trošimo' cijeli ulaz 
            $trenutniIzlaz['kolicina']-=$ulazi[$zaRaspodjelu]['trenutnaKolicina'];
            $ulazi[$zaRaspodjelu]['trenutnaKolicina']=0;     
        }
        
        // dali je trenutni ulaz stavka za raspodjelu -> gleada po DVO, jer po istom DVO-u nema druge 'istovjetne' stavke ulaza
        if($trenutniUlaz!==null)
        if($ulazi[$zaRaspodjelu]['DVO']==$trenutniUlaz['DVO']) {
            if($ulazi[$zaRaspodjelu]['trenutnaKolicina']>0)
                $trenutniUlaz=$ulazi[$zaRaspodjelu];
            else {
                //objašnjenje while petlje:
                // Ako je trenutna količina manja od 0 to je storno -> storno na ulaziima nas ne zanima (za sada)
                // ako je trrnutna kolićina 0 ulaz je već prije raspodjeljen
                while($ulazi[$indexUlaza]['trenutnaKolicina']<=0 && $indexUlaza<$ukupnoUlaza) {
                    $indexUlaza++;
                    if($indexUlaza<$ukupnoUlaza) 
                        $trenutniUlaz=$ulazi[$indexUlaza];
                    else {
                        // nema dovoljno ulaza
                        $trenutniUlaz=null;
                        break;
                    }
                }
            }
        }
    }  

    unset($ulazi);
    unset($izlazi);
    if(isset($primkaZaInternu))
       unset($primkaZaInternu);
    
    /*
    if($traziPrimkuZaInternu) {
        if($trenutniUlaz===null) {
            // nema (više) ulaza u razdolju
            if(!$procitaniUlaziNakonIzlaza) { // $ulaziNakonIzlaza==false - još nije gledao ulaze nakon svih izlaza
                //dali su knjiženi ulazi nakon (zadnjeg) izlaza
                get_ulaze_nakon_svih_izlaza($db, $procitaniUlaziNakonIzlaza, $ulazi, $indexUlaza, $ukupnoUlaza, $trenutniUlaz,
                                            $poslovnica, $kodRobe, $vrstaProdaje);                
            }
            
        }

        while($indexUlaza<$ukupnoUlaza) {
            if($ulazi[$indexUlaza]['trenutnaKolicina']>0) {
                return $ulazi[$indexUlaza];
            }    
            $indexUlaza++;
        }

        return null;
    } 
     */
} 

function obrada_nivelacija_ulaza($zapisnik,&$ulazi,$indexUlaza,$ukupnoUlaza) {
    $i=$indexUlaza;
    $djelomicno=-1;
    while($i<$ukupnoUlaza) {
        if($ulazi[$i]['DVO']>$zapisnik['DVO'])
            break;
        if($zapisnik['kolicina']==$ulazi[$i]['trenutnaKolicina'] && $zapisnik['cijena']==$ulazi[$i]['trenutnaCijena']) { 
            $ulazi[$i]['trenutnaCijena']=$ulazi[$i]['nivelacija']=$zapisnik['novaCijena'];
            return;
        }
        if($zapisnik['cijena']==$ulazi[$i]['trenutnaCijena']) { 
            $djelomicno=$i;
        }
        $i++;
    }
    
    // ukoliko nije našao jednu stavku koja se poklapa po cijeni i količini, nivelaciju stavlja na ulaze sistom cijenom 
    // a koji sumarno pokrivaju količinu 
    while($djelomicno>=0 && $zapisnik['kolicina']>0) {
        if($zapisnik['cijena']==$ulazi[$djelomicno]['trenutnaCijena']) { 
            $ulazi[$djelomicno]['trenutnaCijena']=$ulazi[$djelomicno]['nivelacija']=$zapisnik['novaCijena'];
            $zapisnik['kolicina']-=$ulazi[$djelomicno]['trenutnaKolicina'];
        }
        $djelomicno--; 
    }
}

function obrada_nivelacija_izlaza($zapisnik,$izlazi,$indexIzlaza,$ukupnoIzlaza) {
    global $parametri;
    $i=$indexIzlaza-1;
    $djelomicno=-1;
    while($i>=0 && $zapisnik['DVO']>=$parametri['DVOod']) {
        if($zapisnik['kolicina']==$izlazi[$i]['kolicina'] && $zapisnik['cijena']==$izlazi[$i]['cijena']) {
            global $db;
            update_nivelacijaIzl($izlazi[$i],$zapisnik['novaCijena']);

            return;
        }
        if($zapisnik['cijena']==$izlazi[$i]['cijena'] && $djelomicno==-1)  
            $djelomicno=$i;
        
        $i--;
    }    
    
    // ukoliko nije našao jednu stavku koja se poklapa po cijeni i količini, nivelaciju stavlja na ulaze s istom cijenom 
    // a koji sumarno pokrivaju količinu 
    while($djelomicno>=0 && $zapisnik['kolicina']>0) {
        if($zapisnik['cijena']==$izlazi[$djelomicno]['cijena']) { 
            update_nivelacijaIzl($izlazi[$djelomicno],$zapisnik['novaCijena']);
            $zapisnik['kolicina']-=$izlazi[$djelomicno]['kolicina'];
        }
        $djelomicno--; 
    }
}

function obrada_storna($izlazi, $indexUlaza,$indexIzlaza ) {
     $i=$indexIzlaza-1;
     $kandidat=$indexUlaza;
     while($i>=0) {
         if(!isset($izlazi[$i]['indexUlaza'])) {
             $i--;
             continue;
         }
         if($izlazi[$i]['kolicina']==$izlazi[$indexIzlaza]['kolicina'] && $izlazi[$i]['cijena']==$izlazi[$indexIzlaza]['cijena'])
             return $izlazi[$i]['indexUlaza'];
         
         if($izlazi[$i]['cijena']==$izlazi[$indexIzlaza]['cijena'] && $kandidat==$indexUlaza)
             $kandidat=$izlazi[$i]['indexUlaza'];
         $i--;
     }
     return $kandidat;
    
}

function obradi_internu($db,$ulaznaInterna) {    
    $dokument=$ulaznaInterna;
    $ulaznaInterna['vezniDok']=array();
    
    $dubina=5;
    $i=0;
    while(trim($dokument['vrsDo'])=='2' && ++$i<$dubina) {
        $d=new DateTime($dokument['DVO']);
        // $d->modify('- 1 sec');
        $d->modify('+ 1 sec');
        $DVOdo=$d->format("Y-m-d H:i:s");
        $dokument=raspodjela($db,$dokument['proIn'], $dokument['kodRobe'], $dokument['vrstaProdaje'], $DVOdo, 
                             $traziPrimkuZaInternu=true,$dokument);
        if($dokument===null) {
            if(isset($_POST['testMod']))
                echo '<u>Ulazni dokument za internu fakturu nije nađen </u><br>';
            return $ulaznaInterna;
        }    
    }

    if(isset($_POST['testMod']))
        echo '<u>Ulaz povezan s internom: vrsDo:'.$dokument['vrsDo'].' broDo:'
            .(trim($dokument['verzi'])==''?'':'/'.$dokument['verzi'])
            .$dokument['broDo'].' DVO:'
            .$dokument['DVO'].' broj stavke:'.$dokument['brojStavke'].'</u><br>';
    $ulaznaInterna['marza']=$dokument['marza'];
    $ulaznaInterna['zavisniTroskovi']=$dokument['zavisniTroskovi'];
    $ulaznaInterna['rabatPopust']=$dokument['rabatPopust'];
    $ulaznaInterna['absRabatPopust']=$dokument['absRabatPopust'];
    $ulaznaInterna['nabavnaCijena']=$dokument['nabavnaCijena'];
    $ulaznaInterna['vezniDok']['vrsDo']=$dokument['vrsDo'];
    $ulaznaInterna['vezniDok']['broDo']=$dokument['broDo'];
    $ulaznaInterna['vezniDok']['verzi']=$dokument['verzi'];
    
    return $ulaznaInterna;
}

function update_nivelacijaIzl($izlaz,$novaCijena) {
    global $db;

    $sql = "
    update ostvarena_rc 
    set nivelacijaIzl=:nivelacijaIzl
    where proda=:proda and kodRobe=:kodRobe and vrstaProdaje=:vrstaProdaje and vrsDoIzl=:vrsDoIzl and zapisIzl=:zapisIzl 
    and broDoIzl=:broDoIzl and verziIzl=:verziIzl and verziIzl=:verziIzl 
    ";
    try {      
        $statement = $db->prepare($sql);

        $statement->bindValue(':proda', $izlaz['proda']);
        $statement->bindValue(':kodRobe', $izlaz['kodRobe']);
        $statement->bindValue(':vrstaProdaje', $izlaz['vrstaProdaje']);
        $statement->bindValue(':vrsDoIzl', $izlaz['vrsDo']);
        $statement->bindValue(':zapisIzl', $izlaz['zapis']);
        $statement->bindValue(':broDoIzl', $izlaz['broDo']);
        $statement->bindValue(':verziIzl', $izlaz['verzi']);
        $statement->bindValue(':brojStavkeIzl', $izlaz['brojStavke']);
        $statement->bindValue(':nivelacijaIzl', $novaCijena);
        $statement->execute();
    } catch (PDOException $e) {
        //$statement->debugDumpParams();
        $error_message = 'Ne mogu upisati u pomoćnu tablicu! ' . $e->getMessage();
        display_db_error($error_message); 
    }         
    
}  

function get_ulaze($db, $poslovnica, $kodRobe, $vrstaProdaje, $DVOOd,$DVODo) {
// u ulazima nisu uključene storno stavke, one su uključene u izlaze
   // global $db;
   
    $query = "
select 
proda, 'I' as vrsDo, proInPu as proIn, zapisPu as zapis, broDoPu as broDo, verziPu as verzi, 0 as brojStavke, 
if((datumPu<'2000-01-01 00:00:00' or datumPu is null), st.datumInventure,datumPu) as DVO,
-- st.datumInventure as DVO,
kodRobe, vrstaProdaje, cijena, kolicinaInventure as kolicina, nabavnaCijenaPu as nabavnaCijena, cijena as trenutnaCijena, kolicinaInventure as trenutnaKolicina,
marzaPu as marza, zavisniTroskoviPu as zavisniTroskovi, rabatPu as rabatPopust, 
absRabatPu as absRabatPopust, 
0 as rabatPopustNaKol, 0 as casasSconto, '' as kodPoslovniceMp, 0 as nivelacija
from stanja0101 as st
-- inner join poslovnice as p on p.kodPoslovnice=st.proda
where proda=:proda 
 and st.kodRobe=:kodRobe
 and vrstaProdaje=:vrstaProdaje
 and `kolicinaInventure`>0 
-- and (st.datumInventure>=:DVOOd  or (p.datumInventure is not null and p.datumInventure>=:DVOOd))


union all

select
s.proda, s.vrsDo,s. proIn, s.zapis, s.broDo, s.verzi, s.brojStavke, s.DVO, 
s.kodRobe, s.vrstaProdaje, s.cijena, s.kolicina, nabavnaCijena, s.cijena as trenutnaCijena, s.kolicina as trenutnaKolicina,
marza, zavisniTroskovi, rabatPopust, absRabatPopust, rabatPopustNaKol, casasSconto,
kodPoslovniceMp, 0 as nivelacija
from dok_stavke as s
inner join vrste_dokumenata as vd on vd.vrsDo=s.vrsDo
join dok_zag as z
  on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
  and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi

where s.proda=:proda and s.kodRobe=:kodRobe and vrstaProdaje=:vrstaProdaje 
and vd.azurStanja=1 and s.vrsDo<>'3' and kolicina>0
and s.DVO between :DVOOd and :DVODo

";
        
    $DVOod = new DateTime($DVOOd);
    $DVOdo = new DateTime($DVODo);
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':proda', $poslovnica);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':vrstaProdaje', $vrstaProdaje);
        $statement->bindValue(':DVOOd', $DVOod->format("Y-m-d H:i:s"));
        $statement->bindValue(':DVODo', $DVOdo->format("Y-m-d H:i:s"));
        $statement->execute();
        $dokument = $statement->fetchAll();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    
    return $dokument;
} 

function get_prosjecni_ulaz($db, $kodRobe, $vrstaProdaje) {
// u ulazima nisu uključene storno stavke, one su uključene u izlaze
   // global $db;
   
    $query = "
select
'prosjek' as proda, '1' as vrsDo, '' as proIn, '' as zapis, 0 as broDo, '' as verzi, 0 as brojStavke, '' as DVO, 
kodRobe, vrstaProdaje, 
round(sum(cijena*kolicina)/sum(kolicina),2) as cijena, round(sum(nabavnaCijena*kolicina)/sum(kolicina),2) as nabavnaCijena, 
round(sum(marza*kolicina)/sum(kolicina),2) as marza, round(sum(zavisniTroskovi*kolicina)/sum(kolicina),2) as zavisniTroskovi, 
round(sum(if(`absRabatPopust`<>'A',rabatPopust,`rabatPopust`*100/cijena)*kolicina)/sum(kolicina),2) as rabatPopust, 
'%' as absRabatPopust, round(sum(rabatPopustNaKol*kolicina)/sum(kolicina),2) as rabatPopustNaKol, 
round(sum(casasSconto*kolicina)/sum(kolicina),2) as casasSconto, 0 as trenutnaKolicina, 0 as nivelacija
from dok_stavke as s
inner join dok_zag as z
  on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
  and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi
inner join poslovnice as p on p.`kodPoslovnice`=s.proda
where s.kodRobe=:kodRobe and vrstaProdaje=:vrstaProdaje 
and s.vrsDo='1' and kolicina>0 and (`vrstaPoslovnice`='0' or `vrstaPoslovnice`='1')
";
        
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':vrstaProdaje', $vrstaProdaje);
        $statement->execute();
        $dokument = $statement->fetch();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    
    return $dokument;
} 

function get_izlaze($db, $poslovnica, $kodRobe, $vrstaProdaje, $DVOOd,$DVODo) {
    global $parametri;
// u izlaze su uključeni storno ulazi i zapisnici koji umanju stanja (ulaze)
    $query = "
select 
s.proda, s.vrsDo, s.proIn, s.zapis, s.broDo, s.verzi, s.brojStavke, s.DVO, 
s.kodRobe, s.vrstaProdaje, s.cijena, s.kolicina, nabavnaCijena,
rabatPopust, absRabatPopust, rabatPopustNaKol, casasSconto, kodPartnera, 0 as nivelacija

from dok_stavke as s
inner join vrste_dokumenata as vd on vd.vrsDo=s.vrsDo
join dok_zag as z
  on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
  and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi

where s.proda=:proda and s.kodRobe=:kodRobe and vrstaProdaje=:vrstaProdaje 
and (vd.azurStanja=-1 
    -- zapisnici koji umanjuju stanja (ulaze) 
    or (s.vrsDo='3' and (s.zapis in ('OT','KR','KA','LO','RE','RB') or s.zapis='RT' and kolicina<0))
    -- storna ulaza
    or (vd.azurStanja=1 and s.vrsDo<>'3' and kolicina<0)
)
and s.DVO>:DVOOd and s.DVO<:DVODo

";
        
    $DVOod = new DateTime($DVOOd);
    $DVOdo = new DateTime($DVODo);
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':proda', $poslovnica);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':vrstaProdaje', $vrstaProdaje);
        $statement->bindValue(':DVOOd', $DVOod->format("Y-m-d H:i:s"));
        $statement->bindValue(':DVODo', $DVOdo->format("Y-m-d H:i:s"));
        $statement->execute();
        $dokument = $statement->fetchAll();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }

    return $dokument;
} 

function get_nivelacije($db, $poslovnica, $kodRobe, $vrstaProdaje, $DVOOd,$DVODo) {
    global $parametri;

    $query = "
select  
s1.proda, s1.vrsDo, s1.proIn, s1.zapis, s1.broDo, s1.verzi, s1.brojStavke, s1.DVO, s1.kodRobe, s1.vrstaProdaje, 
s2.kolicina, s1.cijena, s2.cijena as novaCijena
from dok_stavke as s1
inner join dok_stavke as s2 
on s2.proda=s1.proda and s2.vrsDo=s1.vrsDo and s2.proIn=s1.proIn and s2.zapis=s1.zapis and s2.broDo=s1.broDo and s2.verzi=s1.verzi
and s2.kodRobe=s1.kodRobe and s2.vrstaProdaje=s1.vrstaProdaje and s2.kolicina=-s1.kolicina
where s1.vrsdo=3 and s1.zapis in ('SC','PC','NC','KN') and s1.kolicina<0
and s1.proda=:proda 
and s1.kodRobe=:kodRobe and s1.vrstaProdaje=:vrstaProdaje 
and s1.DVO>=:DVOOd and s1.DVO<:DVODo 
order by s1.proda, s1.vrsDo, s1.proIn, s1.zapis, s1.broDo, s1.verzi

";
        
    $DVOod = new DateTime($DVOOd);
    $DVOdo = new DateTime($DVODo);
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':proda', $poslovnica);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':vrstaProdaje', $vrstaProdaje);
        $statement->bindValue(':DVOOd', $DVOod->format("Y-m-d H:i:s"));
        $statement->bindValue(':DVODo', $DVOdo->format("Y-m-d H:i:s"));
        $statement->execute();
        $dokument = $statement->fetchAll();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }

    return $dokument;
} 

function kreiraj_temp_tablicu() {
    global $db;
    drop_temp_tablicu();

 //'701','RM140276','0', '0', '5','','2954','','22','2017-06-2'     
    $sql = "
    CREATE TEMPORARY TABLE ostvarena_rc (
    rbr INT NOT NULL AUTO_INCREMENT PRIMARY KEY , 
    proda        VARCHAR(5)    NOT NULL,
    kodRobe      VARCHAR(16)   NOT NULL,    
    vrstaProdaje CHAR(1)       NOT NULL,
    vrsDoUl      VARCHAR(2) DEFAULT NULL,
    proInUl      VARCHAR(5) DEFAULT NULL,
    zapisUl      VARCHAR(2) DEFAULT NULL,
    broDoUl      INT DEFAULT NULL,
    verziUl      VARCHAR(3) DEFAULT NULL,
    brojStavkeUl INT DEFAULT NULL,
    DVOUl        DATETIME DEFAULT '2000-01-01 00:00:00', 
    cijenaUl           DECIMAL(11,3) DEFAULT 0,
    nabavnaCijenaUl    DECIMAL(11,3) DEFAULT 0,
    marzaUl      DECIMAL(11,3) DEFAULT 0,
    zavisniTroskoviUl  DECIMAL(11,3) DEFAULT 0,
    rabatPopustUl      DECIMAL(11,3) DEFAULT 0,
    absRabatPopustUl   CHAR(1)    DEFAULT '%',
    casasScontoUl      DECIMAL(11,3)  DEFAULT 0,   
    nivelacijaUl          DECIMAL(11,3)  DEFAULT 0, 
    vrsDoIzl           VARCHAR(2),
    zapisIzl           VARCHAR(2),
    broDoIzl           INT,
    verziIzl           VARCHAR(3),
    brojStavkeIzl      INT,
    DVOIzl             DATETIME,
    cijenaIzl          DECIMAL(11,3)  DEFAULT 0, 
    rabatPopustIzl     DECIMAL(11,3) DEFAULT 0, 
    absRabatPopustIzl  CHAR(1) DEFAULT '%',
    casasScontoIzl     DECIMAL(11,3)  DEFAULT 0,   
    nivelacijaIzl          DECIMAL(11,3)  DEFAULT 0, 
    kolicina           DECIMAL(11,3)  DEFAULT 0,   
      INDEX poPoslovnici (proda, kodRobe, vrstaProdaje,DVOIzl,brojStavkeIzl,DVOUl, rbr), 
      INDEX poRobi (kodRobe, proda, vrstaProdaje,DVOIzl,DVOUl,rbr) 
)    ";
    try {      
        $statement = $db->prepare($sql);
        $statement->execute();
    } catch (PDOException $e) {
        $error_message = 'Ne mogu kreirati pomoćnu tablicu! ' . $e->getMessage();
        display_db_error($error_message); 
    }         
}

function drop_temp_tablicu() {
    global $db;
  $sql = "
    DROP TEMPORARY TABLE IF EXISTS ostvarena_rc
    ";
  try {      
     $statement = $db->prepare($sql);
     $statement->execute();
  } catch (PDOException $e) {
    $error_message = 'Ne mogu obrisati pomoćnu tablicu! ' . $e->getMessage();
    display_db_error($error_message); 
  }     
}

function add_ostvarenaRC($ulaz, $izlaz)
{
    global $db, $parametri;
    
     if(isset($_POST['testMod']))
         echo 'Obrađeni dokument. Ključ:'.$izlaz['proda'].', '.$izlaz['kodRobe']. ', '.$izlaz['vrstaProdaje'].
              ', '.$izlaz['DVO'].', '.$izlaz['brojStavke'].', '.$ulaz['DVO'].'<br>';
     if($ulaz===null) {
        $kolicina=$izlaz['kolicina'];
        $inertUl='marzaUl,';
        $inserUlPar=':marzaUl,';
    }    
    else {
        $kolicina=$ulaz['trenutnaKolicina']<$izlaz['kolicina'] && $ulaz['trenutnaKolicina']>0?$ulaz['trenutnaKolicina']:$izlaz['kolicina'];
        $inertUl=   'vrsDoUl,proInUl,zapisUl,broDoUl,verziUl,DVOUl,brojStavkeUl,marzaUl,zavisniTroskoviUl,rabatPopustUl,absRabatPopustUl,cijenaUl,nabavnaCijenaUl,casasScontoUl,nivelacijaUl,';
        $inserUlPar=':vrsDoUl,:proInUl,:zapisUl,:broDoUl,:verziUl,:DVOUl,:brojStavkeUl,:marzaUl,:zavisniTroskoviUl,:rabatPopustUl,:absRabatPopustUl,:cijenaUl,:nabavnaCijenaUl,:casasScontoUl,:nivelacijaUl,';
    }
    
    $sql = "
    insert into ostvarena_rc (
    proda,kodRobe,vrstaProdaje,
    $inertUl
    vrsDoIzl,zapisIzl,broDoIzl,verziIzl,brojStavkeIzl,
    DVOIzl,
    cijenaIzl,rabatPopustIzl,absRabatPopustIzl,casasScontoIzl,nivelacijaIzl,kolicina   
    )
    values (
    :proda,:kodRobe,:vrstaProdaje,
    $inserUlPar
    :vrsDoIzl,:zapisIzl,:broDoIzl,:verziIzl,:brojStavkeIzl,
    :DVOIzl,
    :cijenaIzl,:rabatPopustIzl,:absRabatPopustIzl,:casasScontoIzl,:nivelacijaIzl,:kolicina   
    )
    ";
    try {      
        $statement = $db->prepare($sql);

        $statement->bindValue(':proda', $izlaz['proda']);
        $statement->bindValue(':kodRobe', $izlaz['kodRobe']);
        $statement->bindValue(':vrstaProdaje', $izlaz['vrstaProdaje']);
   
        $statement->bindValue(':vrsDoIzl', $izlaz['vrsDo']);
        $statement->bindValue(':zapisIzl', $izlaz['zapis']);
        $statement->bindValue(':broDoIzl', $izlaz['broDo']);
        $statement->bindValue(':verziIzl', $izlaz['verzi']);
        $statement->bindValue(':brojStavkeIzl', $izlaz['brojStavke']);
        $statement->bindValue(':DVOIzl', $izlaz['DVO']);
        $statement->bindValue(':cijenaIzl', $izlaz['cijena']);
        $statement->bindValue(':rabatPopustIzl', $izlaz['rabatPopust']);
        $statement->bindValue(':absRabatPopustIzl', $izlaz['absRabatPopust']);
        $statement->bindValue(':casasScontoIzl', $izlaz['casasSconto']);
        $statement->bindValue(':nivelacijaIzl', $izlaz['nivelacija']);
        $statement->bindValue(':kolicina', $kolicina);
        if($ulaz!==null) {
            
            $statement->bindValue(':vrsDoUl', $ulaz['vrsDo']);
            $statement->bindValue(':proInUl', $ulaz['proIn']);
            $statement->bindValue(':zapisUl', $ulaz['zapis']);
            $statement->bindValue(':broDoUl', $ulaz['broDo']);
            $statement->bindValue(':verziUl', $ulaz['verzi']);
            $statement->bindValue(':brojStavkeUl', $ulaz['brojStavke']);
            if(trim($ulaz['DVO'])=='')
                $statement->bindValue(':DVOUl', null, PDO::PARAM_NULL);
            else   
                $statement->bindValue(':DVOUl', $ulaz['DVO']);
        
            //$statement->bindValue(':DVOUl', $ulaz['DVO']);
            $statement->bindValue(':cijenaUl', $ulaz['cijena']);
            $statement->bindValue(':nabavnaCijenaUl', $ulaz['nabavnaCijena']);
            $statement->bindValue(':marzaUl', $ulaz['marza']);
            $statement->bindValue(':zavisniTroskoviUl', $ulaz['zavisniTroskovi']);
            $statement->bindValue(':rabatPopustUl', $ulaz['rabatPopust']);
            $statement->bindValue(':absRabatPopustUl', $ulaz['absRabatPopust']);
            $statement->bindValue(':casasScontoUl', $ulaz['casasSconto']);
            $statement->bindValue(':nivelacijaUl', $ulaz['nivelacija']);
        }
        else {
            $statement->bindValue(':marzaUl', $parametri['postoRC']); 
        }
        $statement->execute();
    } catch (PDOException $e) {
        //$statement->debugDumpParams();
        $error_message = 'Ne mogu upisati u pomoćnu tablicu! ' . $e->getMessage();
        display_db_error($error_message); 
    }         
}


function get_raspodjela_rc() {
    global $db;
    $query = "
        select * from ostvarena_rc 
    ";
        
    try {
        $statement = $db->prepare($query);
        $statement->execute();
        $dokument = $statement->fetchAll();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }

    return $dokument;
}

function get_ulaze_nakon_svih_izlaza($db, &$procitaniUlaziNakonIzlaza, &$ulazi, &$indexUlaza, &$ukupnoUlaza, &$trenutniUlaz,
                                     $poslovnica, $kodRobe, $vrstaProdaje) {
    global $parametri; 
    $procitaniUlaziNakonIzlaza=true; // da ne bi nepotrebno više puta gledao
    if(isset($ulazi[$ukupnoUlaza-1]['DVO']))
        $d=new DateTime($ulazi[$ukupnoUlaza-1]['DVO']);
    else
        $d=new DateTime($parametri['DVOdo']);
    $d->modify('+ 1 sec');
    $pom=get_ulaze($db, $poslovnica, $kodRobe, $vrstaProdaje,
                   $d->format("Y-m-d H:i:s"),
                   date("Y").'-12-31 23:59:59');
    /*
    if(count($pom)>0) {
        $ulazi=$pom;
        $ukupnoUlaza=count($ulazi);
        $indexUlaza=0;
        $trenutniUlaz=$ulazi[0];
    }
     */
    if(count($pom)>0) {
        $ulazi=array_merge($ulazi,$pom);
        $ukupnoUlaza=count($ulazi);
        // $indexUlaza++;
        $trenutniUlaz=$ulazi[$indexUlaza];
    }

}

function get_pripremljene_rc($parametri) {
    global $db, $parametri;
    if($parametri["ispisPoslovnice"]=='odvojeno')
        $sort=$parametri['sort'].', DVOIzl';
    else 
        $sort='m.kodGrupe, m.kodRobe';
    $query = "
select rc.* ,m.nazivRobe,g.kodGrupe,g.nazivGrupe, m.jedinicaMjere
from ostvarena_rc as rc
inner join maticna_robe as m on m.kodRobe=rc.kodRobe
inner join robne_grupe as g on g.kodGrupe=m.kodGrupe
-- inner join poslovnice as p on p.kodPoslovnice=rc.proda
order by $sort
";
    try {
        $statement = $db->prepare($query);
        $statement->execute();
        $dokument = $statement->fetchAll();
        $statement->closeCursor();
        return $dokument;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }

    
    
}
?>