<?php  
require_once('../util/main.php');
//normalno se prebaci cjela maticna_robe iz pravog robnog
//na nju se nadodaju stavke iz maticna_robe_pomo kojih nema u maticna_pomo
//stavke koje postoje u maticna_robe  i maticna_robe_pomo azuriraju se u maticna_robe
//tako da se uzima opis, popust, tkoJeIzmjenio i  datumIzmjene iz maticna_robe_pomo


 $query = '
        SELECT  *
        FROM maticna_robe_pomo';
    try {
        $statement = $db->prepare($query);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
	$dodano = 0;
	foreach($result as $stavka) {
	  $kodRobe = $stavka['kodRobe'];
	  $nazivRobe = $stavka['nazivRobe'];
	  $jedinicaMjere = $stavka['jedinicaMjere'];
	  $cijena = $stavka['cijena'];
	  $popust = $stavka['popust'];
	  $kodGrupe = $stavka['kodGrupe'];
	  $poreznaGrupa = $stavka['poreznaGrupa'];
	  $minZaliha = $stavka['minZaliha'];
	  $EANkod = $stavka['EANkod'];
	  $brutoTezina = $stavka['brutoTezina'];
	  $netoTezina = $stavka['netoTezina'];
	  $zemljaPorijekla = $stavka['zemljaPorijekla'];
	  $zemljaUvoznik = $stavka['zemljaUvoznik'];
	  $proOzRobe = $stavka['proOzRobe'];
	  $sklopPoKatalogu = $stavka['sklopPoKatalogu'];
	  $stavkaSklopa = $stavka['stavkaSklopa'];
	  $kodProizvodjaca = $stavka['kodProizvodjaca'];
	  $povratnaNaknada = $stavka['povratnaNaknada'];
	  $robaUsluga = $stavka['robaUsluga'];
	  $prikazStanja = $stavka['prikazStanja'];
      $opis = $stavka['opis'];
	  $datumOtvaranja = $stavka['datumOtvaranja']; 
	  $datumIzmjene = $stavka['datumIzmjene']; 
	  $tkoJeIzmjenio = $stavka['tkoJeIzmjenio']; 
//  $dodano += 1; 
//  echo 'dodano=' . $dodano; 
    echo '$kodRobe=' . $kodRobe;
	echo '$proOzRobe=' . $proOzRobe;
	  $query = 'INSERT INTO maticna_robe
        (kodRobe, nazivRobe, jedinicaMjere, cijena, popust, kodGrupe, poreznaGrupa,
         minZaliha, EANkod, brutoTezina, netoTezina, zemljaPorijekla, zemljaUvoznik, proOzRobe,
		 sklopPoKatalogu, stavkaSklopa, kodProizvodjaca, povratnaNaknada, robaUsluga, prikazStanja,
         opis, datumOtvaranja, datumIzmjene, tkoJeIzmjenio)
              VALUES
            (:kodRobe, :nazivRobe, :jedinicaMjere, :cijena, :popust, :kodGrupe, :poreznaGrupa,
             :minZaliha, :EANkod, :brutoTezina, :netoTezina, :zemljaPorijekla, :zemljaUvoznik, :proOzRobe,
             :sklopPoKatalogu, :stavkaSklopa, :kodProizvodjaca, :povratnaNaknada, :robaUsluga, :prikazStanja,
             :opis, :datumOtvaranja, :datumIzmjene, :tkoJeIzmjenio)';  			 
		try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':nazivRobe', $nazivRobe);
		$statement->bindValue(':jedinicaMjere', $jedinicaMjere);
		$statement->bindValue(':cijena', $cijena);
		$statement->bindValue(':popust', $popust);
		$statement->bindValue(':kodGrupe', $kodGrupe);
		$statement->bindValue(':poreznaGrupa', $poreznaGrupa);
		$statement->bindValue(':minZaliha', $minZaliha);
		$statement->bindValue(':EANkod', $EANkod);
		$statement->bindValue(':brutoTezina', $brutoTezina);
		$statement->bindValue(':netoTezina', $netoTezina);
		$statement->bindValue(':zemljaPorijekla', $zemljaPorijekla);
		$statement->bindValue(':zemljaUvoznik', $zemljaUvoznik);
		$statement->bindValue(':proOzRobe', $proOzRobe);
		$statement->bindValue(':sklopPoKatalogu', $sklopPoKatalogu);
		$statement->bindValue(':stavkaSklopa', $stavkaSklopa);
		$statement->bindValue(':kodProizvodjaca', $kodProizvodjaca);
		$statement->bindValue(':povratnaNaknada', $povratnaNaknada);
		$statement->bindValue(':robaUsluga', $robaUsluga);
		$statement->bindValue(':prikazStanja', $prikazStanja);
		$statement->bindValue(':opis', $opis);
		$statement->bindValue(':datumOtvaranja', $datumOtvaranja);
        $statement->bindValue(':datumIzmjene', $datumIzmjene);
		$statement->bindValue(':tkoJeIzmjenio', $tkoJeIzmjenio);
        $statement->execute();
        $statement->closeCursor();
//      return $kodRobe;
      	$dodano += 1;
      } catch (PDOException $e) {
     //   $error_message = $e->getMessage();
     //   display_db_error($error_message);
	     echo 'Vec postoji OK ' . $kodRobe;
     } 
	
    }
    echo 'U maticna_robe dodano je: ' .  $dodano . ' slogova '; 	
//izmjena slogova u maticna_robe   koji su se mjenjali    
$izmjenjeno = 0;
	foreach($result as $stavka) {
	  $kodRobe = $stavka['kodRobe'];
	  $popust = $stavka['popust'];
      $opis = $stavka['opis'];
	  $datumIzmjene = $stavka['datumIzmjene']; 
	  $tkoJeIzmjenio = $stavka['tkoJeIzmjenio']; 
	  $query = '
        UPDATE maticna_robe
            SET popust = :popust,
            opis = :opis,
            datumIzmjene = :datumIzmjene,
		    tkoJeIzmjenio = :tkoJeIzmjenio
        WHERE kodRobe = :kodRobe';
    try {
        $statement = $db->prepare($query);
		$statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':popust', $popust);
		$statement->bindValue(':opis', $opis);
    	$statement->bindValue(':datumIzmjene', $datumIzmjene);
		$statement->bindValue(':tkoJeIzmjenio', $tkoJeIzmjenio);
        $statement->execute();
        $statement->closeCursor();
		$izmjenjeno += 1;
    } catch (PDOException $e) {
     //   $error_message = $e->getMessage();
     //   display_db_error($error_message);
		echo 'Nema sloga za izmjenu OK ' . $kodRobe;
    }

    }
	 echo 'U maticna_robe izmjenjeno je: ' .  $izmjenjeno . ' slogova '; 	
?>