<?php
include_once './model/primici_po_obracunu_db.php';
include_once './dokumenti/komponenteZaPlace.php';
include_once './model/obracuni_placa_db.php';
if(isset($_REQUEST['opSaDok']))
    $opSaDok = $_REQUEST['opSaDok'];
else
    $opSaDok = 'Unos';
$greska='';

$slogZaUnos=array();
$slogZaUnos['godinaObracuna']='';
$slogZaUnos['mjesecObracuna']='';
$slogZaUnos['vrstaPlace']='redPla';
$slogZaUnos['verzijaPlace']='';
$slogZaUnos['kodRadnika']='';
$slogZaUnos['vrstaJOPPDizvjesca']='1';
postaviPoljaStavke($slogZaUnos);

$oznakeGreske['godinaObracuna'] = '&nbsp;';
$oznakeGreske['vrstaPrimitka'] = '&nbsp;';  
$oznakeGreske['datumOd'] = '&nbsp;';  
$oznakeGreske['datumDo'] = '&nbsp;';  
$oznakeGreske['sati'] = '&nbsp;';  
$oznakeGreske['satnica'] = '&nbsp;';  

$naslov='Primici za plaću';

if(isset($_REQUEST['mjesecObracuna'])) {
    $slogZaUnos['mjesecObracuna'] = $_REQUEST['mjesecObracuna'];
    $slogZaUnos['godinaObracuna'] = $_REQUEST['godinaObracuna'];
    $slogZaUnos['vrstaPlace'] = $_REQUEST['vrstaPlace'];
    $slogZaUnos['verzijaPlace'] = $_REQUEST['verzijaPlace'];
    $slogZaUnos['vrstaJOPPDizvjesca'] = $_REQUEST['vrstaJOPPDizvjesca'];
    if(isset($_REQUEST['kodRadnika']))
        $slogZaUnos['kodRadnika'] = $_REQUEST['kodRadnika'];
    else
        $slogZaUnos['kodRadnika'] = '';
    
    $slogRadnika = get_radnik($slogZaUnos['kodRadnika']);
    // ako smo odabrali drugu vrstu plaće, kodRadnika u $_POST-u je iz prethodne vrste plaće 
    // moramo uzeti prvog radnika s tom vrstom plaće
    if($slogZaUnos['vrstaPlace']!=$slogRadnika['statusRadnika']) {
        $slogZaUnos['kodRadnika']='';
    }
    
    if($opSaDok=='Izmjena' && isset($_GET['opSaDok'])) {
        $slogZaUnos['brojStavke'] = $_REQUEST['brojStavke'];
        $slogIzBaze = get_primitak($slogZaUnos);
        $slogZaUnos=puni_slog($slogZaUnos, $slogIzBaze, $datumBezVremena=true);        
    }
    else if($opSaDok=='Brisanje' && isset($_GET['opSaDok'])) {
        $slogZaUnos['brojStavke'] = $_REQUEST['brojStavke'];
        delete_primici_po_obracunu($slogZaUnos);
        $greska='Primitak ie obrisan.';
        $slogZaUnos['brojStavke'] = 0;
    }
}
else { // ušli smo iz menua
    /*
    $zadnjaPlaca = get_primiciZadnjePlace();
    if($zadnjaPlaca) {
        $slogZaUnos['mjesecObracuna'] = $zadnjaPlaca['mjesecObracuna'];
        $slogZaUnos['godinaObracuna'] = $zadnjaPlaca['godinaObracuna'];
        $slogZaUnos['vrstaPlace'] = $zadnjaPlaca['vrstaPlace'];
        $slogZaUnos['verzijaPlace'] = $zadnjaPlaca['verzijaPlace'];
        $slogZaUnos['kodRadnika'] = $zadnjaPlaca['kodRadnika'];
    }
     */
    $danas = new DateTime();
    $trenutniMjesec = $danas->format('m');
    if ($trenutniMjesec == 1) {
        $slogZaUnos['mjesecObracuna'] = 12;
        $trenutnaGodina = $danas->format('Y');
        $slogZaUnos['godinaObracuna'] = $trenutnaGodina -1;                 
    } else {
        $slogZaUnos['mjesecObracuna'] = $trenutniMjesec - 1;    
        $slogZaUnos['godinaObracuna'] = $danas->format('Y');
    }   
    
}

// ako ne postoji kodRadnika uzima prvog radnika za odabranu vrstu plaće
if($slogZaUnos['kodRadnika']=='') {
    $slogovi = get_maticna_radnika_po_imenu();
    foreach ($slogovi as $slog) {
       if($slogZaUnos['vrstaPlace']==$slog['statusRadnika']) {
           $slogZaUnos['kodRadnika']=$slog['kodRadnika'];
           break;
       }
    }
    unset($slogovi);
}

$slogPlace = getObracuniPlaca1Slog($slogZaUnos['mjesecObracuna'],$slogZaUnos['godinaObracuna'], $slogZaUnos['vrstaPlace'], $slogZaUnos['verzijaPlace'], $slogZaUnos['vrstaJOPPDizvjesca']);
if(isset($slogPlace['datumZakljucavanja']))
    $zakljucanaPlaca= trim($slogPlace['datumZakljucavanja'])!='';
else 
    $zakljucanaPlaca=false;

if(isset($_REQUEST['kodRadnika']) && !$zakljucanaPlaca) {
    if($opSaDok=='Brisanje') {
        delete_primici_po_obracunu($slogZaUnos);
        $greska = 'Primitak je obrisan.';
    }
    else if(isset($_REQUEST['prihvati'])) {
        $slogZaUnos=puni_slog($slogZaUnos, $_REQUEST, $datumBezVremena=true);
        $greska = kontrolaUnosaPrimitaka($slogZaUnos);
        if(trim($greska)=='') {
            if($slogZaUnos['brojStavke']==0) {
                add_primici_po_obracunu ($slogZaUnos);
                $greska = 'Primitak je uspješno unesen.';
            }
            else { // izmjena
                update_primici_po_obracunu($slogZaUnos);
                $greska = 'Primitak je izmjenjen.';
            }
            postaviPoljaStavke($slogZaUnos);
        }
    }
}
$parametriZaPregled ='&godinaObracuna='.$slogZaUnos['godinaObracuna'].'&mjesecObracuna='.$slogZaUnos['mjesecObracuna'].
                     '&vrstaPlace='.$slogZaUnos['vrstaPlace'].'&verzijaPlace='.$slogZaUnos['verzijaPlace'].'&vrstaJOPPDizvjesca='.$slogZaUnos['vrstaJOPPDizvjesca'].'&vrstaPrimitka=""'.
                     '&groupBy="poRadniku"';
?>

<form action="." method="post" id="view_primici">
<input type="hidden" name="action" value="unos_primici" />
<h1><?php echo $naslov; ?> 
    &nbsp;&nbsp; <a href=<?php echo "./?action=view_pregled_primitaka".$parametriZaPregled ?> > Pregled</a> 
</h1>
<br>
<div id="panel" style="background-color: #EAFFEF; border: solid 1px grey; padding: 0.4em">
Plaća za mjesec: 
<?php listaMjeseci("mjesecObracuna", $slogZaUnos['mjesecObracuna']); ?> 
godinu: <input type="text" class="text_width_3em" name="godinaObracuna" id="godinaObracuna" value="<?php echo $slogZaUnos['godinaObracuna']; ?>" 
               pattern="20[0-9][0-9]" required title="Unesite godinu obračuna tipa 20XX."/> 
    <span class="greska"><?php echo $oznakeGreske['godinaObracuna']; ?> </span>
Vrsta plaće: <?php listaVrstePlaca("vrstaPlace", $slogZaUnos['vrstaPlace']); ?>  
Verzija: <input type="text" class="text_width_2em" name="verzijaPlace"  id="verzijaPlace" value="<?php echo $slogZaUnos['verzijaPlace']; ?>" />
Vrsta JOPPD izvješća: 
<?php vrstaJOPPDizvjesca("vrstaJOPPDizvjesca", $slogZaUnos['vrstaJOPPDizvjesca']); ?> 
<p>
Djelatnik: <?php listaRadnikaPoImenu("kodRadnika", $slogZaUnos['kodRadnika'],$daliSve=false, $samoAktivni=true, $slogZaUnos['vrstaPlace']); ?>
</p>
</div>
<p></p>
<?php if(!$zakljucanaPlaca) : ?>
<div id="unosStavke">
    <table class="t_lista_primka">
    <thead>
        <tr>
            <th class='left' style="padding-left:  0.5em" >Rbr </th>
            <th class='left'>Vrsta primitka </th>
            <th class='left'>Datum od </th>
            <th class='left'>Datum do </th>
            <th class='right' style="padding-right: 1em">Sati </th>
            <th class='right' style="padding-right: 1em">Satnica </th>
            <th class='left'  style="padding-left: 1em">posto </th>
            <th class='right' style="padding-right: 1em">Iznos </th>
        </tr>
    </thead>
    <tr>
        <td class="td_t_lista"> 
            <input type="text" class="text_width_2em" name="brojStavke" value="<?php echo $slogZaUnos['brojStavke']; ?>"  readonly /> 
        </td>
        <td class="td_t_lista"> 
            <?php listaRadnoVrijeme("vrstaPrimitka", $slogZaUnos['vrstaPrimitka'], 'OD', false); ?>
        </td>
        <td class="td_t_lista"> 
            <input type="text" name="datumOd" value="<?php echo $slogZaUnos['datumOd']; ?>" 
                   pattern="[0-9]{1,2}.{0,1}[0-9]{1,2}.{0,1}[0-9]{4}" size="8" title="datum:dd.mm.gggg"/> 
        </td>
        <td class="td_t_lista"> 
            <input type="text" name="datumDo" value="<?php echo $slogZaUnos['datumDo']; ?>" 
                   pattern="[0-9]{1,2}.{0,1}[0-9]{1,2}.{0,1}[0-9]{4}" size="8" title="datum:dd.mm.gggg"/> 
        </td>
        <td class="right_t_lista">
            <input type="text" class="text_width_5em" name="sati" id="sati" pattern="[0-9]{1,5}"                              
                   value="<?php echo round($slogZaUnos['sati']); ?>" required="" />
            <!-- <span class="greska"><?php //echo $greskaIznos; ?></span>  -->
        </td>
        <td class="right_t_lista">
            <input type="text" class="text_width_5em" name="satnica" id="satnica" pattern="[0-9]*[.,]?[0-9]{1,5}" title="Unesite broj do 5 decimalnih mjesta"                              
                   value="<?php echo $slogZaUnos['satnica']; ?>" required="" />
        </td>
        <td class="right_t_lista">
            <input type="text" class="text_width_5em" name="posto" id="posto" pattern="[0-9]*[.,]?[0-9]{1,4}" title="Unesite broj do 4 decimalnih mjesta"                              
                   value="<?php echo $slogZaUnos['posto']; ?>" required="" />
        </td>
        <td class="right_t_lista">
            <input type="text" class="text_width_5em" name="iznos" id="iznos" pattern="<?php echo $pCijena2Decimale ?>" title="Unesite broj do 5 decimalnih mjesta"                              
                   value="<?php echo $slogZaUnos['iznos']; ?>" required="" />
        </td>
     </tr>
    
</table>
<p></p><p></p>

<input type="submit" name="prihvati" id="prihvati" value="Prihvat stavke" autofocus="autofocus" />
<input type="submit" name="odustani" value="Odustani" formnovalidate />
</div>
<?php else : ?>
<p><b> Plaća je zaključana!</b></p>
<?php endif; ?>
        <p></p> <p></p>
        <input type="hidden" id="aktinoPolje" name="aktivnoPolje" value=""> 
</form>
<?php 

include './dokumenti/view_prikaz_primitaka.php';


if (trim($greska)!='') : 

    if(!isset($_REQUEST['tipka']))
        $_REQUEST['tipka']='Prihvat';
      //ako je greska onda u tekstu greske ima barem jedan !
      $imaUsklicnik = strpos($greska, '!');
      if ($imaUsklicnik === FALSE) {
          $greska_prihvat = 'greska_prihvat_nije_greska';
      } else {
          $greska_prihvat = 'greska_prihvat';
      }
    ?>
    <br>
    <p id="<?php echo $greska_prihvat; ?>"> <?php echo $greska; ?> </p>
<?php endif;  

function postaviPoljaStavke(&$slog) {
    $slog['brojStavke']=0;
    $slog['vrstaPrimitka']='redRad';
    $slog['datumOd']='';
    $slog['datumDo']='';
    $slog['sati']=0;
    $slog['satnica']=0;
    $slog['iznos']=0;
    $slog['posto']=0;
}

function kontrolaUnosaPrimitaka(&$slogZaUnos) {
    global $oznakeGreske;
    $greska='';
    $d = new DateTime();
    $godina = (int)$d->format('Y');
    $mjesec = (int)$d->format('m');
    
    if((int)$slogZaUnos['godinaObracuna']>$godina) {
        $greska.=' Godina obračuna ne smije bizi veća od tekuće godine! ';
        $oznakeGreske['godinaObracuna'] = '*';
    }
    else if((int)$slogZaUnos['godinaObracuna']==$godina && (int)$slogZaUnos['mjesecObracuna']>$mjesec) {
        $greska.=' Obračun za budući mjesec nije moguć! ';
        $oznakeGreske['mjesecObracuna'] = '*';
    }
 
    $greskaDatum = usporedi_datume($slogZaUnos['datumOd'],$slogZaUnos['datumDo'], 'Datum od', 'Datum do', 'ovisni',true);
    if (isset($greskaDatum)) {
        $greska .= $greskaDatum;  
        $oznakeGreske['datumOd'] = '*';   
        $oznakeGreske['datumDo'] = '*';   
    }
    else {
        $d = new DateTime($slogZaUnos['datumOd']);
        $godina = (int)$d->format('Y');
        $mjesec = (int)$d->format('m');
        if(!($godina==(int)$slogZaUnos['godinaObracuna'] && $mjesec==(int)$slogZaUnos['mjesecObracuna'])) {
            $greska.=' Datum od mora biti u mjesecu i godini obračuna !!';
            $oznakeGreske['datumOd'] = '*';
        }
        
        $d = new DateTime($slogZaUnos['datumDo']);
        $godina = (int)$d->format('Y');
        $mjesec = (int)$d->format('m');
        if(!($godina==(int)$slogZaUnos['godinaObracuna'] && $mjesec==(int)$slogZaUnos['mjesecObracuna'])) {
            $greska.=' Datum do mora biti u mjesecu i godini obračuna!! ';
            $oznakeGreske['datumDo'] = '*';
        }
    }

    $slogVrstaPrimitka['vrstaPrimitka']=$slogZaUnos['vrstaPrimitka'];
    $slogVrstaPrimitka = get_slog_tablice('vrste_primitaka_place', $slogVrstaPrimitka);
    if($slogVrstaPrimitka['unosiSe']=='satnica')
        $slogZaUnos['iznos'] = round($slogZaUnos['sati'] * $slogZaUnos['satnica'], 2);
    if($slogZaUnos['vrstaPrimitka']=='stimul' && $slogZaUnos['posto']<>0) {
        $slogRadnika= get_radnik($slogZaUnos['kodRadnika']);
        $slogZaUnos['iznos'] = $slogRadnika['bodovi']*$slogZaUnos['posto']/100; 
    }
    return $greska;
}
?>
<script>
function vrstaPrimitkaCh() {
    // opt = vrstaPrimitka.options[vrstaPrimitka.selectedIndex];
    unosise = vrstaPrimitka.options[vrstaPrimitka.selectedIndex].getAttribute("unosise");
    if(unosise=="sve") {
        iznos.readOnly=false;
        posto.readOnly=false;
        // $('#absIznos').prop('disabled',true);
        sati.readOnly=false;
        satnica.readOnly=false;
    }
    else if(unosise=="satnica") {
        iznos.readOnly=true;
        posto.readOnly=true;
        // $('#absIznos').prop('disabled',true);
        sati.readOnly=false;
        satnica.readOnly=false;
    }
    else if(unosise=="posto") {
        iznos.readOnly=true;
        posto.readOnly=false;
        // $('#absIznos').prop('disabled',true);
        sati.readOnly=true;
        satnica.readOnly=true;
    }
    else if(unosise=="iznosPosto") {
        iznos.readOnly=false;
        posto.readOnly=false;
        // $('#absIznos').prop('disabled',true);
        sati.readOnly=true;
        satnica.readOnly=true;
    }
    else {  // unosise="iznos"
        iznos.readOnly=false;
        posto.readOnly=true;
        // ('#absIznos').prop('disabled',false);
        sati.readOnly=true;
        satnica.readOnly=true;
        
    }
}

function promjenaUvjeta() {
    // naziv = document.activeElement.name;
    // alert(naziv);
    view_primici.submit();
}

kodRadnika.onchange=mjesecObracuna.onchange=godinaObracuna.onchange=vrstaPlace.onchange=verzijaPlace.onchange=vrstaJOPPDizvjesca.onchange=promjenaUvjeta;
vrstaPrimitka.onchange=vrstaPrimitkaCh;

vrstaPrimitkaCh();

$('#view_primici').on('submit', function() {
    //$('input, select').prop('disabled', false);
    $('#absIznos').prop('disabled', false);
});

</script>