set @mjesecObracunOd=3,@godinaObracunaOd=2019,@vrstaPlace='',@verzijaPlace='',@kodRadnika='',@mjesecObracunaDo=5,@godinaObracunaDo=2019,
    @kodPartnera='', @vrstaIsplate='', @obradaVirmana='grupno' 
;
SET collation_connection = utf8_croatian_ci
;

-- /*
select -- plaća i prijevoz na račun djelatnika
if(verzijaIsplate='PR', 'prijevoz', 'placa') as vrstaVirmana, if(verzijaIsplate='PR', 'prijevoz', 'placa') as tipVirmana,
godinaObracuna, mjesecObracuna, vrstaPlace, verzijaPlace, o.kodRadnika as kodPrimatelja, r.imeIprezime as nazivPrimatelja, 
modelPlatitelja , pozivNaBrojPlatitelja, brojRacunaZaIsplatuPlace as IBANprimatelja, modelPrimatelja, pozivNaBrojPrimatelja, iznosZaIsplatu as iznos, 
kodBanke, `nazivPartnera` as nazivBanke, 
concat(if(verzijaIsplate='PR', 'Prijevoz za ', 'OD za '), r.imeIprezime, ', ', mjesecObracuna, '. mjesec ', godinaObracuna) as opis, o.kodRadnika, r.imeIprezime
from isplate_na_banke_po_obracunu as o
join maticna_radnika as r on r.kodRadnika=o.kodRadnika 
join partner as p on p.kodPartnera=o.kodBanke
where godinaObracuna*100+mjesecObracuna between @godinaObracunaOd*100+@mjesecObracunOd and @godinaObracunaDo*100+@mjesecObracunaDo
and (vrstaPlace=@vrstaPlace or @vrstaPlace='')
and (verzijaPlace=@verzijaPlace or @verzijaPlace='')
and (o.kodRadnika=@kodRadnika or @kodRadnika='')
and (o.kodBanke=@kodPartnera or @kodPartnera='')

union 

select -- doprinosi
izIliNaPlacu as vrstaVirmana, o.vrstaDoprinosaPoreza as tipVirmana,
godinaObracuna, mjesecObracuna, vrstaPlace, verzijaPlace, 
o.vrstaDoprinosaPoreza as kodPrimatelja, dp.nazivDoprinosaPoreza as nazivPrimatelja, 
o.`modelPlatitelja` , o.pozivNaBrojPlatitelja, o.IBAN as IBANprimatelja, o.modelPrimatelja, o.pozivNaBrojPrimatelja, sum(iznosDoprinosaPoreza) as iznos, 
'' as kodBanke, '' as nazivBanke, 
concat(nazivDoprinosaPoreza, ' za ', mjesecObracuna, '. mjesec ', godinaObracuna) as opis, 
-- o.kodRadnika, r.imeIprezime
'X' as kodRadnika, 'X' as imeIprezime
from doprinosi_porezi_po_obracunu as o
join 
( 
    SELECT 
     d.*, 
    IFNULL(DATE_SUB(min(d2.`vrijediOd`), INTERVAL 1 DAY),'3000-01-01') as vrijediDo
    FROM doprinosi_porezi as d
    LEFT OUTER JOIN doprinosi_porezi AS d2
    ON d.`vrstaDoprinosaPoreza`=d2.`vrstaDoprinosaPoreza` and d.`vrijediOd`< d2.`vrijediOd`
    GROUP BY d.`vrstaDoprinosaPoreza`, d.`vrijediOd`
) as dp on dp.vrstaDoprinosaPoreza =o.vrstaDoprinosaPoreza and date(o.datumOtvaranja) between dp.vrijediOd and dp.vrijediDo
join maticna_radnika as r on r.kodRadnika=o.kodRadnika 
-- join partner as p on p.kodPartnera=o.kodBanke
where godinaObracuna*100+mjesecObracuna between @godinaObracunaOd*100+@mjesecObracunOd and @godinaObracunaDo*100+@mjesecObracunaDo
and (vrstaPlace=@vrstaPlace or @vrstaPlace='')
and (verzijaPlace=@verzijaPlace or @verzijaPlace='')
and (o.kodRadnika=@kodRadnika or @kodRadnika='')
-- and (o.kodBanke=@kodPartnera or @kodPartnera='')
and izIliNaPlacu in ('izPlace','naPlacu')
group by godinaObracuna, mjesecObracuna, vrstaPlace, verzijaPlace, o.vrstaDoprinosaPoreza

union 

select -- porez i prirez 
if( o.vrstaDoprinosaPoreza like 'porez%', 'porez' , 'prirez') as vrstaVirmana, o.vrstaDoprinosaPoreza as tipVirmana,
godinaObracuna, mjesecObracuna, vrstaPlace, verzijaPlace, 
opcinaMjestaRada as kodPrimatelja, 
nazivOpcine as nazivPrimatelja, 
o.`modelPlatitelja` , o.pozivNaBrojPlatitelja, o.IBAN as IBANprimatelja, o.modelPrimatelja, o.pozivNaBrojPrimatelja, sum(iznosDoprinosaPoreza) as iznos, 
'' as kodBanke, '' as nazivBanke, 
concat(o.vrstaDoprinosaPoreza, ' za općinu ',  nazivOpcine, ' OD:', mjesecObracuna, '. mjesec ', godinaObracuna, '.') as opis, 
'X' as kodRadnika, 'X' as imeIprezime
from doprinosi_porezi_po_obracunu as o
-- join doprinosi_porezi as dp on dp.vrstaDoprinosaPoreza =o.vrstaDoprinosaPoreza
join maticna_radnika as r on r.kodRadnika=o.kodRadnika 
join 
(
    SELECT distinct kodOpcine, nazivOpcine 
    from opcine
) as op on op.kodOpcine=opcinaMjestaRada
-- join partner as p on p.kodPartnera=o.kodBanke
where godinaObracuna*100+mjesecObracuna between @godinaObracunaOd*100+@mjesecObracunOd and @godinaObracunaDo*100+@mjesecObracunaDo
and (vrstaPlace=@vrstaPlace or @vrstaPlace='')
and (verzijaPlace=@verzijaPlace or @verzijaPlace='')
and (o.kodRadnika=@kodRadnika or @kodRadnika='')
-- and (o.kodBanke=@kodPartnera or @kodPartnera='')
and (o.vrstaDoprinosaPoreza like 'porez%' or  o.vrstaDoprinosaPoreza='prirez')
group by godinaObracuna, mjesecObracuna, vrstaPlace, verzijaPlace, o.vrstaDoprinosaPoreza, opcinaMjestaRada

union

select -- krediti
'kredit' as vrstaVirmana, 'kredit' as tipVirmana,
godinaObracuna, mjesecObracuna, vrstaPlace, verzijaPlace, 
k.kodBanke as kodPrimatelja, 
substring(nazivPartnera,1,30) as nazivPrimatelja, 
o.`modelPlatitelja` , o.pozivNaBrojPlatitelja, o.brojRacunaZaIsplatuKredita as IBANprimatelja, o.modelPrimatelja, o.pozivNaBrojPrimatelja, 
 sum(o.rataKredita) as iznos, 
k.kodBanke, substring(nazivPartnera,1,30) as nazivBanke, 
if( o.virmanPojedinacniGrupni='grupni',
    concat('Grupno@',o.kodKredita,' ',nazivKreditaObustave, ' za ', mjesecObracuna, '. mjesec ', godinaObracuna, '.'), 
    concat(imeIprezime,'@',o.kodKredita,' ',nazivKreditaObustave, ' za ', mjesecObracuna, '. mjesec ', godinaObracuna, '.') 
) as opis, 
if(o.virmanPojedinacniGrupni='grupni','X', o.kodRadnika) as kodRadnika, if(o.virmanPojedinacniGrupni='grupni','X', imeIprezime) as imeIprezime
from krediti_obustave_po_obracunu as o
join krediti_obustave as k on k.kodRadnika=o.kodRadnika and k.kodBanke=o.kodBanke and k.kodKredita=o.kodKredita
join maticna_radnika as r on r.kodRadnika=o.kodRadnika 
join partner as p on p.kodPartnera=k.kodBanke
where godinaObracuna*100+mjesecObracuna between @godinaObracunaOd*100+@mjesecObracunOd and @godinaObracunaDo*100+@mjesecObracunaDo
and (vrstaPlace=@vrstaPlace or @vrstaPlace='')
and (verzijaPlace=@verzijaPlace or @verzijaPlace='')
and (o.kodRadnika=@kodRadnika or @kodRadnika='')
and (o.kodBanke=@kodPartnera or @kodPartnera='')
group by godinaObracuna, mjesecObracuna, vrstaPlace, verzijaPlace, k.kodBanke, if( o.virmanPojedinacniGrupni='grupni',o.kodKredita,o.kodRadnika)
;


-- ------------------------------------------------------------------
-- ------------------------------------------------------------------

select -- plaća i prijevoz na račun djelatnika
if(verzijaIsplate='PR', 'prijevoz', 'placa') as vrstaVirmana, if(verzijaIsplate='PR', 'prijevoz', 'placa') as tipVirmana,
godinaObracuna, mjesecObracuna, vrstaPlace, verzijaPlace, o.kodRadnika as kodPrimatelja, r.imeIprezime as nazivPrimatelja, 
modelPlatitelja , pozivNaBrojPlatitelja, brojRacunaZaIsplatuPlace as IBANprimatelja, modelPrimatelja, pozivNaBrojPrimatelja, iznosZaIsplatu as iznos, 
kodBanke, `nazivPartnera` as nazivBanke, 
concat(if(verzijaIsplate='PR', 'Prijevoz za ', 'OD za '), r.imeIprezime, ', ', mjesecObracuna, '. mjesec ', godinaObracuna) as opis, o.kodRadnika, r.imeIprezime
from isplate_na_banke_po_obracunu as o
join maticna_radnika as r on r.kodRadnika=o.kodRadnika 
join partner as p on p.kodPartnera=o.kodBanke
where godinaObracuna*100+mjesecObracuna between @godinaObracunaOd*100+@mjesecObracunOd and @godinaObracunaDo*100+@mjesecObracunaDo
and (vrstaPlace=@vrstaPlace or @vrstaPlace='')
and (verzijaPlace=@verzijaPlace or @verzijaPlace='')
and (o.kodRadnika=@kodRadnika or @kodRadnika='')
and (o.kodBanke=@kodPartnera or @kodPartnera='')

union 

select -- doprinosi
izIliNaPlacu as vrstaVirmana, o.vrstaDoprinosaPoreza as tipVirmana,
godinaObracuna, mjesecObracuna, vrstaPlace, verzijaPlace, 
o.vrstaDoprinosaPoreza as kodPrimatelja, dp.nazivDoprinosaPoreza as nazivPrimatelja, 
o.`modelPlatitelja` , o.pozivNaBrojPlatitelja, o.IBAN as IBANprimatelja, o.modelPrimatelja, o.pozivNaBrojPrimatelja, iznosDoprinosaPoreza as iznos, 
'' as kodBanke, '' as nazivBanke, 
concat(nazivDoprinosaPoreza, ' za ', imeIprezime, 'OD:', mjesecObracuna, '. mjesec ', godinaObracuna) as opis, 
o.kodRadnika, r.imeIprezime

from doprinosi_porezi_po_obracunu as o
join 
( 
    SELECT 
     d.*, 
    IFNULL(DATE_SUB(min(d2.`vrijediOd`), INTERVAL 1 DAY),'3000-01-01') as vrijediDo
    FROM doprinosi_porezi as d
    LEFT OUTER JOIN doprinosi_porezi AS d2
    ON d.`vrstaDoprinosaPoreza`=d2.`vrstaDoprinosaPoreza` and d.`vrijediOd`< d2.`vrijediOd`
    GROUP BY d.`vrstaDoprinosaPoreza`, d.`vrijediOd`
) as dp on dp.vrstaDoprinosaPoreza =o.vrstaDoprinosaPoreza and date(o.datumOtvaranja) between dp.vrijediOd and dp.vrijediDo
join maticna_radnika as r on r.kodRadnika=o.kodRadnika 
-- join partner as p on p.kodPartnera=o.kodBanke
where godinaObracuna*100+mjesecObracuna between @godinaObracunaOd*100+@mjesecObracunOd and @godinaObracunaDo*100+@mjesecObracunaDo
and (vrstaPlace=@vrstaPlace or @vrstaPlace='')
and (verzijaPlace=@verzijaPlace or @verzijaPlace='')
and (o.kodRadnika=@kodRadnika or @kodRadnika='')
-- and (o.kodBanke=@kodPartnera or @kodPartnera='')
and izIliNaPlacu in ('izPlace','naPlacu')


union 

select -- porez i prirez 
if( o.vrstaDoprinosaPoreza like 'porez%', 'porez' , 'prirez') as vrstaVirmana, o.vrstaDoprinosaPoreza as tipVirmana,
godinaObracuna, mjesecObracuna, vrstaPlace, verzijaPlace, 
opcinaMjestaRada as kodPrimatelja, 
nazivOpcine as nazivPrimatelja, 
o.`modelPlatitelja` , o.pozivNaBrojPlatitelja, o.IBAN as IBANprimatelja, o.modelPrimatelja, o.pozivNaBrojPrimatelja, iznosDoprinosaPoreza as iznos, 
'' as kodBanke, '' as nazivBanke, 
concat(o.vrstaDoprinosaPoreza, ' za ',  imeIprezime, ' OD:', mjesecObracuna, '. mjesec ', godinaObracuna, '.') as opis, 
o.kodRadnika, r.imeIprezime
from doprinosi_porezi_po_obracunu as o
-- join doprinosi_porezi as dp on dp.vrstaDoprinosaPoreza =o.vrstaDoprinosaPoreza
join maticna_radnika as r on r.kodRadnika=o.kodRadnika 
join 
(
    SELECT distinct kodOpcine, nazivOpcine 
    from opcine
) as op on op.kodOpcine=opcinaMjestaRada
-- join partner as p on p.kodPartnera=o.kodBanke
where godinaObracuna*100+mjesecObracuna between @godinaObracunaOd*100+@mjesecObracunOd and @godinaObracunaDo*100+@mjesecObracunaDo
and (vrstaPlace=@vrstaPlace or @vrstaPlace='')
and (verzijaPlace=@verzijaPlace or @verzijaPlace='')
and (o.kodRadnika=@kodRadnika or @kodRadnika='')
-- and (o.kodBanke=@kodPartnera or @kodPartnera='')
and (o.vrstaDoprinosaPoreza like 'porez%' or  o.vrstaDoprinosaPoreza='prirez')


union

select -- krediti
'kredit' as vrstaVirmana, 'kredit' as tipVirmana,
godinaObracuna, mjesecObracuna, vrstaPlace, verzijaPlace, 
k.kodBanke as kodPrimatelja, 
substring(nazivPartnera,1,30) as nazivPrimatelja, 
o.`modelPlatitelja` , o.pozivNaBrojPlatitelja, o.brojRacunaZaIsplatuKredita as IBANprimatelja, o.modelPrimatelja, o.pozivNaBrojPrimatelja, 
o.rataKredita as iznos, 
k.kodBanke, substring(nazivPartnera,1,30) as nazivBanke, 
concat(imeIprezime,':-',o.kodKredita,' ',nazivKreditaObustave, ' za ', mjesecObracuna, '. mjesec ', godinaObracuna, '.')  as opis, 
o.kodRadnika, r.imeIprezime
from krediti_obustave_po_obracunu as o
join krediti_obustave as k on k.kodRadnika=o.kodRadnika and k.kodBanke=o.kodBanke and k.kodKredita=o.kodKredita
join maticna_radnika as r on r.kodRadnika=o.kodRadnika 
join partner as p on p.kodPartnera=k.kodBanke
where godinaObracuna*100+mjesecObracuna between @godinaObracunaOd*100+@mjesecObracunOd and @godinaObracunaDo*100+@mjesecObracunaDo
and (vrstaPlace=@vrstaPlace or @vrstaPlace='')
and (verzijaPlace=@verzijaPlace or @verzijaPlace='')
and (o.kodRadnika=@kodRadnika or @kodRadnika='')
and (o.kodBanke=@kodPartnera or @kodPartnera='')
;
