<?php
//Evo PHP verzija izrauna zatitnog koda:

$zki = ZastitniKodIzracun("democert.pfx", "lozinka", "12345678901", "2012-12-11 08:04:26", "1", "11", "12", "11125.25");
echo ($zki);



function ZastitniKodIzracun($certifikat, $lozinka, $oib, $datetime, $brrac, $ozn_posl, $ozn_napl, $ukup_izn_rac){

	$p12cert = array();
	$fd = fopen($certifikat, 'r');
	$p12buf = fread($fd, filesize($certifikat));
	fclose($fd);

	if (openssl_pkcs12_read($p12buf, $p12cert, $lozinka)){
		
		$private_key = $p12cert['pkey'];
		
	}
	else
	{
		echo 'Nemogu otvoriti certifikat!';
	}

	$medjurezultat = $oib;

	$datVrij = 	date('d.m.Y H:i:s', strtotime($datetime));

	$medjurezultat .= $datVrij;

	$medjurezultat .= $brrac;

	$medjurezultat .= $ozn_posl;

	$medjurezultat .= $ozn_napl;

	$medjurezultat .= $ukup_izn_rac;

	$signature = "";

	openssl_sign($medjurezultat, $signature, $private_key, OPENSSL_ALGO_SHA1);
	openssl_free_key($private_key);

	return md5($signature);
}

?>