-- update stanja as st
-- left outer join
(
select 
    st.proda, 
    st.kodrobe, 
    st.vrstaProdaje, 
    st.cijena, 
    max(s.DVO) as maxDVO,
    pom.vrsDo,
    pom.broDo,
    pom.verzi  
from dok_stavke as s
left outer join vrste_dokumenata as v on v.`vrsDo`=s.`vrsDo`
inner join stanja as st
 on st.proda=s.proda and st.`kodRobe`=s.`kodRobe` and st.`vrstaProdaje`=s.`vrstaProdaje` and st.cijena=s.cijena
inner join poslovnice as p on s.proda=p.kodPoslovnice 
inner join 
(
  select p.vrsDO, p.broDo, p.verzi, p.DVO, proda, kodRobe, vrstaProdaje,cijena
  from dok_stavke as p
    where 
    (vrsDo = '5' or vrsDo = '7' or vrsDo='8')

  
) 
 as pom
 on pom.proda=st.proda and pom.`kodRobe`=st.`kodRobe` and pom.`vrstaProdaje`=st.`vrstaProdaje` and pom.cijena=st.cijena 
where v.`tipDokumenta` ='R'
and (s.vrsDo = '5' or s.vrsDo = '7' or s.vrsDo='8')
-- and m.`robaUsluga`='R'
and s.`DVO`>=p.datumInventure
and s.proda = '202' and s.kodRobe = '28-622B'
group by st.proda, st.kodrobe, st.`vrstaProdaje`, st.cijena,
    pom.vrsDo,
    pom.broDo,
    pom.verzi  


 

having max(s.dvo)= max(pom.DVO)
)
/*
 as s2 on s2.proda=st.proda and s2.`kodRobe`=st.`kodRobe` and s2.`vrstaProdaje`=st.`vrstaProdaje` and s2.cijena=st.cijena

set st.datumPi= s2.maxDVO,
    st.vrsDoPi= s2.vrsDo, 
    st.broDoPi= s2.broDo    
*/
;
