/* prije je iz prošle godine prebačeno stanje s 31.12. u stanja u novoj godini kao početno stanje */

   UPDATE poslovnice p
INNER JOIN 
(
    select proda, datumInventure, sum(kolicinaInventure * si.cijena) as IznosInvBezPDV, round(sum(ROUND(si.cijena * ( 1 + p.PDV / 100),2)*kolicinaInventure),2)  as iznosInvSaPDV  
    from stanja as si
    INNER JOIN maticna_robe m on m.kodRobe = si.`kodRobe`
    INNER JOIN porezi as p on p.poreznaGrupa = m.`poreznaGrupa`
    where m.`robaUsluga` = 'R' and kolicinaInventure <> 0
    group by proda) as i
 on p.kodPoslovnice = i.proda
 set p.datumInventure = i.datumInventure,
     p.iznosInvBezPDV = round(i.iznosInvBezPDV,2),
     p.iznosInvSaPDV=i.iznosInvSaPDV;

   select kodPoslovnice, datumInventure, iznosInvBezPDV, iznosInvSaPDV from poslovnice;
 
   select sum(iznosInvBezPDV), sum(iznosInvSaPDV) from poslovnice;      