set @DVOOd = '2014-01-01 00:00:00.00', @DVODo='2014-01-31 23:59:59.00', 
    @proda='0', @vrsDo= '5,6,7,8' , @zapis='';
select s.proda, s.vrsDo, vd.nazivDokumenta, s.zapis, z.dokumenata,  count(*) as stavaka
from dok_stavke as s
 join
(
    select proda, vrsDo, zapis, 
    count(brodo) as dokumenata
    from dok_zag as z
    where (proda=@proda or trim(@proda)='' or trim(@proda)='0')
    and DVO between @DVOOd and @DVODo
    and (FIND_IN_SET(trim(vrsDo),  @vrsDo) or trim(@vrsDo)='')
    and (zapis=@zapis or trim(@zapis)='')
    group by proda, vrsDo, zapis
) as z
on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.zapis=s.zapis
left outer join vrste_dokumenata as vd on vd.`vrsDo`=z.vrsDo 
where s.DVO between @DVOOd and @DVODo
group by s.proda, s.vrsDo, s.zapis, dokumenata
;
