
set @proda='203';

update inv_stanja as i_s
left outer join
(
select 
    s.proda, 
    s.kodrobe, 
    s.vrstaProdaje, 
    SUM(s.cijena * s.stanje) as sumaCijenaPutaStanje,
    SUM(s.stanje) as sumaStanja,
    round(AVG(s.cijena),3) as prosjecnaCijena  
-- ako je sumaStanja = 0 uzima se prosječna cijena svih  stanja   
from   stanja as s  
-- left outer join vrste_dokumenata as v on v.vrsDo=s.vrsDo
-- inner join poslovnice as p on s.proda=p.kodPoslovnice  
where s.proda = @proda AND s.stanje >= 0 AND s.cijena > 0          
group by s.proda, s.kodrobe, s.vrstaProdaje
)
as s2 
on i_s.proda=s2.proda and i_s.kodRobe=s2.kodRobe and i_s.vrstaProdaje=s2.vrstaProdaje

set i_s.cijena= if(s2.sumaStanja <>0,(s2.sumaCijenaPutaStanje / s2.sumaStanja),s2.prosjecnaCijena),
    i_s.datumIzmjene=now()
    where i_s.proda = @proda 
    AND s2.kodRobe IS NOT NULL AND s2.prosjecnaCijena IS NOT NULL 
;


