
set @proda='202',  @vrstaProdaje='', @kodGrupe='', 
--@kakoSort='po_cijeni'
@kakoSort='po_nazivu'
--@kakoSort='po_kodu_robe'
;
/*
update inv_stanja
set proda=trim(proda),
`kodRobe`=trim(`kodRobe`),
`vrstaProdaje`=trim(`vrstaProdaje`);
*/
--/*
CREATE TEMPORARY TABLE temp1 (
  proda             VARCHAR(5)       NOT NULL,
  kodRobe           VARCHAR(16)      NOT NULL,    
  vrstaProdaje      CHAR(1)       NOT NULL,
  cijena            DECIMAL(11,3)  NOT NULL, 
  stanje            DECIMAL(11,3)  NOT NULL,
   vrsDoPu     VARCHAR(2) DEFAULT NULL,
   proInPu     VARCHAR(5) DEFAULT NULL,
   zapisPu     VARCHAR(2) DEFAULT NULL,
   broDoPu     INT        DEFAULT NULL,
   verziPu     VARCHAR(3) DEFAULT NULL,
   datumPu     DATETIME   DEFAULT NULL, 
   rabatPu     DECIMAL(11,3) DEFAULT NULL,
   absRabatPu  CHAR(1)    DEFAULT NULL,
   marzaPu     DECIMAL(11,3) DEFAULT NULL,
   absMarzaPu  CHAR(1) DEFAULT NULL,
   zavisniTroskoviPu    DECIMAL(11,3) DEFAULT NULL,
   absZavisniTroskoviPu CHAR(1) DEFAULT NULL,
   nabavnaCijenaPu      DECIMAL(11,3) DEFAULT NULL,
   kodPartneraPu        VARCHAR(13) DEFAULT NULL,
   vrsDoPi           VARCHAR(2) DEFAULT NULL,
   proInPi           VARCHAR(5) DEFAULT NULL,
   zapisPi           VARCHAR(2) DEFAULT NULL,
   broDoPi           INT DEFAULT NULL,
   verziPi           VARCHAR(3) DEFAULT NULL,
   datumPi           DATETIME DEFAULT NULL,
   rabatPopustPi     DECIMAL(11,3) DEFAULT NULL, 
   absRabatPopustPi  CHAR(1) DEFAULT NULL,
  datumInventure    DATETIME DEFAULT 0,
  kolicinaInventure DECIMAL(11,3)  DEFAULT 0,   
  brojInvStavke     INT DEFAULT 0,
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT 0,  
  tkoJeIzmjenio     VARCHAR(40) DEFAULT ' ',   
  PRIMARY KEY (proda, kodRobe, vrstaProdaje, cijena), 
  INDEX poRobi (kodRobe, proda, vrstaProdaje) 
  );

insert into temp1
(
proda ,
kodRobe,    
vrstaProdaje,
cijena, 
stanje,
vrsDoPu,
proInPu,
zapisPu,
broDoPu,
verziPu,
datumPu, 
rabatPu,
absRabatPu,
marzaPu,
absMarzaPu,
zavisniTroskoviPu,
absZavisniTroskoviPu,
nabavnaCijenaPu,
kodPartneraPu,
vrsDoPi,
proInPi,
zapisPi,
broDoPi,
verziPi,
datumPi,
rabatPopustPi, 
absRabatPopustPi,
datumInventure,
kolicinaInventure,   
brojInvStavke,
datumOtvaranja,
datumIzmjene,  
tkoJeIzmjenio
)
select
s.proda ,
s.kodRobe,    
s.vrstaProdaje,
s.cijena, 
s.stanje,
vrsDoPu,
proInPu,
zapisPu,
broDoPu,
verziPu,
datumPu, 
rabatPu,
absRabatPu,
marzaPu,
absMarzaPu,
zavisniTroskoviPu,
absZavisniTroskoviPu,
nabavnaCijenaPu,
kodPartneraPu,
vrsDoPi,
proInPi,
zapisPi,
broDoPi,
verziPi,
datumPi,
rabatPopustPi, 
absRabatPopustPi,
datumInventure,
s.stanje, -- kolicinaInventure,   
t.brojInvStavke,
datumOtvaranja,
datumIzmjene,  
tkoJeIzmjenio
from inv_stanja as s
inner join 
(
select  inv.*, @brojInvStavke:=@brojInvStavke+1 as brojInvStavke
from
(
select proda, s.kodRobe, vrstaProdaje, nazivRobe, m.kodGrupe, s.cijena,
stanje,
 if(@kakoSort='po_cijeni',s.cijena,0) as sort_cijena
from inv_stanja as s
left outer join maticna_robe as m on s.kodRobe= m.kodRobe 
 where
 proda=@proda
 and stanje <> 0       
 and (@kodGrupe=''  or m.kodGrupe=@kodGrupe) and robaUsluga = 'R'
 and (@vrstaProdaje='' or vrstaProdaje=@vrstaProdaje)
 order by m.kodGrupe, sort_cijena DESC, 
 CASE @kakoSort
      when 'po_nazivu' then nazivRobe                        
      when 'po_kodu_robe' then s.kodRobe
     END      
)as inv,
(SELECT @brojInvStavke:=0) as r
) as t on t.proda=s.proda and t.`kodRobe`=s.`kodRobe` and t.`vrstaProdaje`=s.`vrstaProdaje` and t.cijena=s.cijena
-- where s.stanje<>0
----- kopiraj do tuda
and s.proda=@proda
;
-- */
-- CREATE TEMPORARY TABLE temp1 ENGINE=MEMORY AS
select  inv.*, @brojInvStavke:=@brojInvStavke+1 as brojInvStavke
from
(
select proda, s.kodRobe, vrstaProdaje, nazivRobe, m.kodGrupe, s.cijena,
stanje,
 if(@kakoSort='po_cijeni',s.cijena,0) as sort_cijena
from inv_stanja as s
left outer join maticna_robe as m on s.kodRobe= m.kodRobe 
 where
 proda=@proda
 and stanje <> 0       
 and (@kodGrupe=''  or m.kodGrupe=@kodGrupe) and robaUsluga = 'R'
 and (@vrstaProdaje='' or vrstaProdaje=@vrstaProdaje)
 order by m.kodGrupe, sort_cijena DESC, 
 CASE @kakoSort
      when 'po_nazivu' then nazivRobe                        
      when 'po_kodu_robe' then s.kodRobe
     END      
)as inv,
(SELECT @brojInvStavke:=0) as r


-- where trim(kodrobe)='04907'
;

-- select * from temp1;
/*
UPDATE inv_stanja as u
inner join temp1 as t on 
 --t.proda=u.proda and 
t.`kodRobe`=u.`kodRobe` and t.`vrstaProdaje`=u.`vrstaProdaje`
-- and 
-- t.cijena=u.cijena
SET u.brojInvStavke = t.brojInvStavke, 
    u.kolicinaInventure = t.stanje
    --, u.datumInventure = :datumInventure,
    -- u.tkoJeIzmjenio = :email_user
--where u.proda=@proda
;
select `brojInvStavke`, i.*
from inv_stanja as i
where proda=@proda
order by `brojInvStavke`;

*/

-- /*
select `brojInvStavke`, i.*
from temp1 as i
where proda=@proda
order by `brojInvStavke`;
drop table temp1;



-- */
/*
update inv_stanja
set `brojInvStavke`=0
*/